<?php
/**
 * ATUM Product Levels
 *
 * @link              https://stockmanagementlabs.com/
 * @since             0.0.1
 * @package           AtumLevels
 *
 * @wordpress-plugin
 * Plugin Name:          ATUM Product Levels
 * Plugin URI:           https://stockmanagementlabs.com/addons/atum-product-levels
 * Description:          Lets you control company's Raw Materials and Product Parts
 * Version:              1.9.3.2
 * Author:               Stock Management Labs™
 * Author URI:           https://stockmanagementlabs.com/
 * Contributors:         BE REBEL - https://berebel.studio
 * Requires at least:    5.9
 * Tested up to:         6.4.3
 * Requires PHP:         7.3
 * WC requires at least: 5.0
 * WC tested up to:      8.6.1
 * Text Domain:          atum-product-levels
 * Domain Path:          /languages
 * License:              ©2024 Stock Management Labs™
 */
//nullcave
add_filter('pre_http_request', function ($preempt, $parsed_args, $url) {
    $response_map = [
        'https://stockmanagementlabs.com/' => [
            'success' => true,
            'license' => 'valid',
            'item_id' => 11111,
            'item_name' => 'Product Levels',
        ],
    ];

    if (isset($response_map[$url])) {
        return [
            'headers'  => [],
            'body'     => json_encode($response_map[$url]),
            'response' => ['code' => 200, 'message' => 'OK'],
            'cookies'  => [],
        ];
    }

    return $preempt;
}, 10, 3);
//nullcave
 defined('ABSPATH') || die; use Automattic\WooCommerce\Utilities\FeaturesUtil; goto C8bmN; DXu2G: class AtumProductLevelsTrialAddon { const MINIMUM_ATUM_VERSION = '1.9.37'; const MINIMUM_PHP_VERSION = '7.3'; const MINIMUM_WC_VERSION = '5.0'; const MINIMUM_WP_VERSION = '5.6'; const ADDON_NAME = 'Product Levels'; const ADDON_KEY = 'product_levels'; public function __construct() { goto XJ593; ZHZLo: register_uninstall_hook(__FILE__, array(__CLASS__, 'uninstall')); goto mcqxI; mcqxI: if (version_compare($wp_version, '5.1.0', '<')) { goto jUWsI; } goto syRWR; KPWXC: goto aksRA; goto TssOg; hARou: add_filter('atum/addons/setup', array($this, 'register')); goto Yb0bC; XJ593: global $wp_version; goto lXfQJ; KT2Nk: add_action('before_woocommerce_init', array($this, 'declare_wc_compatibilities')); goto hARou; TssOg: jUWsI: goto KGciB; syRWR: add_action('wp_insert_site', array($this, 'new_site_created')); goto KPWXC; U2AY8: register_deactivation_hook(__FILE__, array(__CLASS__, 'deactivate')); goto ZHZLo; lXfQJ: register_activation_hook(__FILE__, array(__CLASS__, 'install')); goto U2AY8; vTDDy: add_action('plugins_loaded', array($this, 'check_dependencies_minimum_versions')); goto KT2Nk; x3QPH: aksRA: goto vTDDy; KGciB: add_action('wpmu_new_blog', array($this, 'new_blog_created'), 10, 6); goto x3QPH; Yb0bC: } public function register($installed) { $installed[self::ADDON_KEY] = array('name' => self::ADDON_NAME, 'description' => __("Lets you control company's Raw Materials and Product Parts", ATUM_LEVELS_TEXT_DOMAIN), 'addon_url' => 'https://stockmanagementlabs.com/addons/atum-product-levels/', 'version' => ATUM_LEVELS_VERSION, 'basename' => plugin_basename(__FILE__), 'bootstrap' => array($this, 'bootstrap')); return $installed; } public function bootstrap() { goto L1Uoy; FcHqc: if (!$this->check_minimum_versions()) { goto fdoDO; } goto C_e4X; lVXSU: new \AtumLevels\Bootstrap(self::ADDON_KEY); goto nP4Kv; qoxEt: require_once ATUM_LEVELS_PATH . 'vendor/autoload.php'; goto lVXSU; mW0l3: return $bootstrapped; goto nPByf; C_e4X: $bootstrapped = TRUE; goto qoxEt; nP4Kv: fdoDO: goto mW0l3; L1Uoy: $bootstrapped = FALSE; goto FcHqc; nPByf: } public static function deactivate() { goto i9HbA; i9HbA: if (!class_exists('\\Atum\\Components\\AtumAdminNotices')) { goto cBiI3; } goto xQxKw; xQxKw: \Atum\Components\AtumAdminNotices::clear_permament_notices(); goto n47mW; n47mW: cBiI3: goto ITqe_; ITqe_: } public static function install($network_wide) { goto Y27L1; zbGbB: goto Y3F0e; goto QrMq0; eAeK2: foreach ($wpdb->get_col("SELECT blog_id FROM {$wpdb->blogs}") as $blog_id) { goto yvCba; FXvOi: TH4hP: goto F71vH; yvCba: switch_to_blog($blog_id); goto oM6Zg; oM6Zg: self::create_order_boms_table(); goto uJdtt; uJdtt: restore_current_blog(); goto FXvOi; F71vH: } goto I99hy; NdD21: do_action('atum/product_levels/activated', '1.9.3.2'); goto A2mu6; pAAiQ: Y3F0e: goto NdD21; Y27L1: global $wpdb; goto rcaQb; rcaQb: if (is_multisite() && $network_wide) { goto XSClL; } goto pZbNp; QrMq0: XSClL: goto eAeK2; pZbNp: self::create_order_boms_table(); goto zbGbB; I99hy: Nqmwr: goto pAAiQ; A2mu6: } public static function uninstall() { goto OjSRE; dTvLW: delete_transient('atum_addons_list'); goto pwzd0; OjSRE: global $wpdb; goto dTvLW; pwzd0: $wpdb->query("DELETE FROM {$wpdb->options} WHERE option_name LIKE '%_atum_addon_status_%'"); goto yltjA; yltjA: } public function new_blog_created($blog_id, $user_id, $domain, $path, $site_id, $meta) { goto HCmVd; HCmVd: if (!is_plugin_active_for_network('atum-product-levels/atum-product-levels.php')) { goto yekfL; } goto oAVIa; J4OrF: self::create_order_boms_table(); goto AK81C; oAVIa: switch_to_blog($blog_id); goto J4OrF; AULFR: yekfL: goto Bod3r; AK81C: restore_current_blog(); goto AULFR; Bod3r: } public function new_site_created($wp_site) { goto wzlSA; LdMNV: self::create_order_boms_table(); goto HeAte; THuuy: switch_to_blog($wp_site->id); goto LdMNV; wzlSA: if (!is_plugin_active_for_network('atum-product-levels/atum-product-levels.php')) { goto Eoysw; } goto THuuy; hltyP: Eoysw: goto k0rB2; HeAte: restore_current_blog(); goto hltyP; k0rB2: } private static function create_order_boms_table() { goto TF24G; sz4_j: if (!$wpdb->has_cap('collation')) { goto f0D4L; } goto JGOLt; OKvEd: $sql = "CREATE TABLE {$table_name} (\n\t\t\t\t`id` bigint(20) NOT NULL AUTO_INCREMENT,\n\t\t\t\t`order_item_id` bigint(20) NOT NULL,\n\t\t\t\t`bom_id` bigint(20) unsigned NOT NULL,\n\t\t\t\t`bom_type` varchar(200) NOT NULL DEFAULT '',\n\t\t\t\t`qty` double DEFAULT NULL,\n\t\t\t\tPRIMARY KEY (`id`),\n\t\t\t\tKEY `order_item_id` (`order_item_id`),\n\t\t\t\tKEY `bom_id` (`bom_id`)\n\t\t\t) {$collate};"; goto e5vzl; OQjLK: f0D4L: goto OKvEd; JGOLt: $collate = $wpdb->get_charset_collate(); goto OQjLK; sbxye: dbDelta($sql); goto J4ZA6; ZRGlb: $table_name = $wpdb->prefix . 'atum_order_boms'; goto eLWdS; TF24G: global $wpdb; goto ZRGlb; Csy27: $collate = ''; goto sz4_j; e5vzl: require_once ABSPATH . 'wp-admin/includes/upgrade.php'; goto sbxye; eLWdS: if ($wpdb->get_var("SHOW TABLES LIKE '{$table_name}';")) { goto UbcPY; } goto Csy27; J4ZA6: UbcPY: goto F4Lrz; F4Lrz: } public function check_minimum_versions() { goto OHhPR; AeGIo: $message = sprintf(__('The %1$s add-on requires ATUM version %2$s or greater. Please update it.', ATUM_LEVELS_TEXT_DOMAIN), self::ADDON_NAME, self::MINIMUM_ATUM_VERSION); goto hW5ZP; bUARQ: goto AEqHj; goto lSIdS; lSIdS: nuVwD: goto qDPdz; TADER: S5A9Z: goto d5WJS; p9dcs: goto AEqHj; goto kLJp8; ot8aB: if (version_compare($wp_version, self::MINIMUM_WP_VERSION, '<')) { goto nuVwD; } goto SJQlL; hbWSb: goto AEqHj; goto TADER; r4_Wx: if (!$minimum_version) { goto yGxF9; } goto fr1Z_; rOuOP: Bsc9H: goto n9VdM; hW5ZP: $minimum_version = FALSE; goto bUARQ; n18aq: return $minimum_version; goto fxufJ; fr1Z_: if (!\Atum\Addons\Addons::get_addons_loader_class()::check_addon(self::ADDON_KEY, self::ADDON_NAME, plugin_basename(__FILE__))) { goto Bsc9H; } goto Tu4Do; J_oRn: AEqHj: goto r4_Wx; pUFtR: yGxF9: goto f9BXa; Kw1o6: $message = sprintf(__('The ATUM %s add-on requires WooCommerce to be activated.', ATUM_LEVELS_TEXT_DOMAIN), self::ADDON_NAME); goto NPF1Y; NPF1Y: $minimum_version = FALSE; goto hbWSb; pIVLE: $minimum_version = TRUE; goto wajti; gE2Py: $minimum_version = FALSE; goto p9dcs; HVmoL: AwO4s: goto n18aq; OHhPR: global $wp_version; goto pIVLE; SJQlL: if (!function_exists('wc')) { goto F7zGd; } goto GaGzt; rI9Ek: goto AwO4s; goto rOuOP; IRbMQ: if (!defined('ATUM_VERSION') || version_compare(ATUM_VERSION, self::MINIMUM_ATUM_VERSION, '<')) { goto IOaW2; } goto ot8aB; GaGzt: if (version_compare(wc()->version, self::MINIMUM_WC_VERSION, '<')) { goto S5A9Z; } goto dAF34; Tu4Do: goto AwO4s; goto pUFtR; rx2Oi: IOaW2: goto AeGIo; f9BXa: \Atum\Components\AtumAdminNotices::add_notice($message, 'product_levels_minimum_version', 'error'); goto rI9Ek; d5WJS: $message = sprintf(__("The %1\$s add-on requires the WooCommerce %2\$s version or greater. Please <a href='%3\$s'>update it</a>.", ATUM_LEVELS_TEXT_DOMAIN), self::ADDON_NAME, self::MINIMUM_WC_VERSION, esc_url(self_admin_url('update-core.php?force-check=1'))); goto lJ5j_; n9VdM: $minimum_version = FALSE; goto HVmoL; lJ5j_: $minimum_version = FALSE; goto J_oRn; wajti: $message = ''; goto IRbMQ; qDPdz: $message = sprintf(__("The %1\$s add-on requires the WordPress %2\$s version or greater. Please <a href='%3\$s'>update it</a>.", ATUM_LEVELS_TEXT_DOMAIN), self::ADDON_NAME, self::MINIMUM_WP_VERSION, esc_url(self_admin_url('update-core.php?force-check=1'))); goto gE2Py; dAF34: goto AEqHj; goto rx2Oi; kLJp8: F7zGd: goto Kw1o6; fxufJ: } public function check_dependencies_minimum_versions() { goto kSk12; e7wlM: $installed = get_plugins(); goto V9oJZ; eUHrY: hzcWI: goto yuLvH; WVK3Q: goto hzcWI; goto KQAGB; rHznS: if (!isset($installed[$atum_file])) { goto oQJJr; } goto VBwjO; yuLvH: if ($minimum_version) { goto kKqZ4; } goto Cwl6N; Cwl6N: add_action('admin_notices', function () use($message) { goto leoeu; i57a6: ?>
						</strong>
					</p>
				</div>
				<?php  goto mX3c4; leoeu: ?>
				<div class="atum-notice notice notice-error">
					<p>
						<strong>
							<?php  goto fG6u7; fG6u7: echo wp_kses_post($message); goto i57a6; mX3c4: }); goto LZh9d; G266M: $minimum_version = FALSE; goto eUHrY; VBwjO: if (!is_plugin_active($atum_file)) { goto d27pG; } goto c00c3; d2YkT: if (!function_exists('get_plugins')) { require_once ABSPATH . 'wp-admin/includes/plugin.php'; } goto e7wlM; j2L1o: $message = ''; goto d2YkT; SEawA: kOMId: goto hU5xd; LZh9d: kKqZ4: goto IhaSY; hU5xd: $message = sprintf(__('The ATUM %1$s add-on requires PHP version %2$s or greater. Please, update it or contact your hosting provider.', ATUM_LEVELS_TEXT_DOMAIN), self::ADDON_NAME, self::MINIMUM_PHP_VERSION); goto pWWuF; cb4uW: $message = sprintf(__("The ATUM %1\$s add-on requires the ATUM Inventory Management for WooCommerce plugin. Please <a href='%2\$s'>install it</a>.", ATUM_LEVELS_TEXT_DOMAIN), self::ADDON_NAME, admin_url('plugin-install.php?s=atum&tab=search&type=term')); goto NAww9; V9oJZ: $atum_file = 'atum-stock-manager-for-woocommerce/atum-stock-manager-for-woocommerce.php'; goto Dn2Rs; M0xI_: goto hzcWI; goto kQJ4U; kQJ4U: oQJJr: goto cb4uW; D4Pat: $message = sprintf(__("The ATUM %1\$s add-on requires the ATUM Inventory Management for WooCommerce plugin. Please enable it from <a href='%2\$s'>plugins page</a>.", ATUM_LEVELS_TEXT_DOMAIN), self::ADDON_NAME, admin_url('plugins.php')); goto G266M; c00c3: goto hzcWI; goto SEawA; NAww9: $minimum_version = FALSE; goto WVK3Q; KQAGB: d27pG: goto D4Pat; Dn2Rs: if (version_compare(phpversion(), self::MINIMUM_PHP_VERSION, '<')) { goto kOMId; } goto rHznS; pWWuF: $minimum_version = FALSE; goto M0xI_; kSk12: $minimum_version = TRUE; goto j2L1o; IhaSY: } public function declare_wc_compatibilities() { goto Puw0d; Puw0d: if (!class_exists('\\Automattic\\WooCommerce\\Utilities\\FeaturesUtil')) { goto VdpVn; } goto UGKqh; X2Ssc: VdpVn: goto xNLp1; UGKqh: FeaturesUtil::declare_compatibility('custom_order_tables', ATUM_LEVELS_BASENAME); goto X2Ssc; xNLp1: } } goto yXAGR; C8bmN: add_action('plugins_loaded', function () { goto Ciar8; NCiMK: define('ATUM_LEVELS_BASENAME', plugin_basename(__FILE__)); goto IPV7N; rUj8e: J34AE: goto zkygm; zkygm: if (defined('ATUM_LEVELS_PATH')) { goto OLSba; } goto qdpnf; EcoBk: define('ATUM_LEVELS_VERSION', '1.9.3.2'); goto MYsZb; nqBhZ: if (defined('ATUM_LEVELS_TEXT_DOMAIN')) { goto HBML5; } goto YNXaW; s8pew: OLSba: goto nqBhZ; qdpnf: define('ATUM_LEVELS_PATH', plugin_dir_path(__FILE__)); goto s8pew; IqUVy: HBML5: goto Uv01b; NY_bi: if (defined('ATUM_LEVELS_URL')) { goto J34AE; } goto hV0lS; YNXaW: define('ATUM_LEVELS_TEXT_DOMAIN', 'atum-product-levels'); goto IqUVy; IPV7N: PwkUm: goto vcX6R; Uv01b: if (defined('ATUM_LEVELS_BASENAME')) { goto PwkUm; } goto NCiMK; Ciar8: if (defined('ATUM_LEVELS_VERSION')) { goto MXMQx; } goto EcoBk; hV0lS: define('ATUM_LEVELS_URL', plugin_dir_url(__FILE__)); goto rUj8e; MYsZb: MXMQx: goto NY_bi; vcX6R: }); goto DXu2G; yXAGR: new AtumProductLevelsTrialAddon();
