<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Integrations; defined('ABSPATH') || die; use Atum\Components\AtumQueues; use Atum\Integrations\Wpml as AtumWpml; use AtumLevels\Inc\Globals; use AtumLevels\Models\BOMModel; use AtumLevels\Bootstrap; class Wpml { private static $instance; private $atum_wpml; private function __construct() { $this->atum_wpml = AtumWpml::get_instance(); $this->register_hooks(); } public function register_hooks() { goto zofr2; zofr2: if (!is_admin()) { goto DzmJl; } goto Bd40d; vbQan: add_filter('atum/product_levels/cols_delete_linked_bom', array($this, 'delete_original_linked_bom')); goto uZNaA; zXl8i: add_filter('atum/product_levels/product_id', array($this, 'set_original_product_id')); goto xJS17; LaYCd: DzmJl: goto GeKFE; Bd40d: add_filter('atum/product_levels/can_add_bom_panel', array($this, 'maybe_remove_bom_panel'), 10, 3); goto MJPIh; xJS17: add_filter('atum/product_levels/update_calculated_stock/bom_tree', array($this, 'add_product_translations_to_bom_tree'), 10, 2); goto chaX5; cM57l: add_filter('atum/product_levels/get_all_bom_children/product', array($this, 'current_product_language')); goto LaYCd; cTMuW: add_filter('atum/product_levels/ajax/json_search/where', array($this->atum_wpml, 'where_add_icl_translations'), 10, 3); goto cM57l; uZNaA: add_filter('atum/product_levels/bom_id', array($this, 'set_original_product_id')); goto zXl8i; BHt3S: add_filter('atum/product_levels/args_save_linked_bom', array($this, 'set_original_linked_bom')); goto vbQan; GeKFE: add_filter('wcml_variation_term_taxonomy_ids', array($this, 'add_bom_term_taxonomy_ids')); goto BHt3S; MJPIh: add_filter('atum/product_levels/ajax/json_search/select', array($this->atum_wpml, 'select_add_icl_translations'), 10, 3); goto cTMuW; chaX5: } public function set_original_linked_bom($bom_data) { goto R3X7d; RUXiL: $bom_data['bom_id'] = $this->atum_wpml::get_original_product_id($bom_data['bom_id']); goto o0ugF; o0ugF: return $bom_data; goto F408J; R3X7d: $bom_data['product_id'] = $this->atum_wpml::get_original_product_id($bom_data['product_id']); goto RUXiL; F408J: } public function delete_original_linked_bom($bom_data) { goto H32qy; N3RA_: BOMModel::clean_linked_bom($translated_product_id, []); goto kDrFg; H32qy: remove_filter('atum/product_levels/cols_delete_linked_bom', array($this, 'delete_original_linked_bom')); goto OEiXF; OEiXF: $translated_product_id = $bom_data['product_id']; goto uOW91; uOW91: $translated_bom_id = $bom_data['bom_id']; goto pohuG; qp57c: $bom_data['product_id'] = $this->atum_wpml::get_original_product_id($bom_data['product_id']); goto gpAWx; Jd_p8: if (!($bom_data['product_id'] !== $translated_product_id)) { goto QdsnC; } goto N3RA_; pohuG: $bom_data['product_id'] = $this->atum_wpml::get_original_product_id($bom_data['product_id']); goto Udby0; LJ5zD: if (!($bom_data['bom_id'] !== $translated_bom_id)) { goto kUIle; } goto vIm76; IV1IM: add_filter('atum/product_levels/cols_delete_linked_bom', array($this, 'delete_original_linked_bom')); goto qp57c; Udby0: $bom_data['bom_id'] = $this->atum_wpml::get_original_product_id($bom_data['bom_id']); goto Jd_p8; vIm76: BOMModel::delete_linked_bom($bom_data['product_id'], $translated_bom_id); goto w7I2J; pCBy1: return $bom_data; goto V1ckR; kDrFg: QdsnC: goto LJ5zD; w7I2J: kUIle: goto IV1IM; gpAWx: $bom_data['bom_id'] = $this->atum_wpml::get_original_product_id($bom_data['bom_id']); goto pCBy1; V1ckR: } public function set_original_product_id($bom_id) { return $this->atum_wpml::get_original_product_id($bom_id); } public function add_product_translations_to_bom_tree($bom_tree, $product_id) { goto MGqmS; au_1H: unset($translations[array_search($product_id, $translations)]); goto kNOgT; FdMNI: if (!is_array($translations)) { goto VyMl6; } goto au_1H; Seieg: duxQi: goto hD17w; MGqmS: if (!AtumQueues::is_running_async_hook()) { goto duxQi; } goto EeQ_P; EeQ_P: $translations = $this->atum_wpml::get_product_translations_ids($product_id); goto FdMNI; fD6YY: VyMl6: goto Seieg; hD17w: return $bom_tree; goto IACdz; kNOgT: $bom_tree = array_merge($bom_tree, $translations); goto fD6YY; IACdz: } public function current_product_language($product) { goto T8vJ7; dY204: $product_id = $product->get_id(); goto VHCyf; T8vJ7: if (!(AtumWpml::$sitepress->get_default_language() !== $this->atum_wpml->current_language)) { goto DLugd; } goto dY204; VHCyf: $translations = AtumWpml::get_product_translations_ids($product_id); goto yqie6; M2bj1: $product = wc_get_product($translations[$this->atum_wpml->current_language]); goto cNb24; cNb24: io3Ad: goto Ds2kg; yqie6: if (!(is_array($translations) && isset($translations[$this->atum_wpml->current_language]) && $translations[$this->atum_wpml->current_language] !== $product_id)) { goto io3Ad; } goto M2bj1; Ds2kg: DLugd: goto i6whv; i6whv: return $product; goto dJLrg; dJLrg: } public function maybe_remove_bom_panel($show, $product_id, $is_variation) { goto zdsh7; CCZPP: esc_html_e('You must edit original product instead.', ATUM_LEVELS_TEXT_DOMAIN); goto PhtDJ; zdsh7: if (!$this->atum_wpml->is_translation) { goto GTGmD; } goto KszY2; YivRf: ?>
			<div class="options-group translated-atum-product">
				<div class="alert alert-warning">
					<h3>
						<i class="atum-icon atmi-warning"></i>
						<?php  goto r2k9f; vDqpz: if ($is_variation) { goto yGMgZ; } goto mep5F; Uv3lm: ?>
					</h3>

					<p><?php  goto CCZPP; W_f6z: return $show; goto P81sp; PhtDJ: ?></p>
				</div>
			</div>
			<?php  goto vDqpz; KszY2: $show = FALSE; goto AYn4B; r2k9f: esc_html_e('BOMs can not be edited within translations', ATUM_LEVELS_TEXT_DOMAIN); goto Uv3lm; AYn4B: ?>
			<?php  goto h63HS; yFoOt: GTGmD: goto W_f6z; T7tOL: ?>
				<div id="bom_product_data" class="panel woocommerce_options_panel hidden">
			<?php  goto cxuYD; mep5F: ?>
				</div>
			<?php  goto uidXh; cxuYD: Ikw6h: goto YivRf; kXGEd: ?>
			<?php  goto yFoOt; uidXh: yGMgZ: goto kXGEd; h63HS: if ($is_variation) { goto Ikw6h; } goto T7tOL; P81sp: } public function add_bom_term_taxonomy_ids($get_variation_term_taxonomy_ids) { goto NgHNi; NgHNi: global $wpdb; goto gvWOL; gvWOL: $get_pl_tax_ids = $wpdb->get_col("SELECT tt.term_taxonomy_id FROM {$wpdb->terms} AS t LEFT JOIN {$wpdb->term_taxonomy} AS tt ON t.term_id = tt.term_id WHERE t.slug IN ( '" . implode("','", Globals::get_variable_product_levels()) . "' )"); goto Kr5Y6; Kr5Y6: foreach ($get_pl_tax_ids as $get_pl_tax_id) { $get_variation_term_taxonomy_ids[] = $get_pl_tax_id; Bej1r: } goto C71fv; B9A2o: return $get_variation_term_taxonomy_ids; goto SKGAP; C71fv: KClWZ: goto B9A2o; SKGAP: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto o8s6G; nXI90: self::$instance = new self(); goto j3kLH; j3kLH: DLVDO: goto bAbNO; o8s6G: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto DLVDO; } goto nXI90; bAbNO: return self::$instance; goto qePqz; qePqz: } }
