<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Api\Extenders; defined('ABSPATH') || die; use Atum\Components\AtumOrders\Models\AtumOrderModel; use Atum\Inc\Globals as AtumGlobals; use AtumLevels\Models\BOMModel; use AtumLevels\Models\BOMOrderItemsModel; class BOMOrders { private static $instance; private function __construct() { goto aqGgz; aqGgz: add_action('rest_api_init', array($this, 'register_order_fields'), 0); goto eT0yj; eT0yj: add_filter('woocommerce_rest_pre_insert_shop_order_object', array($this, 'check_boms_order_rest_api'), 1, 3); goto RoQMY; RoQMY: add_filter('atum/api/bom_orders/get_request_line_items', array($this, 'get_request_line_items'), 10, 2); goto t5tdt; t5tdt: } public function register_order_fields() { goto lLi0i; jFjuP: foreach ($order_types as $order_type) { goto oCcXz; oCcXz: add_filter("woocommerce_rest_{$order_type}_schema", array($this, 'filter_order_schema')); goto x13zv; akKuc: ozPKz: goto Ad13i; x13zv: add_filter("woocommerce_rest_prepare_{$order_type}_object", array($this, 'filter_order_response'), 10, 3); goto akKuc; Ad13i: } goto DtNsB; lLi0i: $order_types = array_keys(AtumGlobals::get_order_type_id('')); goto jFjuP; DtNsB: B9R3E: goto LCvuz; LCvuz: } private function get_extended_schema() { return array('bom_items' => array('description' => __('An array containing all the BOM order items linked to this order item', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'array', 'context' => array('view', 'edit'), 'items' => array('type' => 'object', 'properties' => array('id' => array('required' => TRUE, 'description' => __('The BOM order item ID.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'integer', 'context' => array('view', 'edit')), 'bom_id' => array('required' => TRUE, 'description' => __('The BOM product ID associated to the BOM order item.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'integer', 'context' => array('view', 'edit')), 'bom_type' => array('required' => TRUE, 'description' => __('The BOM product type.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'string', 'context' => array('view', 'edit')), 'qty' => array('required' => FALSE, 'description' => __('The quantity of the specified BOM that is used on the order item.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number', 'default' => 0, 'context' => array('view', 'edit')))))); } public function filter_order_schema($schema) { goto kPgmi; kPgmi: foreach ($this->get_extended_schema() as $field_name => $field_content) { $schema['line_items']['properties'][$field_name] = $field_content; iSYCC: } goto K96r1; ZUMXi: return $schema; goto eOJOZ; K96r1: Tyq1U: goto ZUMXi; eOJOZ: } public function filter_order_response($response, $object, $request) { goto XJkso; oP4qs: $order_data = $response->get_data(); goto utwTV; NThee: if (!$object instanceof \WP_Post) { goto rh8UH; } goto H05ps; xY1b_: rh8UH: goto oP4qs; mtCHQ: $response->set_data($order_data); goto i4u44; i4u44: j06CJ: goto oHTAV; XJkso: if (!$response instanceof \WP_HTTP_Response) { goto j06CJ; } goto NThee; H05ps: $object = wc_get_order($object); goto xY1b_; oHTAV: return $response; goto Bd_tu; utwTV: $order_data = $this->get_extended_order_data($order_data, $object); goto mtCHQ; Bd_tu: } private function get_extended_order_data($order_data, $order) { goto FleSp; t6KS7: nVoyO: goto PNRk1; WFvd9: foreach ($order_data['line_items'] as $order_data_item_index => $order_data_item) { goto HZk_0; he1Yf: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_data_item_id, AtumGlobals::get_order_type_id($order_type)); goto UbZqO; HZk_0: $order_data_item_id = $order_data_item['id']; goto pw3Mq; UbZqO: $filtered_bom_order_items = array(); goto nV8ND; HqoKM: w0pOV: goto H5lOn; X3i2Z: $order_data['line_items'][$order_data_item_index]['bom_items'] = $filtered_bom_order_items; goto HqoKM; nV8ND: foreach ($bom_order_items as $index => $bom_item_data) { goto FkIUc; BoplZ: lYkn9: goto q7olV; niFKZ: foreach ($bom_item_data as $key => $value) { goto s26KZ; U2E5c: GK31g: goto yiKbE; szZ6u: DzW1K: goto Y2FUf; s26KZ: if (!in_array($key, $bomi_props, TRUE)) { goto Lu9X6; } goto V2lzH; AB34E: Lu9X6: goto U2E5c; Y2FUf: yZjFJ: goto AB34E; V2lzH: switch ($schema['bom_items']['items']['properties'][$key]['type']) { case 'integer': $filtered_bom_order_items[$index][$key] = (int) $value; goto yZjFJ; case 'number': $filtered_bom_order_items[$index][$key] = (float) $value; goto yZjFJ; default: $filtered_bom_order_items[$index][$key] = $value; } goto szZ6u; yiKbE: } goto syM3N; syM3N: N4YUu: goto BoplZ; FkIUc: $bom_item_data = $this->filter_response_by_context($bom_item_data, 'view'); goto niFKZ; q7olV: } goto idq1S; pw3Mq: $order_type = $order instanceof \WC_Order ? $order->get_type() : $order->get_post_type(); goto he1Yf; idq1S: A4Xmk: goto X3i2Z; H5lOn: } goto ERXAx; VtDbu: $bomi_props = array_keys($schema['bom_items']['items']['properties']); goto WFvd9; PNRk1: return $order_data; goto o1IY9; ERXAx: zHHVU: goto t6KS7; FleSp: if (empty($order_data['line_items'])) { goto nVoyO; } goto E8vK2; E8vK2: $schema = $this->get_extended_schema(); goto VtDbu; o1IY9: } protected function filter_response_by_context($data, $context) { goto eRHkj; eRHkj: $schema = $this->get_extended_schema(); goto rXBRP; pIePg: foreach ($data as $key => $value) { goto n_Cee; WubBV: TSx4i: goto dYVeD; keTz2: goto TSx4i; goto QNxtD; n_Cee: if (!(empty($schema['properties'][$key]) || empty($schema['properties'][$key]['context']))) { goto Q9W71; } goto cAq1r; O_VUC: C8g9o: goto WubBV; rZkyH: ywF5e: goto O_VUC; sRM83: if (!('object' === $schema['properties'][$key]['type'] && !empty($schema['properties'][$key]['properties']))) { goto C8g9o; } goto G_8_F; MyojI: if (in_array($context, $schema['properties'][$key]['context'], TRUE)) { goto w1i0h; } goto GbZft; GbZft: unset($data->{$key}); goto keTz2; cAq1r: goto TSx4i; goto RIdoN; G_8_F: foreach ($schema['properties'][$key]['properties'] as $attribute => $details) { goto iYICl; FjBYy: h2AwW: goto GeAHv; TO__s: goto h2AwW; goto Jzm8p; LzqwY: SoYuf: goto FjBYy; v2TVq: if (!(!in_array($context, $details['context'], TRUE) && isset($data->{$key}->{$attribute}))) { goto SoYuf; } goto sMJto; sMJto: unset($data->{$key}->{$attribute}); goto LzqwY; iYICl: if (!empty($details['context'])) { goto MeZk8; } goto TO__s; Jzm8p: MeZk8: goto v2TVq; GeAHv: } goto rZkyH; RIdoN: Q9W71: goto MyojI; QNxtD: w1i0h: goto sRM83; dYVeD: } goto nA2m8; nA2m8: MRYjJ: goto HKRTm; rXBRP: $schema = $schema['bom_items']['items']; goto pIePg; HKRTm: return $data; goto yyAc_; yyAc_: } public function check_boms_order_rest_api($order, $request, $creating) { goto miJfL; W3fp8: return $order; goto yUvHE; sm8LH: $rest_api_force = isset($_REQUEST['force']) && 'true' === strtolower($_REQUEST['force']); goto nbLPu; GCg_T: $current_bom_ids = []; goto svUcK; svUcK: $received_bom_ids = []; goto r7hGt; gOEwC: return $order; goto CBoq4; raIt7: uJ23g: goto gOEwC; S6z5P: $line_items = $this->get_request_line_items([], $rest_api_data); goto LUfHZ; tih3G: VGce2: goto ywAE3; LUfHZ: foreach ($line_items as $line_item) { goto JJchJ; C7QQ8: foreach ($received_linked_boms as $received_bom) { goto K8FKY; Lzp0P: dubPf: goto vxB8S; QuQiy: qqZDs: goto Lzp0P; G4fwN: $diff++; goto cmGOZ; cmGOZ: $line['not_found'][] = array('bom_id' => $received_bom['bom_id'], 'bom_type' => $received_bom['bom_type'], 'qty' => $received_bom['qty']); goto QuQiy; K8FKY: if (!(empty($product_linked_boms) || FALSE !== in_array($received_bom['bom_id'], array_diff($received_bom_ids, $current_bom_ids)))) { goto qqZDs; } goto G4fwN; vxB8S: } goto z0F0f; WnZtv: foreach ($product_linked_boms as $linked_bom) { goto CGbLx; EXwv8: $current_bom_ids[] = $linked_bom->bom_id; goto Sgsjd; jLMEW: Jngol: goto aOu8C; GPz7M: goto vZ16K; goto H1tj5; aOu8C: vZ16K: goto UXj3a; Sgsjd: foreach ($received_linked_boms as $received_bom) { goto pylF7; tNWHr: UCDUR: goto ODyLg; DbZh5: $received_bom_ids[] = $received_bom['bom_id']; goto YMzpN; Nqam9: $diff++; goto yljLu; eF7lw: if (!((int) $received_bom['bom_id'] === (int) $linked_bom->bom_id && (float) $received_bom['qty'] !== (float) $linked_bom->qty)) { goto rzXHv; } goto Nqam9; pylF7: if (!(FALSE === in_array($received_bom['bom_id'], $received_bom_ids))) { goto jU1UJ; } goto DbZh5; tGVQV: goto Jngol; goto sGqyr; sGqyr: rzXHv: goto tNWHr; yljLu: $line['qty_not_matching'][] = array('bom_id' => (int) $linked_bom->bom_id, 'bom_type' => $linked_bom->bom_type, 'qty' => (float) $linked_bom->qty); goto tGVQV; YMzpN: jU1UJ: goto eF7lw; ODyLg: } goto jLMEW; CGbLx: if (in_array($linked_bom->bom_type, Globals::get_linked_bom_product_types())) { goto NKR_g; } goto GPz7M; H1tj5: NKR_g: goto EXwv8; UXj3a: } goto VLRDd; VLRDd: rL0q4: goto C7QQ8; McR74: $received_linked_boms = $line_item['bom_items']; goto HyDba; geRAq: TIz96: goto McR74; NnkGY: WxNwD: goto XxK6M; gpLLT: $line = ['product_id' => $line_item['product_id']]; goto WnZtv; HyDba: $product_linked_boms = BOMModel::get_linked_bom(apply_filters('atum/product_levels/product_id', $line_item['product_id'])); goto gpLLT; JJchJ: if (!(empty($line_item['product_id']) || empty($line_item['bom_items']))) { goto TIz96; } goto LjrR2; SHK4P: $rest_api_errors[] = $line; goto NnkGY; LjrR2: goto WxNwD; goto geRAq; z0F0f: V9Dqx: goto SHK4P; XxK6M: } goto tih3G; miJfL: $rest_api_data = $request->get_params(); goto sm8LH; ywAE3: if (!(!empty($rest_api_errors) && $diff > 0)) { goto uJ23g; } goto SZMnO; yUvHE: FzTrx: goto S6z5P; SZMnO: return new \WP_Error('atum_pl_rest_order_boms_qty', __('The provided BOMs do not match with the product BOMs.', ATUM_LEVELS_TEXT_DOMAIN), $rest_api_errors); goto raIt7; r7hGt: if (!(empty($rest_api_data) || $rest_api_force || empty($order))) { goto FzTrx; } goto W3fp8; nbLPu: $diff = 0; goto GCg_T; CBoq4: } public function get_request_line_items($line_items, $rest_api_data) { goto X4jfE; VCSNg: $line_items = $rest_api_data['line_items']; goto eeBLq; eeBLq: xqO5o: goto Sp859; Sp859: foreach (['update', 'create'] as $method) { goto wzd6R; wzd6R: if (!isset($rest_api_data[$method])) { goto ARgoR; } goto YENnn; ssEBi: o9I4e: goto XDwRi; XDwRi: ARgoR: goto U2QzT; U2QzT: WVp5t: goto oiQ9g; YENnn: foreach ($rest_api_data[$method] as $rest_action) { goto eyP72; sw70B: IDOdz: goto uCMAi; eyP72: if (!(isset($rest_action['line_items']) && !empty($rest_action['line_items']))) { goto jmZJm; } goto O0gtP; NkyC7: jmZJm: goto sw70B; O0gtP: $line_items = array_merge($rest_action['line_items'], $line_items); goto NkyC7; uCMAi: } goto ssEBi; oiQ9g: } goto HOSpv; X4jfE: if (!isset($rest_api_data['line_items'])) { goto xqO5o; } goto VCSNg; OOZSg: return $line_items; goto TcYX0; HOSpv: NwQ0b: goto OOZSg; TcYX0: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto DsdZf; aZEFJ: self::$instance = new self(); goto dWoeL; dWoeL: VjWVK: goto oU3wW; oU3wW: return self::$instance; goto TIf1D; DsdZf: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto VjWVK; } goto aZEFJ; TIf1D: } }
