<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Api\Extenders; defined('ABSPATH') || die; use Atum\Models\Products\AtumProductTrait; use Atum\Inc\Helpers as AtumHelpers; use AtumLevels\Inc\Globals; use AtumLevels\Inc\Helpers; use AtumLevels\Models\BOMModel; class ProductData { private static $instance; private $pl_product_fields = array('linked_bom' => ['get', 'update'], 'sync_purchase_price' => ['get', 'update'], 'bom_sellable' => ['get', 'update'], 'minimum_threshold' => ['get', 'update'], 'available_to_purchase' => ['get', 'update'], 'selling_priority' => ['get', 'update'], 'calculated_stock' => ['get', 'update'], 'is_bom' => ['get', 'update']); private $internal_meta_keys = array('_raw_materials', '_product_parts', '_sync_purchase_price', '_minimum_threshold_custom', '_minimum_threshold_currency'); private function __construct() { goto tfud5; wth3Y: add_filter('atum/api/product_data/internal_meta_keys', array($this, 'add_pl_internal_meta_keys')); goto OU2q3; qsINd: add_filter('atum/api/product_data/atum_query_args', array($this, 'prepare_atum_query_args'), 10, 2); goto XN8z2; kqMCt: dWJGF: goto qWYOH; ANdp7: add_filter('woocommerce_rest_pre_insert_product_variation_object', array($this, 'validate_product_before_saving'), 10, 3); goto LQ3Xa; LQ3Xa: add_filter('woocommerce_rest_insert_product_object', array($this, 'after_rest_product_save'), 10, 3); goto Uxe4g; qWYOH: add_filter('woocommerce_rest_pre_insert_product_object', array($this, 'prepare_bom_product_for_database'), 10, 3); goto qsINd; tfud5: add_filter('atum/api/product_data/extended_schema', array($this, 'add_pl_product_schema'), 9); goto uQNMe; Fvid6: foreach (['product', 'product_variation'] as $post_type) { add_filter("woocommerce_rest_prepare_{$post_type}_object", array($this, 'prepare_rest_response'), 10, 3); vYaqU: } goto kqMCt; uQNMe: add_filter('atum/api/product_data/product_fields', array($this, 'add_pl_product_fields'), 9); goto wth3Y; MgiEj: add_action('atum/api/product_data/update_product_field', array($this, 'update_field_value'), 10, 4); goto Fvid6; OU2q3: add_filter('atum/api/product_data/get_field_value', array($this, 'get_field_value'), 10, 4); goto MgiEj; XN8z2: add_filter('woocommerce_rest_pre_insert_product_object', array($this, 'validate_product_before_saving'), 10, 3); goto ANdp7; Uxe4g: } public function add_pl_product_schema($extended_product_schema) { $pl_product_schema = array('linked_bom' => array('required' => FALSE, 'description' => __('The BOM linked to this product with their quantities.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'array', 'items' => array('type' => 'object', 'properties' => array('bom_id' => array('description' => __('The linked BOM product ID.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'integer', 'required' => TRUE, 'context' => array('view', 'edit')), 'bom_type' => array('description' => __('The linked BOM product type.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'string', 'enum' => Globals::get_linked_bom_product_types(), 'context' => array('view', 'edit')), 'qty' => array('description' => __('The linked BOM quantity.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number', 'context' => array('view', 'edit')), 'measure_unit' => array('description' => __('The linked BOM measure unit.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'string', 'context' => array('view', 'edit')), 'delete' => array('description' => __('Whether to delete the linked BOM from the product.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'boolean', 'context' => array('edit'))))), 'bom_sellable' => array('required' => FALSE, 'description' => __('If the product is a BOM, indicates whether the product is sellable. It returns NULL for the products getting the global option value.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'boolean'), 'minimum_threshold' => array('required' => FALSE, 'description' => __("If the product is a BOM, indicates the product's minimum threshold.", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number'), 'available_to_purchase' => array('required' => FALSE, 'description' => __("If the product is a BOM, indicates the product's available to purchase amount.", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number'), 'selling_priority' => array('required' => FALSE, 'description' => __("If the product is a BOM, indicates the product's selling priority.", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'integer'), 'calculated_stock' => array('required' => FALSE, 'description' => __('If the BOM stock control is enabled and the product has linked BOM, it indicates the calculated stock quantity.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number'), 'sync_purchase_price' => array('required' => FALSE, 'description' => __("Whether to sync the product's purchase price with the BOM's purchase price.", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'boolean', 'default' => FALSE), 'is_bom' => array('required' => FALSE, 'description' => __('Whether the product id a BOM.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'boolean', 'default' => FALSE)); return array_merge($extended_product_schema, $pl_product_schema); } public function add_pl_product_fields($product_fields) { return array_merge($product_fields, $this->pl_product_fields); } public function add_pl_internal_meta_keys($internal_meta_keys) { return array_merge($internal_meta_keys, $this->internal_meta_keys); } public function get_field_value($field_value, $response, $field_name, $product) { goto e2Jmz; GPaJz: foreach ($field_value as $key => &$linked_bom) { goto a6WRw; mTi7f: D3Ctv: goto klsUm; sL1Ie: $linked_bom->qty = (float) $linked_bom->qty; goto mTi7f; a6WRw: $linked_bom->bom_id = (int) $linked_bom->bom_id; goto sL1Ie; klsUm: } goto YXdMf; TPAos: return $field_value; goto AAIV5; jgWTP: $field_value = Helpers::get_sync_purchase_price($product->get_id()); goto uQ9WG; HX7nJ: goto nWKFy; goto yND6J; fqxwd: rRM45: goto a7PBH; D48vS: goto nWKFy; goto fqxwd; a7PBH: $field_value = BOMModel::get_linked_bom($product->get_id()); goto jgce9; YXdMf: crAJl: goto E4dik; E4dik: is9C1: goto HX7nJ; jgce9: if (empty($field_value)) { goto is9C1; } goto GPaJz; yND6J: Eua0V: goto jgWTP; e2Jmz: if ('linked_bom' === $field_name) { goto rRM45; } goto JpetU; JpetU: if ('sync_purchase_price' === $field_name) { goto Eua0V; } goto D48vS; uQ9WG: nWKFy: goto TPAos; AAIV5: } public function update_field_value($field_value, $response, $field_name, $product) { goto rtY7s; xJsm1: EOT1_: goto nNZSi; gMLql: I33Qi: goto gZWDF; U8Xz0: $product_id = $product->get_id(); goto sXT7I; nNZSi: if (is_null($field_value)) { goto yud2k; } goto lGPzr; Pnyoy: lhbnu: goto SSEpm; OvFAn: w5LLC: goto Pnyoy; TWcQj: goto lhbnu; goto xJsm1; sXT7I: if ('linked_bom' === $field_name) { goto I33Qi; } goto gRLGo; kuoNW: yud2k: goto Dqk8q; gRLGo: if ('sync_purchase_price' === $field_name) { goto EOT1_; } goto X7BYc; Dqk8q: delete_post_meta($product_id, "_{$field_name}"); goto OvFAn; lGPzr: update_post_meta($product_id, "_{$field_name}", $field_value); goto KmWQV; mY8CR: PTQXn: goto TWcQj; rtY7s: if (!in_array($field_name, array_keys($this->pl_product_fields), TRUE)) { goto H5RYQ; } goto U8Xz0; KmWQV: goto w5LLC; goto kuoNW; SSEpm: H5RYQ: goto yu5d4; voHjG: H3VtR: goto mY8CR; gZWDF: if (!is_array($field_value)) { goto PTQXn; } goto w7sGL; w7sGL: foreach ($field_value as $linked_bom) { goto KtPFK; wO7fp: $bom_id = absint($linked_bom['bom_id']); goto Hsjon; sP8ut: goto EKOht; goto fkRyn; wH5Jw: BOMModel::save_linked_bom($linked_bom); goto YNsCH; r9RSF: WOt91: goto wO7fp; KEsW4: if (empty($linked_bom['bom_type'])) { goto p2oUF; } goto jHgz0; aNLmG: goto EKOht; goto W_gzw; qq1dj: BMPds: goto murK3; murK3: cTdQS: goto VG_fO; srQe7: throw new \WC_REST_Exception('atum_pl_rest_missing_bom_type', __('The BOM type is missing. Values: product_part, raw_material.', ATUM_LEVELS_TEXT_DOMAIN), 400); goto aNLmG; zO6rC: $linked_bom['product_id'] = $product_id; goto wH5Jw; j2cjc: throw new \WC_REST_Exception('atum_pl_rest_invalid_bom_product_type', __('The specified BOM has an invalid product type.', ATUM_LEVELS_TEXT_DOMAIN), 400); goto RXT7F; x_Fzc: EKOht: goto zO6rC; FIUVL: rq36A: goto Y5fyb; Y5fyb: BOMModel::delete_linked_bom($product_id, $bom_id, isset($linked_bom['bom_type']) ? $linked_bom['bom_type'] : ''); goto qq1dj; GKsS1: throw new \WC_REST_Exception('atum_pl_rest_missing_bom_id', __('The BOM ID is missing.', ATUM_LEVELS_TEXT_DOMAIN), 400); goto r9RSF; KtPFK: if (!empty($linked_bom['bom_id'])) { goto WOt91; } goto GKsS1; fkRyn: I73qH: goto jK5EV; jK5EV: throw new \WC_REST_Exception('atum_pl_rest_negative_bom_qty', __('The BOM quantity is negative', ATUM_LEVELS_TEXT_DOMAIN), 400); goto x_Fzc; jHgz0: if (empty($linked_bom['qty']) && 0 !== $linked_bom['qty']) { goto rSpEX; } goto JnACC; c6R0j: goto EKOht; goto QEAtC; iFITz: throw new \WC_REST_Exception('atum_pl_rest_missing_bom_qty', __('The BOM quantity is missing', ATUM_LEVELS_TEXT_DOMAIN), 400); goto sP8ut; YNsCH: goto BMPds; goto FIUVL; RXT7F: goto EKOht; goto RVSMU; Hsjon: if (isset($linked_bom['delete']) && TRUE === $linked_bom['delete']) { goto rq36A; } goto Vp3PG; W_gzw: rSpEX: goto iFITz; RVSMU: p2oUF: goto srQe7; Vp3PG: $bom = AtumHelpers::get_atum_product($bom_id, TRUE); goto qEH8p; JnACC: if (0.0 > (float) $linked_bom['qty']) { goto I73qH; } goto c6R0j; QEAtC: DyGde: goto j2cjc; qEH8p: if (FALSE === in_array($bom->get_type(), Globals::get_all_product_levels(), TRUE)) { goto DyGde; } goto KEsW4; VG_fO: } goto voHjG; X7BYc: goto lhbnu; goto gMLql; yu5d4: } public function prepare_rest_response($response, $object, $request) { goto DV1wQ; kGi4t: QxjMR: goto qVVFZ; xDjnD: goto QxjMR; goto PxQBi; qMi7J: goto QxjMR; goto K93ce; DV1wQ: $sapi = php_sapi_name(); goto EVm0F; K93ce: Tocgp: goto enOow; u6mhQ: if (!Globals::is_bom_product($object)) { goto JMgI1; } goto qMi7J; pWEAd: UruYj: goto kGi4t; qVVFZ: Vob5D: goto UIIlS; HEf6n: unset($product_data['calculated_stock']); goto pWEAd; m6pxK: if (BOMModel::has_linked_bom($object->get_id())) { goto UruYj; } goto HEf6n; hRJei: if (!(FALSE === in_array($sapi, ['cli', 'cgi-fcgi']) && !AtumHelpers::is_rest_request())) { goto Vob5D; } goto EZa0z; PxQBi: JMgI1: goto DJWBN; EZa0z: if (!Helpers::is_bom_stock_control_enabled()) { goto Tocgp; } goto u6mhQ; mQaWN: return $response; goto XMO89; mWhpH: $product_data = $response->get_data(); goto hRJei; DJWBN: unset($product_data['bom_sellable'], $product_data['minimum_threshold'], $product_data['available_to_purchase'], $product_data['selling_priority']); goto m6pxK; UIIlS: $response->set_data($product_data); goto DIKlL; DIKlL: BW_1A: goto mQaWN; enOow: unset($product_data['bom_sellable'], $product_data['minimum_threshold'], $product_data['available_to_purchase'], $product_data['selling_priority'], $product_data['calculated_stock']); goto xDjnD; EVm0F: if (!$object instanceof \WC_Product) { goto BW_1A; } goto mWhpH; XMO89: } public function prepare_bom_product_for_database($product, $request, $creating) { goto cS2sH; C0vpX: UxgWU: goto TDbgo; k_cpd: if (!in_array($product->get_type(), Globals::get_variable_product_levels())) { goto UxgWU; } goto cJPUW; cS2sH: if (!Globals::is_bom_product($product)) { goto BrNqW; } goto k_cpd; f0u2I: return $product; goto haF9c; fGvXd: $product->set_date_on_sale_from(''); goto RneN1; TDbgo: BrNqW: goto f0u2I; RneN1: $product->set_price(''); goto C0vpX; cJPUW: $product->set_regular_price(''); goto mkRmA; SflR5: $product->set_date_on_sale_to(''); goto fGvXd; mkRmA: $product->set_sale_price(''); goto SflR5; haF9c: } public function prepare_atum_query_args($atum_query_data, $request) { goto dmLV9; dmLV9: if (!isset($request['atum_bom_sellable'])) { goto N5oKp; } goto nTajo; LQnb6: N5oKp: goto bcjau; bcjau: return $atum_query_data; goto nGU4Q; nTajo: $atum_query_data['where'][] = array('key' => 'bom_sellable', 'value' => TRUE === wc_string_to_bool($request['atum_bom_sellable']) ? 1 : 0, 'type' => 'NUMERIC'); goto LQnb6; nGU4Q: } public function validate_product_before_saving($product, $request, $creating) { goto u_7v8; cZFWN: return $product; goto tR0HH; u_7v8: if (!((isset($request['stock_quantity']) || isset($request['manage_stock']) || isset($request['stock_status'])) && BOMModel::has_linked_bom($product->get_id()) && Helpers::is_bom_stock_control_enabled())) { goto OkIjt; } goto gZR9C; aiX9q: if (!array_key_exists('stock_quantity', $changes)) { goto OyS0S; } goto HLrVj; NZVeV: ZfoT1: goto UZicW; UZicW: OkIjt: goto cZFWN; gZR9C: $changes = $product->get_changes(); goto Wefpc; HWQiH: OyS0S: goto fMo2w; ihrxW: $product->set_manage_stock($old_data['manage_stock']); goto tzdLX; rrkVu: $product->set_stock_status($old_data['stock_status']); goto NZVeV; tzdLX: HVRiY: goto aiX9q; sdFVc: if (!array_key_exists('manage_stock', $changes)) { goto HVRiY; } goto ihrxW; Wefpc: $old_data = $product->get_data(); goto sdFVc; fMo2w: if (!array_key_exists('stock_status', $changes)) { goto ZfoT1; } goto rrkVu; HLrVj: $product->set_stock_quantity($old_data['stock_quantity']); goto HWQiH; tR0HH: } public function after_rest_product_save($product, $request, $creating) { goto MODuE; TOW60: JXpH5: goto QMm4o; i0Qzr: $bom_parents = Helpers::get_all_bom_parents($product->get_id()); goto vdxU4; MODuE: Helpers::recalculate_bom_tree_stock($product); goto yZsIS; yZsIS: if (!Globals::is_bom_product($product)) { goto JXpH5; } goto i0Qzr; vdxU4: Helpers::bulk_recalculate_bom_tree_stock($bom_parents, TRUE); goto TOW60; QMm4o: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto i0dRA; faXOs: return self::$instance; goto wBoXb; Xj8Hs: self::$instance = new self(); goto MdcGI; i0dRA: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto VVnAN; } goto Xj8Hs; MdcGI: VVnAN: goto faXOs; wBoXb: } }
