<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Addons\Addons; use Atum\Components\AtumStockDecimals; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\InventoryLogs\Items\LogItemProduct; use Atum\PurchaseOrders\Items\POItemProduct; use AtumLevels\Integrations\MultiInventory; use Atum\Settings\Settings as AtumSettings; use AtumLevels\ManufacturingCentral\Lists\ListTable; use AtumLevels\ManufacturingCentral\ManufacturingCentral; use AtumLevels\Models\BOMModel; use Automattic\WooCommerce\Utilities\OrderUtil; final class Ajax { private static $instance; private function __construct() { goto JJjVt; UHSlm: add_action('wp_ajax_atum_set_bom_order_item_inventories', array($this, 'set_bom_order_item_inventories')); goto HOouB; Y7EzK: add_action('wp_ajax_atum_json_search_product_parts', array($this, 'search_product_parts')); goto bprTh; EUfvg: add_action('wp_ajax_atum_pl_link_boms', array($this, 'link_boms')); goto eO9nw; HOouB: goto xvkpA; goto KshP1; gDEPB: Zi3EG: goto iePaA; KshP1: ItdKz: goto QvsO6; QvsO6: add_action('wp_ajax_woocommerce_refund_line_items', array($this, 'maybe_change_refund_update_stock'), 9); goto kcXZ8; JJjVt: add_action('wp_ajax_atum_json_search_raw_materials', array($this, 'search_raw_materials')); goto Y7EzK; j7bDr: add_action('wp_ajax_atum_set_bom_control_prop', array($this, 'set_bom_control_prop')); goto EUfvg; vdqN0: add_action('wp_ajax_atum_fetch_manufacturing_central_list', array($this, 'fetch_manufacturing_central_list')); goto zRKaU; WbVaQ: add_action('wp_ajax_atum_tool_pl_sync_stock', array($this, 'sync_real_stock')); goto gDEPB; AZBD0: add_action('wp_ajax_atum_get_bom_tree', array($this, 'get_bom_tree')); goto umGVt; I01Wq: if (!Helpers::is_bom_stock_control_enabled()) { goto Zi3EG; } goto WbVaQ; bprTh: add_action('wp_ajax_atum_json_search_boms', array($this, 'search_boms')); goto vdqN0; kcXZ8: xvkpA: goto I01Wq; zRKaU: add_action('wp_ajax_atum_get_bom_data', array($this, 'get_bom_data')); goto AZBD0; umGVt: add_action('wp_ajax_atum_set_variations_sellable_status', array($this, 'set_variations_sellable_status')); goto j7bDr; eO9nw: if (!Addons::is_addon_active('multi_inventory')) { goto ItdKz; } goto UHSlm; iePaA: } public function search_raw_materials() { $this->json_search_products('raw-material'); } public function search_product_parts() { $this->json_search_products('product-part'); } public function search_boms() { $this->json_search_products(['product-part', 'raw-material']); } private function json_search_products($product_type, $show_variations = TRUE) { goto r3bz1; gW2jl: goto qHz1o; goto aSKdU; RpqoJ: $excluded_ids = array_map('absint', explode(',', $_GET['exclude'])); goto LXvxa; LXvxa: if (empty($excluded_ids)) { goto h5T81; } goto zOCHC; axBkJ: if (!$post_limit) { goto NV61v; } goto t0XKY; FFLoo: if (!($show_variations && (!$post_limit || count($product_ids) < $post_limit))) { goto epgDX; } goto mTyWU; IjG6n: $found_products = array(); goto FFLoo; a8r3t: $type_term_ids = []; goto MQkLD; tzBKm: $limit = " LIMIT {$post_limit}"; goto ZAc4Y; XGATl: $variations_query = "\n\t\t\t\tSELECT DISTINCT ID FROM {$wpdb->posts} posts \t\t\t\n\t\t\t\tLEFT JOIN {$atum_data_table} apd ON posts.ID = apd.product_id\n\t\t\t\t{$meta_join}\n\t\t\t\tWHERE posts.post_status IN ('" . implode("','", $post_statuses) . "')\n\t\t\t\tAND posts.post_type = 'product_variation'\n\t\t\t\tAND posts.post_parent IN (" . $variables_query . ")\t\n\t\t\t\t{$exclude}\n\t\t\t\t{$include} \n\t\t\t\t{$search} \n\t\t\t"; goto axBkJ; TCOPc: JuRyi: goto XVn0i; YAh2z: foreach ($product_ids as $product_id) { goto aVpk9; iP23N: if (current_user_can('read_product', $product_id)) { goto fWcTI; } goto zrSr3; zhw60: $found_products[$product_id] = rawurldecode(wp_kses($product->get_formatted_name(TRUE), array())); goto tf_Wo; PrVW4: fWcTI: goto cYkyy; zrSr3: goto NLIZT; goto PrVW4; tf_Wo: NLIZT: goto TDA7Y; aVpk9: $product = AtumHelpers::get_atum_product($product_id); goto iP23N; qr8jj: goto NLIZT; goto D849j; D849j: zJSZB: goto zhw60; cYkyy: if (!(!$product instanceof \WC_Product || $product->is_type('variation') && empty($product->get_parent_id()))) { goto zJSZB; } goto qr8jj; TDA7Y: } goto ElCLi; ElCLi: NYbzn: goto sLK7V; wJxUq: if (!empty($wpdb->wc_product_meta_lookup)) { goto taknY; } goto lHge3; pFO3N: NV61v: goto BZfLU; OTNtH: $meta_join = "LEFT JOIN {$wpdb->wc_product_meta_lookup} pml ON posts.ID = pml.product_id"; goto xvP49; psz5C: $atum_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto BvnUu; hRRv4: $query_select = apply_filters('atum/product_levels/ajax/json_search/select', $query_select, $product_type, $post_types); goto wIq56; ZAc4Y: oTcRv: goto uIPBV; EebJe: egn31: goto F5zMj; IpxFc: wp_die(); goto J_G18; KHSrN: $exclude = ' AND posts.ID NOT IN (' . implode(',', $all_excluded_ids) . ')'; goto GJuuF; R6DmM: if (empty($_GET['exclude'])) { goto JuRyi; } goto RpqoJ; xvP49: qHz1o: goto psz5C; I3GZI: $search = $wpdb->prepare(" \t\t\t\n\t\t\t\tAND (\n\t\t\t\t\tposts.post_title LIKE %s\n\t\t\t\t\tOR posts.post_content LIKE %s\n\t\t\t\t\t{$sku_meta_search}\n\t\t\t\t\t{$supplier_sku_search}\n\t\t\t\t)\n\t\t\t", $like_term, $like_term); goto iCZrT; pTDn3: $where_clause = " WHERE posts.post_status IN ('" . implode("','", $post_statuses) . "')"; goto POyrx; BvnUu: $supplier_sku_search = $wpdb->prepare('OR apd.supplier_sku LIKE %s', $like_term); goto qSMtr; HEJod: wp_send_json($found_products); goto Ia6eI; YebtC: EsTbX: goto cnsRP; pm7ls: $query_select .= $where_clause; goto P03NR; CT1ap: SZr86: goto p9mdH; zOCHC: $all_excluded_ids = $this->get_excluded_from_json_search($excluded_ids); goto KHSrN; YjaX8: if (empty($product_ids)) { goto xM2xu; } goto YAh2z; nV6aE: $sku_meta_search = $wpdb->prepare('OR pml.sku LIKE %s', $like_term); goto OTNtH; GJuuF: h5T81: goto TCOPc; cnsRP: $exclude = $include = $limit = ''; goto obuua; OtXss: $product_ids = array_unique($wpdb->get_col($query)); goto IjG6n; iCZrT: goto EsTbX; goto NcEsf; dPMJ_: global $wpdb; goto U3TOw; Jl7Oj: $include = ' AND posts.ID IN (' . implode(',', array_map('absint', explode(',', $_GET['include']))) . ')'; goto CT1ap; WA029: $query .= ' AND termrelations.term_taxonomy_id IN (' . implode(',', $type_term_ids) . ')'; goto R6DmM; w7ik3: $product_ids = array_merge($product_ids, $variation_ids); goto NDhOC; NcEsf: MOJfA: goto X0Ish; POyrx: if (is_array($product_type)) { goto k_juF; } goto GvJYn; r3bz1: check_ajax_referer('search-products', 'security'); goto dPMJ_; XpDLb: $meta_join = "LEFT JOIN {$wpdb->postmeta} pm ON (posts.ID = pm.post_id AND pm.meta_key = '_sku')"; goto gW2jl; P1icM: k_juF: goto hRRv4; lHge3: $sku_meta_search = $wpdb->prepare('OR pm.meta_value LIKE %s', $like_term); goto XpDLb; t0XKY: $variations_query .= $wpdb->prepare(' LIMIT %d', $post_limit - count($product_ids)); goto pFO3N; P03NR: if (is_numeric($search_term)) { goto MOJfA; } goto I3GZI; GvJYn: $product_type = [$product_type]; goto P1icM; aSKdU: taknY: goto nV6aE; mTyWU: $variable_type_term_ids = []; goto qLEyZ; UNZnq: $found_products = apply_filters('atum/product_levels/ajax/json_search/found_products', $found_products); goto HEJod; qSMtr: $query_select = "\n\t\t  \tSELECT DISTINCT ID FROM {$wpdb->posts} posts \n\t\t\t{$meta_join}\n\t\t\tLEFT JOIN {$wpdb->term_relationships} as termrelations ON (posts.ID = termrelations.object_id)\n\t\t\tLEFT JOIN {$atum_data_table} apd ON posts.ID = apd.product_id\n\t\t"; goto pTDn3; wIq56: $where_clause = apply_filters('atum/product_levels/ajax/json_search/where', $where_clause, $product_type, $post_types); goto pm7ls; qLEyZ: foreach ($product_type as $type) { goto ff8dE; upvU1: gCNum: goto lRAdh; m6XtW: if (!(!empty($variable_type_term) && !is_wp_error($variable_type_term))) { goto JiyK9; } goto POKXM; GeqM7: JiyK9: goto upvU1; ff8dE: $variable_type_term = get_term_by('slug', "variable-{$type}", 'product_type'); goto m6XtW; POKXM: $variable_type_term_ids[] = $variable_type_term->term_taxonomy_id; goto GeqM7; lRAdh: } goto EebJe; MQkLD: foreach ($product_type as $type) { goto T2XW1; alhXB: E57a8: goto POdCX; BA8_G: t4JDR: goto alhXB; cjcX4: if (!(!empty($product_type_term) && !is_wp_error($product_type_term))) { goto t4JDR; } goto EEg_s; T2XW1: $product_type_term = get_term_by('slug', $type, 'product_type'); goto cjcX4; EEg_s: $type_term_ids[] = $product_type_term->term_taxonomy_id; goto BA8_G; POdCX: } goto I_Eti; ZVkMN: if (!empty($search_term)) { goto yo1qc; } goto IpxFc; XVn0i: if (empty($_GET['include'])) { goto SZr86; } goto Jl7Oj; WPgZ7: $search_term = wc_clean(stripslashes($_GET['term'])); goto ZVkMN; J_G18: yo1qc: goto RxSLz; X0Ish: $search = $wpdb->prepare(" \n\t\t\t\tAND (\n\t\t\t\t\tposts.post_parent = %d\n\t\t\t\t\tOR posts.ID = %d\n\t\t\t\t\tOR posts.post_title LIKE %s\n\t\t\t\t\t{$sku_meta_search}\n\t\t\t\t\t{$supplier_sku_search}\n\t\t\t\t)\n\t\t\t", $search_term, $search_term, $like_term); goto YebtC; dhLWn: $post_limit = !empty($_GET['limit']) ? intval($_GET['limit']) : 0; goto wJxUq; BZfLU: $variation_ids = array_unique($wpdb->get_col($variations_query)); goto w7ik3; NDhOC: epgDX: goto YjaX8; I_Eti: TmhO2: goto WA029; sLK7V: xM2xu: goto UNZnq; tgSXY: $post_types = ['product']; goto oufoR; RxSLz: $like_term = '%' . $wpdb->esc_like($search_term) . '%'; goto tgSXY; U3TOw: ob_start(); goto WPgZ7; p9mdH: if (!$post_limit) { goto oTcRv; } goto tzBKm; uIPBV: $query .= $exclude . $include . $limit; goto OtXss; F5zMj: $variables_query = "\n\t\t\t\tSELECT DISTINCT ID FROM {$wpdb->posts} posts \t\t\n\t\t\t\tLEFT JOIN {$wpdb->term_relationships} AS termrelations ON (posts.ID = termrelations.object_id)\n\t\t\t\tWHERE posts.post_status IN ('" . implode("','", $post_statuses) . "')\n\t\t\t\tAND posts.post_type = 'product'\n\t\t\t\tAND termrelations.term_taxonomy_id IN (" . implode(',', $variable_type_term_ids) . ")\t\n\t\t\t\t{$exclude}\n\t\t\t\t{$include}\t\t\n\t\t\t"; goto XGATl; obuua: $query = $query_select . $search . " AND posts.post_type IN ('" . implode("','", array_map('esc_sql', $post_types)) . "')"; goto a8r3t; oufoR: $post_statuses = AtumGlobals::get_queryable_product_statuses(); goto dhLWn; Ia6eI: } private function get_excluded_from_json_search($excluded_ids) { goto l8bwp; kgBzD: P1Vxf: goto fFDLB; fFDLB: return array_unique($all_excluded_ids); goto Q1XZU; ofK0l: $variable = AtumHelpers::get_atum_product($product->get_parent_id()); goto idfM8; wxK2U: $all_excluded_ids = array_merge($all_excluded_ids, $variations); goto W7wI6; C_mN1: $current_product_id = absint($_GET['display_stock']); goto vqSXZ; idfM8: $variations = array_diff($variable->get_children(), [$current_product_id]); goto wxK2U; Dwv0y: if (!('product_variation' === get_post_type($current_product_id))) { goto sZsG3; } goto luuD0; luuD0: $product = AtumHelpers::get_atum_product($current_product_id); goto ofK0l; vqSXZ: $associated_products = BOMModel::get_associated_products($current_product_id); goto pjm7h; W7wI6: sZsG3: goto kgBzD; pjm7h: $all_excluded_ids = array_merge($all_excluded_ids, wp_list_pluck($associated_products, 'product_id')); goto Dwv0y; MMAil: if (empty($_GET['display_stock'])) { goto P1Vxf; } goto C_mN1; l8bwp: $all_excluded_ids = $excluded_ids; goto MMAil; Q1XZU: } public function fetch_manufacturing_central_list($return_data = FALSE) { goto hMS8C; wekQa: $namespace = '\\AtumLevels\\ManufacturingCentral\\Lists'; goto T11k_; T4Kjl: $list_class = apply_filters('atum/ajax/manufacturing_central_list/list_table_class', $list_class, $args); goto irTTS; irTTS: $list = new $list_class($args); goto cvDu1; RJGgB: $args = array('per_page' => !empty($_REQUEST['per_page']) ? absint($_REQUEST['per_page']) : AtumHelpers::get_option('posts_per_page', AtumSettings::DEFAULT_POSTS_PER_PAGE), 'show_cb' => TRUE, 'show_controlled' => !empty($_REQUEST['show_controlled']) && (bool) $_REQUEST['show_controlled'], 'screen' => AtumGlobals::ATUM_UI_HOOK . '_page_' . ManufacturingCentral::UI_SLUG); goto TumY1; gGXTJ: $_REQUEST['view'] = ''; goto ZlAnM; hMS8C: check_ajax_referer('atum-list-table-nonce', 'security'); goto RJGgB; cvDu1: return $list->ajax_response($return_data); goto NzUbF; sxDZL: do_action('atum/product_levels/ajax/manufacturing_central_list/before_fetch_stock', $this); goto wekQa; TumY1: if (!(!empty($_REQUEST['view']) && 'all_stock' === $_REQUEST['view'])) { goto xv8XE; } goto gGXTJ; ZlAnM: xv8XE: goto sxDZL; T11k_: $list_class = $args['show_controlled'] ? "{$namespace}\\ListTable" : "{$namespace}\\UncontrolledListTable"; goto T4Kjl; NzUbF: } public function get_bom_data() { goto k9C1x; o8qNh: wp_die(); goto oKrYF; Oijqq: if (isset($_POST['bom_id'], $_POST['product_id'])) { goto zWZYL; } goto o8qNh; XTcX2: add_filter('woocommerce_placeholder_img', array('\\Atum\\Inc\\Helpers', 'get_product_image_placeholder'), 10, 3); goto rZt43; s0zGJ: $product_id = absint($_POST['product_id']); goto RA9my; G50HP: $bom_data = (object) ['bom_id' => absint($_POST['bom_id']), 'qty' => 1]; goto s0zGJ; rZt43: $bom_list = AtumHelpers::load_view_to_string(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/bom-list-item', compact('bom_data', 'product_id', 'bom_item_real_cost')); goto ktguP; oKrYF: zWZYL: goto G50HP; k9C1x: check_ajax_referer('atum-bom-meta-box-nonce', 'security'); goto Oijqq; ktguP: wp_die($bom_list); goto CQbk4; RA9my: $bom_item_real_cost = AtumHelpers::get_option('pl_bom_item_real_cost', 'no'); goto XTcX2; CQbk4: } public function get_bom_tree() { goto zhzcN; AdNMC: $top_level_parents = array_unique(Helpers::find_top_level_parents($product_id)); goto B2YEF; PHpgU: EF3dG: goto AdNMC; pNmQ9: $bom_tree[] = self::add_bom_tree_node($product_id); goto Te_ZL; xYE0_: wp_send_json_error(__('No valid product ID provided', ATUM_LEVELS_TEXT_DOMAIN)); goto pCalN; pCalN: FOjVF: goto GLYMo; Te_ZL: goto K69S_; goto PHpgU; TjQu8: K69S_: goto x_VJK; vT0pG: if (!empty($_POST['product_id'])) { goto FOjVF; } goto xYE0_; LKEem: $bom_tree = array(); goto iQ93F; zhzcN: check_ajax_referer('atum-bom-tree-nonce', 'security'); goto vT0pG; B2YEF: foreach ($top_level_parents as $parent) { $bom_tree[] = self::add_bom_tree_node($parent, $product_id); d5Ipp: } goto FtwiW; Ks3Gq: $is_full_tree = !empty($_POST['full_tree']) && 'yes' === $_POST['full_tree']; goto LKEem; iQ93F: if ($is_full_tree) { goto EF3dG; } goto pNmQ9; FtwiW: s3A8S: goto TjQu8; GLYMo: $product_id = absint($_POST['product_id']); goto Ks3Gq; x_VJK: wp_send_json($bom_tree); goto omMgl; omMgl: } private static function add_bom_tree_node($product_id, $selected_node = NULL) { goto lgyeN; Ba6k0: KrQgL: goto xvscB; Mc8LA: $qty = $product->get_stock_quantity(); goto rsFqf; rsFqf: $css = ''; goto d2XD9; nqXmY: if ($product->managing_stock()) { goto Oyz9L; } goto V8NeU; h4oiL: FU8JG: goto CClTS; SGPKQ: Zeydc: goto h4oiL; g35fO: $node_params = array('text' => $product->get_name(), 'href' => get_edit_post_link($is_variation ? $product->get_parent_id() : $product_id), 'hrefTarget' => '_blank', 'isActive' => TRUE, 'isExpanded' => TRUE, 'isFolder' => TRUE, 'uiIcon' => AtumHelpers::get_atum_icon_type($product), 'children' => Helpers::get_all_bom_children($product_id, '', TRUE, $selected_node)); goto nqXmY; p2_b0: do_action('atum/product_levels/ajax/before_add_bom_tree_node', $product); goto g35fO; d2XD9: switch ($product->get_stock_status()) { case 'instock': $css = 'color-success'; goto pghbo; case 'outofstock': $css = 'color-danger'; goto pghbo; case 'onbackorder': $css = 'color-warning'; goto pghbo; } goto Ba6k0; hsS3Y: $node_params['text'] .= ' <i class="atum-tooltip atum-icon atmi-question-circle ' . $css . '" title="' . esc_attr($tooltip) . '"></i>'; goto wt4pr; nWDR9: do_action('atum/product_levels/ajax/after_add_bom_tree_node', $product); goto uPsy8; edxtL: switch ($product->get_stock_status()) { case 'instock': goto k4rKn; ZIMp6: $css = 'color-success'; goto P0VPR; P0VPR: goto FU8JG; goto Jm6cf; k4rKn: $tooltip = __('Item in stock and not managed by WooCommerce', ATUM_LEVELS_TEXT_DOMAIN); goto ZIMp6; Jm6cf: case 'outofstock': goto uszW9; uszW9: $tooltip = __('Item out-of-stock and not managed by WooCommerce', ATUM_LEVELS_TEXT_DOMAIN); goto CHoF5; TISez: goto FU8JG; goto gv2MK; CHoF5: $css = 'color-danger'; goto TISez; gv2MK: case 'onbackorder': goto Qdq4g; I36yc: $css = 'color-warning'; goto Cg9cw; Cg9cw: goto FU8JG; goto pRUJt; Qdq4g: $tooltip = __('Item on backorder and not managed by WooCommerce', ATUM_LEVELS_TEXT_DOMAIN); goto I36yc; pRUJt: } goto SGPKQ; CClTS: if (!$tooltip) { goto Vn9DK; } goto hsS3Y; hkBkk: VgtM9: goto IBhij; KeslW: Oyz9L: goto Mc8LA; ihEp5: goto MHJfk; goto KeslW; V8NeU: $tooltip = $css = ''; goto edxtL; xvscB: pghbo: goto kvk19; IBhij: $product_type = $product->get_type(); goto FJBpc; wt4pr: Vn9DK: goto ihEp5; FJBpc: $is_variation = str_contains($product_type, 'variation'); goto p2_b0; kvk19: $node_params['text'] .= ' <span class="item-qty ' . $css . '">(' . apply_filters('atum/product_levels/ajax/add_bom_tree_node_qty', $qty, $product) . ')</span>'; goto EJgyi; r0dgW: return []; goto hkBkk; lgyeN: $product = wc_get_product($product_id); goto NfA5k; NfA5k: if ($product instanceof \WC_Product) { goto VgtM9; } goto r0dgW; EJgyi: MHJfk: goto nWDR9; uPsy8: return $node_params; goto eh5Bv; eh5Bv: } public function set_variations_sellable_status() { goto w6azl; FzEdq: HRN4Y: goto e37_J; gyv82: if ($product instanceof \WC_Product) { goto CRxsk; } goto Vc48T; M4hmZ: $product->save_atum_data(); goto Bhi1Q; Ocp8r: wp_send_json_error(__('No status specified', ATUM_LEVELS_TEXT_DOMAIN)); goto BzJR9; GajDe: CRxsk: goto xET_A; O6Ni5: KAWnA: goto JIbu4; w6azl: check_ajax_referer('atum-product-data-nonce', 'security'); goto gZ5OB; yvsyl: foreach ($variations as $variation_id) { goto ot39v; MpTR_: $variation->set_bom_sellable(in_array($status, ['yes', 'no'], TRUE) ? $status : NULL); goto DrIhp; ot39v: $variation = AtumHelpers::get_atum_product($variation_id); goto MpTR_; DrIhp: $variation->save_atum_data(); goto nqaOz; nqaOz: xzkr1: goto VzHWo; VzHWo: } goto FzEdq; YXEq6: $variations = $product->get_children(); goto yvsyl; Ov3hv: $product->set_bom_sellable(in_array($status, ['yes', 'no'], TRUE) ? $status : NULL); goto M4hmZ; BzJR9: QpejK: goto Ef4OP; q6uaF: wp_send_json_error(__('No parent ID specified', ATUM_LEVELS_TEXT_DOMAIN)); goto O6Ni5; e37_J: $product = AtumHelpers::get_atum_product($product); goto Ov3hv; xET_A: $status = esc_attr($_POST['value']); goto YXEq6; gZ5OB: if (!empty($_POST['parent_id'])) { goto KAWnA; } goto q6uaF; Bhi1Q: wp_send_json_success(__('All the variations were updated successfully', ATUM_LEVELS_TEXT_DOMAIN)); goto M8ZV8; JIbu4: if (!(!isset($_POST['value']) || FALSE === in_array($_POST['value'], ['yes', 'no', '']))) { goto QpejK; } goto Ocp8r; Ef4OP: $product = wc_get_product(absint($_POST['parent_id'])); goto gyv82; Vc48T: wp_send_json_error(__('Invalid parent product', ATUM_LEVELS_TEXT_DOMAIN)); goto GajDe; M8ZV8: } public function set_bom_control_prop() { goto G1XBw; asMR4: $product_id = absint($_POST['product_id']); goto FHmy7; G1XBw: check_ajax_referer('bom-associates-props-nonce', 'security'); goto zcpUE; Bq25o: wp_send_json_success(__('Property successfully updated', ATUM_LEVELS_TEXT_DOMAIN)); goto vvcQv; LhTJ8: wp_send_json_error(__('Property not found for product', ATUM_LEVELS_TEXT_DOMAIN)); goto XXXiQ; oC7iJ: call_user_func(array($product, "set_{$meta_key}"), $_POST['value']); goto H0lZ5; H0lZ5: $product->save_atum_data(); goto Qm93D; Hs8lT: Helpers::defer_recalculate_bom_tree_stock($product_id); goto sREAd; FHmy7: $product = AtumHelpers::get_atum_product($product_id); goto Qulob; vGFJP: wp_send_json_error(__('Invalid data', ATUM_LEVELS_TEXT_DOMAIN)); goto LUCUK; LUCUK: xgw_q: goto asMR4; zcpUE: if (isset($_POST['meta'], $_POST['value'], $_POST['product_id'])) { goto xgw_q; } goto vGFJP; sREAd: mAc33: goto Bq25o; Qulob: if ($product instanceof \WC_Product) { goto sMbI7; } goto KklKQ; KklKQ: wp_send_json_error(__('The product does not exist', ATUM_LEVELS_TEXT_DOMAIN)); goto fPqVa; fPqVa: sMbI7: goto DXz2Z; Qm93D: if (!in_array($meta_key, ['selling_priority', 'minimum_threshold'], TRUE)) { goto mAc33; } goto Hs8lT; vvcQv: Viem8: goto LhTJ8; YpJLv: if (!is_callable(array($product, "set_{$meta_key}"))) { goto Viem8; } goto oC7iJ; DXz2Z: $meta_key = esc_attr($_POST['meta']); goto YpJLv; XXXiQ: } public function maybe_change_refund_update_stock() { goto PXQwl; unn0I: $_POST['restock_refunded_items'] = FALSE; goto qaygj; pxA6J: $restock_refunded_items = 'true' === $_POST['restock_refunded_items']; goto unn0I; PXQwl: check_ajax_referer('order-item', 'security'); goto bMn1O; bMn1O: global $order_refund_restock; goto PjKAa; qaygj: $order_refund_restock[$order_id] = $restock_refunded_items; goto c9al1; PjKAa: $order_id = absint($_POST['order_id']); goto pxA6J; c9al1: } public function sync_real_stock() { goto b5CTr; v25ol: G8FcG: goto FfLLw; qEcL7: if (!$result) { goto G8FcG; } goto vZDqu; BDRFN: if (!empty($_POST['option'])) { goto oKVsF; } goto tR2Je; zddfz: oKVsF: goto uGVMy; vZDqu: do_action('atum/ajax/tool_sync_real_stock', $step, $offset); goto rA6xY; b5CTr: check_ajax_referer('atum-script-runner-nonce', 'security'); goto BDRFN; FfLLw: wp_send_json_error(__('Something failed when updating the stock.', ATUM_LEVELS_TEXT_DOMAIN)); goto LjZuL; Qqe6q: $result = Helpers::sync_all_real_bom_stock($step, $offset, $delete_transients); goto qEcL7; tR2Je: wp_send_json_error(__('Please enter the number of products you want to process per AJAX call', ATUM_LEVELS_TEXT_DOMAIN)); goto zddfz; rA6xY: wp_send_json_success($result); goto v25ol; uGVMy: $step = isset($_POST['option']) ? (int) $_POST['option'] : 400; goto L1rko; L1rko: $offset = isset($_POST['offset']) ? (int) $_POST['offset'] : 0; goto PG8JD; PG8JD: $delete_transients = 0 === $offset ? TRUE : FALSE; goto Qqe6q; LjZuL: } public function set_bom_order_item_inventories() { goto SZrr3; O2dAc: $order_item_id = absint($_POST['order_item_id']); goto hwb4t; Kg3Ak: Helpers::set_bom_order_items_transient($order_id, $order_item_id, $bom_inventories); goto JE5Mz; MNrgP: $bom_ids = array_map('absint', $_POST['bom_ids']); goto hcHuP; QVyaf: OKhlC: goto apHxy; wenWv: JVc19: goto PlDcV; GTm2o: foreach ($bom_ids as $bom_id) { $bom_inventories[$bom_id] = wp_list_filter($_POST['inventories'], ['bom_id' => $bom_id]); xatyC: } goto PUDQO; QYLAN: if (!(empty($_POST['order_id']) || empty($_POST['order_item_id']) || empty($_POST['bom_ids']) || !is_array($_POST['bom_ids']) || empty($_POST['order_item_qty']))) { goto tec12; } goto wxPQT; n2b0Y: $order_type = OrderUtil::get_order_type($order_id); goto wenWv; EhFUy: $bom_inventories = MultiInventory::get_instance()->get_calculated_bom_order_items($product_id, $order_item_qty, $order_item_id); goto WMHeX; PUDQO: Nv6ty: goto v7J0d; hcHuP: $order_id = absint($_POST['order_id']); goto O2dAc; hwb4t: $order_item_qty = !AtumStockDecimals::get_stock_decimals() ? absint($_POST['order_item_qty']) : floatval(absint($_POST['order_item_qty'])); goto v7Vhi; v7J0d: rJaeo: goto Kg3Ak; wxPQT: wp_send_json_error(__('Invalid data', ATUM_LEVELS_TEXT_DOMAIN)); goto P4EGt; IAoTS: if (!(!$order_type && AtumHelpers::is_using_hpos_tables())) { goto JVc19; } goto n2b0Y; P4EGt: tec12: goto MNrgP; SZrr3: check_ajax_referer('atum-pl-orders-nonce', 'security'); goto QYLAN; apHxy: muhzR: goto FhKLZ; FhKLZ: $product_id = $order_item->get_product_id(); goto EhFUy; PlDcV: $order_type_id = AtumGlobals::get_order_type_id($order_type); goto ONGeG; ONGeG: switch ($order_type_id) { case 2: $order_item = new POItemProduct($order_item_id); goto muhzR; case 3: $order_item = new LogItemProduct($order_item_id); goto muhzR; default: $order_item = \WC_Order_Factory::get_order_item($order_item_id); goto muhzR; } goto QVyaf; v7Vhi: $order_type = get_post_type($order_id); goto IAoTS; JE5Mz: $result = apply_filters('atum/product_levels/ajax/bom_order_item_inventories', '', $order_item_id, $order_id, $bom_inventories); goto pg2ON; WMHeX: if (!(!empty($_POST['inventories']) && is_array($_POST['inventories']))) { goto rJaeo; } goto GTm2o; pg2ON: wp_send_json_success($result); goto cBHOT; cBHOT: } public function link_boms() { goto eNHHz; IU7Bn: if (!$num_linked) { goto zup98; } goto B3gBz; GOglf: if (!(empty($_POST['parentIds']) || !is_array($_POST['parentIds']) || empty($_POST['addItems']) || !is_array($_POST['addItems']))) { goto mP1yb; } goto xRuZT; zQg_z: j19m8: goto IU7Bn; eNHHz: check_ajax_referer('atum-pl-link-boms-nonce', 'security'); goto GOglf; FTztX: zup98: goto zl9TE; vTi5x: mP1yb: goto QwB9D; B3gBz: wp_send_json_success(_n('BOM(s) linked to the selected product successfully', 'BOM(s) linked to the selected products successfully', count($_POST['parentIds']), ATUM_LEVELS_TEXT_DOMAIN)); goto FTztX; BGi89: foreach ($_POST['parentIds'] as $product_id) { goto xiMTq; dmh9k: nqMQN: goto uPK4a; hRB8O: n95Il: goto KmzFV; uPK4a: foreach ($_POST['addItems'] as $item) { goto X0T1b; GgKjp: if (in_array($product_type, ['raw-material', 'raw-material-variation'])) { goto ktrQb; } goto orptv; oXZ36: $bom_id = absint($item['id']); goto HpBDQ; d8BEq: $num_linked++; goto Y9Q4E; orptv: if (in_array($product_type, ['product-part', 'product-part-variation'])) { goto aCjnZ; } goto N1SeB; kIi_e: ktrQb: goto P0H7I; PqhWO: goto bxcOD; goto kIi_e; Y9Q4E: d_Pbi: goto ANX5_; rjFGQ: if ($bom_product instanceof \WC_Product) { goto PO5s4; } goto YyB6O; ceacJ: PO5s4: goto TfOhq; WDAN1: goto d_Pbi; goto S1f87; KrSkH: BOMModel::save_linked_bom(array('product_id' => $product_id, 'bom_id' => $bom_id, 'qty' => (float) $item['qty'] ?: 1, 'bom_type' => $bom_type)); goto d8BEq; AxRQI: $bom_type = 'product_part'; goto t0eKV; N1SeB: goto d_Pbi; goto PqhWO; hZnKP: aCjnZ: goto AxRQI; FDVQM: goto bxcOD; goto hZnKP; P0H7I: $bom_type = 'raw_material'; goto FDVQM; TfOhq: $product_type = $bom_product->get_type(); goto GgKjp; HpBDQ: $bom_product = wc_get_product($bom_id); goto rjFGQ; YyB6O: goto d_Pbi; goto ceacJ; X0T1b: if (!empty($item['id'])) { goto CGBXI; } goto WDAN1; S1f87: CGBXI: goto oXZ36; t0eKV: bxcOD: goto KrSkH; ANX5_: } goto hRB8O; xiMTq: $product = wc_get_product(absint($product_id)); goto Dx_AP; KmzFV: Z81W7: goto drfQL; Dx_AP: if (!(!$product instanceof \WC_Product || in_array($product->get_type(), AtumGlobals::get_inheritable_product_types()))) { goto nqMQN; } goto OR0h0; OR0h0: goto Z81W7; goto dmh9k; drfQL: } goto zQg_z; zl9TE: wp_send_json_error(_n('No BOMs were added to the selected product. Please check if it allows BOMs.', 'No BOMs were added to the selected products. Please check if they allow BOMs.', count($_POST['parentIds']), ATUM_LEVELS_TEXT_DOMAIN)); goto uu8Op; QwB9D: $num_linked = 0; goto BGi89; xRuZT: wp_send_json_error(__('Invalid data', ATUM_LEVELS_TEXT_DOMAIN)); goto vTi5x; uu8Op: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto PEFWw; r8TAN: DYCa3: goto x8E_V; tuSDz: self::$instance = new self(); goto r8TAN; x8E_V: return self::$instance; goto S9A81; PEFWw: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto DYCa3; } goto tuSDz; S9A81: } }
