<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Components\AtumCache; use Atum\Components\AtumQueues; use Atum\Components\AtumStockDecimals; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\Models\Products\AtumProductTrait; use Atum\StockCentral\StockCentral; use AtumLevels\Inc\Globals as PLGlobals; use AtumLevels\Levels\Products\AtumProductProductPartVariation; use AtumLevels\Levels\Products\AtumProductRawMaterialVariation; use AtumLevels\Levels\Products\AtumProductVariableProductPart; use AtumLevels\Levels\Products\AtumProductVariableRawMaterial; use AtumLevels\Models\BOMModel; use AtumLevels\Models\BOMOrderItemsPreModel; final class Helpers { private static $recalculated_product_trees = []; public static function get_committed_boms($bom_id) { goto Y0C2t; ggGH0: fGc95: goto OAsZD; rr1mh: $committed_stock = 0; goto WN6fp; Y0C2t: $bom_id = absint(apply_filters('atum/product_levels/bom_id', $bom_id)); goto HAK66; GyBg4: return $committed_stock; goto fYnyD; OAsZD: VvUm4: goto GyBg4; WN6fp: if (empty($associated_products)) { goto VvUm4; } goto xYbgx; HAK66: $associated_products = self::get_direct_bom_parents($bom_id); goto rr1mh; xYbgx: foreach ($associated_products as $product_id) { goto BeXmK; nap3W: if ('instock' === $wc_product->get_stock_status()) { goto b5wyl; } goto Gh3U9; MUikU: Rve5J: goto SsiR9; rWGoF: t5M5a: goto nrPDN; DYub4: isINo: goto HHKIu; BeXmK: $linked_boms = BOMModel::get_linked_bom($product_id); goto U763Z; U763Z: $wc_product = wc_get_product($product_id); goto C0WBD; C0WBD: if ($wc_product instanceof \WC_Product) { goto Rve5J; } goto iLfFe; cz64R: sbK7O: goto A1HBw; OmAfF: foreach ($linked_boms as $linked_bom) { goto dxndL; dxndL: if (in_array($linked_bom->bom_type, PLGlobals::get_linked_bom_product_types())) { goto zfVpd; } goto goSsL; yGNJ6: if (!(absint($linked_bom->bom_id) === $bom_id && $product_stock > 0)) { goto x741l; } goto ClVK8; GU0NX: W1aek: goto rvH60; ClVK8: $committed_stock += $linked_bom->qty * $product_stock; goto Qz5Xa; goSsL: goto W1aek; goto fEFf3; fEFf3: zfVpd: goto yGNJ6; Qz5Xa: x741l: goto GU0NX; rvH60: } goto DYub4; NZNb5: b5wyl: goto LAiyR; HHKIu: URNib: goto MY39G; moZI7: RAlIK: goto rWGoF; iLfFe: goto t5M5a; goto MUikU; A1HBw: $product_stock = $wc_product->get_stock_quantity(); goto IB0cU; LAiyR: return FALSE; goto moZI7; MY39G: goto RAlIK; goto NZNb5; SsiR9: if ($wc_product->managing_stock()) { goto sbK7O; } goto nap3W; Gh3U9: goto RAlIK; goto cz64R; IB0cU: if (empty($linked_boms)) { goto URNib; } goto OmAfF; nrPDN: } goto ggGH0; fYnyD: } public static function get_all_bom_parents($bom_id, $bom_type = '') { goto SHhkL; KY4UZ: $all_bom_parents = array(); goto b9lI0; hBBqH: if (!$has_cache) { goto Tuq31; } goto Hy2fv; FFfcL: AtumCache::set_cache($cache_key, $all_bom_parents, ATUM_LEVELS_TEXT_DOMAIN); goto zaWDL; zaWDL: return $all_bom_parents; goto AYBHg; kJwzO: CfbDI: goto FFfcL; b9lI0: if (empty($direct_bom_parents)) { goto CfbDI; } goto U04Mt; mNZHi: $direct_bom_parents = self::get_direct_bom_parents($bom_id, $bom_type); goto KY4UZ; i6n8k: Tuq31: goto mNZHi; JxjLq: $all_bom_parents = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto hBBqH; Hy2fv: return $all_bom_parents; goto i6n8k; WcE8w: R0snP: goto kJwzO; U04Mt: $all_bom_parents = $direct_bom_parents; goto JDHPf; JDHPf: foreach ($direct_bom_parents as $index => $bom_parent) { goto j8C6K; UwZ0p: goto yGDQG; goto LB0fj; Wg3F9: dyNOF: goto KHm1x; j8C6K: if (!($bom_parent == $bom_id)) { goto dyNOF; } goto fsH3o; LB0fj: jTxDP: goto eVt9c; eVt9c: $all_bom_parents = array_merge($all_bom_parents, self::get_all_bom_parents($bom_parent, $bom_type)); goto tkG4m; KHm1x: $product = wc_get_product($bom_parent); goto mwFGP; h5rfc: goto yGDQG; goto Wg3F9; mwFGP: if (!(!$product instanceof \WC_Product || $bom_type && str_replace('-', '_', $product->get_type()) !== $bom_type)) { goto jTxDP; } goto wzI_Z; fsH3o: unset($all_bom_parents[$index]); goto h5rfc; tkG4m: yGDQG: goto HC9G4; wzI_Z: unset($all_bom_parents[$index]); goto UwZ0p; HC9G4: } goto WcE8w; SHhkL: $bom_id = apply_filters('atum/product_levels/bom_id', $bom_id); goto eiS4U; eiS4U: $cache_key = AtumCache::get_cache_key('all_bom_parents', [$bom_id, $bom_type]); goto JxjLq; AYBHg: } public static function find_top_level_parents($product_id) { goto g9MSE; P3Rly: foreach ($direct_parents as $parent_id) { $top_level_parents = array_merge($top_level_parents, self::find_top_level_parents($parent_id)); KioTz: } goto kmoQK; DVJZr: NIMMg: goto P3Rly; U0Hhg: $top_level_parents[] = $product_id; goto VWjx7; znogc: WSEfo: goto BACYG; g9MSE: $cache_key = AtumCache::get_cache_key('top_level_parents', $product_id); goto N3EZC; uizXW: if (!empty($direct_parents)) { goto NIMMg; } goto U0Hhg; BACYG: AtumCache::set_cache($cache_key, $top_level_parents, ATUM_LEVELS_TEXT_DOMAIN); goto wjGAN; uVRao: $direct_parents = self::get_direct_bom_parents($product_id); goto uizXW; VWjx7: goto WSEfo; goto DVJZr; y9zQO: return $top_level_parents; goto ySFs0; ySFs0: duPSJ: goto nRekW; nRekW: $top_level_parents = array(); goto uVRao; N3EZC: $top_level_parents = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto RKBxY; wjGAN: return $top_level_parents; goto CbHN3; RKBxY: if (!$has_cache) { goto duPSJ; } goto y9zQO; kmoQK: OCXHd: goto znogc; CbHN3: } public static function find_bottom_level_children($product_id) { goto ZUrzm; b_Hy8: GP645: goto QSTXB; du0HW: if (!$has_cache) { goto qBosF; } goto G9QYM; dkoqn: WtAK_: goto bBfTY; jMkLF: return $bottom_level_children; goto sddO7; OkHgU: qBosF: goto cP5Gj; cP5Gj: $bottom_level_children = array(); goto VRXWW; DE2Zj: if (!empty($direct_children)) { goto WtAK_; } goto H3l7b; G9QYM: return $bottom_level_children; goto OkHgU; QSTXB: eYHJ7: goto v56m8; sxNWb: $bottom_level_children = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto du0HW; ZUrzm: $cache_key = AtumCache::get_cache_key('bottom_level_children', $product_id); goto sxNWb; bBfTY: foreach ($direct_children as $child_id) { $bottom_level_children = array_merge($bottom_level_children, self::find_bottom_level_children($child_id)); klgJD: } goto b_Hy8; v56m8: AtumCache::set_cache($cache_key, $bottom_level_children, ATUM_LEVELS_TEXT_DOMAIN); goto jMkLF; VRXWW: $direct_children = self::get_direct_bom_children($product_id); goto DE2Zj; H3l7b: $bottom_level_children[] = $product_id; goto zR98s; zR98s: goto eYHJ7; goto dkoqn; sddO7: } public static function get_direct_bom_parents($bom_id, $bom_type = '') { goto j3Eq5; uXczc: $direct_bom_parents = $wpdb->get_col($query); goto CNg1F; HFZwY: if (!$has_cache) { goto ilVd2; } goto MNfpB; hsZTo: $linked_boms_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto D5zZP; o6ywf: ilVd2: goto hsZTo; D5zZP: $statuses = AtumGlobals::get_queryable_product_statuses(); goto oWanD; ScxBW: $query = $wpdb->prepare("\n\t\t\tSELECT lb.product_id FROM {$linked_boms_table} lb\n \t\t\tINNER JOIN {$wpdb->posts} p ON lb.product_id = p.ID\n \t\t\tWHERE lb.bom_id = %d AND p.post_status IN('" . implode("','", $statuses) . "')\n \t\t\tAND p.post_type IN('product', 'product_variation') {$bom_type_where}\n        ", $bom_id); goto uXczc; oWanD: $bom_type_where = $bom_type ? $wpdb->prepare('AND lb.bom_type = %s', $bom_type) : ''; goto ScxBW; MNfpB: return $direct_bom_parents; goto o6ywf; jqltz: $cache_key = AtumCache::get_cache_key('direct_bom_parents', [$bom_id, $bom_type]); goto WUGMp; CNg1F: AtumCache::set_cache($cache_key, $direct_bom_parents, ATUM_LEVELS_TEXT_DOMAIN); goto v4Z3z; WUGMp: $direct_bom_parents = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto HFZwY; j3Eq5: global $wpdb; goto jqltz; v4Z3z: return $direct_bom_parents; goto lJ2q4; lJ2q4: } public static function get_all_bom_children($product_id, $bom_type = '', $tree = TRUE, $selected_node = NULL) { goto AXTAx; ni388: foreach ($direct_bom_children as $index => $bom_child_id) { goto WT3P3; QbuW7: $tree_node['children'] = $inner_children; goto B_mmL; XuuVF: Vml7e: goto lJCkK; ZKu6F: tlV4m: goto BH12w; gHMzS: c_WL2: goto U2kxs; WT3P3: if (!($bom_child_id == $product_id)) { goto PLhWJ; } goto Ugigm; b_ogw: $bom_child_product = apply_filters('atum/product_levels/get_all_bom_children/product', wc_get_product($bom_child_id)); goto YbrHL; Ugigm: if ($tree) { goto yBVof; } goto hj_VR; dZrwE: yDSYz: goto gHMzS; GAvzv: goto c_WL2; goto TnSJW; BO5L9: $all_bom_children[] = apply_filters('atum/product_levels/add_bom_tree_node', $tree_node, $bom_child_product); goto dZrwE; tcROL: $css = ''; goto EGzjJ; zZwcX: $is_bom_variation = in_array($bom_child_product->get_type(), Globals::get_variation_levels()); goto aB_dY; BoH2L: switch ($bom_child_product->get_stock_status()) { case 'instock': goto aLD9D; nnLzG: $css = 'color-success'; goto W5zil; aLD9D: $tooltip = __('Product in stock and not managed by WooCommerce', ATUM_LEVELS_TEXT_DOMAIN); goto nnLzG; W5zil: goto Vml7e; goto XD7sx; XD7sx: case 'outofstock': goto C4ilT; C4ilT: $tooltip = __('Product out-of-stock and not managed by WooCommerce', ATUM_LEVELS_TEXT_DOMAIN); goto kzynV; kzynV: $css = 'color-danger'; goto Jp9bO; Jp9bO: goto Vml7e; goto LjafK; LjafK: case 'onbackorder': goto wBVEk; MbOo7: $css = 'color-warning'; goto AjW8N; AjW8N: goto Vml7e; goto UpQ5C; wBVEk: $tooltip = __('Product on backorder and not managed by WooCommerce', ATUM_LEVELS_TEXT_DOMAIN); goto MbOo7; UpQ5C: } goto y4NGv; TnSJW: jADcN: goto Y8aOJ; bw6R0: RDcy4: goto c0sWr; EGzjJ: if ($bom_child_product->managing_stock()) { goto uV7lB; } goto u8Gjg; u8Gjg: $tooltip = ''; goto BoH2L; YnLHl: $inner_children = self::get_all_bom_children($bom_child_id, $bom_type, TRUE, $selected_node); goto zZwcX; Y8aOJ: if ($tree) { goto CNUuP; } goto YnVDK; B_mmL: e7c8V: goto eHmuS; c0sWr: if (empty($inner_children)) { goto e7c8V; } goto QbuW7; hj_VR: unset($all_bom_children[$index]); goto tVaKF; V1KkD: CNUuP: goto YnLHl; tVaKF: yBVof: goto ypy0p; y4NGv: Tmrm5: goto XuuVF; ypy0p: goto c_WL2; goto iJr2r; XjuOa: if ($tree) { goto Ub64C; } goto TuRUg; S3cN4: K91Gf: goto V1eTD; WVSxC: switch ($bom_child_product->get_stock_status()) { case 'instock': $css = 'color-success'; goto tlV4m; case 'outofstock': $css = 'color-danger'; goto tlV4m; case 'onbackorder': $css = 'color-warning'; goto tlV4m; } goto OGjmW; tw4oF: $tree_node['isActive'] = TRUE; goto izDZO; iJr2r: PLhWJ: goto b_ogw; S6Y7t: goto yDSYz; goto V1KkD; aWAGj: $tree_node['text'] .= ' <i class="atum-tooltip atum-icon atmi-question-circle ' . $css . '" title="' . esc_attr($tooltip) . '"></i>'; goto S3cN4; auA64: $linked_bom = current(wp_list_filter($linked_boms, ['bom_id' => $bom_child_id])); goto v9gmN; YbrHL: if (!(!$bom_child_product instanceof \WC_Product || $bom_type && str_replace('-', '_', $bom_child_product->get_type()) !== $bom_type)) { goto jADcN; } goto XjuOa; TuRUg: unset($all_bom_children[$index]); goto EPu2E; eHmuS: if (!(!is_null($selected_node) && $bom_child_product->get_id() === $selected_node)) { goto hEGyL; } goto tw4oF; urpzG: uV7lB: goto QZ9ej; izDZO: hEGyL: goto BO5L9; QZ9ej: $qty = $bom_child_product->get_stock_quantity(); goto WVSxC; EPu2E: Ub64C: goto GAvzv; YnVDK: $all_bom_children = array_merge($all_bom_children, self::get_all_bom_children($bom_child_id, $bom_type, FALSE)); goto S6Y7t; aB_dY: $linked_boms = BOMModel::get_linked_bom($product_id); goto auA64; V1eTD: goto RDcy4; goto urpzG; OGjmW: WsHep: goto ZKu6F; lJCkK: if (!$tooltip) { goto K91Gf; } goto aWAGj; BH12w: $tree_node['text'] .= ' <span class="item-qty ' . $css . '">(' . apply_filters('atum/product_levels/get_all_bom_children/bom_qty', $qty, $product_id, $bom_child_product) . ')</span>'; goto bw6R0; v9gmN: $tree_node = array('text' => (isset($linked_bom->qty) ? "<span class='multiplier'>[{$linked_bom->qty}x]</span> " : '') . $bom_child_product->get_name(), 'href' => get_edit_post_link($is_bom_variation ? $bom_child_product->get_parent_id() : $bom_child_product->get_id()), 'uiIcon' => AtumHelpers::get_atum_icon_type($bom_child_product), 'hrefTarget' => '_blank'); goto tcROL; U2kxs: } goto liI1s; Llyw0: oWFyh: goto ni388; nMp6Z: if (!$has_cache) { goto Gi60W; } goto E1PwJ; wg2iS: $all_bom_children = array(); goto k2pCq; mDML4: return $all_bom_children; goto q0SJ7; H3ViE: $cache_key = AtumCache::get_cache_key('all_bom_children', $product_id); goto gqb3F; m5wGq: $direct_bom_children = self::get_direct_bom_children($product_id, $bom_type); goto wg2iS; k2pCq: if (empty($direct_bom_children)) { goto Ju0wb; } goto YaQYj; liI1s: ikA0t: goto T6DzP; Iq_yL: AtumCache::set_cache($cache_key, $all_bom_children, ATUM_LEVELS_TEXT_DOMAIN); goto mDML4; JuIH3: $all_bom_children = $direct_bom_children; goto Llyw0; py04r: Gi60W: goto m5wGq; T6DzP: Ju0wb: goto Iq_yL; YaQYj: if ($tree) { goto oWFyh; } goto JuIH3; E1PwJ: return $all_bom_children; goto py04r; AXTAx: $product_id = apply_filters('atum/product_levels/bom_id', $product_id); goto H3ViE; gqb3F: $all_bom_children = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto nMp6Z; q0SJ7: } public static function get_direct_bom_children($product_id, $bom_type = '') { goto ZEo4Y; s2KzZ: if ($has_cache) { goto Dbt3l; } goto UEsun; EvUcQ: $direct_bom_children = $wpdb->get_col($query); goto bI5gr; cGd6C: $product_id = apply_filters('atum/product_levels/bom_id', $product_id); goto Y0bkC; ZEo4Y: $cache_key = AtumCache::get_cache_key('direct_bom_children', $product_id); goto gTJJn; UEsun: global $wpdb; goto cGd6C; RohuT: return $direct_bom_children; goto pHtIx; flm7c: $bom_type_where = $bom_type ? $wpdb->prepare('AND bom_type = %s', $bom_type) : ''; goto si9og; Y0bkC: $linked_boms_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto flm7c; bI5gr: AtumCache::set_cache($cache_key, $direct_bom_children, ATUM_LEVELS_TEXT_DOMAIN); goto a9UhL; gTJJn: $direct_bom_children = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto s2KzZ; a9UhL: Dbt3l: goto RohuT; si9og: $query = $wpdb->prepare("SELECT bom_id FROM {$linked_boms_table} WHERE product_id = %d {$bom_type_where}", $product_id); goto EvUcQ; pHtIx: } public static function is_bom_used($bom_id) { goto UMjyV; ElVER: return $used_count > 0; goto oSjeM; QK6aw: $linked_boms_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto smSq0; smSq0: $used_count = $wpdb->get_var($wpdb->prepare("\n\t\t\tSELECT COUNT(*) FROM {$linked_boms_table} WHERE bom_id = %d\n\t\t", $bom_id)); goto ElVER; UMjyV: global $wpdb; goto QK6aw; oSjeM: } public static function is_purchase_allowed($product = 0) { goto SvmYu; xLj1z: $purchase_allowed = 'yes' === $is_purchasable || is_null($is_purchasable) && $purchase_allowed ? TRUE : FALSE; goto K7yKp; NS4sQ: if (!($product instanceof \WC_Product && in_array($product->get_type(), Globals::get_all_product_levels()))) { goto oQ1Ri; } goto XuXbf; jMpgz: eImUf: goto Jza5x; K7yKp: oQ1Ri: goto jMpgz; ecdUW: siUNE: goto NS4sQ; DE8_M: $product_id = apply_filters('atum/product_levels/product_id', $product instanceof \WC_Product ? $product->get_id() : $product); goto AX0IZ; SvmYu: $purchase_allowed = 'yes' === AtumHelpers::get_option('pl_default_bom_selling', 'no'); goto Y2roa; XuXbf: $is_purchasable = $product->get_bom_sellable(); goto xLj1z; Jza5x: return apply_filters('atum/product_levels/is_purchase_allowed', $purchase_allowed); goto n0sBi; AX0IZ: if ($product instanceof \WC_Product) { goto siUNE; } goto FLbqu; FLbqu: $product = AtumHelpers::get_atum_product($product_id); goto ecdUW; Y2roa: if (empty($product)) { goto eImUf; } goto DE8_M; n0sBi: } public static function bom_types_dropdown($selected = '', $class = 'dropdown_product_type') { goto uOKDl; S1ztN: foreach (Globals::get_product_types() as $slug => $name) { $output .= '<option value="' . sanitize_title($name) . '" ' . selected($slug, $selected, FALSE) . ' >' . $name . '</option>'; LuV44: } goto J7jdj; uOKDl: $output = '<select name="product_type" class="wc-enhanced-select atum-enhanced-select auto-filter ' . $class . '">'; goto Gh8QT; L7gT0: return $output; goto pQ2ED; Gh8QT: $output .= '<option value="" ' . selected($selected, '', FALSE) . '>' . esc_html__('All BOM types...', ATUM_LEVELS_TEXT_DOMAIN) . '</option>'; goto S1ztN; VRavJ: $output .= '</select>'; goto L7gT0; J7jdj: AD1k2: goto VRavJ; pQ2ED: } public static function is_a_bom_variation($variation) { return $variation instanceof AtumProductRawMaterialVariation || $variation instanceof AtumProductProductPartVariation; } public static function is_a_bom_variable($variable) { return $variable instanceof AtumProductVariableRawMaterial || $variable instanceof AtumProductVariableProductPart; } public static function is_bom_stock_control_enabled() { return 'yes' === AtumHelpers::get_option('pl_bom_stock_control', 'no'); } public static function recalculate_selling_priorities($preferent_items = array()) { goto Mae5f; ECOgB: $atum_product_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto Avdot; Ode2O: if (!(FALSE !== $rearranged_products_with_priority)) { goto ZHb48; } goto EvVos; uZcqS: $rearranged_products_with_priority = self::rearrange_duplicated_priority($products_with_priority, $preferent_items); goto Ode2O; Avdot: $products_with_priority = $wpdb->get_results("\n\t\t\tSELECT product_id, selling_priority FROM {$atum_product_data_table}\n\t\t\tWHERE selling_priority IS NOT NULL\n\t\t\tORDER BY selling_priority ASC \n\t\t", ARRAY_A); goto uZcqS; P4HJf: $wpdb->query("\n\t\t\t\tINSERT INTO {$atum_product_data_table} (`product_id`, `selling_priority`) \n\t\t\t\tVALUES ({$products_sql})\n                ON DUPLICATE KEY UPDATE `product_id` = VALUES(`product_id`), `selling_priority` = VALUES(`selling_priority`)\n            "); goto YrzQQ; Mae5f: global $wpdb; goto ECOgB; EvVos: $products_sql = implode('),(', array_map(function ($entry) { return $entry['product_id'] . ',' . $entry['selling_priority']; }, $rearranged_products_with_priority)); goto P4HJf; YrzQQ: ZHb48: goto Un7wO; Un7wO: } private static function rearrange_duplicated_priority($products_with_priority, $preferent_items) { goto baZXb; f9Fee: $result = self::rearrange_duplicated_priority($products_with_priority, $preferent_items); goto nv_8i; R5ef0: $non_unique_priorities = array_unique(array_diff_assoc($all_priorities, array_unique($all_priorities))); goto CtRYn; cCE53: return FALSE; goto aWuHA; CtRYn: if (empty($non_unique_priorities)) { goto l3b4y; } goto zlx3R; wDD4P: uzQbG: goto u9GEq; XlFhY: $products_with_priority = $result; goto wDD4P; u9GEq: return $products_with_priority; goto oTVTI; z_b9j: FxNlC: goto f9Fee; baZXb: $all_priorities = wp_list_pluck($products_with_priority, 'selling_priority'); goto R5ef0; zlx3R: foreach ($non_unique_priorities as $non_unique_priority) { goto U0P0W; WPk3e: Ezl24: goto ExW1x; obBRV: $preferent_skipped = FALSE; goto sjIMd; V0VtA: sf5TY: goto WPk3e; gk4JV: $preferent_products = array(current($non_unique_priority_product_ids)); goto XYqTj; U0P0W: $non_unique_priority_products = wp_list_filter($products_with_priority, ['selling_priority' => $non_unique_priority]); goto H6tm7; ko3H_: if (!empty($preferent_products)) { goto g2WK9; } goto gk4JV; sjIMd: foreach ($non_unique_priority_products as $key => $non_unique_priority_product) { goto eOsEw; Gdtbh: Fm3La: goto tVr6Y; eOsEw: if (!(!$preferent_skipped && in_array($non_unique_priority_product['product_id'], $preferent_products))) { goto tHDD_; } goto yqNqb; hqaoJ: goto Fm3La; goto BRoJY; yqNqb: $preferent_skipped = TRUE; goto hqaoJ; PCZMR: $products_with_priority[$index]['selling_priority'] = (string) ($products_with_priority[$index]['selling_priority'] + 1); goto Gdtbh; BRoJY: tHDD_: goto Def8T; Def8T: $index = key(wp_list_filter($products_with_priority, ['product_id' => $non_unique_priority_product['product_id']])); goto PCZMR; tVr6Y: } goto V0VtA; H6tm7: $non_unique_priority_product_ids = wp_list_pluck($non_unique_priority_products, 'product_id'); goto K_1Oi; XYqTj: g2WK9: goto obBRV; K_1Oi: $preferent_products = array_intersect($preferent_items, $non_unique_priority_product_ids); goto ko3H_; ExW1x: } goto z_b9j; oTVTI: l3b4y: goto cCE53; nv_8i: if (!(FALSE !== $result)) { goto uzQbG; } goto XlFhY; aWuHA: } public static function get_calculated_stock_quantity($product, $bypass_threshold_checking = FALSE, $force = FALSE) { goto r5_Sv; Pqijf: if (empty($boms_stock['used_boms'])) { goto MOKNt; } goto MJ7dC; D1Tcu: if (!(is_null($calculated_stock) || $force)) { goto UVXmM; } goto YQk9Z; WWzvF: if ($product instanceof \WC_Product) { goto AhQSJ; } goto u9Mr4; jazuN: $product = AtumHelpers::get_atum_product($product); goto WWzvF; zvXef: $cache_key = AtumCache::get_cache_key('calculated_stock_quantity', $product_id); goto kpKYT; GFrC5: AtumCache::enable_cache(); goto ifJMe; XWlfE: $calculated_stock = $product->get_calculated_stock(); goto kLmPL; Kbqz_: if (!(self::is_bom_stock_control_enabled() && BOMModel::has_linked_bom($product_id))) { goto ktMp8; } goto ROG5M; djgbd: YjmYC: goto spsPY; r5_Sv: if (AtumHelpers::is_atum_product($product)) { goto NIOZU; } goto jazuN; JMdeq: p4mR1: goto zI5ae; SywdW: $calculated_array = $backorders_array = array(); goto Pqijf; Y06jr: UVXmM: goto BQ40P; spsPY: do_action('woocommerce_variation_set_stock', $product); goto ihYBD; y1lCO: $hooks_instance->remove_product_props_filters(); goto iP3_U; u9Mr4: return 0; goto xMKlR; pg76Z: AtumCache::disable_cache(); goto Q5elw; uEfkV: $product->set_calc_backorders($backorders_stock); goto JMdeq; Q5elw: vyrYM: goto zvXef; c5jc0: $product->set_stock_quantity($calculated_stock); goto l1cYt; EU0qn: iAQdc: goto cMqLv; oBzC4: if (!($force && !$was_cache_disabled)) { goto vwdWP; } goto GFrC5; zI5ae: $product->save(); goto WwUXp; yuf2D: $hooks_instance->add_product_props_filters(); goto WYVjr; Klr_H: goto hfezw; goto djgbd; FC7HR: if (!$backorders_array) { goto i4q2Z; } goto DhgRl; ifJMe: vwdWP: goto Y06jr; KMTa2: $boms_stock = self::get_linked_boms_stock_used($product_id, $bypass_threshold_checking); goto EFkXI; NgkX6: if (!($force && !$was_cache_disabled)) { goto vyrYM; } goto pg76Z; kB7zx: NIOZU: goto njb1L; fp_x_: if (!$calculated_array) { goto XgLpZ; } goto vYR1c; njb1L: $product_id = $product->get_id(); goto XWlfE; iP3_U: $product->set_calculated_stock($calculated_stock); goto c5jc0; kpKYT: $calculated_stock = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto JXOg8; hoAu8: AtumCache::set_cache($cache_key, $calculated_stock, ATUM_LEVELS_TEXT_DOMAIN); goto t4NNy; DhgRl: $backorders_stock = floor(min($backorders_array) * pow(10, AtumGlobals::get_stock_decimals())) / pow(10, AtumGlobals::get_stock_decimals()); goto PjcrH; v8xeO: $calculated_stock = 0; goto KMTa2; Qb9EK: $product->save_atum_data(); goto yuf2D; PjcrH: i4q2Z: goto Bq72q; Bq72q: dsBlO: goto hoAu8; hJTfO: $was_cache_disabled = AtumCache::is_cache_disabled(); goto NgkX6; BQ40P: return self::maybe_adjust_available_to_purchase($calculated_stock, $product); goto sme5Y; b4wUD: $product->set_atum_stock_status($product->get_stock_status()); goto Qb9EK; ihYBD: hfezw: goto b4wUD; YQk9Z: $linked_bom_ids = BOMModel::get_linked_bom($product_id, '', FALSE, TRUE); goto hJTfO; EFkXI: if (!$boms_stock['allow_selling']) { goto dsBlO; } goto SywdW; vYR1c: $calculated_stock = floor(min($calculated_array) * pow(10, AtumGlobals::get_stock_decimals())) / pow(10, AtumGlobals::get_stock_decimals()); goto bllYN; MJ7dC: foreach ($boms_stock['used_boms'] as $bom_id => $qty) { goto dKWS3; dKWS3: if (!(in_array($bom_id, $linked_bom_ids) && isset($boms_stock['bom_stock'][$bom_id]))) { goto c0898; } goto ZF5c7; ZF5c7: if ($qty) { goto DDtas; } goto ukLTR; VmWAM: if (!(FALSE !== $calculated_array)) { goto bv5GF; } goto PWoLF; ukLTR: $calculated_array = FALSE; goto r3eFa; zz39a: c0898: goto vV0tv; r3eFa: DDtas: goto VmWAM; PWoLF: $calculated_array[$bom_id] = apply_filters('atum/product_levels/calculated_stock_quantity_array', $boms_stock['bom_stock'][$bom_id] >= $qty ? $boms_stock['bom_stock'][$bom_id] / $qty : 0, $bom_id, $boms_stock, $product); goto o0WI6; o0WI6: bv5GF: goto RAok5; vV0tv: nkcSw: goto NIruF; RAok5: $backorders_array[$bom_id] = apply_filters('atum/product_levels/calculated_backorders_stock_quantity_array', $boms_stock['bom_stock_back'][$bom_id] / $qty, $bom_id, $boms_stock, $product); goto zz39a; NIruF: } goto EU0qn; cMqLv: MOKNt: goto fp_x_; xMKlR: AhQSJ: goto kB7zx; ROG5M: $hooks_instance = Hooks::get_instance(); goto y1lCO; l1cYt: if (!($backorders_stock && $backorders_stock < 0)) { goto p4mR1; } goto uEfkV; bllYN: XgLpZ: goto FC7HR; WYVjr: ktMp8: goto oBzC4; xsSR_: do_action('woocommerce_product_set_stock', $product); goto Klr_H; JXOg8: if ($has_cache) { goto j_bDN; } goto v8xeO; kLmPL: $backorders_stock = $product->get_calc_backorders(); goto D1Tcu; WwUXp: if ($product->is_type('variation')) { goto YjmYC; } goto xsSR_; t4NNy: j_bDN: goto Kbqz_; sme5Y: } public static function get_linked_boms_stock_used($product_id, $bypass_threshold_checking = FALSE, $out_stock_break = FALSE, $nesting_level = 0) { goto eSL1d; LWnzp: $stock_used['bom_stock_back'][$product_id] = apply_filters('atum/product_levels/linked_boms_stock_used_backorders', $product->get_stock_quantity('edit'), $product); goto fdEXK; AoI3Q: aVMeV: goto ZjwEY; eSL1d: $bypass_key = $bypass_threshold_checking ? '_bypass' : ''; goto Qtz8J; RvJE5: if ($has_cache) { goto whukw; } goto g3D4O; ZjwEY: pcxMf: goto p2lJa; ch4Oh: $stock_used['bom_stock'][$product_id] = $product->get_stock_quantity(); goto LWnzp; g3D4O: do_action('atum/product_levels/before_get_linked_boms_stock_used', $product_id, $bypass_threshold_checking, $nesting_level); goto e8pbY; dKl_O: $stock_used = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache, FALSE); goto RvJE5; DfT09: $hooks_instance = Hooks::get_instance(); goto EVxty; UhP6l: $linked_boms = BOMModel::get_linked_bom($product_id); goto v_1_q; l0Vv9: if (!$product) { goto oZ0oe; } goto sxuPO; bVdmM: do_action('atum/product_levels/after_get_linked_boms_stock_used', $product_id, $bypass_threshold_checking, $nesting_level); goto CVCwJ; XdOY2: goto pcxMf; goto nCTCs; p2lJa: oZ0oe: goto EhX8g; fdEXK: $stock_used['used_boms'][$product_id] = 1; goto lRggU; JDPks: foreach ($linked_boms as $linked_bom) { goto OTzVB; u3ldf: Tlk4b: goto UXGPi; UXGPi: $stock_used['measure_unit'][$linked_bom->bom_id] = $linked_bom->measure_unit ?? NULL; goto nPboD; yJf66: xisoY: goto ll6fX; lxKXs: OjbdC: goto KE2cD; AMS2w: AIqbX: goto jmTQ6; CsAMG: WNqcD: goto UtmAB; Qy99G: $stock_used['used_boms'][$linked_bom->bom_id] = $linked_bom->qty; goto u3ldf; czesB: $bom_stock_used = self::get_linked_boms_stock_used($linked_bom->bom_id, $bypass_threshold_checking, $out_stock_break, $nesting_level + 1); goto PRyoA; zQSt4: if (!($stock_used['allow_selling'] && 0 === $nesting_level && !isset($stock_used['used_boms'][$linked_bom->bom_id]))) { goto D1aN4; } goto jb7Qd; qJs9x: mzjQ_: goto muk4m; CJbKU: $stock_used['allow_selling'] = FALSE; goto YqlSZ; ll6fX: if (!((float) $linked_bom->qty > 0)) { goto LEsxj; } goto czesB; YqlSZ: B18dI: goto lxKXs; YTxA9: goto AIqbX; goto yJf66; zRLNI: D1aN4: goto AMS2w; N51ZD: return $bom_stock_used; goto qJs9x; nPboD: foreach ($bom_stock_used['used_boms'] as $bom_id => $qty_used) { goto zldTC; lzjaf: if (!(!isset($stock_used['bom_stock'][$linked_bom->bom_id]) || $bom_stock_used['bom_stock'][$bom_id] < $stock_used['bom_stock'][$linked_bom->bom_id])) { goto YbhEh; } goto F98ev; e_79I: $stock_used['bom_stock_back'][$linked_bom->bom_id] = round($bom_stock_used['bom_stock_back'][$bom_id] / $bom_stock_used['used_boms'][$bom_id], AtumStockDecimals::get_stock_decimals()); goto IrGir; dt55f: $stock_used['bom_stock'][$bom_id] = $bom_stock_used['bom_stock'][$bom_id]; goto dA0xc; dA0xc: $stock_used['bom_stock_back'][$bom_id] = $bom_stock_used['bom_stock_back'][$bom_id]; goto VVyz8; VVyz8: wXAzf: goto HvGag; XYDGT: $stock_used['used_boms'][$bom_id] = floatval($qty_used) * floatval($linked_bom->qty); goto dt55f; F98ev: $stock_used['bom_stock'][$linked_bom->bom_id] = round($bom_stock_used['bom_stock'][$bom_id] / $bom_stock_used['used_boms'][$bom_id], AtumStockDecimals::get_stock_decimals()); goto UmFOr; IrGir: gSoA2: goto lzjaf; UmFOr: YbhEh: goto XYDGT; zldTC: if (isset($stock_used['bom_stock_back'][$linked_bom->bom_id])) { goto gSoA2; } goto e_79I; HvGag: } goto CsAMG; y0LxQ: if (empty($bom_stock_used['used_boms'])) { goto OjbdC; } goto zN5gF; muk4m: $stock_used['allow_selling'] = $stock_used['allow_selling'] && $bom_stock_used['allow_selling']; goto y0LxQ; KE2cD: LEsxj: goto zQSt4; jb7Qd: $stock_used['used_boms'][$linked_bom->bom_id] = $linked_bom->qty; goto zRLNI; PRyoA: if (!($out_stock_break && !$bom_stock_used['allow_selling'])) { goto mzjQ_; } goto N51ZD; zN5gF: if (isset($stock_used['used_boms'][$linked_bom->bom_id])) { goto Tlk4b; } goto Qy99G; OTzVB: if (in_array($linked_bom->bom_type, PLGlobals::get_linked_bom_product_types())) { goto xisoY; } goto YTxA9; UtmAB: if (!((0 === $stock_used['bom_stock'][$linked_bom->bom_id] || !$bypass_threshold_checking || $stock_used['bom_stock'][$linked_bom->bom_id] < 0 && !$product->backorders_allowed()) && self::check_bom_minimum_threshold($linked_bom->bom_id, $product))) { goto B18dI; } goto CJbKU; jmTQ6: } goto AoI3Q; sxuPO: if (!empty($linked_boms)) { goto JeRvl; } goto DfT09; FqIyW: return $stock_used; goto qa0j_; nCTCs: JeRvl: goto JDPks; EVxty: $hooks_instance->remove_product_props_filters(); goto gBOL3; CVCwJ: whukw: goto FqIyW; lRggU: remove_filter('atum/get_option/out_stock_threshold', '__return_false'); goto dM4rL; gBOL3: add_filter('atum/get_option/out_stock_threshold', '__return_false'); goto ch4Oh; EhX8g: AtumCache::set_cache($cache_key, $stock_used, ATUM_LEVELS_TEXT_DOMAIN); goto bVdmM; e8pbY: $stock_used = array('allow_selling' => TRUE, 'used_boms' => [], 'bom_stock' => [], 'bom_stock_back' => [], 'measure_unit' => []); goto UhP6l; dM4rL: $hooks_instance->add_product_props_filters(); goto XdOY2; Qtz8J: $cache_key = AtumCache::get_cache_key("bom_stock_used{$bypass_key}", $product_id); goto dKl_O; v_1_q: $product = AtumHelpers::get_atum_product($product_id); goto l0Vv9; qa0j_: } public static function check_bom_minimum_threshold($bom_id, $parent) { goto rqHq1; Jd6eT: ldxI9: goto FAcRC; wbomP: $minimum_threshold = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache, FALSE); goto IR149; gZ1Vs: if (empty($filtered_products)) { goto ldxI9; } goto naQCc; k3Lkh: $filtered_products = wp_list_filter($associated_products, ['minimum_threshold' => NULL, 'selling_priority' => NULL, 'product_id' => $parent_id], 'NOT'); goto gZ1Vs; Wpwn1: IBbaN: goto YlWo6; fd8ti: return wc_string_to_bool($minimum_threshold); goto sEyVj; YlWo6: $parent_id = $parent->get_id(); goto UIvu0; mxVGd: q1m0E: goto fd8ti; UIvu0: $cache_key = AtumCache::get_cache_key('bom_minimum_threshold', array($bom_id, $parent_id)); goto wbomP; Ew_9U: Yenp3: goto sn6U3; IR149: if ($has_cache) { goto q1m0E; } goto BAN2y; L9O7e: $associated_products = BOMModel::get_associated_products($bom_id); goto k3Lkh; GvmAj: return FALSE; goto Wpwn1; sn6U3: $selling_priority = $parent->get_selling_priority(); goto Ar58i; FAcRC: AtumCache::set_cache($cache_key, $minimum_threshold, ATUM_LEVELS_TEXT_DOMAIN); goto mxVGd; rqHq1: if ($parent instanceof \WC_Product) { goto IBbaN; } goto GvmAj; naQCc: foreach ($filtered_products as $filtered_product) { goto dGX2B; iTDg5: TcDxJ: goto h_RTR; h_RTR: $filtered_product_stock = self::get_calculated_stock_quantity($filtered_product->product_id, TRUE); goto aqGXj; dwheL: jRXYB: goto yrSZJ; aqGXj: if (!($filtered_product_stock <= floatval($filtered_product->minimum_threshold))) { goto jRXYB; } goto k541t; k541t: $minimum_threshold = 'yes'; goto X0tjg; yrSZJ: EOvXt: goto RNMKP; QJyid: goto EOvXt; goto iTDg5; X0tjg: goto TjaAY; goto dwheL; dGX2B: if (!(is_null($filtered_product->minimum_threshold) || is_null($filtered_product->selling_priority) || !is_null($selling_priority) && $selling_priority < $filtered_product->selling_priority)) { goto TcDxJ; } goto QJyid; RNMKP: } goto ZohDp; BAN2y: if (AtumHelpers::is_atum_product($parent)) { goto Yenp3; } goto nAi11; nAi11: $parent = AtumHelpers::get_atum_product($parent); goto Ew_9U; ZohDp: TjaAY: goto Jd6eT; Ar58i: $minimum_threshold = 'no'; goto L9O7e; sEyVj: } public static function get_all_related_bom_products() { goto U8nF_; qwRXU: if (!(FALSE === $all_related_bom_products)) { goto o077Y; } goto vHkL8; AB3Ni: o077Y: goto rWwg3; hKPn1: W_ZOk: goto AB3Ni; U8nF_: $transient_key = AtumCache::get_transient_key('all_related_bom_products'); goto AOm2v; rWwg3: return $all_related_bom_products; goto XReRG; uX_c3: $product_query = "\n\t\t\t\t\tSELECT p.ID FROM {$wpdb->posts} p\n\t\t\t\t\tINNER JOIN {$wpdb->prefix}" . BOMModel::get_linked_bom_table() . " lb ON p.ID = lb.product_id\n\t\t\t\t\tINNER JOIN {$wpdb->term_relationships} AS termrelations ON (p.ID = termrelations.object_id)\n\t\t\t\t\tINNER JOIN {$wpdb->terms} AS terms ON (terms.term_id = termrelations.term_taxonomy_id)\n\t\t\t\t\tINNER JOIN {$wpdb->term_taxonomy} AS taxonomies ON (taxonomies.term_taxonomy_id = termrelations.term_taxonomy_id)\n\t\t\t\t\tWHERE p.post_status IN('" . implode("','", $post_statuses) . "') \n\t\t\t\t\tAND p.post_type = 'product'\n\t\t\t\t\tAND lb.bom_id IN( " . implode(',', $all_related_bom_products) . ")\n\t\t\t\t\tAND taxonomies.taxonomy = 'product_type' \n\t\t\t\t\tAND terms.slug IN ('" . implode("','", array_diff(AtumGlobals::get_product_types(), AtumGlobals::get_inheritable_product_types())) . "')\n\t\t\t\t"; goto Jk4Ka; AOm2v: $all_related_bom_products = AtumCache::get_transient($transient_key, TRUE); goto qwRXU; V2DXI: $all_related_bom_products = $wpdb->get_col(self::get_bom_products_query()); goto Rcozp; Ouqqn: $all_related_bom_products = array_unique(array_merge($all_related_bom_products, $products, $child)); goto AA8k1; SCv2P: $post_statuses = AtumGlobals::get_queryable_product_statuses(); goto uX_c3; sAhSC: $products = $wpdb->get_col($product_query); goto xEpn0; xEpn0: $child = $wpdb->get_col($child_query); goto Ouqqn; vHkL8: global $wpdb; goto V2DXI; xmXW5: if (!$all_related_bom_products) { goto W_ZOk; } goto SCv2P; AA8k1: AtumCache::set_transient($transient_key, $all_related_bom_products, DAY_IN_SECONDS, TRUE); goto hKPn1; hBuAD: $all_related_bom_products = array_unique(array_merge($all_related_bom_products, $bom_variations)); goto xmXW5; Jk4Ka: $child_query = "\n\t\t\t\t\tSELECT p.ID FROM {$wpdb->posts} p\n\t\t\t\t\tINNER JOIN {$wpdb->prefix}" . BOMModel::get_linked_bom_table() . " lb ON p.ID = lb.product_id\n\t\t\t\t\tINNER JOIN {$wpdb->term_relationships} AS termrelations ON (p.post_parent = termrelations.object_id)\n\t\t\t\t\tINNER JOIN {$wpdb->terms} AS terms ON (terms.term_id = termrelations.term_taxonomy_id)\n\t\t\t\t\tINNER JOIN {$wpdb->term_taxonomy} AS taxonomies ON (taxonomies.term_taxonomy_id = termrelations.term_taxonomy_id)\n\t\t\t\t\tWHERE p.post_status IN('" . implode("','", $post_statuses) . "') \n\t\t\t\t\tAND p.post_type = 'product_variation'\n\t\t\t\t\tAND lb.bom_id IN( " . implode(',', $all_related_bom_products) . ")\n\t\t\t\t\tAND taxonomies.taxonomy = 'product_type' \n\t\t\t\t\tAND terms.slug IN ('" . implode("','", AtumGlobals::get_inheritable_product_types()) . "')\n\t\t\t\t"; goto sAhSC; Rcozp: $bom_variations = $wpdb->get_col(self::get_bom_variation_products_query()); goto hBuAD; XReRG: } public static function update_all_related_bom_products_manage_stock() { goto B9X5_; TpCer: $bom_variations = $wpdb->get_col(self::get_bom_variation_products_query()); goto u0r_B; d1SHz: $post_statuses = AtumGlobals::get_queryable_product_statuses(); goto JGla6; B9X5_: global $wpdb; goto m4esl; f81nU: $wpdb->query($child_query); goto yTV7d; JGla6: $product_query = "\n\t\t\t\tUPDATE {$wpdb->postmeta} pm\n\t\t\t\tINNER JOIN {$wpdb->posts} p ON p.ID = pm.post_id\n\t\t\t\tINNER JOIN {$linked_bom_table} lb ON p.ID = lb.product_id\n\t\t\t\tINNER JOIN {$wpdb->term_relationships} AS termrelations ON (p.ID = termrelations.object_id)\n\t\t\t\tINNER JOIN {$wpdb->terms} AS terms ON (terms.term_id = termrelations.term_taxonomy_id)\n\t\t\t\tINNER JOIN {$wpdb->term_taxonomy} AS taxonomies ON (taxonomies.term_taxonomy_id = termrelations.term_taxonomy_id)\n\t\t\t\tSET pm.meta_value = 'yes'\n\t\t\t\tWHERE pm.meta_key = '_manage_stock' AND pm.meta_value <> 'yes'\n\t\t\t\tAND p.post_status IN('" . implode("','", $post_statuses) . "') \n\t\t\t\tAND p.post_type = 'product'\n\t\t\t\tAND lb.bom_id IN( " . implode(',', $all_related_bom_products) . ")\n\t\t\t\tAND taxonomies.taxonomy = 'product_type' \n\t\t\t\tAND terms.slug IN ('" . implode("','", array_diff(AtumGlobals::get_product_types(), AtumGlobals::get_inheritable_product_types())) . "')\n\t\t\t"; goto iH_d8; yTV7d: hq84n: goto xg_or; QnqSo: $wpdb->query($product_query); goto f81nU; u0r_B: $all_related_bom_products = array_unique(array_merge($all_related_bom_products, $bom_variations)); goto Sie_g; Sie_g: if (!$all_related_bom_products) { goto hq84n; } goto ZR7Mh; m4esl: $all_related_bom_products = $wpdb->get_col(self::get_bom_products_query()); goto TpCer; ZR7Mh: $linked_bom_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto d1SHz; iH_d8: $child_query = "\n\t\t\t\tUPDATE {$wpdb->postmeta} pm\n\t\t\t\tINNER JOIN {$wpdb->posts} p ON p.ID = pm.post_id\n\t\t\t\tINNER JOIN {$linked_bom_table} lb ON p.ID = lb.product_id\n\t\t\t\tINNER JOIN {$wpdb->term_relationships} AS termrelations ON (p.post_parent = termrelations.object_id)\n\t\t\t\tINNER JOIN {$wpdb->terms} AS terms ON (terms.term_id = termrelations.term_taxonomy_id)\n\t\t\t\tINNER JOIN {$wpdb->term_taxonomy} AS taxonomies ON (taxonomies.term_taxonomy_id = termrelations.term_taxonomy_id)\n\t\t\t\tSET pm.meta_value = 'yes'\n\t\t\t\tWHERE pm.meta_key = '_manage_stock' AND pm.meta_value <> 'yes'\n\t\t\t\tAND p.post_status IN('" . implode("','", $post_statuses) . "') \n\t\t\t\tAND p.post_type = 'product_variation'\n\t\t\t\tAND lb.bom_id IN( " . implode(',', $all_related_bom_products) . ")\n\t\t\t\tAND taxonomies.taxonomy = 'product_type' \n\t\t\t\tAND terms.slug IN ('" . implode("','", AtumGlobals::get_inheritable_product_types()) . "')\n\t\t\t"; goto QnqSo; xg_or: } public static function get_bom_products_query() { goto SfMk2; T4ljQ: $statuses = AtumGlobals::get_queryable_product_statuses(); goto SEUn5; sTrrR: return apply_filters('atum/product_levels/get_bom_products_query', $bom_product_query); goto J_EEP; SEUn5: $bom_product_query = "\n\t\t\tSELECT DISTINCT p.ID FROM {$wpdb->posts} p\n\t\t\tINNER JOIN {$wpdb->term_relationships} AS termrelations ON (p.ID = termrelations.object_id)\n\t\t\tINNER JOIN {$wpdb->terms} AS terms ON (terms.term_id = termrelations.term_taxonomy_id)\n\t\t\tINNER JOIN {$wpdb->term_taxonomy} AS taxonomies ON (taxonomies.term_taxonomy_id = termrelations.term_taxonomy_id)\n\t\t\tWHERE p.post_status IN('" . implode("','", $statuses) . "') \n\t\t\tAND p.post_type = 'product'\n\t\t\tAND taxonomies.taxonomy = 'product_type' \n\t\t\tAND terms.slug IN ('" . implode("','", Globals::get_simple_product_levels()) . "')\n        "; goto sTrrR; SfMk2: global $wpdb; goto T4ljQ; J_EEP: } public static function get_bom_variation_products_query() { goto CapXZ; LJxss: return apply_filters('atum/product_levels/get_bom_variation_products_query', $bom_variation_query); goto d1FXI; gmT61: $bom_variation_query = "\n\t\t\tSELECT DISTINCT p.ID FROM {$wpdb->posts} p\n\t\t\tINNER JOIN {$wpdb->term_relationships} AS termrelations ON (p.post_parent = termrelations.object_id)\n\t\t\tINNER JOIN {$wpdb->terms} AS terms ON (terms.term_id = termrelations.term_taxonomy_id)\n\t\t\tINNER JOIN {$wpdb->term_taxonomy} AS taxonomies ON (taxonomies.term_taxonomy_id = termrelations.term_taxonomy_id)\n\t\t\tWHERE p.post_status IN('" . implode("','", $statuses) . "') \n\t\t\tAND p.post_type = 'product_variation'\n\t\t\tAND taxonomies.taxonomy = 'product_type' \n\t\t\tAND terms.slug IN ('" . implode("','", Globals::get_variable_product_levels()) . "')\n        "; goto LJxss; EDyBF: $statuses = AtumGlobals::get_queryable_product_statuses(); goto gmT61; CapXZ: global $wpdb; goto EDyBF; d1FXI: } public static function get_all_bomable_product_types() { return array_merge(array_diff(AtumGlobals::get_product_types(), AtumGlobals::get_inheritable_product_types()), AtumGlobals::get_child_product_types()); } public static function recalculate_bom_tree_stock($product, $force = FALSE, $order_item_data = FALSE) { goto KtB_h; HuUBk: aO50J: goto q4Hmh; IPTKd: if (!empty($bom_tree)) { goto gBkGJ; } goto ZFLCT; Ga6pT: foreach ($bom_tree as $bom_id) { goto J0OCC; A0ko0: do_action('atum/product_levels/recalculated_bom', $bom_id); goto kuIjh; jE9Ij: if (!($order_item_data && $product_id !== $bom_id)) { goto T7xqu; } goto A0ko0; J0OCC: self::get_calculated_stock_quantity($bom_id, FALSE, TRUE); goto jE9Ij; kuIjh: T7xqu: goto T0pn_; T0pn_: h8LR3: goto YeU4O; YeU4O: } goto L6Xp6; nU3U2: self::$recalculated_product_trees[] = $product_id; goto BuLaL; C1uwv: GiD4w: goto Upmx1; XGKtP: $product_id = $product->get_id(); goto l1dpn; Xlk4s: cDjqY: goto ubgjA; gjW5r: mYraD: goto u1EaX; RpBP8: gBkGJ: goto gQ9oa; u1EaX: $bom_tree = array_diff($children_bom_trees, $bom_tree); goto lpMtG; BuLaL: $bom_tree = array_reverse(self::get_all_bom_children($product_id, '', FALSE)); goto uMzqp; id_Md: if (!$has_linked_bom) { goto cDjqY; } goto bbMBL; l1dpn: if (!(!$force && in_array($product_id, self::$recalculated_product_trees))) { goto hJ4RG; } goto hyiQA; n_DY7: $has_linked_bom = BOMModel::has_linked_bom($product_id, $force); goto id_Md; Nn8Gp: mcYu5: goto XGKtP; GbUL0: goto GiD4w; goto zOkIS; KtB_h: if (self::is_bom_stock_control_enabled()) { goto CF4UY; } goto kSPgg; mjG0v: foreach ($bom_tree as $bom_id) { goto fVePT; cquwF: IKWyh: goto P2CPy; P2CPy: $children_bom_trees = array_merge($children_bom_trees, self::get_all_bom_parents($bom_id)); goto iXzfM; p_s04: $bom_tree = array_diff($bom_tree, array($bom_id)); goto cquwF; fVePT: if (!BOMModel::has_linked_bom($bom_id)) { goto IKWyh; } goto p_s04; iXzfM: TKgH0: goto LhN4T; LhN4T: } goto gjW5r; lpMtG: cL9Vh: goto C1uwv; Z92fr: P7Nyu: goto Nn8Gp; bo5Ef: return; goto Z92fr; xBTYj: hJ4RG: goto n_DY7; on94y: self::defer_recalculate_bom_tree_stock($product_id); goto GbUL0; Upmx1: $bom_tree = array_unique(array_map('absint', apply_filters('atum/product_levels/update_calculated_stock/bom_tree', $bom_tree, $product_id))); goto O3jpK; idi9B: w8RG4: goto ztRMO; L6Xp6: rQvNO: goto xcwQ0; O3jpK: if (empty($bom_tree)) { goto tAZ7W; } goto Ga6pT; ubgjA: $is_bom_product = Globals::is_bom_product($product); goto kkVMx; kkVMx: if (!($is_bom_product || $has_linked_bom)) { goto aO50J; } goto nU3U2; hyiQA: return; goto xBTYj; ZIXQx: $bom_tree = array_diff(self::get_all_bom_parents($product_id), $bom_tree); goto sXHrd; kSPgg: return; goto KuXVB; s47VR: if ($product instanceof \WC_Product) { goto mcYu5; } goto z5Ex1; ZFLCT: goto cL9Vh; goto FsKoe; bbMBL: self::get_calculated_stock_quantity($product, FALSE, TRUE); goto Xlk4s; xcwQ0: tAZ7W: goto lzHjD; zOkIS: ZM3PR: goto Fa3lQ; z5Ex1: $product = AtumHelpers::get_atum_product($product); goto Jtk6h; FsKoe: JQFrv: goto ZIXQx; KuXVB: CF4UY: goto s47VR; Jtk6h: if ($product instanceof \WC_Product) { goto P7Nyu; } goto bo5Ef; sXHrd: goto cL9Vh; goto RpBP8; uMzqp: if (AtumQueues::is_running_async_hook()) { goto ZM3PR; } goto on94y; ztRMO: do_action('atum/product_levels/updated_calculated_stock', $product); goto HuUBk; gQ9oa: $children_bom_trees = array(); goto mjG0v; Fa3lQ: if ($is_bom_product) { goto JQFrv; } goto IPTKd; lzHjD: if (!($has_linked_bom && $order_item_data)) { goto w8RG4; } goto UIIkO; UIIkO: do_action('atum/product_levels/recalculated_parent', $product, $order_item_data, $bom_tree); goto idi9B; q4Hmh: } public static function bulk_async_recalculate_bom_tree_stock($products, $is_order = FALSE) { goto oLqJG; YILd9: foreach ($products as $order_item_data) { goto ULPz3; lyKqR: $transient_key = AtumCache::get_transient_key('order_notes_' . intval($order_item_data['order_id'])); goto j32IL; N6FuG: goto YpXGu; goto cn0WB; ULPz3: if (isset($order_item_data['order_id'])) { goto ecnql; } goto N6FuG; cn0WB: ecnql: goto lyKqR; j32IL: $saved_notes = AtumCache::get_transient($transient_key, TRUE); goto HJr_I; HJr_I: if (empty($saved_notes)) { goto n0MuL; } goto NaEdq; NaEdq: goto lp1qp; goto TMi1u; lrSRS: YpXGu: goto Cwoao; TMi1u: n0MuL: goto lrSRS; Cwoao: } goto c2hyI; Jd8sU: foreach ($order_notes as $note_id => $order_note) { goto b0FKA; R5TkV: $action = floatval($order_note_meta['old_stock']) < floatval($order_note_meta['new_stock']) ? 'increase' : 'decrease'; goto frQd2; eiDjL: if (empty($order_notes_meta)) { goto ydg8H; } goto KYJdZ; zV1ju: rSeme: goto TESUH; frQd2: AtumHelpers::save_order_note_meta($note_id, ['action' => $action . '_stock', 'meta' => $order_notes_meta]); goto mipWv; c3AX2: $old_note->comment_content = $note; goto wkH2x; BiZye: if ('increase' === $order_note['action']) { goto rSeme; } goto j90eT; DFogz: goto G1y6o; goto zV1ju; KYJdZ: $order_note_meta = current($order_notes_meta); goto R5TkV; wkH2x: wp_update_comment($old_note->to_array()); goto eiDjL; jTrp9: $order_notes_meta = $order_note['meta']; goto c3AX2; QCTfR: CURaY: goto DZcAU; j90eT: $note = __('Stock levels reduced:', ATUM_LEVELS_TEXT_DOMAIN); goto DFogz; o_EJV: $note .= implode(',', $order_note['items']); goto jTrp9; b0FKA: $old_note = get_comment($note_id); goto BiZye; TNPuS: G1y6o: goto o_EJV; mipWv: ydg8H: goto QCTfR; TESUH: $note = __('Stock levels increased:', ATUM_LEVELS_TEXT_DOMAIN); goto TNPuS; DZcAU: } goto SXtsq; fvvMk: $order_notes = $saved_notes = array(); goto YILd9; EOy7z: return; goto BHKv4; c2hyI: lp1qp: goto K0taK; oLqJG: if (self::is_bom_stock_control_enabled()) { goto w2voy; } goto EOy7z; P0u0u: CWLv5: goto Jd8sU; bhEew: if (!$is_order) { goto dDc7Q; } goto fvvMk; BHKv4: w2voy: goto AOZvZ; SXtsq: rInaF: goto E1hPc; E1hPc: goto dCo5B; goto OJ9i4; htpjf: dCo5B: goto dCLFT; IFqXT: self::bulk_recalculate_bom_tree_stock($products, TRUE); goto htpjf; M3hVQ: $products = array_keys($products); goto IFqXT; K0taK: foreach ($products as $product_id => $order_item_data) { goto CHxSd; P4UBA: $old_stock = isset($order_item_data['old_stock']) ? floatval($order_item_data['old_stock']) : NULL; goto Rnquz; L6hYK: goto CWLv5; goto lyf2d; xBVj9: XGBeR: goto Oezjb; Rnquz: $new_stock = $product->get_stock_quantity(); goto gZLXo; CHxSd: self::recalculate_bom_tree_stock($product_id, TRUE, $order_item_data); goto mFLZF; mFLZF: $product = wc_get_product($product_id); goto P4UBA; iJ8x8: foreach ($saved_notes as $saved_note_id => $saved_note_items) { goto NZjeY; QRhrJ: RMPzG: goto fBkDR; s_nBk: SORr9: goto QRhrJ; NZjeY: foreach ($saved_note_items as $saved_note) { goto s7Pez; t5M2Y: eyF0F: goto qIGwZ; ua4Rg: $order_notes[$saved_note_id]['action'] = $order_item_data['action']; goto DOTte; s7Pez: if (!($saved_note['product_id'] !== $product_id || $saved_note['old_stock'] === $old_stock && $saved_note['new_stock'] === $new_stock)) { goto D65X4; } goto iC3dv; DOTte: $order_notes[$saved_note_id]['items'][$product_id] = ' ' . $product->get_formatted_name() . ' ' . $old_stock . '&rarr;' . $new_stock; goto hgPZA; hgPZA: $order_notes[$saved_note_id]['meta'][$product_id] = ['item_name' => $product->get_name(), 'product_id' => $product_id, 'old_stock' => $old_stock, 'new_stock' => $new_stock]; goto t5M2Y; vsrtS: D65X4: goto ua4Rg; iC3dv: goto eyF0F; goto vsrtS; qIGwZ: } goto s_nBk; fBkDR: } goto o95fV; o95fV: PUsWw: goto xBVj9; gZLXo: if (!empty($saved_notes)) { goto QA9W3; } goto L6hYK; lyf2d: QA9W3: goto iJ8x8; Oezjb: } goto P0u0u; OJ9i4: dDc7Q: goto M3hVQ; AOZvZ: $is_order = !is_bool($is_order) ? wc_string_to_bool($is_order) : $is_order; goto bhEew; dCLFT: } public static function bulk_recalculate_bom_tree_stock($products, $force = FALSE) { goto aRYtJ; oPtHv: rToEd: goto amQQI; brBcO: $products = [$products]; goto DgpQ4; RiZcM: return; goto Gb0AM; Gb0AM: Hjesk: goto bxfgI; aRYtJ: if (self::is_bom_stock_control_enabled()) { goto Hjesk; } goto RiZcM; bxfgI: if (is_array($products)) { goto IPUZW; } goto brBcO; LXoNw: foreach ($products as $product) { self::recalculate_bom_tree_stock($product, $force); KURds: } goto oPtHv; DgpQ4: IPUZW: goto LXoNw; amQQI: } public static function defer_recalculate_bom_tree_stock($product_id, $order_item_info = FALSE) { goto TJ8rZ; djQcr: AtumCache::set_cache($cache_key, $changes, ''); goto cDeHR; pqOAI: $changes['products'][$product_id] = $order_item_info; goto cYYpZ; FktK_: AtumCache::enable_cache(); goto LG7Yr; LG7Yr: JEeL7: goto JgB21; XdYPm: ooTlH: goto djQcr; iibZf: $changes = AtumCache::get_cache($cache_key, '', FALSE, $has_cache); goto VNyA7; lrkTf: XbHkG: goto zqM71; cDeHR: if (!$was_cache_disabled) { goto XbHkG; } goto fxVks; GMDwr: return; goto zrzNZ; R3NnX: $was_cache_disabled = AtumCache::is_cache_disabled(); goto j4pSN; Ntt6l: $changes = ['products' => [$product_id => $order_item_info], 'is_order' => FALSE !== $order_item_info]; goto XdYPm; VNyA7: if (!$has_cache) { goto LfV3t; } goto pqOAI; XjdHh: LfV3t: goto Ntt6l; cYYpZ: goto ooTlH; goto XjdHh; fxVks: AtumCache::disable_cache(); goto lrkTf; JgB21: $cache_key = AtumCache::get_cache_key('deferred_calc_bom_tree'); goto iibZf; TJ8rZ: if (!(!self::is_bom_stock_control_enabled() || !absint($product_id))) { goto NbrwV; } goto GMDwr; zrzNZ: NbrwV: goto R3NnX; j4pSN: if (!$was_cache_disabled) { goto JEeL7; } goto FktK_; zqM71: } public static function sync_all_real_bom_stock($step = NULL, $offset = 0, $delete_transients = TRUE) { goto IpuHx; fKtBR: $products = self::get_all_related_bom_products(); goto K4yjH; C4MdO: SzFZW: goto DbQxr; DbQxr: if ($processed) { goto R0JVO; } goto DKtw8; aGYlt: $processed = AtumCache::get_transient($transient_key, TRUE); goto C4MdO; Yhm0M: KqfMx: goto fKtBR; lUbTA: AtumCache::delete_transients($transient_key); goto V7OJx; W07YX: $return['limit'] = $total_products; goto lUbTA; zmhXK: Ha8P_: goto jUhlU; Txm8k: if (is_null($step)) { goto SzFZW; } goto rWcI4; BiE0W: $processed = FALSE; goto Txm8k; lD923: AtumCache::delete_transients(); goto Yhm0M; jUhlU: $return['finished'] = TRUE; goto W07YX; xJyNo: if ($offset + $step >= $total_products) { goto Ha8P_; } goto JmeEw; MqQJe: AtumCache::set_transient($transient_key, $processed, DAY_IN_SECONDS, TRUE); goto Rk1Fb; ehL6u: R0JVO: goto XQ4c8; K4yjH: $total_products = count($products); goto BiE0W; Rk1Fb: goto bO3vW; goto zmhXK; kLxqf: $transient_key = AtumCache::get_transient_key('processed_bom_products'); goto aGYlt; Fr2Wq: return FALSE; goto jtF_V; DKuS6: return $return; goto cBmTv; jfgYC: B5Y2s: goto M0lya; JmeEw: $return['finished'] = FALSE; goto Qs5CE; rWcI4: $products = array_slice($products, $offset, $step); goto kLxqf; CdQO_: if (!$delete_transients) { goto KqfMx; } goto lD923; DKtw8: $processed = []; goto ehL6u; V7OJx: bO3vW: goto v1304; IpuHx: if (self::is_bom_stock_control_enabled()) { goto K7jYi; } goto Fr2Wq; M0lya: $return = ['total' => $total_products]; goto EFMAE; v1304: ArsHW: goto DKuS6; XQ4c8: foreach ($products as $product_id) { goto KJ58o; ire_n: H2Srg: goto b1rdg; KJ58o: if (in_array($product_id, $processed)) { goto AiCtU; } goto Unf5G; OFuIK: $processed[] = $product_id; goto nwsuJ; b1rdg: AiCtU: goto QXzGM; SRoku: $bom_tree = array_unique(array_reverse(self::get_all_bom_children($product_id, '', FALSE))); goto rp8tq; Unf5G: if (!BOMModel::has_linked_bom($product_id)) { goto H2Srg; } goto SRoku; rp8tq: foreach ($bom_tree as $bom_id) { goto Xvful; SrdV8: yQiEr: goto dq4gm; NLcVg: loGOO: goto w0b8n; EU5ez: self::get_calculated_stock_quantity($bom_id, FALSE, TRUE); goto NLcVg; Xvful: if (!(!in_array($bom_id, $processed) && BOMModel::has_linked_bom($bom_id))) { goto loGOO; } goto EU5ez; w0b8n: $processed[] = $bom_id; goto SrdV8; dq4gm: } goto yHZuQ; yHZuQ: P6tbT: goto ire_n; QXzGM: self::get_calculated_stock_quantity($product_id, FALSE, TRUE); goto OFuIK; nwsuJ: deWDY: goto zFgE5; zFgE5: } goto jfgYC; jtF_V: K7jYi: goto CdQO_; EFMAE: if (is_null($step)) { goto ArsHW; } goto xJyNo; Qs5CE: $return['limit'] = $offset + $step; goto MqQJe; cBmTv: } public static function set_bom_order_items_transient($order_id, $order_item_id, $bom_order_items) { return BOMOrderItemsPreModel::set_predicted_bom_order_items($order_id, $order_item_id, $bom_order_items); } public static function get_bom_order_items_transient($order_id, $force = FALSE) { goto Mfdgk; kUl_q: return apply_filters('atum/product_levels/bom_order_items_transient', $predicted_boms, $order_id, $force); goto lVFav; Mfdgk: $order_id = apply_filters('atum/product_levels/bom_order_items_transient_order_id', $order_id, $force); goto clckj; clckj: $predicted_boms = BOMOrderItemsPreModel::get_predicted_bom_order_items($order_id, $force); goto kUl_q; lVFav: } public static function delete_bom_order_items_transient($order_id, $delete_cache = TRUE) { $result = BOMOrderItemsPreModel::delete_predicted_bom_order_items($order_id, $delete_cache); return !(FALSE === $result); } public static function associated_product_allow_backorders($product_id) { goto kKzTQ; U5sgI: Hy31P: goto e_3bD; kKzTQ: $allow_backorders = TRUE; goto GLW_h; e_3bD: return $allow_backorders; goto sLeht; zQnwV: return TRUE; goto PlywH; GLW_h: if (!BOMModel::has_linked_bom($product_id)) { goto i0AYI; } goto hoeM1; C1f9u: foreach ($linked_boms as $linked_bom) { goto pgqdO; pp4RD: niX8p: goto mnXx_; JDdxx: if (BOMModel::has_linked_bom($linked_bom->bom_id)) { goto TkXbh; } goto PyPCN; OtHH5: goto Hy31P; goto q1JUB; HS4RB: goto h_Uh6; goto pp4RD; q1JUB: Nwc_H: goto HS4RB; fn0TG: goto THQ7L; goto knRsR; pgqdO: if (in_array($linked_bom->bom_type, PLGlobals::get_linked_bom_product_types())) { goto UHyoR; } goto fn0TG; mnXx_: $allow_backorders = FALSE; goto HmgRr; HmgRr: goto Hy31P; goto DPlLp; DPlLp: h_Uh6: goto nInHW; q2eRo: $allow_backorders = self::associated_product_allow_backorders($linked_bom->bom_id); goto qt_D_; PyPCN: if (!$bom_product->backorders_allowed()) { goto niX8p; } goto XPdF9; knRsR: UHyoR: goto YfUwe; YfUwe: $bom_product = AtumHelpers::get_atum_product($linked_bom->bom_id, TRUE); goto X8XHc; cpEJq: TkXbh: goto q2eRo; QsF2u: THQ7L: goto TY75G; nInHW: JnVe1: goto QsF2u; X8XHc: if (!$bom_product instanceof \WC_Product) { goto JnVe1; } goto JDdxx; qt_D_: if ($allow_backorders) { goto Nwc_H; } goto OtHH5; XPdF9: goto h_Uh6; goto cpEJq; TY75G: } goto U5sgI; hoeM1: $linked_boms = BOMModel::get_linked_bom($product_id); goto C1f9u; sLeht: i0AYI: goto zQnwV; PlywH: } public static function get_sync_purchase_price($product_id) { return get_post_meta($product_id, Globals::SYNC_PURCHASE_PRICE_KEY, TRUE); } public static function maybe_adjust_available_to_purchase($stock, $product) { goto YH0ef; uPx3E: BHLeu: goto AQFaK; Zgndp: $stock = 0; goto I2S6I; YH0ef: if (!(!is_admin() && $stock > 0 && self::is_bom_stock_control_enabled())) { goto sX0BS; } goto mbpR6; FSLOp: if (0 > $available_to_purchase) { goto vaGBE; } goto NrScp; lduAW: vaGBE: goto Zgndp; wnISV: FTyBz: goto IVIvI; NrScp: if (!is_null($available_to_purchase) && $available_to_purchase !== 0.0) { goto FTyBz; } goto TUHIe; mbpR6: $available_to_purchase = $product->get_available_to_purchase(); goto FSLOp; TUHIe: goto BHLeu; goto lduAW; I2S6I: goto BHLeu; goto wnISV; IVIvI: $stock = min($stock, $available_to_purchase); goto uPx3E; U0Znl: return $stock; goto vSky3; AQFaK: sX0BS: goto U0Znl; vSky3: } public static function show_sellable_boms_sc() { goto F1BU8; QA9uW: if (!(str_contains($screen_id, StockCentral::UI_SLUG) && 'yes' === AtumHelpers::get_option('pl_display_bom_sellable_in_sc', 'yes'))) { goto FnfGV; } goto k3AdZ; Ef1YG: return apply_filters('atum/product_levels/show_sellable_boms', $show_sellable_boms); goto YaP1D; Yg2mY: FnfGV: goto Ef1YG; OOhrR: $show_sellable_boms = FALSE; goto QA9uW; xA5FD: $screen_id = $screen ? $screen->id : (isset($_REQUEST['screen']) ? $_REQUEST['screen'] : ''); goto OOhrR; F1BU8: $screen = get_current_screen(); goto xA5FD; k3AdZ: $show_sellable_boms = TRUE; goto Yg2mY; YaP1D: } public static function get_all_boms_sellable_sql($sellable = TRUE, $inheritable = FALSE) { goto wPSdc; kNT2V: $post_statuses = AtumGlobals::get_queryable_product_statuses(); goto SJrNj; KdDAd: $inheritable_clauses = $inheritable_query->get_sql($wpdb->posts, 'ID'); goto TcPfZ; wPSdc: global $wpdb; goto mthn3; ZDv_0: $tax_clauses = $tax_query->get_sql($wpdb->posts, 'ID'); goto zTiAu; Lr4La: return array('join' => "{$join_pdata} {$join_taxonomy}", 'where' => "( {$where_posts} {$where_sellable} {$where_taxonomy} ) "); goto cMQ_7; TcPfZ: $pdata_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto kNT2V; mthn3: $tax_product_types = array(array('taxonomy' => 'product_type', 'field' => 'slug', 'terms' => Globals::get_product_levels(), 'operator' => 'IN')); goto JdAjM; CLAVz: $join_pdata = "LEFT JOIN {$pdata_table} ON {$wpdb->posts}.ID = {$pdata_table}.product_id"; goto HQiIN; JdAjM: $tax_query = new \WP_Tax_Query($tax_product_types); goto ZDv_0; SJrNj: $where_posts = "{$wpdb->posts}.post_type = 'product' AND {$wpdb->posts}.post_status IN('" . implode("','", $post_statuses) . "')"; goto CLAVz; lgeBB: $inheritable_query = new \WP_Tax_Query($inheritable_product_types); goto KdDAd; qHw_P: $where_taxonomy = $tax_clauses['where']; goto tlykk; zTiAu: $inheritable_product_types = array(array('taxonomy' => 'product_type', 'field' => 'slug', 'terms' => Globals::get_variation_levels(), 'operator' => 'IN')); goto lgeBB; HQiIN: $where_sellable = $sellable ? "AND ( CAST( {$pdata_table}.bom_sellable AS SIGNED) = '1' OR {$wpdb->posts}.ID IN (\n\t\t\tSELECT {$wpdb->posts}.post_parent FROM {$wpdb->posts} {$inheritable_clauses['join']} {$join_pdata}\n\t\t\tWHERE {$where_posts} {$inheritable_clauses['where']} AND CAST( {$pdata_table}.bom_sellable AS SIGNED) = '1' ) ) " : "AND ( {$pdata_table}.bom_sellable <> 1 OR {$pdata_table}.bom_sellable IS NULL )\n\t\t\tAND {$wpdb->posts}.ID NOT IN ( SELECT {$wpdb->posts}.post_parent FROM {$wpdb->posts} {$join_pdata} {$inheritable_clauses['join']}\n\t\t\tWHERE {$where_posts} {$inheritable_clauses['where']} AND CAST( {$pdata_table}.bom_sellable AS SIGNED) = '1' )"; goto qHw_P; tlykk: $join_taxonomy = $tax_clauses['join']; goto Lr4La; cMQ_7: } public static function get_all_boms_non_sellable_ids() { goto FYzac; hxLtu: $bom_ids = !empty($bom_ids) ? array_map('absint', $bom_ids) : []; goto XM8KU; GO5N_: nHBlM: goto my06l; XM8KU: AtumCache::set_cache($cache_key, $bom_ids, ATUM_LEVELS_TEXT_DOMAIN); goto eK4A2; NlHZ5: $cache_key = AtumCache::get_cache_key('get_all_boms_non_sellable_ids', $clauses); goto R8JiX; tSkBg: $clauses = self::get_all_boms_sellable_sql(FALSE); goto NlHZ5; my06l: $sql = "\n\t\t\tSELECT {$wpdb->posts}.ID FROM {$wpdb->posts}\n            {$clauses['join']}\n            WHERE {$clauses['where']}\n        "; goto wMM7U; eK4A2: return $bom_ids; goto MF3dT; R8JiX: $bom_ids = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto y64sH; wMM7U: $bom_ids = $wpdb->get_col($sql); goto hxLtu; y64sH: if (!$has_cache) { goto nHBlM; } goto DOczS; FYzac: global $wpdb; goto tSkBg; DOczS: return $bom_ids; goto GO5N_; MF3dT: } public static function get_all_boms_sellable_types() { goto NzZJw; b5BVY: AtumCache::set_cache($cache_key, $sellable_types, ATUM_LEVELS_TEXT_DOMAIN); goto GbFJP; q5nW0: $sellable_types = array(); goto CK7wy; wsheZ: $cache_key = AtumCache::get_cache_key('get_all_boms_sellable_types', $clauses); goto s0Bob; rt8v1: $sql = "\n\t\t\tSELECT DISTINCT {$wpdb->term_relationships}.term_taxonomy_id FROM {$wpdb->posts}\n            {$clauses['join']}\n            WHERE {$clauses['where']}\n        "; goto d7kru; NzZJw: global $wpdb; goto Ku0YI; s0Bob: $term_slugs = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto fVKFw; Ku0YI: $clauses = self::get_all_boms_sellable_sql(); goto wsheZ; CK7wy: foreach ($term_ids as $term_id) { goto oKRLy; oKRLy: $term = get_term($term_id, 'product_type'); goto Nr6Zz; pN5lR: $sellable_types[] = $term->slug; goto YExt7; YExt7: hMIfF: goto Zl2Yo; Zl2Yo: ZLQ7w: goto Tpfg0; Nr6Zz: if (empty($term)) { goto hMIfF; } goto pN5lR; Tpfg0: } goto zkpCN; fVKFw: if (!$has_cache) { goto Vp7kk; } goto Ankqv; d7kru: $term_ids = array_map('absint', $wpdb->get_col($sql)); goto q5nW0; AcjwJ: Vp7kk: goto rt8v1; GbFJP: return $sellable_types; goto vhnNq; Ankqv: return $term_slugs; goto AcjwJ; zkpCN: zIoN2: goto b5BVY; vhnNq: } public static function get_cost_decimals() { return absint(AtumHelpers::get_option('pl_bom_item_cost_decimals', wc_get_price_decimals())); } }
