<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Addons\Addons; use Atum\Components\AtumAdminNotices; use Atum\Components\AtumCache; use Atum\Components\AtumQueues; use Atum\Components\AtumStockDecimals; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\StockCentral\Lists\ListTable as SCListTable; use Atum\StockCentral\StockCentral; use AtumLevels\Levels\Products\AtumProductProductPartVariation; use AtumLevels\Levels\Products\AtumProductRawMaterialVariation; use AtumLevels\ManufacturingCentral\ManufacturingCentral; use AtumLevels\MetaBoxes\ProductDataMetaBoxes; use AtumLevels\Models\BOMModel; class Hooks { private static $instance; private $filterable_props = array('stock_quantity', 'stock_status'); private function __construct() { goto JOIvx; yBOPl: $this->register_global_hooks(); goto bFZbi; QKSXs: if (!(is_admin() || AtumHelpers::is_rest_request())) { goto vv1dq; } goto Fbf8J; Mu4nR: vv1dq: goto yBOPl; JOIvx: $this->filterable_props = apply_filters('atum/product_levels/bom_stock_control_props', $this->filterable_props); goto QKSXs; Fbf8J: $this->register_admin_hooks(); goto Mu4nR; bFZbi: } public function register_admin_hooks() { goto vY2fY; TNJEo: add_action('edit_post_product_variation', array($this, 'maybe_update_bom_parents_stock'), 10, 2); goto UfDjG; QfJr1: add_filter('atum/list_table/column_type', array($this, 'sellable_boms_sc_column_type'), 10, 3); goto hRVdS; D6XNY: add_action('atum/after_delete_atum_product_data', array($this, 'remove_linked_bom_after_product_removal'), 10, 2); goto qbGwP; Jb5U0: add_action('atum/list_table/after_product_types_dropdown', array($this, 'enable_allowed_types')); goto foFuA; tHdHe: add_filter('atum/list_table/taxonomies', array($this, 'add_sc_taxonomies')); goto euDjh; EM5fZ: add_filter('atum/dashboard/get_items_in_stock/product_stock', array($this, 'get_real_stock'), 10, 2); goto Y8V9j; arVfY: v52qA: goto BY0vs; Lyf1d: add_action('current_screen', array($this, 'check_products_with_empty_linked_boms'), 9); goto TLT7G; WEEJc: add_filter('atum/dashboard/get_stock_levels/out_stock_products_args', array($this, 'exclude_variable_bom_types_from_dashboard_queries')); goto cPlRn; UZqJL: add_filter('atum/data_export/js_settings', array($this, 'data_export_settings'), 10, 2); goto nh1C1; XTpGn: ProductDataMetaBoxes::get_instance(); goto UdANL; UUCMA: add_action('atum/ajax/after_update_list_data', array($this, 'maybe_recalculate_pl_data')); goto BcDyi; qp0aR: add_filter('atum/load_view_args/meta-boxes/product-data/purchase-price-field', array($this, 'purchase_price_field_view_args'), 100); goto Lyf1d; BcDyi: add_filter('woocommerce_json_search_found_products', array($this, 'check_products_seller')); goto cE0DS; Zcr5P: add_filter('atum/allowed_child_product_types', array($this, 'child_bom_types')); goto iVizu; hRVdS: add_filter('atum/product_types_dropdown/allowed_types', array($this, 'add_bom_types_filter')); goto WV0A0; cPlRn: add_filter('atum/meta_boxes/purchase_price/invalid', array($this, 'invalid_purchase_price_hide_class'), 10, 2); goto tHdHe; O5Vvv: add_action('atum/product_data/before_save_product_meta_boxes', array($this, 'maybe_remove_boms'), 10, 2); goto fd44W; WV0A0: add_action('edit_post_product', array($this, 'maybe_update_bom_parents_stock'), 10, 2); goto TNJEo; fd44W: add_filter('atum/list_table/get_terms_categories_extra_criteria', array($this, 'add_terms_categories_extra_criteria'), 10, 2); goto arVfY; nh1C1: add_filter('atum/data_export/html_report_class', array($this, 'html_report_class')); goto RYAEQ; TLT7G: add_filter('woocommerce_show_invalid_variations_notice', array($this, 'check_variations_with_empty_linked_boms'), 10, 2); goto EM5fZ; GtmeV: add_filter('atum/list_table/sql_stock_field', array($this, 'get_field_for_query'), 11, 3); goto O5Vvv; RQUK_: add_action('atum/after_duplicate_product', array($this, 'duplicate_product_bom'), 10, 2); goto qp0aR; UfDjG: add_action('atum/list_table/before_product_types_dropdown', array($this, 'maybe_disable_allowed_types')); goto Jb5U0; iVizu: add_filter('atum/compatible_product_types', array($this, 'product_types_with_stock')); goto KkPO3; euDjh: add_filter('atum/list_table/prepare_items/args', array($this, 'exclude_sc_non_sellable_boms')); goto QfJr1; H2nk5: add_filter('atum/allowed_inheritable_product_types', array($this, 'inheritable_bom_types')); goto Zcr5P; KkPO3: add_filter('atum/simple_product_types', array($this, 'simple_bom_types')); goto JrT65; Y8V9j: add_filter('atum/dashboard/get_items_in_stock/product_price', array($this, 'get_real_purchase_price'), 10, 2); goto Db5Qg; vY2fY: if (!is_admin()) { goto v52qA; } goto XTpGn; PdMOs: add_filter('atum/dashboard/purchase_price_field', array($this, 'get_field_for_query'), 11); goto GtmeV; xMHwi: add_filter('atum/dashboard/current_stock_value_widget/product_types_dropdown', array($this, 'add_product_types_dropdown')); goto RQUK_; qbGwP: add_action('woocommerce_save_product_variation', array($this, 'save_bom_sellable_to_variables'), PHP_INT_MAX, 2); goto ZK1kN; UdANL: add_action('admin_enqueue_scripts', array($this, 'enqueue_scripts'), 1); goto r9BGg; ZK1kN: add_filter('atum/dashboard/get_children/parent_product_types', array($this, 'exclude_variable_boms_from_dashboard_counters'), 10, 2); goto x820O; Db5Qg: add_filter('atum/dashboard/stock_field', array($this, 'get_field_for_query'), 11); goto PdMOs; RYAEQ: add_filter('atum/data_export/report_title', array($this, 'report_title')); goto xMHwi; r9BGg: add_filter('atum/data_export/allowed_pages', array($this, 'add_data_export')); goto UZqJL; BY0vs: add_filter('product_type_selector', array($this, 'product_type_selector')); goto H2nk5; cE0DS: add_filter('atum/settings/sanitize', array($this, 'detect_bom_stock_control_change')); goto D6XNY; JrT65: add_action('woocommerce_product_type_changed', array($this, 'product_type_changed'), 1, 3); goto UUCMA; x820O: add_filter('atum/dashboard/get_stock_levels/in_stock_products_args', array($this, 'exclude_variable_bom_types_from_dashboard_queries')); goto WEEJc; foFuA: } public function register_global_hooks() { goto NIDIS; gDnYK: YHAu1: goto EhW_z; RMjxR: add_filter('atum/data_store/yes_no_columns', array($this, 'add_data_store_yes_no_bom_columns')); goto b9p7V; nss85: add_filter('woocommerce_add_to_cart_handler', array($this, 'maybe_change_cart_handler'), 10, 2); goto xl3yd; Q1qon: add_filter('atum/data_store/columns', array($this, 'add_data_store_bom_columns')); goto u_qzL; ZGy1L: add_filter('posts_clauses', array($this, 'exclude_bom_from_where_clause'), 100, 2); goto i5cyu; xl3yd: add_action('atum/data_store/after_save_product_data', array($this, 'check_bom_sellable_variable_bom'), 109, 2); goto U6UMS; u_qzL: add_filter('atum/data_store/allow_null_columns', array($this, 'add_data_store_allow_null_bom_columns')); goto RMjxR; gvLVP: foreach (Globals::get_product_levels() as $product_level) { goto FA5Ae; FA5Ae: $callback = str_contains($product_level, 'variable') ? 'bom_variable_add_to_cart' : 'bom_simple_add_to_cart'; goto ai5_E; ai5_E: add_action("woocommerce_{$product_level}_add_to_cart", array($this, $callback), 30); goto FmYEL; FmYEL: CG5c3: goto paaan; paaan: } goto BXSys; EhW_z: $this->add_product_props_filters(); goto RbG1S; BAbQx: add_filter('atum/duplicate_atum_product/add_fields', array($this, 'add_fields_duplicate_wpml_product')); goto B7l5N; L9Iu7: add_filter('atum/models/product_data_class', array($this, 'product_levels_classes'), 10, 4); goto bfCFC; U6UMS: if (!Helpers::is_bom_stock_control_enabled()) { goto qyg_C; } goto vP0hx; BXSys: uAY48: goto nss85; vP0hx: add_action('woocommerce_check_cart_items', array($this, 'check_bom_cart_stock')); goto kLD64; kLD64: if (!(get_option('woocommerce_schema_version', 0) < 430)) { goto YHAu1; } goto wrSxe; b9p7V: add_filter('terms_clauses', array($this, 'maybe_exclude_non_sellable_boms'), 100, 3); goto ZGy1L; bfCFC: add_filter('woocommerce_data_stores', array($this, 'add_data_stores')); goto Q1qon; B7l5N: qyg_C: goto NES1M; RbG1S: add_filter('shutdown', array($this, 'maybe_create_async_tasks'), 9); goto BAbQx; i5cyu: add_action('wp', array($this, 'prevent_non_sellable_bom_access'), 1); goto gvLVP; wrSxe: add_filter('woocommerce_format_stock_quantity', array($this, 'change_stock_quantity_shown'), 10, 2); goto gDnYK; NIDIS: add_filter('woocommerce_product_class', array($this, 'product_levels_classes'), 10, 4); goto L9Iu7; NES1M: } public function add_product_props_filters() { goto AEBqo; Nid2R: EGhPc: goto zdBM3; AEBqo: foreach ($this->filterable_props as $prop) { goto kEoJB; qDgER: SOXZ0: goto YDEfk; frdE4: add_filter("woocommerce_product_get_{$prop}", array($this, "get_{$prop}"), 999, 2); goto TjN8m; LEAcc: IVUFd: goto qDgER; TjN8m: add_filter("woocommerce_product_variation_get_{$prop}", array($this, "get_{$prop}"), 999, 2); goto LEAcc; kEoJB: if (!is_callable(array($this, "get_{$prop}"))) { goto IVUFd; } goto frdE4; YDEfk: } goto Nid2R; zdBM3: do_action('atum/product_levels/after_adding_product_props_filters'); goto F0T_1; F0T_1: } public function remove_product_props_filters() { goto TQRiC; h0OtO: do_action('atum/product_levels/after_removing_product_props_filters'); goto lbwNG; TQRiC: foreach ($this->filterable_props as $prop) { goto Kz8Ni; KCTC4: remove_filter("woocommerce_product_variation_get_{$prop}", array($this, "get_{$prop}"), 999); goto YcPCy; DpeeV: jUAaX: goto uWb97; BgC2I: remove_filter("woocommerce_product_get_{$prop}", array($this, "get_{$prop}"), 999); goto KCTC4; YcPCy: v2jxl: goto DpeeV; Kz8Ni: if (!is_callable(array($this, "get_{$prop}"))) { goto v2jxl; } goto BgC2I; uWb97: } goto gQsuI; gQsuI: eJVxe: goto h0OtO; lbwNG: } public function product_levels_classes($classname, $product_type, $post_type, $product_id) { goto CEeXe; sSldd: UX_2k: goto KOdRJ; NESBz: $parent_product_type = AtumHelpers::read_parent_product_type($product_id); goto djfct; N214V: $classname = "{$namespace}AtumProductProductPartVariation"; goto XOiFw; uXSk3: goto UX_2k; goto LYkQz; djfct: if ('variable-product-part' === $parent_product_type) { goto KrXc2; } goto iRmu5; CEeXe: $namespace = '\\AtumLevels\\Levels\\Products\\'; goto mcJAv; sFWnq: $classname = "{$namespace}AtumProductRawMaterialVariation"; goto hvLsx; XOiFw: goto c3nFW; goto RFeP2; mcJAv: if ('product' === $post_type && in_array($product_type, Globals::get_product_levels(), TRUE)) { goto Kh7Hq; } goto fjCsC; fjCsC: if ('product_variation' === $post_type && 'variation' === $product_type) { goto J6rcq; } goto u0Zbs; u0Zbs: goto UX_2k; goto wFNW2; KOdRJ: return $classname; goto Uwqh7; XTfgY: KrXc2: goto N214V; wFNW2: Kh7Hq: goto ClZlx; vQyGh: goto c3nFW; goto XTfgY; hvLsx: c3nFW: goto sSldd; ClZlx: $classname = "{$namespace}AtumProduct" . str_replace(' ', '', ucwords(str_replace('-', ' ', $product_type))); goto uXSk3; iRmu5: if ('variable-raw-material' === $parent_product_type) { goto OiFLK; } goto vQyGh; RFeP2: OiFLK: goto sFWnq; LYkQz: J6rcq: goto NESBz; Uwqh7: } public function add_data_stores($data_stores) { goto X1RnB; oPdad: return $data_stores; goto IL2lA; r0HAG: dBBIj: goto oPdad; SiTo5: foreach (Globals::get_product_levels() as $product_level) { $data_stores["product-{$product_level}"] = str_contains($product_level, 'variable') ? "{$atum_models_namespace}\\AtumProductVariableDataStoreCPT" : "{$atum_models_namespace}\\AtumProductDataStoreCPT"; Uzpw2: } goto owkAN; Tw02s: foreach (Globals::get_variation_levels() as $variation_level) { $data_stores["product-{$variation_level}"] = "{$atum_models_namespace}\\AtumProductVariationDataStoreCPT"; ncTjn: } goto r0HAG; owkAN: ou20P: goto Tw02s; X1RnB: $atum_models_namespace = '\\Atum\\Models\\DataStores'; goto ni7cp; ni7cp: $product_levels_namespace = '\\AtumLevels\\Levels\\DataStores'; goto SiTo5; IL2lA: } public function product_type_selector($wc_product_types) { return array_merge($wc_product_types, Globals::get_product_types()); } public function inheritable_bom_types($product_types) { goto B8DC5; c2E1R: $product_types[] = 'variable-raw-material'; goto qwiQU; B8DC5: $product_types[] = 'variable-product-part'; goto c2E1R; qwiQU: return $product_types; goto x4OvS; x4OvS: } public function simple_bom_types($product_types) { goto yM3OU; MKi0y: miGUW: goto TtBCK; TtBCK: return $product_types; goto eDCJo; yM3OU: foreach (Globals::get_simple_product_levels() as $product_level) { $product_types[] = $product_level; WmUmB: } goto MKi0y; eDCJo: } public function child_bom_types($product_types) { goto pQU2D; GEVR7: return $product_types; goto wXFb9; pQU2D: $product_types[] = 'product-part-variation'; goto b3yFQ; b3yFQ: $product_types[] = 'raw-material-variation'; goto GEVR7; wXFb9: } public function product_types_with_stock($product_types) { return array_unique(array_merge($product_types, Globals::get_product_levels())); } public function add_data_store_bom_columns($atum_columns) { $atum_columns = array_merge($atum_columns, ['bom_sellable', 'minimum_threshold', 'available_to_purchase', 'selling_priority', 'calculated_stock', 'is_bom']); return $atum_columns; } public function add_data_store_allow_null_bom_columns($atum_columns) { $atum_columns = array_merge($atum_columns, ['bom_sellable', 'minimum_threshold', 'available_to_purchase', 'selling_priority', 'calculated_stock']); return $atum_columns; } public function add_data_store_yes_no_bom_columns($atum_columns) { goto mvF2x; mvF2x: $atum_columns[] = 'bom_sellable'; goto gkEhI; gkEhI: $atum_columns[] = 'is_bom'; goto Uhk8Y; Uhk8Y: return $atum_columns; goto PEzOZ; PEzOZ: } public function add_fields_duplicate_wpml_product($extra_fields) { goto VIzzG; KSksw: oRAwb: goto taO64; taO64: return $extra_fields; goto IPBNe; iRtnH: if (!version_compare($product_levels_version, '1.5.1', '>=')) { goto wkHBZ; } goto SZtHL; Gx2eK: $extra_fields[] = 'calculated_stock'; goto iRtnH; VIzzG: $product_levels_version = get_option(ATUM_PREFIX . 'product_levels_version'); goto HyJqJ; oYUBl: $extra_fields[] = 'bom_sellable'; goto HoKHz; HyJqJ: if (!$product_levels_version) { goto oRAwb; } goto oYUBl; SZtHL: $extra_fields[] = 'is_bom'; goto HQ1N_; HQ1N_: wkHBZ: goto KSksw; FOFL4: $extra_fields[] = 'selling_priority'; goto Gx2eK; HoKHz: $extra_fields[] = 'minimum_threshold'; goto WdNcA; WdNcA: $extra_fields[] = 'available_to_purchase'; goto FOFL4; IPBNe: } public function enqueue_scripts($hook) { goto Q5rIZ; H9zZA: $screen_id = $screen ? $screen->id : ''; goto isukT; hjNeH: EZ7Gj: goto TtD5p; CiIor: if (!Addons::is_addon_active('multi_inventory')) { goto BCIrG; } goto PkJ9B; OJHP4: if (!is_rtl()) { goto OEKDC; } goto xB28P; csEfq: wp_localize_script('atum-pl-list-tables', 'atumManCentral', $vars); goto HLe83; OJDkd: j0Of6: goto HI8Be; dSLH7: if ($product->has_child()) { goto tlPF3; } goto LmN50; WdOTt: if (!('grouped' !== $product->get_type())) { goto EpzTf; } goto c_gUq; lbcQx: wp_register_script('atum-pl-products', ATUM_LEVELS_URL . 'assets/js/build/atum-pl-product-data.js', ['jquery', 'jquery-ui-core', 'jquery-ui-sortable', 'sweetalert2', 'wp-hooks'], ATUM_LEVELS_VERSION, TRUE); goto unvRo; iwADb: goto zP9DM; goto h_AM4; lSBLB: $insufficient_stock = !$bom_stock_control ? __('You are changing the stock level to a value insufficient to produce all products on sale!', ATUM_LEVELS_TEXT_DOMAIN) : __("The stock of the BOM you're trying to add will cause that current product runs out of stock", ATUM_LEVELS_TEXT_DOMAIN); goto RvxFQ; QlBZn: $vars['manageStockMsg'] = __('The products with calculated stock must be managed', ATUM_LEVELS_TEXT_DOMAIN); goto JFQwY; HcCmd: if ('shop_order' === $screen_id || in_array($screen_id, AtumGlobals::get_atum_order_types(), TRUE) || AtumHelpers::is_using_hpos_tables() && function_exists('wc_get_page_screen_id') && wc_get_page_screen_id('shop-order') === $screen_id && (!empty($_GET['id']) || !empty($_GET['action']) && 'new' === $_GET['action'])) { goto uHR2I; } goto qytNL; VuSH3: wp_enqueue_style('atum-pl-orders'); goto kZ37h; HLe83: wp_enqueue_script('atum-pl-list-tables'); goto bleXB; Os9pn: if ('product' === $screen_id) { goto JeGm1; } goto A3B78; NSaTh: wp_enqueue_style('atum-pl-products'); goto OJHP4; isukT: $bom_stock_control = Helpers::is_bom_stock_control_enabled(); goto x2IhR; A3B78: if (str_contains($screen_id, ManufacturingCentral::UI_SLUG) || str_contains($screen_id, StockCentral::UI_SLUG)) { goto EZ7Gj; } goto HcCmd; unvRo: $vars = array_merge($commmon_js_vars, array('add' => __('Add', ATUM_LEVELS_TEXT_DOMAIN), 'defaultBomSelling' => AtumHelpers::get_option('pl_default_bom_selling', 'no'), 'currencyFormat' => esc_attr(str_replace(['%1$s', '%2$s'], ['%s', '%v'], get_woocommerce_price_format())), 'currencyFormatDecimalSeparator' => wc_get_price_decimal_separator(), 'currencyFormatNumDecimals' => Helpers::get_cost_decimals(), 'levels' => Globals::get_product_levels(), 'noProductParts' => __('No Product Parts added yet', ATUM_LEVELS_TEXT_DOMAIN), 'noRawMaterials' => __('No Raw Materials added yet', ATUM_LEVELS_TEXT_DOMAIN), 'ok' => __('OK', ATUM_LEVELS_TEXT_DOMAIN), 'selectBoms' => __('Please, select at least one BOM to apply the bulk action', ATUM_LEVELS_TEXT_DOMAIN), 'selectBulkAction' => __('Please, select a bulk action from the dropdown', ATUM_LEVELS_TEXT_DOMAIN), 'setButton' => __('Set', ATUM_LEVELS_TEXT_DOMAIN), 'setValue' => __('Set the %% value', ATUM_LEVELS_TEXT_DOMAIN))); goto yqMpz; fLiiz: wp_localize_script('atum-pl-orders', 'atumPLOrdersVars', array('bomStockControl' => wc_bool_to_string($bom_stock_control), 'cancel' => __('Cancel', ATUM_LEVELS_TEXT_DOMAIN), 'decreaseBOMs' => __('Decrease BOMs also', ATUM_LEVELS_TEXT_DOMAIN), 'confirmDecreaseBOMs' => __('Also decrease the stock of the linked BOMs for the selected items.', ATUM_LEVELS_TEXT_DOMAIN), 'confirmIncreaseBOMs' => __('Also increase the stock of the linked BOMs for the selected items.', ATUM_LEVELS_TEXT_DOMAIN), 'editQuantityFromPopup' => __('Edit the order item quantity from the BOM Management popup, clicking over the BOM tree products', ATUM_LEVELS_TEXT_DOMAIN), 'error' => __('Error!', ATUM_LEVELS_TEXT_DOMAIN), 'errorSaving' => __('There was an unexpected error saving your selected inventories to the database', ATUM_LEVELS_TEXT_DOMAIN), 'increaseBOMs' => __('Increase BOMs also', ATUM_LEVELS_TEXT_DOMAIN), 'managementPopupTitle' => __('BOM Multi-Inventory Management', ATUM_LEVELS_TEXT_DOMAIN), 'nonce' => wp_create_nonce('atum-pl-orders-nonce'), 'noSelectedInventories' => __('You must select at least one inventory and fulfill all the required items.', ATUM_LEVELS_TEXT_DOMAIN), 'notEnoughStock' => __('This inventory does not have enough stock available.', ATUM_LEVELS_TEXT_DOMAIN), 'proceed' => __('Proceed', ATUM_LEVELS_TEXT_DOMAIN), 'saveButton' => __('Apply', ATUM_LEVELS_TEXT_DOMAIN), 'unableToLoadPopup' => __('Unable to load the BOM MI management popup', ATUM_LEVELS_TEXT_DOMAIN), 'wrongStockAmount' => __("You've entered a wrong stock amount.", ATUM_LEVELS_TEXT_DOMAIN))); goto U_2hT; qMgQ5: $product_id = get_the_ID(); goto GT7ax; GT7ax: $product = AtumHelpers::get_atum_product($product_id); goto Uthzu; kZ37h: $deps = ['jquery', 'sweetalert2', 'wp-hooks']; goto CiIor; h9VIV: BCIrG: goto UD5oq; HI8Be: EpzTf: goto SA770; Ffl0i: $vars = array_merge($commmon_js_vars, array('add' => __('Add', ATUM_LEVELS_TEXT_DOMAIN), 'linkItems' => __('Link BOM(s)', ATUM_LEVELS_TEXT_DOMAIN), 'noItemsAdded' => __('Please, add some BOMs first', ATUM_LEVELS_TEXT_DOMAIN), 'nonce' => wp_create_nonce('atum-pl-link-boms-nonce'))); goto csEfq; kmS_5: f0hUC: goto U4hVE; CK81l: wp_register_script('atum-pl-list-tables', ATUM_LEVELS_URL . 'assets/js/build/atum-pl-list-tables.js', ['atum-list'], ATUM_LEVELS_VERSION, TRUE); goto Ffl0i; TtD5p: wp_enqueue_style('atum-pl-list-tables', ATUM_LEVELS_URL . 'assets/css/atum-pl-list-tables.css', ['atum-list'], ATUM_LEVELS_VERSION); goto CK81l; ZCaoN: uHR2I: goto kXs71; qytNL: goto rG5su; goto V4_6b; kXs71: wp_register_style('atum-pl-orders', ATUM_LEVELS_URL . 'assets/css/atum-pl-orders.css', ['sweetalert2'], ATUM_LEVELS_VERSION); goto VuSH3; UD5oq: wp_register_script('atum-pl-orders', ATUM_LEVELS_URL . 'assets/js/build/atum-pl-orders.js', $deps, ATUM_LEVELS_VERSION, TRUE); goto fLiiz; PkJ9B: $deps[] = 'atum-mi-orders'; goto h9VIV; UQW_H: rG5su: goto t7ruD; LmN50: $allow_backorders_field[$product_id] = Helpers::associated_product_allow_backorders($product_id); goto iwADb; Uthzu: if (!$product instanceof \WC_Product) { goto O4Huq; } goto dSLH7; yqMpz: if (!$bom_stock_control) { goto f0hUC; } goto QlBZn; JYZmS: wp_register_style('atum-pl-products', ATUM_LEVELS_URL . 'assets/css/atum-pl-products.css', ['sweetalert2'], ATUM_LEVELS_VERSION); goto lbcQx; JFQwY: $allow_backorders_field = []; goto qMgQ5; V4_6b: JeGm1: goto JYZmS; U4hVE: wp_localize_script('atum-pl-products', 'atumProdLevels', $vars); goto NSaTh; a5Rkn: OEKDC: goto ar9k5; c_gUq: foreach ($product->get_children() as $variation_id) { $allow_backorders_field[$variation_id] = Helpers::associated_product_allow_backorders($variation_id); tG_LV: } goto OJDkd; VbU5w: wp_enqueue_style('atum-pl-products-rtl'); goto a5Rkn; RvxFQ: $commmon_js_vars = array('areYouSure' => __('Are you sure?', ATUM_LEVELS_TEXT_DOMAIN), 'bomStockControl' => wc_bool_to_string($bom_stock_control), 'bomTree' => __("BOM's Hierarchy Tree", ATUM_LEVELS_TEXT_DOMAIN), 'bomTreeNonce' => wp_create_nonce('atum-bom-tree-nonce'), 'cancel' => __('Cancel', ATUM_LEVELS_TEXT_DOMAIN), 'closeAllNodes' => __('Collapse all', ATUM_LEVELS_TEXT_DOMAIN), 'insufficientStock' => $insufficient_stock, 'proceed' => __('Proceed', ATUM_LEVELS_TEXT_DOMAIN), 'openAllNodes' => __('Expand all', ATUM_LEVELS_TEXT_DOMAIN)); goto Os9pn; h_AM4: tlPF3: goto WdOTt; sSh87: O4Huq: goto Unh6H; vAqXt: $vars['allowBackordersMsg'] = __('If you want to allow backorders on this product, all its linked BOM must allow them first', ATUM_LEVELS_TEXT_DOMAIN); goto kmS_5; Q5rIZ: $screen = get_current_screen(); goto H9zZA; bleXB: goto rG5su; goto ZCaoN; Unh6H: $vars['allowBackordersField'] = $allow_backorders_field; goto vAqXt; x2IhR: AtumHelpers::register_swal_scripts(); goto lSBLB; U_2hT: wp_enqueue_script('atum-pl-orders'); goto UQW_H; a_DVt: goto rG5su; goto hjNeH; SA770: zP9DM: goto sSh87; xB28P: wp_register_style('atum-pl-products-rtl', ATUM_LEVELS_URL . 'assets/css/atum-pl-products-rtl.css', array('atum-pl-products'), ATUM_LEVELS_VERSION); goto VbU5w; ar9k5: wp_enqueue_script('atum-pl-products'); goto a_DVt; t7ruD: } public function add_data_export($allowed_pages) { goto BTmnv; NJBCA: return $allowed_pages; goto A3X2e; xoba5: $allowed_pages[] = 'toplevel_page_' . ManufacturingCentral::UI_SLUG; goto NJBCA; BTmnv: $allowed_pages[] = AtumGlobals::ATUM_UI_HOOK . '_page_' . ManufacturingCentral::UI_SLUG; goto xoba5; A3X2e: } public function data_export_settings($js_settings, $page_hook) { goto rGa5M; uWCap: $js_settings['productTypes'] = Helpers::bom_types_dropdown(); goto UM2Kt; UM2Kt: j4W5N: goto V7Z8L; uCFpC: unset($js_settings['categories'], $js_settings['categoriesTitle']); goto k_Rtw; V7Z8L: return $js_settings; goto iwHn3; k_Rtw: $js_settings['productTypesTitle'] = __('BOM Type', ATUM_LEVELS_TEXT_DOMAIN); goto uWCap; rGa5M: if (!str_contains($page_hook, ManufacturingCentral::UI_SLUG)) { goto j4W5N; } goto uCFpC; iwHn3: } public function html_report_class($class_name) { goto A76LK; NEsoO: return $class_name; goto r5zsG; yWFZl: DxfSn: goto NEsoO; E9fhf: return '\\AtumLevels\\Reports\\BOMHtmlReport'; goto yWFZl; A76LK: if (!(isset($_GET['page']) && ManufacturingCentral::UI_SLUG === $_GET['page'])) { goto DxfSn; } goto E9fhf; r5zsG: } public function report_title($title) { goto FN_0q; Wik_7: return $title; goto juUmZ; RWR0C: return __('ATUM Manufacturing Central Report', ATUM_LEVELS_TEXT_DOMAIN); goto SVCEB; FN_0q: if (!(isset($_GET['page']) && ManufacturingCentral::UI_SLUG === $_GET['page'])) { goto nGGFB; } goto RWR0C; SVCEB: nGGFB: goto Wik_7; juUmZ: } public function maybe_exclude_non_sellable_boms($clauses, $taxonomies, $args) { goto vkN1R; ydZ7L: if ('no' === AtumHelpers::get_option('pl_default_bom_selling', 'no')) { goto Gr3Mp; } goto rnxHG; vkN1R: global $wpdb; goto I5frd; urg5n: SIGsg: goto UwcaR; rnxHG: $sellable_where = 'apd.bom_sellable = 0'; goto InSBJ; gqZnC: Gr3Mp: goto zsGJN; zsGJN: $sellable_where = '(apd.bom_sellable = 0 OR apd.bom_sellable IS NULL)'; goto urg5n; I5frd: if (!(!is_admin() && TRUE === wc_string_to_bool($args['hide_empty']) && (in_array('product_cat', $taxonomies) || in_array('product_tag', $taxonomies)) && str_contains($clauses['join'], $wpdb->term_relationships))) { goto p8tey; } goto VwYHh; u3INg: p8tey: goto rKQOm; UwcaR: $clauses['join'] .= " INNER JOIN {$atum_product_data_table} AS apd ON apd.product_id = tr.object_id"; goto WTAJm; rKQOm: return $clauses; goto FA0Z3; InSBJ: goto SIGsg; goto gqZnC; WTAJm: $clauses['where'] .= " AND ( ( apd.is_bom = 1 AND {$sellable_where} ) OR apd.is_bom = 0 )"; goto u3INg; VwYHh: $atum_product_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto ydZ7L; FA0Z3: } public function exclude_bom_from_where_clause($clauses, $query) { goto zmrZ2; Vi7xM: return $clauses; goto hPM8e; QYL76: $tax_clauses = $tax_query->get_sql('pr', 'ID'); goto vcQM8; Csq_b: global $wpdb; goto vsasO; YlFmE: goto X0L5f; goto rQSFG; dLPMo: OkEdC: goto My5EZ; S8xkq: oIVvE: goto Csq_b; QG942: return $clauses; goto dLPMo; zmrZ2: if (!(is_admin() || AtumHelpers::is_rest_request())) { goto OkEdC; } goto QG942; rQSFG: FeSyI: goto EmslZ; My5EZ: if (!(!$query->is_search() && 'product' !== $query->get('post_type'))) { goto oIVvE; } goto rftus; y9OKG: $bom_sellable_where = ' ( apd.bom_sellable = 0 OR apd.bom_sellable IS NULL ) '; goto YlFmE; rftus: return $clauses; goto S8xkq; o5I4_: X0L5f: goto Hq1qx; CsutU: if ('yes' === AtumHelpers::get_option('pl_default_bom_selling', 'no')) { goto FeSyI; } goto y9OKG; Hq1qx: $tax_query = new \WP_Tax_Query($tax_product_types); goto QYL76; dLyCt: remove_filter('posts_clauses', array($this, 'exclude_bom_from_where_clause')); goto Vi7xM; EmslZ: $bom_sellable_where = 'apd.bom_sellable = 0'; goto o5I4_; vcQM8: $clauses['where'] .= " AND {$wpdb->posts}.ID NOT IN ( SELECT pr.ID FROM {$wpdb->posts} pr\n\t                           LEFT JOIN {$wpdb->prefix}" . AtumGlobals::ATUM_PRODUCT_DATA_TABLE . " apd ON pr.ID = apd.product_id\n\t                           {$tax_clauses['join']}\n\t                           WHERE {$bom_sellable_where}\n\t                           {$tax_clauses['where']} )"; goto dLyCt; vsasO: $tax_product_types = array(array('taxonomy' => 'product_type', 'field' => 'slug', 'terms' => Globals::get_product_levels(), 'operator' => 'IN')); goto CsutU; hPM8e: } public function prevent_non_sellable_bom_access() { goto lXmFk; fNS70: status_header(404); goto MPyVm; lXmFk: global $post; goto EB313; oWNRE: if (!($product instanceof \WC_Product && in_array($product->get_type(), Globals::get_product_levels()) && !Helpers::is_purchase_allowed($product))) { goto aw5BZ; } goto ycf2s; MPyVm: aw5BZ: goto EGeiz; oLBt6: $product = AtumHelpers::get_atum_product($post->ID); goto oWNRE; EB313: if (!is_singular('product')) { goto EyXrh; } goto oLBt6; viGef: $wp_query->set_404(); goto fNS70; EGeiz: EyXrh: goto tf3NR; ycf2s: global $wp_query; goto viGef; tf3NR: } public function bom_simple_add_to_cart() { AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/add-to-cart/simple'); } public function bom_variable_add_to_cart() { goto NDm6g; O7PT2: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/add-to-cart/variable', array('available_variations' => $get_variations ? $product->get_available_variations() : FALSE, 'attributes' => $product->get_variation_attributes(), 'selected_attributes' => $product->get_default_attributes())); goto klGM1; NDm6g: global $product; goto Yz165; EoAhm: $get_variations = count($product->get_children()) <= apply_filters('woocommerce_ajax_variation_threshold', 30, $product); goto O7PT2; Yz165: wp_enqueue_script('wc-add-to-cart-variation'); goto EoAhm; klGM1: } public function maybe_change_cart_handler($type, $product) { goto YzZa4; X9omM: return $type; goto uNTWL; YzZa4: if (!in_array($type, Globals::get_variable_product_levels())) { goto GHMAf; } goto nyoQh; nyoQh: $type = 'variable'; goto oROVC; oROVC: GHMAf: goto X9omM; uNTWL: } public function product_type_changed($product, $from, $to) { goto Sr3vF; e3pXd: foreach ($variations as $variation_id) { BOMModel::update_linked_bom_type($variation_id, $bom_type); GmfTN: } goto rei29; Sr3vF: $variable_types = Globals::get_variable_product_levels(); goto L4ilQ; sLgXQ: goto of_xx; goto xIPxY; gMs7m: $data_store = \WC_Data_Store::load('product-variable'); goto H82nb; f5vtg: of_xx: goto U_dLB; h0Ylv: if (!$variations) { goto ZQzVk; } goto F8QPZ; IxLLr: W9wF5: goto Tdpqy; ApX16: goto LMQC7; goto LtU3H; iBjtK: $bom_type = 'variable-product-part' === $to ? 'product_part' : 'raw_material'; goto gy1nw; evvXX: BOMModel::update_linked_bom_type($product->get_id(), $bom_type); goto q5VpQ; I3fw_: $bom_type = 'product-part' === $to ? 'product_part' : 'raw_material'; goto evvXX; Bvykf: if (in_array($from, $simple_types)) { goto qwc_y; } goto w1HhP; LtU3H: uQTOn: goto I3fw_; IyqUy: BOMModel::delete_all_bom_links($product->get_id()); goto ApX16; gy1nw: $variations = $product->get_children(); goto j4NUT; gjIpq: sxOuB: goto mAAjX; w1HhP: goto of_xx; goto gjIpq; CF0YZ: goto of_xx; goto L51YL; dK2Pk: if (in_array($to, $simple_types)) { goto uQTOn; } goto IyqUy; hxsxu: if ('variable' === $to) { goto lnD54; } goto WPLSR; WPLSR: if (in_array($to, $variable_types)) { goto HmsoH; } goto gMs7m; H82nb: $data_store->delete_variations($product->get_id(), TRUE); goto aaxZh; Rl_dy: NfOuc: goto Xp8FB; kC7Vq: if (in_array($from, $variable_types)) { goto BYDjf; } goto Bvykf; i5f0I: lnD54: goto u2Rlb; Xp8FB: jtXTR: goto CF0YZ; F8QPZ: foreach ($variations as $variation_id) { BOMModel::delete_all_bom_links($variation_id); zoW4P: } goto IxLLr; aaxZh: goto jtXTR; goto i5f0I; rei29: inY3k: goto Rl_dy; gTwiC: if ('variable' === $from && in_array($to, $variable_types)) { goto sxOuB; } goto kC7Vq; L51YL: qwc_y: goto dK2Pk; liGev: HmsoH: goto iBjtK; fDPpW: goto jtXTR; goto liGev; xIPxY: BYDjf: goto hxsxu; L4ilQ: $simple_types = Globals::get_simple_product_levels(); goto gTwiC; u2Rlb: $variations = $product->get_children(); goto h0Ylv; mAAjX: remove_action('woocommerce_product_type_changed', array('WC_Post_Data', 'product_type_changed'), 10); goto sLgXQ; Tdpqy: ZQzVk: goto fDPpW; j4NUT: if (!$variations) { goto NfOuc; } goto e3pXd; q5VpQ: LMQC7: goto f5vtg; U_dLB: } public function add_product_types_dropdown($output) { goto lIcdx; fq22R: return $output; goto MyEZG; lIcdx: foreach (Globals::get_product_types() as $slug => $name) { $output .= '<option value="' . sanitize_title($name) . '">' . $name . '</option>'; vQHF7: } goto GiE_d; GiE_d: ppm5D: goto fq22R; MyEZG: } public function maybe_recalculate_pl_data($product_data) { goto ZpE76; U3sQt: o17ps: goto bXsFZ; Bvixt: if (empty(array_column($product_data, 'selling_priority'))) { goto r7KcK; } goto e8mao; ZpE76: if (!empty(array_filter($product_data))) { goto yfAMZ; } goto XYUNL; HdZ14: foreach ($product_data as $product_id => $data) { goto neSNm; Rqi9E: Helpers::recalculate_bom_tree_stock($product); goto IJZw4; lZSCv: NDMqT: goto Up1Mn; IJZw4: uq7CJ: goto lZSCv; neSNm: if (empty(array_intersect(array_keys($data), ['stock', 'selling_priority', 'minimum_threshold']))) { goto uq7CJ; } goto pCGU5; pCGU5: $product = AtumHelpers::get_atum_product($product_id); goto Rqi9E; Up1Mn: } goto U3sQt; jtHaF: r7KcK: goto HdZ14; uxjoF: yfAMZ: goto Bvixt; e8mao: Helpers::recalculate_selling_priorities(array_keys(wp_list_pluck($product_data, 'selling_priority'))); goto jtHaF; XYUNL: return; goto uxjoF; bXsFZ: } public function get_stock_quantity($stock, $product_data) { goto bdTUq; AEjkN: OMqla: goto HL2nt; HL2nt: return $stock_quantity; goto VEdqP; EyWhH: return $stock; goto l0G_k; VEdqP: goto FXmPv; goto llRTy; bmUZq: FXmPv: goto mSnK0; bdTUq: $product_id = $product_data->get_id(); goto kqu9B; ExeM9: if ($has_cache && (isset($_REQUEST['action']) && 'woocommerce_remove_order_item' !== $_REQUEST['action'])) { goto OMqla; } goto zzLmt; l0G_k: I3QDV: goto yrl69; yrl69: $cache_key = AtumCache::get_cache_key('product_stock_quantity', $product_id); goto Pnj5f; lctWn: $calculated_stock = Helpers::get_calculated_stock_quantity($product_id); goto Aq_JX; mSnK0: AtumCache::set_cache($cache_key, $calculated_stock, ATUM_LEVELS_TEXT_DOMAIN); goto hdHh9; kqu9B: if (BOMModel::has_linked_bom($product_id)) { goto I3QDV; } goto EyWhH; llRTy: pqkbF: goto K5qIa; K5qIa: $calculated_stock = Helpers::get_calculated_stock_quantity($product_id, FALSE, TRUE); goto bmUZq; zzLmt: if ($has_cache && (isset($_REQUEST['action']) && 'woocommerce_remove_order_item' === $_REQUEST['action'])) { goto pqkbF; } goto lctWn; Pnj5f: $stock_quantity = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto ExeM9; hdHh9: return $calculated_stock; goto NqC8P; Aq_JX: goto FXmPv; goto AEjkN; NqC8P: } public function get_stock_status($stock_status, $product_data) { goto nc6K3; I4ZO8: AtumCache::set_cache($cache_key, $product_stock_status, ATUM_LEVELS_TEXT_DOMAIN); goto PuOt4; hcFju: $product_stock_status = 'onbackorder'; goto HcyXi; cGjPq: goto m6huV; goto NXitx; zclLj: if ($product->backorders_allowed()) { goto c_o7W; } goto cGjPq; OMWas: $product_stock_status = 'instock'; goto c_Gxz; Q18o0: return $stock_status; goto HXsx2; cjxOq: if (BOMModel::has_linked_bom($product_id)) { goto spicI; } goto Q18o0; wWqoB: $out_stock_threshold = 0; goto kx70I; HIJ9Q: $out_stock_threshold = wc_stock_amount(!is_null($product->get_out_stock_threshold()) ? $product->get_out_stock_threshold() : get_option('woocommerce_notify_no_stock_amount')); goto gJDv0; HXsx2: spicI: goto FgV6S; IG8du: if (0 < (float) $calculated_stock - (float) $out_stock_threshold) { goto LzWdg; } goto zclLj; HcyXi: U5oKs: goto e7kNJ; Q0ezT: if (!$allow_backorders) { goto U5oKs; } goto hcFju; S8J3l: $product_stock_status = 'outofstock'; goto IG8du; c7upX: ijPGI: goto wWqoB; kiQth: return $product_stock_status; goto ryhCB; PuOt4: return $product_stock_status; goto pJo8R; gJDv0: goto kF22X; goto c7upX; zn7Y_: if (!$has_cache) { goto Y0WI8; } goto kiQth; OqvxA: $bom_children = Helpers::get_direct_bom_children($product_id); goto CU85T; CU85T: $allow_backorders = TRUE; goto EIMXq; kx70I: kF22X: goto S8J3l; QP9bi: $calculated_stock = $this->get_stock_quantity(0, $product_data); goto hlbJI; hjDr7: $product_stock_status = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto zn7Y_; nc6K3: $product_id = $product_data->get_id(); goto cjxOq; NXitx: LzWdg: goto OMWas; hlbJI: $product = AtumHelpers::get_atum_product($product_id); goto IWolZ; XmYMD: qmID2: goto Q0ezT; c_Gxz: goto m6huV; goto hbSL4; ryhCB: Y0WI8: goto QP9bi; IWolZ: if ('no' === AtumHelpers::get_option('out_stock_threshold', 'no')) { goto ijPGI; } goto HIJ9Q; hbSL4: c_o7W: goto OqvxA; FgV6S: $cache_key = AtumCache::get_cache_key('product_stock_status', $product_id); goto hjDr7; e7kNJ: m6huV: goto I4ZO8; EIMXq: foreach ($bom_children as $bom_child) { goto hBzLP; hf6UB: if ($bom_product->backorders_allowed()) { goto wTe7h; } goto zRG3D; hBzLP: $bom_product = AtumHelpers::get_atum_product($bom_child); goto RizLc; RizLc: if ($bom_product instanceof \WC_Product) { goto AQXcX; } goto L8S2U; L8S2U: goto dSPIh; goto Nx7sP; zRG3D: $allow_backorders = FALSE; goto hcrc7; RU2TL: dSPIh: goto YKx4V; hcrc7: goto qmID2; goto c2mr2; c2mr2: wTe7h: goto RU2TL; Nx7sP: AQXcX: goto hf6UB; YKx4V: } goto XmYMD; pJo8R: } public function check_products_seller($products) { goto y1m8T; CkSpO: vVotd: goto GEn2q; y1m8T: foreach ($products as $product_id => $product) { goto IOjwy; esIuO: CUcOM: goto INrTi; IOjwy: $product = AtumHelpers::get_atum_product($product_id); goto KKSvM; INrTi: gowCe: goto V5gWu; WE5jL: unset($products[$product_id]); goto vJgWE; WdZ42: if (!(in_array($product_type, $all_product_levels) && !Helpers::is_purchase_allowed($product))) { goto W_QLq; } goto WE5jL; uPZBh: $product_type = $product->get_type(); goto WdZ42; vJgWE: W_QLq: goto esIuO; zv7eG: $all_product_levels = Globals::get_all_product_levels(); goto uPZBh; KKSvM: if (empty($product)) { goto CUcOM; } goto zv7eG; V5gWu: } goto CkSpO; GEn2q: return $products; goto KFcLF; KFcLF: } public function detect_bom_stock_control_change($settings) { goto AyDHr; yDtFI: ewkzP: goto p3RHK; kZgX8: $old_options = AtumHelpers::get_options(); goto EV7jl; p3RHK: WpVXZ: goto l2Kjj; AyDHr: if (!(!empty($settings['pl_bom_stock_control']) && 'yes' === $settings['pl_bom_stock_control'])) { goto WpVXZ; } goto kZgX8; Ni2_m: Helpers::update_all_related_bom_products_manage_stock(); goto yDtFI; EV7jl: if (!(empty($old_options['pl_bom_stock_control']) || 'no' === $old_options['pl_bom_stock_control'])) { goto ewkzP; } goto Ni2_m; l2Kjj: return $settings; goto mqIAx; mqIAx: } public function check_bom_cart_stock() { goto BkQCK; atHqH: foreach (WC()->cart->get_cart() as $cart_item_key => $values) { goto cZOFe; cZOFe: $product = $values['data']; goto I0sdj; pPXs5: goto eSb7s; goto lE8Nn; sWebd: wc_add_notice(sprintf(__('Sorry, we do not have enough "%1$s" in stock to fulfill your order (%2$s available). We apologize for any inconvenience caused.', ATUM_LEVELS_TEXT_DOMAIN), $product->get_name(), wc_format_stock_quantity_for_display($available, $product)), 'error'); goto HmbVm; d7Tx_: if (!$enough_stock) { goto Di8C9; } goto pPXs5; zVRSv: e08OE: goto aHeTK; cayZ3: wc_add_notice(sprintf(__("Sorry, we do not have enough '%s' in stock to fulfill your order. We apologize for any inconvenience caused.", ATUM_LEVELS_TEXT_DOMAIN), $product->get_name()), 'error'); goto Wxp9b; HmbVm: eSb7s: goto jjSGA; MfMYt: h23ZF: goto bw6SY; Vzloe: aZUXc: goto AW8Y9; bw6SY: $in_stock = apply_filters('atum/product_levels/check_bom_cart_stock/in_stock', $in_stock, $product, $product_qty_in_cart[$product_id], $available); goto sH4he; YfeV5: xTt0_: goto vHpNb; vHpNb: if (!$in_stock) { goto h23ZF; } goto mNGuB; qGs0Q: if (!($product_bom_stock['allow_selling'] && !empty($product_bom_stock['used_boms']))) { goto df8zP; } goto stw34; fDrbI: goto e08OE; goto Vzloe; fsZvc: S0cvy: goto y5o_Z; pUEz9: if (!$in_stock) { goto CnUaB; } goto d7Tx_; OGmCF: $enough_stock = FALSE; goto zVRSv; j1kc3: Di8C9: goto sWebd; DWAKB: df8zP: goto pUEz9; stw34: foreach ($product_bom_stock['used_boms'] as $bom_id => $qty) { goto IIfeT; OvBAV: P8Wm_: goto bWDKb; l21kv: if (FALSE === $available) { goto P8Wm_; } goto GbAJe; GbAJe: if ($bom_available < $available) { goto vFEWl; } goto V8tSM; nkexO: if (!(empty($product_bom_stock['bom_stock'][$bom_id]) || !$qty)) { goto KrB7Y; } goto Wynpd; m15qG: vFEWl: goto hpQ8D; KsIgX: CBHan: goto QAV1z; GHvQF: $bom_available = round($bom_stock[$bom_id] / $qty, AtumStockDecimals::get_stock_decimals()); goto l21kv; V8tSM: goto YsY11; goto OvBAV; oLUNx: if ($available) { goto CBHan; } goto iZnLu; gfCG6: YsY11: goto oLUNx; CYnba: KrB7Y: goto GHvQF; xfy7r: goto YsY11; goto m15qG; GHYVs: goto xTt0_; goto CYnba; QAV1z: XgiKm: goto PPp6J; Wynpd: $in_stock = FALSE; goto GHYVs; IIfeT: $bom_stock[$bom_id] = isset($bom_stock[$bom_id]) ? $bom_stock[$bom_id] : $product_bom_stock['bom_stock'][$bom_id]; goto nkexO; bWDKb: $available = $bom_available; goto xfy7r; iZnLu: $in_stock = FALSE; goto KsIgX; hpQ8D: $available = $bom_available; goto gfCG6; PPp6J: } goto YfeV5; gg3is: $available = FALSE; goto qGs0Q; sH4he: $enough_stock = apply_filters('atum/product_levels/check_bom_cart_stock/enough_stock', $enough_stock, $product, $product_qty_in_cart[$product_id], $available); goto DWAKB; lE8Nn: CnUaB: goto cayZ3; Wxp9b: goto eSb7s; goto j1kc3; jjSGA: AVMpD: goto fsZvc; mNGuB: if ($available < $product_qty_in_cart[$product_id]) { goto aZUXc; } goto IMAXN; AW8Y9: $used = $available; goto OGmCF; SQDmY: Gw91Z: goto MfMYt; Og7gT: if (!(BOMModel::has_linked_bom($product_id) && $product->is_in_stock() && !$product->backorders_allowed())) { goto AVMpD; } goto Fay7U; I0sdj: $product_id = $product->get_stock_managed_by_id(); goto Og7gT; QQJzj: $in_stock = TRUE; goto PUzmh; IMAXN: $used = $product_qty_in_cart[$product_id]; goto fDrbI; Fay7U: $product_bom_stock = Helpers::get_linked_boms_stock_used($product_id); goto QQJzj; aHeTK: foreach ($product_bom_stock['used_boms'] as $bom_id => $qty) { $bom_stock[$bom_id] -= $qty * $used; mH8TY: } goto SQDmY; PUzmh: $enough_stock = TRUE; goto gg3is; y5o_Z: } goto xVeXz; xVeXz: WF0Bm: goto AzS1w; BkQCK: $product_qty_in_cart = WC()->cart->get_cart_item_quantities(); goto ntEsL; ntEsL: $bom_stock = $bom_used = array(); goto atHqH; AzS1w: } public function change_stock_quantity_shown($stock_quantity, $product) { goto rLqDc; GAywa: $on_hold = wc_get_held_stock_quantity($product); goto nTrF_; nTrF_: uLeSt: goto hO6gH; rLqDc: $on_hold = 0; goto xwif9; hO6gH: return $stock_quantity - $on_hold; goto DdeJw; xwif9: if (!BOMModel::has_linked_bom($product->get_id())) { goto uLeSt; } goto GAywa; DdeJw: } public function remove_linked_bom_after_product_removal($product) { goto zY9qe; zY9qe: $product_id = $product->get_id(); goto Fu0ZK; Fu0ZK: $linked_boms = BOMModel::get_linked_bom($product_id); goto qE2Wc; nuz2o: BOMModel::delete_all_bom_links($product_id); goto GUDI3; qE2Wc: foreach ($linked_boms as $linked_bom) { BOMModel::delete_linked_bom($product_id, $linked_bom->bom_id); TsB2d: } goto DOnld; DOnld: kpHzu: goto nuz2o; GUDI3: } public function save_bom_sellable_to_variables($product_id, $index) { goto dh0tB; TszFy: $atum_product_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto QTXbi; xr26Z: rWGaI: goto y3oJf; klHJg: if (Helpers::is_a_bom_variation($variation_product)) { goto dzpr1; } goto wCobq; NEhVm: return; goto DQnHt; yKE4q: $variable_product->save_atum_data(); goto UPmcw; AJOyY: global $wpdb; goto TszFy; DQnHt: jSgqM: goto OL9_K; juSwo: $variable_product = AtumHelpers::get_atum_product($variable_id); goto AJOyY; H8mcM: FuTQ1: goto Pjy7o; lZBHl: dzpr1: goto TxnGs; OL9_K: $variation_product = AtumHelpers::get_atum_product($product_id); goto klHJg; Pjy7o: end($_POST['variation_atum_tab'][Globals::BOM_SELLING_KEY]); goto sw7Lm; mSQzF: $variable_product->set_bom_sellable('yes'); goto yKE4q; QTXbi: $sellable_variations = $wpdb->get_col("SELECT p.ID FROM {$wpdb->posts} p\n    \t\tLEFT JOIN {$atum_product_data_table} a ON p.ID = a.product_id\n\t\t\tWHERE p.post_type = 'product_variation' AND p.post_parent = {$variable_id} AND a.bom_sellable = 1"); goto RyDje; y3oJf: $this->update_bom_sellable_variable_bom($variable_product->get_id()); goto hpKyM; dh0tB: if (!empty($_POST['variation_atum_tab'][Globals::BOM_SELLING_KEY])) { goto FuTQ1; } goto NAAOW; sw7Lm: $last_index = key($_POST['variation_atum_tab'][Globals::BOM_SELLING_KEY]); goto BCrT0; TxnGs: $variable_id = $variation_product->get_parent_id(); goto juSwo; BCrT0: if (!($index !== $last_index)) { goto jSgqM; } goto NEhVm; NAAOW: return; goto H8mcM; UPmcw: return; goto xr26Z; RyDje: if (empty($sellable_variations)) { goto rWGaI; } goto mSQzF; wCobq: return; goto lZBHl; hpKyM: } public function check_bom_sellable_variable_bom($data, $product_id) { $this->update_bom_sellable_variable_bom($product_id); } public function update_bom_sellable_variable_bom($product_id) { goto Rtwtj; j6TRg: $has_global = FALSE; goto jQ1nk; YXbfm: $product->set_bom_sellable($has_global ? NULL : 'no'); goto zU17r; IR7R8: if (Helpers::is_a_bom_variable($product)) { goto oBOio; } goto O25Gn; zU17r: $product->save_atum_data(); goto lDlAO; O25Gn: return; goto sr2nc; hE_5Z: araRl: goto YXbfm; oQzI9: $variations = $product->get_children(); goto j6TRg; sr2nc: oBOio: goto oQzI9; jQ1nk: remove_action('atum/data_store/after_save_product_data', array($this, 'check_bom_sellable_variable_bom'), 109); goto K8xvQ; lDlAO: add_action('atum/data_store/after_save_product_data', array($this, 'check_bom_sellable_variable_bom'), 109, 2); goto dhqD6; K8xvQ: foreach ($variations as $variation_id) { goto NnTKD; NnTKD: $variation_product = AtumHelpers::get_atum_product($variation_id); goto ytMCg; GqLum: if ('yes' === $bom_sellable) { goto vb0P3; } goto iidVX; r481C: HwwP9: goto G3XYe; yLtAt: LUnRD: goto r481C; X0m6j: $product->set_bom_sellable('yes'); goto q55ag; Vjm0F: vb0P3: goto X0m6j; FQkAM: BMUdo: goto sOUwu; uCTYQ: return; goto jSe0r; sOUwu: $has_global = TRUE; goto yLtAt; jSe0r: goto LUnRD; goto FQkAM; iidVX: if (is_null($bom_sellable)) { goto BMUdo; } goto h9QM0; q55ag: $product->save_atum_data(); goto uCTYQ; h9QM0: goto LUnRD; goto Vjm0F; ytMCg: $bom_sellable = $variation_product->get_bom_sellable(); goto GqLum; G3XYe: } goto hE_5Z; Rtwtj: $product = AtumHelpers::get_atum_product($product_id); goto IR7R8; dhqD6: } public function duplicate_product_bom($duplicate, $product) { goto D6HeO; p9GuF: if (!$sync_purchase_price) { goto x4EdM; } goto u7ndD; GRIqR: if (empty($linked_boms)) { goto LuJ3S; } goto JflBo; JflBo: foreach ($linked_boms as $linked_bom) { goto ajOGE; LpYw8: rJ9OI: goto Lgpvm; L15mG: BOMModel::save_linked_bom($linked_bom); goto LpYw8; ajOGE: $linked_bom->product_id = $duplicate->get_id(); goto L15mG; Lgpvm: } goto BP_xv; dj0nF: $sync_purchase_price = Helpers::get_sync_purchase_price($product->get_id()); goto p9GuF; D6HeO: $linked_boms = BOMModel::get_linked_bom($product->get_id()); goto GRIqR; YjRgZ: Helpers::recalculate_bom_tree_stock($duplicate); goto kNy_5; BP_xv: aAI2F: goto YjRgZ; ykmYa: x4EdM: goto oRxxa; kNy_5: LuJ3S: goto dj0nF; u7ndD: update_post_meta($duplicate->get_id(), Globals::SYNC_PURCHASE_PRICE_KEY, $sync_purchase_price); goto ykmYa; oRxxa: } public function exclude_variable_boms_from_dashboard_counters($parent_product_type_ids, $parent_type) { goto HUlTW; HrFxA: return $parent_product_type_ids; goto mu6iI; XrOHm: foreach ($bom_variable_types as $bom_variable_type) { goto XIcVo; UCZCq: if (!$bom_variable_term) { goto ks37o; } goto IaTWD; XIcVo: $bom_variable_term = get_term_by('slug', $bom_variable_type, 'product_type'); goto UCZCq; oMKgL: osMLq: goto WRTkC; j_yWt: ks37o: goto oMKgL; IaTWD: $parent_product_type_ids[] = $bom_variable_term->term_taxonomy_id; goto j_yWt; WRTkC: } goto RgKTQ; wLuS8: b0pMM: goto HrFxA; RgKTQ: GLqda: goto wLuS8; HUlTW: if (!('variable' === $parent_type)) { goto b0pMM; } goto LmHDZ; LmHDZ: $bom_variable_types = Globals::get_variable_product_levels(); goto XrOHm; mu6iI: } public function invalid_purchase_price_hide_class($invalid, $product_id) { goto EUCiZ; EUCiZ: $product = AtumHelpers::get_atum_product($product_id); goto GCHFS; ESnCi: if (!($is_bom_product && !$is_bom_sellable)) { goto fjTQv; } goto G02Sr; ZuhGK: return $invalid; goto an0GK; jLJ71: rhzoT: goto ZuhGK; JIhsl: $is_bom_sellable = $is_bom_product ? Helpers::is_purchase_allowed($product->get_id()) : TRUE; goto ESnCi; G02Sr: $invalid = FALSE; goto jE1AK; M2ck8: $is_bom_product = Globals::is_bom_product($product); goto JIhsl; GCHFS: if (!$product instanceof \WC_Product) { goto rhzoT; } goto M2ck8; jE1AK: fjTQv: goto jLJ71; an0GK: } public function exclude_variable_bom_types_from_dashboard_queries($args) { goto oFQa6; h6o3x: foreach ($args['tax_query'] as $index => $tax_query) { goto CaWdh; es_4V: mYPyl: goto n0t_R; faZhB: Xspc3: goto es_4V; ebOM4: $args['tax_query'][$index]['terms'] = array_merge($tax_query['terms'], Globals::get_variable_product_levels()); goto faZhB; CaWdh: if (!(!empty($tax_query['taxonomy']) && is_array($tax_query) && 'product_type' === $tax_query['taxonomy'])) { goto Xspc3; } goto ebOM4; n0t_R: } goto hIIBF; oFQa6: if (!(!empty($args['tax_query']) && is_array($args['tax_query']))) { goto XoSIF; } goto h6o3x; hIIBF: t8uD7: goto dJ7mP; dJ7mP: XoSIF: goto NS67x; NS67x: return $args; goto ZKcUn; ZKcUn: } public function maybe_create_async_tasks() { goto JZg2D; yEItr: JOsbQ: goto WXB_C; rXhHq: if (!$was_cache_disabled) { goto pOG7J; } goto ZePUF; ZcI41: pOG7J: goto ln3l0; R5fDc: AtumCache::delete_cache($cache_key, ''); goto Ft91P; ln3l0: $cache_key = AtumCache::get_cache_key('deferred_calc_bom_tree'); goto xohAu; xDJgu: if (!($has_cache && !empty($changes))) { goto fGADA; } goto YmzDb; Ft91P: if (!$was_cache_disabled) { goto JOsbQ; } goto lRLND; zWvD1: fGADA: goto R5fDc; xohAu: $changes = AtumCache::get_cache($cache_key, '', FALSE, $has_cache); goto xDJgu; JZg2D: $was_cache_disabled = AtumCache::is_cache_disabled(); goto rXhHq; YmzDb: AtumQueues::add_async_action('recalculate_bom_tree_stock', array('\\AtumLevels\\Inc\\Helpers', 'bulk_async_recalculate_bom_tree_stock'), [$changes['products'], TRUE, $changes['is_order']], 1); goto zWvD1; ZePUF: AtumCache::enable_cache(); goto ZcI41; lRLND: AtumCache::disable_cache(); goto yEItr; WXB_C: } public function purchase_price_field_view_args($args) { goto j39DO; NJHyc: if (!(BOMModel::has_linked_bom($args['product_id']) && 'yes' === Helpers::get_sync_purchase_price($args['product_id']))) { goto ScqH2; } goto ncYb6; ncYb6: $args['field_title'] = __('Purchase/Cost price', ATUM_LEVELS_TEXT_DOMAIN) . ' (' . get_woocommerce_currency_symbol() . ')'; goto Dvkyj; j39DO: if (empty($args['product_id'])) { goto CWJCH; } goto NJHyc; JaY8U: return $args; goto oE1uo; iZ2zY: CWJCH: goto JaY8U; Dvkyj: ScqH2: goto iZ2zY; oE1uo: } public function check_products_with_empty_linked_boms() { goto Q2zS2; a_ToB: $linked_bom_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto I0nbT; J7lv0: AtumAdminNotices::add_notice(__('This product has some linked BOMs with zero quantity assigned. You should fix this to avoid affecting your stock.', ATUM_LEVELS_TEXT_DOMAIN), 'product_levels_zero_quantity_linked_bom', 'warning'); goto iDvjh; I0nbT: $invalid_bom_count = $wpdb->get_var($wpdb->prepare("\n\t\t\t\tSELECT count(DISTINCT product_id) FROM {$linked_bom_table}\n\t\t\t\tWHERE product_id = %d AND qty <= 0\t\t\t\t\t\n\t\t\t", absint($_GET['post']))); goto vMrQn; iDvjh: eCVeb: goto B8XtZ; npb7I: if (!('product' === $typenow && 'post.php' === $pagenow && !empty($_GET['post']) && BOMModel::has_linked_bom(absint($_GET['post'])))) { goto vpEmu; } goto SW841; Q2zS2: global $typenow, $pagenow; goto npb7I; SW841: global $wpdb; goto a_ToB; B8XtZ: vpEmu: goto tUth4; vMrQn: if (!($invalid_bom_count > 0)) { goto eCVeb; } goto J7lv0; tUth4: } public function check_variations_with_empty_linked_boms($return, $product) { goto ORWLa; e35rv: if (!empty($variation_ids)) { goto MVbwN; } goto M4se5; M4se5: return $return; goto XoLdV; uQRvg: global $wpdb; goto G4LYW; UT232: ?>
					</p>
				</div>
			<?php  goto boPGv; GtLhs: echo wp_kses_post(sprintf(_n('%d variation has some linked BOMs with zero quantity assigned.', '%d variations have some linked BOMs with zero quantity assigned.', $invalid_variation_count, ATUM_LEVELS_TEXT_DOMAIN), $invalid_variation_count) . '&nbsp;' . __('You should fix this to avoid affecting your stock.', ATUM_LEVELS_TEXT_DOMAIN)); goto UT232; FTKXx: r9bYU: goto hW0FL; XoLdV: MVbwN: goto paSpW; G4LYW: $variation_ids = $product->get_children(); goto ZgAw1; ZgAw1: $linked_bom_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto e35rv; hW0FL: return $return; goto d6PwW; AquoH: ?>
				<div id="message" class="inline notice notice-warning woocommerce-message woocommerce-notice-invalid-variation">
					<p>
						<?php  goto GtLhs; igooV: if (!($invalid_variation_count > 0)) { goto vg5kz; } goto AquoH; boPGv: vg5kz: goto FTKXx; paSpW: $invalid_variation_count = $wpdb->get_var("\n\t\t\t\tSELECT count(DISTINCT product_id) FROM {$linked_bom_table}\n\t\t\t\tWHERE product_id in (" . implode(',', array_map('absint', $variation_ids)) . ') AND qty <= 0					
			'); goto igooV; ORWLa: if (!$product instanceof \WC_Product) { goto r9bYU; } goto uQRvg; d6PwW: } public function get_real_stock($stock, $product) { goto X9sBn; muf9M: return $stock; goto hMu3J; X9sBn: $product = AtumHelpers::get_atum_product($product); goto cqLme; cqLme: if (!($product->get_atum_controlled() && BOMModel::has_linked_bom($product->get_id()))) { goto mC8Gd; } goto uj8_i; uj8_i: return 0; goto SLDO5; SLDO5: mC8Gd: goto muf9M; hMu3J: } public function get_field_for_query($stock_field, $table = 'p0', $add_criteria = TRUE) { goto F2xbt; eaDW2: return "IF( {$bom_condition}, 0, {$stock_field} )"; goto FxKcd; pXbND: if (!$add_criteria) { goto Tow81; } goto GgSa5; F2xbt: global $wpdb; goto CSW8G; MC7la: Tow81: goto eaDW2; GgSa5: $bom_condition = apply_filters('atum/product_levels/dashboard/stock_field_condition', $bom_condition); goto MC7la; CSW8G: $bom_condition = '( SELECT COUNT(*) FROM ' . $wpdb->prefix . BOMModel::get_linked_bom_table() . " bom WHERE bom.product_id = {$table}.ID ) > 0"; goto pXbND; FxKcd: } public function get_real_purchase_price($price, $product) { goto yfog8; yfog8: $product = AtumHelpers::get_atum_product($product); goto UvHQ7; G1qYd: uUNOa: goto vHRvr; vHRvr: return $price; goto vfXN3; lQp3X: return 0; goto G1qYd; UvHQ7: if (!($product->get_atum_controlled() && BOMModel::has_linked_bom($product->get_id()))) { goto uUNOa; } goto lQp3X; vfXN3: } public function add_sc_taxonomies($taxonomies) { goto qO77E; tLP2L: ay9Hg: goto lv84s; J97yn: $current_taxonomies = is_array($taxonomies[0]['terms']) ? $taxonomies[0]['terms'] : [$taxonomies[0]['terms']]; goto vzNGJ; hbWM0: ujArS: goto tLP2L; q2Z_U: mhy_m: goto Boy3c; qO77E: if (!Helpers::show_sellable_boms_sc()) { goto ay9Hg; } goto J97yn; XjQYW: Q0cC0: goto oegOJ; B96HW: goto Gx0vO; goto q2Z_U; sOl4f: $add_taxonomies[] = $_REQUEST['product_type']; goto XjQYW; cx7d4: $add_taxonomies = Globals::get_product_levels(); goto B96HW; oegOJ: Gx0vO: goto LLrjP; vzNGJ: $add_taxonomies = array(); goto vG9rM; LAHaX: $taxonomies[0]['terms'] = array_merge($current_taxonomies, $add_taxonomies); goto hbWM0; lv84s: return $taxonomies; goto q0pQD; Boy3c: if (!in_array($_REQUEST['product_type'], Globals::get_product_levels())) { goto Q0cC0; } goto sOl4f; vG9rM: if (!empty($_REQUEST['product_type'])) { goto mhy_m; } goto cx7d4; LLrjP: if (empty($add_taxonomies)) { goto ujArS; } goto LAHaX; q0pQD: } public function exclude_sc_non_sellable_boms($args) { goto wySAC; ZKFVk: return $args; goto w0h7K; wySAC: if (!Helpers::show_sellable_boms_sc()) { goto Cv6wl; } goto Lb5SS; Lb5SS: $args['post__not_in'] = isset($args['post__not_in']) && !empty($args['post__not_in']) ? array_merge($args['post__not_in'], Helpers::get_all_boms_non_sellable_ids()) : Helpers::get_all_boms_non_sellable_ids(); goto vG4J_; vG4J_: Cv6wl: goto ZKFVk; w0h7K: } public function sellable_boms_sc_column_type($column, $item, $product) { goto sdNvE; u1E_5: return $column; goto dA92e; FVjUc: iYnp4: goto u1E_5; V7FKx: $product_tip = __('Product Part Variation', ATUM_LEVELS_TEXT_DOMAIN); goto lTvtO; Xh3J5: $column = '<span class="product-type tips variation" data-tip="' . $product_tip . '"></span>'; goto FVjUc; co6pr: $column = '<span class="tips product-type atum-icon ' . $type . $has_child . '" data-tip="' . $product_tip . '"></span>'; goto tcHLt; ZbaZz: kykcL: goto tyuIU; ms3qt: if ($product instanceof AtumProductProductPartVariation) { goto DdYgX; } goto X3oU3; zz6zE: goto iYnp4; goto ZbaZz; e4Rfu: GQ5hk: goto mOuTa; Tdhb6: $product_tip = $product_types[$type]; goto C7rjC; ERtL2: if (in_array($type, Globals::get_product_levels())) { goto GQ5hk; } goto ms3qt; X3oU3: if ($product instanceof AtumProductRawMaterialVariation) { goto kykcL; } goto YULvr; lTvtO: $column = '<span class="product-type tips variation" data-tip="' . $product_tip . '"></span>'; goto zz6zE; C7rjC: $has_child = in_array($type, AtumGlobals::get_inheritable_product_types()) ? ' has-child' : ''; goto co6pr; xwBpV: DdYgX: goto V7FKx; mOuTa: $product_types = wc_get_product_types(); goto Tdhb6; sdNvE: $type = $product->get_type(); goto ERtL2; YULvr: goto iYnp4; goto e4Rfu; tcHLt: goto iYnp4; goto xwBpV; tyuIU: $product_tip = __('Raw Material Variation', ATUM_LEVELS_TEXT_DOMAIN); goto Xh3J5; dA92e: } public function add_bom_types_filter($types) { goto sOkay; DbMU5: return apply_filters('atum/product_levels/add_bom_types_filter', $types); goto gyYJP; HJFkn: O1Y9e: goto DbMU5; sOkay: if (!Helpers::show_sellable_boms_sc()) { goto O1Y9e; } goto U7kln; U7kln: $types = array_merge(Helpers::get_all_boms_sellable_types(), $types); goto HJFkn; gyYJP: } public function maybe_update_bom_parents_stock($product_id, $post) { goto TpPSu; i4TGm: if (!(Globals::is_bom_product($product) && !empty(Helpers::get_direct_bom_parents($product_id)))) { goto I4iOh; } goto MYz12; T3mfN: AtumQueues::add_async_action('recalculate_bom_tree_stock', array('\\AtumLevels\\Inc\\Helpers', 'bulk_recalculate_bom_tree_stock'), [$products, TRUE], 1); goto VeUgw; VeUgw: I4iOh: goto kAXkE; N3r1y: if (!$product instanceof \WC_Product) { goto seGVD; } goto i4TGm; TpPSu: if (!(!did_action('wp_ajax_inline-save') && !did_action('wp_ajax_aep_process_import'))) { goto hl9nT; } goto dv9eU; MYz12: $products = Helpers::get_all_bom_parents($product_id); goto T3mfN; kAXkE: seGVD: goto VtHcb; dv9eU: return; goto rfMEw; rfMEw: hl9nT: goto Ca3L6; Ca3L6: $product = AtumHelpers::get_atum_product($product_id); goto N3r1y; VtHcb: } public function maybe_remove_boms($product_id, $post) { goto L1A3Z; v7sr4: o_BOg: goto RZDWz; f82Pa: TmMkb: goto C8s9J; MhV0B: if (!('variable' === $product->get_type() && !empty($linked_boms = Helpers::get_direct_bom_children($product_id)))) { goto o_BOg; } goto tynSu; L1A3Z: $product = AtumHelpers::get_atum_product($product_id); goto MhV0B; tynSu: foreach ($linked_boms as $linked_bom) { BOMModel::delete_linked_bom($product_id, $linked_bom); D1wu1: } goto f82Pa; C8s9J: BOMModel::delete_all_bom_links($product_id); goto v7sr4; RZDWz: } public function add_terms_categories_extra_criteria($criteria, $listtable) { goto T4p5x; oximP: $atum_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto qper0; qper0: $excluded_bom_query = "\n\t\t\t\tSELECT DISTINCT apd.product_id \n\t\t\t\tFROM {$atum_data_table} apd\n\t\t\t\tWHERE {$bom_non_sellable_where}\n\t\t\t\tAND ( apd.product_id IN (" . Helpers::get_bom_products_query() . ')
					OR apd.product_id IN (' . Helpers::get_bom_variation_products_query() . ') )
			'; goto ihdug; Emy8l: JL1H3: goto OvOF6; c2xNw: if ('yes' === AtumHelpers::get_option('pl_default_bom_selling', 'no')) { goto HN3t2; } goto DJ4MA; ZZivf: $bom_non_sellable_where = 'apd.bom_sellable = 0'; goto Emy8l; T4p5x: if (!$listtable instanceof SCListTable) { goto RrW9V; } goto c2xNw; ihdug: $criteria = "scp.ID NOT IN ( {$excluded_bom_query} )"; goto CeClB; DJ4MA: $bom_non_sellable_where = '( apd.bom_sellable = 0 OR apd.bom_sellable IS NULL )'; goto wTSC6; CeClB: RrW9V: goto uZPC8; jimJ7: HN3t2: goto ZZivf; uZPC8: return $criteria; goto SUtAx; OvOF6: global $wpdb; goto oximP; wTSC6: goto JL1H3; goto jimJ7; SUtAx: } public function maybe_disable_allowed_types($is_uncontrolled = FALSE) { goto WU5r8; qADB8: RcyxB: goto OCFvm; WU5r8: if ($is_uncontrolled) { goto RcyxB; } goto vrpwm; vrpwm: remove_filter('atum/product_types_dropdown/allowed_types', array($this, 'add_bom_types_filter')); goto qADB8; OCFvm: } public function enable_allowed_types() { add_filter('atum/product_types_dropdown/allowed_types', array($this, 'add_bom_types_filter')); } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto N9FkA; P_aVx: self::$instance = new self(); goto na5O6; N9FkA: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto UUvyP; } goto P_aVx; VAV3S: return self::$instance; goto hBx7f; na5O6: UUvyP: goto VAV3S; hBx7f: } }
