<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Components\AtumCache; use Atum\Components\AtumListTables\AtumListTable; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\StockCentral\Lists\ListTable as StockCentralList; use AtumLevels\ManufacturingCentral\ManufacturingCentral; use AtumLevels\Models\BOMModel; class ListTables { private static $instance; private function __construct() { goto shdtB; CdHer: add_filter('atum/list_table/column_default_calc_hierarchy', array($this, 'add_bom_hierarchy_values_to_sc'), 10, 4); goto Kxmrz; C3tp_: add_filter('atum/list_table/column_stock', array($this, 'maybe_add_tooltip_to_stock'), 12, 4); goto BQ8MK; Kxmrz: add_filter('atum/list_table/column_default__minimum_threshold', array($this, 'add_bom_stock_control_prop_values_to_sc'), 10, 5); goto AENKx; y5R0O: add_filter('atum/stock_central_list/extra_filters', array($this, 'add_bom_extra_filter')); goto JtTXQ; pGiRS: add_filter('atum/list_table/editable_column_stock', array($this, 'maybe_editable_stock'), 10, 2); goto C3tp_; QKyQ2: add_filter('atum/list_table/parent_post_type', array($this, 'add_product_levels_post_types')); goto NnFBC; UFAtY: add_filter('atum/list_table/column_stock_indicator_classes', array($this, 'maybe_change_stock_indicator_classes'), 10, 2); goto pGiRS; My79o: add_filter('atum/list_table/atum_sortable_columns', array($this, 'add_bom_stock_control_sortable')); goto xtoWX; xtoWX: add_filter('atum/list_table/default_serchable_columns', array($this, 'searchable_bom_stock_control_columns')); goto Ffp9n; AENKx: add_filter('atum/list_table/column_default__available_to_purchase', array($this, 'add_bom_stock_control_prop_values_to_sc'), 10, 5); goto eA8Mk; NQbtu: MbZGs: goto r2FMd; Ffp9n: add_filter('atum/list_table/column_stock_indicator', array($this, 'maybe_change_stock_indicator'), 10, 4); goto UFAtY; wl1DL: add_action('atum/help_tabs/stock_central/after_product_details', array($this, 'add_bom_hierarchy_help')); goto w6Fu6; JLqu2: add_filter('atum/list_table/set_views_data/restock_status_products', array($this, 'exclude_bom_products_from_restock_status_counters')); goto y5R0O; JtTXQ: add_filter('atum/stock_central_list/extra_filter_products', array($this, 'get_bom_related_products'), 10, 2); goto QKyQ2; BE8OB: add_action('atum/list_table/after_display', array($this, 'add_link_boms_modal_template')); goto DcITn; eA8Mk: add_filter('atum/list_table/column_default__selling_priority', array($this, 'add_bom_stock_control_prop_values_to_sc'), 10, 5); goto wl1DL; BQ8MK: TsFuc: goto NQbtu; DcITn: if (!Helpers::is_bom_stock_control_enabled()) { goto TsFuc; } goto My79o; NnFBC: add_filter('atum/list_table/get_children/children_args', array($this, 'bom_sellable_variations_children_args'), 10, 2); goto qK3cX; YqhHX: add_filter('atum/stock_central_list/column_group_members', array($this, 'add_pl_columns_to_sc_group')); goto CdHer; shdtB: if (!is_admin()) { goto MbZGs; } goto MPTIY; MPTIY: add_filter('atum/stock_central_list/table_columns', array($this, 'add_pl_columns_to_sc')); goto YqhHX; w6Fu6: add_filter('atum/get_unmanaged_products/where_query', array($this, 'exclude_unmanaged_products_where')); goto JLqu2; qK3cX: add_filter('atum/list_table/bulk_actions', array($this, 'add_list_table_bulk_actions'), 10, 2); goto BE8OB; r2FMd: } public function add_pl_columns_to_sc($table_columns) { goto Omwdl; xR_br: foreach ($table_columns as $column_key => $column_value) { goto lh7b3; XQNvB: if (!(Helpers::is_bom_stock_control_enabled() && '_out_stock_threshold' === $column_key)) { goto o_uUd; } goto rPTeQ; TmhEE: o_uUd: goto WU7im; WU7im: sM9f6: goto RuG2b; rPTeQ: $new_table_colums['_selling_priority'] = __('BOM Selling Priority', ATUM_LEVELS_TEXT_DOMAIN); goto DfJ9i; LuwOY: if (!('calc_location' === $column_key)) { goto KUOl4; } goto sGu1u; DfJ9i: $new_table_colums['_minimum_threshold'] = __('Minimum Threshold', ATUM_LEVELS_TEXT_DOMAIN); goto IgYGa; lh7b3: $new_table_colums[$column_key] = $column_value; goto LuwOY; IgYGa: $new_table_colums['_available_to_purchase'] = __('Available to Purchase', ATUM_LEVELS_TEXT_DOMAIN); goto TmhEE; sGu1u: $new_table_colums['calc_hierarchy'] = $bom_hierarchy_col; goto BOo3p; BOo3p: KUOl4: goto XQNvB; RuG2b: } goto uWBnZ; Omwdl: $new_table_colums = array(); goto VsyRe; uWBnZ: LrGGt: goto ZA2IB; VsyRe: $bom_hierarchy_col = '<span class="atum-icon atmi-tree tips" data-bs-placement="bottom" data-tip="' . __('BOM Hierarchy', ATUM_LEVELS_TEXT_DOMAIN) . '">' . __('BOM Hierarchy', ATUM_LEVELS_TEXT_DOMAIN) . '</span>'; goto xR_br; ZA2IB: return $new_table_colums; goto kvZ56; kvZ56: } public function add_pl_columns_to_sc_group($group_members) { goto eltlX; oM1yy: mnppF: goto Q4xGu; Q4xGu: return $group_members; goto AXK22; eltlX: foreach ($group_members as $group_name => $group_data) { goto JTRft; XVxSv: goto BqyTW; goto twcWr; QLcI0: ZNluU: goto dJuSa; kRoaJ: BqyTW: goto gvaer; fLuCj: $group_members[$group_name]['members'][] = 'calc_hierarchy'; goto gfjKk; JTRft: if ('product-details' === $group_name) { goto MqRj6; } goto AH3W1; twcWr: MqRj6: goto fLuCj; dJuSa: $group_members[$group_name]['members'] = array_merge($group_members[$group_name]['members'], array('_selling_priority', '_minimum_threshold', '_available_to_purchase')); goto kRoaJ; gvaer: H8pLh: goto Bourx; gfjKk: goto BqyTW; goto QLcI0; AH3W1: if (Helpers::is_bom_stock_control_enabled() && 'stock-counters' === $group_name) { goto ZNluU; } goto XVxSv; Bourx: } goto oM1yy; AXK22: } public function add_bom_hierarchy_values_to_sc($value, $item, $product, $list_table) { goto hDEnu; oUb5J: $hierarchy = '<a href="#" class="show-hierarchy atum-icon atmi-tree tips" data-tip="' . __('Show Hierarchy Tree', ATUM_LEVELS_TEXT_DOMAIN) . '" data-id="' . $product->get_id() . '" data-full-tree="' . wc_bool_to_string($purchasable) . '"></a>'; goto ehOKZ; ExojD: return apply_filters('atum/product_levels/list_table/column_hierarchy', $hierarchy, $item, $product, $list_table); goto qJTLA; ehOKZ: Yy8NE: goto ExojD; czARA: $purchasable = Globals::is_bom_product($product) && $product->get_bom_sellable() && Helpers::is_bom_used($product->get_id()); goto vmf1j; vmf1j: if (!(!empty($bom_children) || $purchasable)) { goto Yy8NE; } goto oUb5J; ZV97J: $bom_children = Helpers::get_direct_bom_children($product->get_id()); goto czARA; hDEnu: $hierarchy = $list_table::EMPTY_COL; goto ZV97J; qJTLA: } public function add_bom_stock_control_prop_values_to_sc($value, $item, $product, $list_table, $column_name) { goto zJj9h; IpfLf: $new_value = call_user_func(array($product, "get{$column_name}")); goto He5cI; UZ7jq: $editable = FALSE; goto b2IFa; vZ90S: tca2S: goto aGO05; YgBz1: $new_value = $value; goto jPOcw; WLbSD: return apply_filters("atum/product_levels/list_table/column{$column_name}", $new_value, $item, $product, $list_table, $column_name); goto AvxQx; ZwwG_: goto mCoN8; goto OlS0N; PI3aF: if (!(!in_array($product_type, AtumGlobals::get_product_types_with_stock()) || !BOMModel::has_linked_bom($product->get_id()))) { goto tca2S; } goto ekc7G; GmKzA: $new_value = $list_table::get_editable_column($args); goto zgeLQ; OlS0N: Em47P: goto YgBz1; b2IFa: $new_value = $list_table::EMPTY_COL; goto fa_nr; rqXz6: $new_value = apply_filters('atum/product_levels/get_available_to_purchase_column_value', $new_value, $item, $list_table); goto M4aBG; UNDaF: gePrq: goto IpfLf; aGO05: if (!('_available_to_purchase' === $column_name)) { goto NhdFf; } goto rqXz6; MuJ6a: VnV_t: goto eqeNt; o7ug2: switch ($column_name) { case '_selling_priority': goto E33gN; lZa6k: $last_selling_priority = absint($wpdb->get_var("SELECT MAX(selling_priority) FROM {$atum_product_data_table}")) + 1; goto tj3nv; OKlIn: $atum_product_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto lZa6k; pz3Pb: $args['tooltip'] = esc_attr__('Click to edit the BOM selling priority', ATUM_LEVELS_TEXT_DOMAIN); goto wzDQG; H486v: if ($has_cache) { goto USpM9; } goto ijRtE; eDZbs: goto YGt_M; goto HAtQL; wzDQG: $args['cell_name'] = esc_attr__('BOM Selling Priority', ATUM_LEVELS_TEXT_DOMAIN); goto gtDE0; E33gN: $args['meta_key'] = 'selling_priority'; goto pz3Pb; gtDE0: $cache_key = AtumCache::get_cache_key('max_selling_priority'); goto qr8_p; qr8_p: $last_selling_priority = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto H486v; tj3nv: AtumCache::set_cache($cache_key, $last_selling_priority, ATUM_LEVELS_TEXT_DOMAIN); goto Qa7Lt; Qa7Lt: USpM9: goto ojjuN; ijRtE: global $wpdb; goto OKlIn; ojjuN: $args['extra_meta'] = array(array('type' => 'button', 'value' => esc_attr__('Set to Last Priority', ATUM_LEVELS_TEXT_DOMAIN), 'class' => 'btn btn-link', 'data-last' => $last_selling_priority, 'onClick' => "var lastPriority = jQuery('._selling_priority .set-meta').data('last') || jQuery(this).data('last');jQuery(this).siblings('.meta-value').val(lastPriority);jQuery(this).siblings('.set').click(function() {jQuery('._selling_priority .set-meta').data('last', lastPriority+1)});")); goto eDZbs; HAtQL: case '_minimum_threshold': goto pW63J; rJlVk: $args['cell_name'] = esc_attr__('Minimum Threshold', ATUM_LEVELS_TEXT_DOMAIN); goto au221; zqYEy: $args['tooltip'] = esc_attr__('Click to edit the minimum threshold', ATUM_LEVELS_TEXT_DOMAIN); goto rJlVk; pW63J: $args['meta_key'] = 'minimum_threshold'; goto zqYEy; au221: goto YGt_M; goto cFpvt; cFpvt: case '_available_to_purchase': goto i3m3F; qadih: $args['tooltip'] = esc_attr__('Click to edit the available to purchase per user', ATUM_LEVELS_TEXT_DOMAIN); goto JSqwf; Dn49T: goto YGt_M; goto hkr0C; i3m3F: $args['meta_key'] = 'available_to_purchase'; goto qadih; JSqwf: $args['cell_name'] = esc_attr__('Available to Purchase', ATUM_LEVELS_TEXT_DOMAIN); goto Dn49T; hkr0C: } goto MuJ6a; uZQsV: $new_value = $new_value ?: $list_table::EMPTY_COL; goto ZwwG_; ydoyX: $product_type = $product->get_type(); goto PI3aF; A_h8T: $args = array('value' => $new_value, 'input_type' => 'number'); goto o7ug2; g927a: $is_mc_list = str_contains(get_class($list_table), 'ManufacturingCentral'); goto vCxGp; jOevV: $new_value = $list_table::EMPTY_COL; goto vZ90S; vCxGp: $editable = $is_mc_list && !Helpers::is_purchase_allowed($product) ? FALSE : TRUE; goto ydoyX; jPOcw: mCoN8: goto g927a; ekc7G: $editable = FALSE; goto jOevV; pjwPa: $manage_stock = $product->get_manage_stock(); goto ThlPk; fa_nr: OLOsX: goto P5XVX; H8KYA: NhdFf: goto pjwPa; HkUU9: return $list_table::EMPTY_COL; goto UNDaF; ThlPk: if (!('no' === $manage_stock)) { goto OLOsX; } goto UZ7jq; zJj9h: if (is_callable(array($product, "get{$column_name}"))) { goto gePrq; } goto HkUU9; M4aBG: $editable = apply_filters('atum/product_levels/get_available_to_purchase_column_editable', $editable, $item, $product); goto H8KYA; P5XVX: if (!$editable) { goto S0RQ3; } goto A_h8T; zgeLQ: S0RQ3: goto WLbSD; He5cI: if ('_available_to_purchase' === $column_name && 0.0 === $value) { goto Em47P; } goto uZQsV; eqeNt: YGt_M: goto GmKzA; AvxQx: } public function add_bom_hierarchy_help() { goto PTDNj; PTDNj: ?>
		<tr>
			<td>
				<span class="atum-icon atmi-tree" title="<?php  goto i3BP5; cew2e: esc_attr_e("Shows the product's Bill of Materials tree including the current stock of each BOM in (). Click ones to open the hierarchy in a popup.", ATUM_LEVELS_TEXT_DOMAIN); goto R_34C; i3BP5: esc_attr_e('BOM Hierarchy', ATUM_LEVELS_TEXT_DOMAIN); goto MVbD5; MVbD5: ?>"></span>
			</td>
			<td><?php  goto cew2e; R_34C: ?></td>
		</tr>
		<?php  goto JjjUy; JjjUy: } public function exclude_unmanaged_products_where($unmng_where) { goto DI9qT; Kbnez: foreach (Globals::get_product_levels() as $product_level) { goto TIVP8; TIVP8: $term = get_term_by('slug', $product_level, 'product_type'); goto eP0Ow; eP0Ow: if (!$term) { goto Cl3R1; } goto oFZED; VLqkQ: Cl3R1: goto xKhBJ; oFZED: $bom_types[] = $term->term_id; goto VLqkQ; xKhBJ: UC4L5: goto ydKbk; ydKbk: } goto atzN6; Iti2O: if (!(!isset($current_screen->id) || str_contains($current_screen->id, ManufacturingCentral::UI_SLUG))) { goto M_02K; } goto l9FIS; joUmP: bP3yE: goto Wt1Sb; jhcuj: $bom_types = array(); goto Kbnez; Ue1md: M_02K: goto yaaQL; Wt1Sb: return $unmng_where; goto XujYE; KA5KW: $post_statuses = AtumGlobals::get_queryable_product_statuses(); goto aK5Pj; DI9qT: $current_screen = get_current_screen(); goto h7WAY; vgy0d: $current_screen->id = $_REQUEST['screen']; goto nJXTB; aK5Pj: $sql = "\n\t\t\tSELECT DISTINCT p.ID FROM {$wpdb->posts} p \n\t\t\tLEFT JOIN {$wpdb->postmeta} pm ON (p.ID = pm.post_id AND pm.meta_key = '_manage_stock')\t\t\t\n\t\t\tLEFT JOIN {$wpdb->term_relationships} tr ON p.ID = tr.object_id\n\t\t\tWHERE p.post_type = 'product' AND p.post_status IN ('" . implode("','", $post_statuses) . "')\n\t\t\tAND (pm.post_id IS NULL OR pm.meta_value = 'no')\n\t\t\tAND tr.term_taxonomy_id IN (" . implode(',', $bom_types) . ')
		'; goto Lacs5; l9FIS: return $unmng_where; goto Ue1md; Lacs5: $bom_ids = $wpdb->get_col($sql); goto qnZNY; atzN6: LjQlD: goto KA5KW; GQdUe: $current_screen = new \stdClass(); goto vgy0d; HGbz_: $unmng_where[] = 'AND posts.ID NOT IN (' . implode(',', $bom_ids) . ')'; goto joUmP; yaaQL: global $wpdb; goto jhcuj; h7WAY: if (!(!$current_screen && isset($_REQUEST['screen']))) { goto RmYHc; } goto GQdUe; nJXTB: RmYHc: goto Iti2O; qnZNY: if (empty($bom_ids)) { goto bP3yE; } goto HGbz_; XujYE: } public function exclude_bom_products_from_restock_status_counters($sql) { goto zrSsy; hj1z1: $sql .= " AND product_id NOT IN ({$bom_product_query}) AND product_id NOT IN ({$bom_variation_query})"; goto fnJ0n; oU0O9: $bom_variation_query = Helpers::get_bom_variation_products_query(); goto hj1z1; fnJ0n: return $sql; goto YFUGs; zrSsy: $bom_product_query = Helpers::get_bom_products_query(); goto oU0O9; YFUGs: } public function add_bom_extra_filter($extra_filters) { $extra_filters['bom_related_products'] = __('BOM Related', ATUM_LEVELS_TEXT_DOMAIN); return $extra_filters; } public function get_bom_related_products($products, $extra_filter) { goto TSKDp; QEXJ1: $linked_boms_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto B0J0z; GKZpR: zmuOl: goto ShmFQ; TSKDp: if (!('bom_related_products' === $extra_filter)) { goto zmuOl; } goto xszk1; mSVMj: array_walk($product_results, function (&$item) { $item = $item->qty; }); goto saeBB; esHZo: H5qge: goto GKZpR; saeBB: $products = $product_results; goto esHZo; xszk1: global $wpdb; goto QEXJ1; B0J0z: $product_results = $wpdb->get_results("SELECT product_id, SUM(qty) AS qty FROM {$linked_boms_table} GROUP BY product_id", OBJECT_K); goto DIlj_; ShmFQ: return $products; goto R6sJJ; DIlj_: if (empty($product_results)) { goto H5qge; } goto mSVMj; R6sJJ: } public function add_product_levels_post_types($post_type) { goto Kfb2g; QgEn2: return $post_type; goto chp5n; HsjpS: $post_type = array_merge([$post_type], Globals::get_variable_product_levels()); goto N3xEN; N3xEN: zXozW: goto QgEn2; Kfb2g: if (!('variable' === $post_type)) { goto zXozW; } goto HsjpS; chp5n: } public function add_bom_stock_control_sortable($atum_sortable_columns) { $atum_sortable_columns = array_merge($atum_sortable_columns, array('_minimum_threshold' => array('type' => 'NUMERIC', 'field' => 'minimum_threshold'), '_available_to_purchase' => array('type' => 'NUMERIC', 'field' => 'available_to_purchase'), '_selling_priority' => array('type' => 'NUMERIC', 'field' => 'selling_priority'))); return $atum_sortable_columns; } public function searchable_bom_stock_control_columns($searchable_columns) { $searchable_columns['numeric'] = array_merge($searchable_columns['numeric'], ['_minimum_threshold', '_available_to_purchase', '_selling_priority']); return $searchable_columns; } public function maybe_editable_stock($editable, $product) { goto EBNL0; zVxpx: $editable = FALSE; goto jaVO7; EBNL0: if (!($editable && BOMModel::has_linked_bom($product->get_id()))) { goto oBx19; } goto zVxpx; wfovl: return $editable; goto O8Brk; jaVO7: oBx19: goto wfovl; O8Brk: } public function maybe_add_tooltip_to_stock($stock_html, $item, $product, $list_table) { goto N1zJF; pHZZM: $screen_id = $screen ? $screen->id : ''; goto g411a; eiQMd: hN5QJ: goto LXGnZ; HTh9v: $stock_html = '<span class="calculated atum-tooltip" data-tip="' . esc_attr__('Calculated stock quantity', ATUM_LEVELS_TEXT_DOMAIN) . '">' . $stock_html . '</span>'; goto eiQMd; LXGnZ: return $stock_html; goto W4fUq; g411a: if (!(BOMModel::has_linked_bom($product->get_id()) && !str_contains($stock_html, 'atum-tooltip') && !str_contains($stock_html, 'tips') && !str_contains($screen_id, ManufacturingCentral::UI_SLUG))) { goto hN5QJ; } goto HTh9v; N1zJF: $screen = get_current_screen(); goto pHZZM; W4fUq: } public function maybe_change_stock_indicator($content, $item, $product, $list_table) { goto cL3Dp; BWSpN: qfk1d: goto eXM3b; i1nBT: fyJrw: goto BWSpN; pf1Lu: Q1hdG: goto i1nBT; eXM3b: return $content; goto u7CFw; cL3Dp: if (!BOMModel::has_linked_bom($product->get_id())) { goto qfk1d; } goto aCxs5; JSNST: switch ($wc_stock_status) { case 'instock': goto ZR5Zn; fquax: $content = '<span class="atum-icon atmi-checkmark-circle tips"' . $data_tip . '></span>'; goto qhiab; ZR5Zn: $data_tip = !$list_table::is_report() ? ' data-tip="' . esc_attr__('In Stock', ATUM_LEVELS_TEXT_DOMAIN) . '"' : ''; goto fquax; qhiab: goto fyJrw; goto uZdu1; uZdu1: case 'outofstock': goto Lvhoo; u9KqN: $content = '<span class="atum-icon atmi-cross-circle tips"' . $data_tip . '></span>'; goto F0fwc; Lvhoo: $data_tip = !$list_table::is_report() ? ' data-tip="' . esc_attr__('Out of Stock', ATUM_LEVELS_TEXT_DOMAIN) . '"' : ''; goto u9KqN; F0fwc: goto fyJrw; goto OkZLM; OkZLM: case 'onbackorder': goto k1x_n; k1x_n: $data_tip = !$list_table::is_report() ? ' data-tip="' . esc_attr__('Out of Stock (Backorders Allowed)', ATUM_LEVELS_TEXT_DOMAIN) . '"' : ''; goto AzFyY; AzFyY: $content = '<span class="atum-icon atmi-circle-minus tips"' . $data_tip . '></span>'; goto aTcug; aTcug: goto fyJrw; goto QiBUa; QiBUa: } goto pf1Lu; aCxs5: $wc_stock_status = apply_filters('atum/product_levels/get_product_stock_status', $product->get_stock_status(), $product); goto JSNST; u7CFw: } public function maybe_change_stock_indicator_classes($classes, $product) { goto asYlM; UPp4D: return $classes; goto iJ22o; EwoMQ: switch ($wc_stock_status) { case 'instock': $classes .= ' cell-green'; goto bmd2v; case 'outofstock': $classes .= ' cell-red'; goto bmd2v; case 'onbackorder': $classes .= ' cell-yellow'; goto bmd2v; } goto vVnkb; asYlM: if (!BOMModel::has_linked_bom($product->get_id())) { goto GMJ32; } goto bk4Qg; vVnkb: KIs4Z: goto a_diW; sJDjc: GMJ32: goto UPp4D; a_diW: bmd2v: goto sJDjc; kLfsN: $wc_stock_status = apply_filters('atum/product_levels/get_product_stock_status', $product->get_stock_status(), $product); goto EwoMQ; bk4Qg: $classes = str_replace(' cell-red', '', str_replace(' cell-green', '', str_replace(' cell-yellow', '', str_replace(' cell-blue', '', $classes)))); goto kLfsN; iJ22o: } public function bom_sellable_variations_children_args($args, $list_table) { goto vst8n; rceJv: $sql = "SELECT p.ID FROM {$wpdb->posts} p\n\t            INNER JOIN {$atum_product_data_table} a ON p.ID = a.product_id\n\t            INNER JOIN {$wpdb->posts} AS pp ON p.post_parent = pp.ID\n\t\t\t\tLEFT JOIN {$wpdb->term_relationships} AS termrelations ON (pp.ID = termrelations.object_id)\n\t\t\t\tWHERE p.post_type = 'product_variation' AND a.bom_sellable = 0\n\t\t\t\tAND termrelations.term_taxonomy_id IN (" . implode(',', $variable_type_term_ids) . ')'; goto kgq9b; WvYnA: tS4cW: goto rceJv; kU3Pw: foreach (Globals::get_variable_product_levels() as $type) { goto j8hWD; j8hWD: $variable_type_term = get_term_by('slug', $type, 'product_type'); goto Ws5uh; ebQqs: $variable_type_term_ids[] = $variable_type_term->term_taxonomy_id; goto vZlyU; vZlyU: aVjet: goto VVzmR; VVzmR: U3E1r: goto rkWxU; Ws5uh: if (!(!empty($variable_type_term) && !is_wp_error($variable_type_term))) { goto aVjet; } goto ebQqs; rkWxU: } goto WvYnA; ENPwJ: $atum_product_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto sdnHS; rkzjw: global $wpdb; goto ENPwJ; lxx7J: $args['post__not_in'] = array_map('absint', $non_sellable_variations); goto q7ksg; sdnHS: $variable_type_term_ids = []; goto kU3Pw; q7ksg: C75kH: goto Sega2; Sega2: return $args; goto KfkeT; kgq9b: $non_sellable_variations = $wpdb->get_col($sql); goto lxx7J; vst8n: if (!$list_table instanceof StockCentralList) { goto C75kH; } goto rkzjw; KfkeT: } public function add_list_table_bulk_actions($bulk_actions, $list_table) { $bulk_actions['link_boms'] = __('Link BOM(s)', ATUM_LEVELS_TEXT_DOMAIN); return $bulk_actions; } public function add_link_boms_modal_template($list_table) { goto AYzOM; AYzOM: if (!in_array($list_table->get_id(), ['stock-central', 'manufacturing-central'])) { goto zXkQW; } goto KX_JC; KX_JC: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/js-templates/link-boms-modal', compact('list_table')); goto Fj5xV; Fj5xV: zXkQW: goto lQTwJ; lQTwJ: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto Iyt4J; R33JE: return self::$instance; goto OIOKm; Iyt4J: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto b2o76; } goto y55ZR; y55ZR: self::$instance = new self(); goto nPGcR; nPGcR: b2o76: goto R33JE; OIOKm: } }
