<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Addons\Addons; use Atum\Components\AtumCache; use Atum\Components\AtumOrders\Items\AtumOrderItemProduct; use Atum\Components\AtumOrders\Models\AtumOrderModel; use Atum\Components\AtumStockDecimals; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\Inc\Hooks as AtumHooks; use Atum\InventoryLogs\InventoryLogs; use Atum\InventoryLogs\Items\LogItemProduct; use Atum\PurchaseOrders\Items\POItemProduct; use Atum\PurchaseOrders\Models\PurchaseOrder; use Atum\PurchaseOrders\PurchaseOrders; use AtumLevels\Models\BOMModel; use AtumLevels\Models\BOMOrderItemsModel; use AtumLevels\Models\BOMOrderItemsPreModel; use Automattic\WooCommerce\Utilities\OrderUtil; final class Orders { private static $instance; public $processed_orders = []; private $order_products_boms = []; private $order_note_args = []; private function __construct() { goto nBTyH; k3c_P: add_action('wp_ajax_reload_order_notes', array($this, 'reload_order_notes')); goto jVvTd; ILsHB: add_action('atum/purchase_orders/po/after_decrease_stock_levels', array($this, 'after_order_stock_change')); goto zwpNG; M1PV3: wbXcL: goto G6R_N; RMCs9: add_action('woocommerce_after_order_itemmeta', array($this, 'add_pl_meta_to_order_items'), 10, 3); goto CV09U; yYHhc: add_action('wp_ajax_woocommerce_add_order_item', array('\\Atum\\Components\\AtumCache', 'disable_cache'), 9); goto N9w0J; OJpGB: add_filter('atum/atum_order/add_stock_change_note', array($this, 'update_atum_order_stock_change_note'), 10, 4); goto nATOj; rOQyS: kYlTp: goto M1PV3; do_3d: if (!Helpers::is_bom_stock_control_enabled()) { goto hEWOx; } goto XVsev; vKDip: add_filter('woocommerce_can_restore_order_stock', array($this, 'can_increase_stock'), PHP_INT_MAX, 2); goto Drsu6; uE9Gg: add_action('woocommerce_order_item_line_item_html', array($this, 'display_order_item_bom_tree'), 10, 3); goto KnpY4; FLO70: add_action('woocommerce_order_status_on-hold', array($this, 'disable_wc_order_notes_for_boms'), 9); goto c2l7v; V1s2q: add_action('woocommerce_before_save_order_items', array($this, 'maybe_change_bom_stock_order'), 10, 2); goto pMidl; nBTyH: if (!(is_admin() || AtumHelpers::is_rest_request())) { goto wbXcL; } goto NKC23; LmgtS: add_action('woocommerce_order_status_processing', array($this, 'disable_wc_order_notes_for_boms'), 9); goto FLO70; nATOj: hEWOx: goto AHRdj; c2l7v: add_filter('atum/purchase_orders/add_stock_change_note', array($this, 'update_purchase_order_stock_change_note'), 10, 4); goto OJpGB; NKC23: add_filter('woocommerce_ajax_order_item', array($this, 'wc_ajax_add_order_item'), 10, 2); goto yYHhc; N9w0J: add_action('wp_ajax_woocommerce_remove_order_item', array($this, 'wc_ajax_remove_order_item'), 9); goto V1s2q; KnpY4: add_action('atum/atum_order/after_item_product_html', array($this, 'call_display_order_item_bom_tree'), 10, 2); goto tDGKs; q5eU_: add_action('woocommerce_order_status_pending', array($this, 'disable_wc_order_notes_for_boms'), 9); goto Gw0Ur; QpfUi: eWySi: goto SpvfW; L8mR0: add_action('woocommerce_order_status_completed', array($this, 'disable_wc_order_notes_for_boms'), 9); goto LmgtS; iV31i: add_action('woocommerce_order_status_cancelled', array($this, 'disable_wc_order_notes_for_boms'), 9); goto q5eU_; CV09U: add_action('atum/atum_order/after_item_meta', array($this, 'add_pl_meta_to_order_items'), 10, 3); goto uE9Gg; pMidl: add_action('woocommerce_delete_order_items', array($this, 'delete_bom_order_items')); goto T8aAL; zwpNG: add_action('atum/purchase_orders/po/after_increase_stock_levels', array($this, 'after_order_stock_change')); goto f3Fwm; d8b1A: add_action('woocommerce_order_refunded', array($this, 'maybe_restock_after_refund'), 10, 2); goto RMCs9; jVvTd: if (Addons::is_addon_active('multi_inventory')) { goto eWySi; } goto d8b1A; SpvfW: add_filter('atum/multi_inventory/lines_after_refunded', array($this, 'restock_after_refund'), 10, 3); goto rOQyS; tDGKs: goto kYlTp; goto QpfUi; Gw0Ur: add_action('woocommerce_payment_complete', array($this, 'disable_wc_order_notes_for_boms'), 9); goto L8mR0; Drsu6: add_filter('atum/purchase_orders/can_reduce_order_stock', array($this, 'can_reduce_stock'), 100, 2); goto QD73F; jEH2R: add_filter('woocommerce_can_reduce_order_stock', array($this, 'can_reduce_stock'), PHP_INT_MAX, 2); goto vKDip; chVhq: add_action('atum/ajax/increase_atum_order_stock', array($this, 'increase_bom_stock'), 21, 2); goto jEH2R; XVsev: add_action('woocommerce_order_status_changed', array($this, 'recalculate_bom_tree_when_transitioning'), 10, 4); goto iV31i; f3Fwm: add_action('woocommerce_saved_order_items', array($this, 'after_order_stock_change')); goto do_3d; QD73F: add_filter('atum/purchase_orders/can_restore_order_stock', array($this, 'can_increase_stock'), 100, 2); goto ILsHB; G6R_N: add_action('atum/ajax/decrease_atum_order_stock', array($this, 'reduce_bom_stock'), 21, 2); goto chVhq; T8aAL: add_action('atum/orders/delete_order_items', array($this, 'delete_bom_order_items')); goto k3c_P; AHRdj: } public function wc_ajax_add_order_item($item, $item_id) { goto blC6Z; hL9AQ: goto tovrC; goto lzo9Q; p4vqg: $this->create_predicted_bom_order_items($item, $order); goto hL9AQ; lzo9Q: idXQX: goto RMW0d; J_2I7: return $item; goto aMOka; fAEmP: tovrC: goto J_2I7; wPG6K: if (in_array(AtumHelpers::get_raw_wc_order_status($order->get_status()), AtumGlobals::get_order_statuses_change_stock())) { goto idXQX; } goto p4vqg; RMW0d: $this->reduce_bom_stock_order_items([$item_id => $item], AtumGlobals::get_order_type_id()); goto fAEmP; blC6Z: $order = $item->get_order(); goto wPG6K; aMOka: } public function wc_ajax_remove_order_item() { goto b7cot; HSeWI: if (!(!is_array($order_item_ids) && is_numeric($order_item_ids))) { goto MsFB7; } goto zWLcD; SLsTc: cW8wK: goto bcrUP; QbS4o: if ($order) { goto M1sHR; } goto Ps_HM; o876f: $order_items = []; goto gTAlC; jEK0p: $this->increase_bom_stock_order_items($order_items, AtumGlobals::get_order_type_id()); goto H3yc_; H3yc_: hFvqK: goto SLsTc; Ps_HM: return; goto KLcAj; zWLcD: $order_item_ids = array($order_item_ids); goto Ft80O; OcoGy: if (empty($order_item_ids)) { goto cW8wK; } goto cXOZa; gNuak: $order_item_ids = wp_unslash($_POST['order_item_ids']); goto HSeWI; OEFit: gH0HD: goto o876f; nUwZf: $order = wc_get_order($order_id); goto QbS4o; gnFna: wp_die(-1); goto OEFit; hvuGy: if ($was_cache_disabled) { goto k7q1x; } goto H7PSx; b7cot: check_ajax_referer('order-item', 'security'); goto FSToX; jgytA: if (!$order_items) { goto hFvqK; } goto jEK0p; KLcAj: M1sHR: goto gNuak; dIaLD: X4ltZ: goto c1PbK; FSToX: $was_cache_disabled = AtumCache::is_cache_disabled(); goto hvuGy; gTAlC: $order_id = absint($_POST['order_id']); goto nUwZf; sWBC4: AtumCache::enable_cache(); goto dIaLD; bcrUP: if ($was_cache_disabled) { goto X4ltZ; } goto sWBC4; lWsJ0: T82Gi: goto jgytA; oPB90: k7q1x: goto pLXRO; Ft80O: MsFB7: goto OcoGy; pLXRO: if (!(!current_user_can('edit_shop_orders') || !isset($_POST['order_id'], $_POST['order_item_ids']))) { goto gH0HD; } goto gnFna; H7PSx: AtumCache::disable_cache(); goto oPB90; cXOZa: foreach ($order_item_ids as $item_id) { goto wQKeN; q0sYd: $already_reduced_stock = wc_stock_amount($item->get_meta('_reduced_stock', true)); goto FD6Ur; gMYfe: kI9BG: goto x_mlJ; ytMRl: JsE_V: goto Y21gl; x_mlJ: pMpio: goto Wfl2V; FD6Ur: if (!$already_reduced_stock) { goto kI9BG; } goto Bqqll; Wfl2V: BOMOrderItemsPreModel::delete_predicted_bom_order_items($order_id, FALSE, $item_id); goto ytMRl; wQKeN: $item_id = absint($item_id); goto nyQXI; MJA_I: if (!($item && $item->is_type('line_item'))) { goto pMpio; } goto q0sYd; nyQXI: $item = $order->get_item($item_id); goto MJA_I; Bqqll: $order_items[$item_id] = $item; goto gMYfe; Y21gl: } goto lWsJ0; c1PbK: } public function maybe_change_bom_stock_order($order_id, $items) { goto or5Ph; dmV1W: Vtq3n: goto VANhc; HM9Pe: foreach ($items['order_item_id'] as $order_item_id) { goto CNNq4; TBc75: wE0Tw: goto QjDiv; j3Zj4: $order_item->set_quantity($new_qty); goto x3FiI; hD8bL: UkYnR: goto QwMct; pajPD: $wc_order_type_id = AtumGlobals::get_order_type_id(); goto G0kDC; YtTCf: goto wt9Vc; goto TBc75; UuBOD: $order_item->set_quantity(abs($diff)); goto VVJAE; Pxf7I: $new_qty = wc_stock_amount(!empty($items['order_item_qty'][$order_item_id]) ? (float) $items['order_item_qty'][$order_item_id] : 0); goto l92Ya; pbc62: OX0JI: goto rMKi3; VVJAE: $bom_order_items = $this->process_and_get_bom_order_items($order_item, $order_item_product, $wc_order_type_id); goto e0vVn; L8lAR: goto wt9Vc; goto SBaSF; ewpYY: Helpers::recalculate_bom_tree_stock($order_item_product); goto n7F3g; dxUAQ: if (!('decrease' === $operation)) { goto OX0JI; } goto GgjWA; pg2C4: n46lk: goto dxUAQ; IOdnt: BOMOrderItemsPreModel::set_predicted_bom_order_items($order_id, $order_item->get_id(), $new_bom_order_items, FALSE); goto hD8bL; l92Ya: $already_reduced = wc_stock_amount($order_item->get_meta('_reduced_stock')); goto pajPD; QwMct: k8j3b: goto wmolV; QjDiv: $order_item_product = AtumHelpers::get_atum_product($order_item->get_variation_id() ?: $order_item->get_product_id()); goto Pxf7I; mfdpW: if (!in_array(AtumHelpers::get_raw_wc_order_status($order->get_status()), AtumGlobals::get_order_statuses_change_stock())) { goto UkYnR; } goto IOdnt; G0kDC: if (!(!$order_item_product instanceof \WC_Product || !$already_reduced || !apply_filters('atum/product_levels/maybe_change_bom_stock_order/item_has_changed', $new_qty !== $already_reduced, $order_item_id, $order_id))) { goto fmKto; } goto L8lAR; CNNq4: $order_item = \WC_Order_Factory::get_order_item(absint($order_item_id)); goto jcNlF; jcNlF: if ($order_item instanceof \WC_Order_Item_Product) { goto wE0Tw; } goto YtTCf; e0vVn: if (empty($bom_order_items)) { goto BL67s; } goto qcc7D; rMKi3: BL67s: goto ewpYY; wmolV: $operation = $diff < 0 ? 'increase' : 'decrease'; goto gN_3R; wbAC9: $diff = $new_qty - $already_reduced; goto UuBOD; gN_3R: foreach ($bom_order_items as $bom_order_item) { goto YWq3h; QipH4: tiWVp: goto Zumq6; Efs2h: $update_qty = apply_filters('atum/product_levels/update_stock_quantity', $bom_order_item->qty, $bom_product, $order_item_product); goto Cx6p4; M1v8a: if (!(Globals::is_bom_product($bom_product) && apply_filters("atum/product_levels/maybe_{$operation}_bom_stock_order_items", TRUE, $order_item, $bom_order_item->bom_id, $bom_order_item->qty, $bom_order_item->changed_qty, $wc_order_type_id))) { goto tiWVp; } goto Efs2h; YWq3h: $bom_product = AtumHelpers::get_atum_product($bom_order_item->bom_id); goto M1v8a; Cx6p4: wc_update_product_stock($bom_product, $update_qty, $operation); goto QipH4; Zumq6: RTAvb: goto wXAkk; wXAkk: } goto pg2C4; n7F3g: wt9Vc: goto bt9LQ; x3FiI: $new_bom_order_items = $this->process_and_get_bom_order_items($order_item, $order_item->get_product(), $wc_order_type_id, TRUE); goto mfdpW; SBaSF: fmKto: goto wbAC9; qcc7D: if (!apply_filters('atum/product_levels/maybe_change_bom_stock_order/allow_updating_bom_order_items', TRUE, $order_item)) { goto k8j3b; } goto j3Zj4; GgjWA: $this->order_products_boms[$order_item_product->get_id()][] = $diff; goto pbc62; bt9LQ: } goto dmV1W; y6HvU: return; goto ZFdU_; QslUz: Q3q2f: goto C3ydC; dkSd3: $was_cache_disabled = AtumCache::is_cache_disabled(); goto P5MhE; C3ydC: $order = wc_get_order($order_id); goto ewhxw; GIAKU: DbL6N: goto dc_9w; VANhc: do_action('atum/product_levels/after_change_bom_stock_order', $order_id, $items); goto GIAKU; ewhxw: if (!(isset($items['order_item_id']) && is_array($items['order_item_id']))) { goto DbL6N; } goto HM9Pe; pMQj3: AtumCache::disable_cache(); goto QslUz; or5Ph: if (!(!Helpers::is_bom_stock_control_enabled() && 'yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto T_oeC; } goto y6HvU; P5MhE: if ($was_cache_disabled) { goto Q3q2f; } goto pMQj3; p_PzQ: AtumCache::enable_cache(); goto IOdUn; IOdUn: zlQx3: goto bbK4N; ZFdU_: T_oeC: goto dkSd3; dc_9w: if ($was_cache_disabled) { goto zlQx3; } goto p_PzQ; bbK4N: } public function reduce_bom_stock_order_items($order_items, $order_type_id, $force_update_boms = FALSE) { goto OC1d1; O2pwO: return; goto lNSUg; fmMm6: $order_id = 0; goto NTL81; QJ49S: if (!($wc_order_type_id === $order_type_id && !Helpers::is_bom_stock_control_enabled() && 'yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto Ti0rR; } goto O2pwO; OC1d1: $wc_order_type_id = AtumGlobals::get_order_type_id(); goto QJ49S; JpjC_: $ils_order_type_id = AtumGlobals::get_order_type_id(InventoryLogs::POST_TYPE); goto aPZjS; NTL81: foreach ($order_items as $order_item) { goto p5rok; TKsl5: Helpers::defer_recalculate_bom_tree_stock($order_item_product->get_id(), ['order_id' => $wc_order_type_id === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(), 'order_item_id' => $order_item_id, 'action' => 'decrease', 'old_stock' => $old_stock, 'new_stock' => $old_stock - ($order_item->get_quantity() - $already_reduced)]); goto NtNoO; rg0dT: fqEi2: goto r6a4F; W9Vr_: foreach ($bom_order_items as $bom_order_item) { goto famXM; famXM: $qty = empty($bom_order_item->changed_qty) ? $bom_order_item->qty : $bom_order_item->qty - $bom_order_item->changed_qty; goto qsf0p; BeNoR: $bom_product = AtumHelpers::get_atum_product($bom_order_item->bom_id); goto hWaUE; RqqUQ: if (!(!AtumStockDecimals::get_stock_decimals() && is_float($qty))) { goto b_Ja_; } goto Xi7PX; Xi7PX: remove_filter('woocommerce_stock_amount', 'intval'); goto wTJYk; Gvoct: $update_qty = apply_filters('atum/product_levels/update_stock_quantity', $qty, $bom_product, $order_item_product); goto ptFE_; hWaUE: if (!(Globals::is_bom_product($bom_product) && apply_filters('atum/product_levels/maybe_decrease_bom_stock_order_items', TRUE, $order_item, $bom_order_item->bom_id, $bom_order_item->qty, isset($bom_order_item->changed_qty) ? $bom_order_item->changed_qty : NULL, $order_type_id))) { goto gj0Nb; } goto RqqUQ; qsf0p: if (!$qty) { goto xLam_; } goto BeNoR; Lu4eQ: mh8b8: goto kBgjR; ptFE_: wc_update_product_stock($bom_product, $update_qty, 'decrease'); goto krNel; iSrGm: add_filter('woocommerce_stock_amount', 'intval'); goto Lu4eQ; krNel: if (!(!AtumStockDecimals::get_stock_decimals() && is_float($qty))) { goto mh8b8; } goto iSrGm; sRP5s: BEiZ4: goto fU3Y_; wTJYk: b_Ja_: goto Gvoct; kBgjR: gj0Nb: goto NqJg8; NqJg8: xLam_: goto sRP5s; fU3Y_: } goto GkIvz; yDobo: $old_stock = $order_item_product->get_stock_quantity(); goto TKsl5; wktD7: $already_reduced = wc_stock_amount($order_item->get_meta('_reduced_stock', TRUE)); goto QW1yR; eWUpo: if ($pos_order_type_id === $order_type_id) { goto P66mz; } goto u1_qp; oMT6w: wq4bu: goto GfKai; mWMTp: BOMOrderItemsModel::clean_bom_order_items($order_item_id, $order_type_id); goto ZAOYH; NtNoO: g0SwJ: goto xNtr6; GXHzs: if ($pos_order_type_id === $order_type_id) { goto KJ3ED; } goto cQZnQ; qVXY1: IJY70: goto pgWui; pP2d5: $order_item_id = $order_item->get_id(); goto wktD7; JRW_Q: P66mz: goto mWMTp; CkISH: $order_item_product = AtumHelpers::get_atum_product($order_item->get_variation_id() ?: $order_item->get_product_id()); goto pP2d5; WosLv: P21QD: goto AaKSg; rMOyl: VPTEI: goto CkISH; p5rok: if ($order_id) { goto VPTEI; } goto qHJ5B; KJZn_: return; goto WosLv; xNtr6: AtumCache::delete_all_atum_caches(); goto oMT6w; GkIvz: UpPah: goto L5O9q; putZw: goto fqEi2; goto Pblvd; ZAOYH: goto g0SwJ; goto qVXY1; qHJ5B: $order_id = $wc_order_type_id === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(); goto rMOyl; u1_qp: if (apply_filters('atum/product_levels/reduce_bom_stock_order_item/recalc_tree', TRUE, $order_item)) { goto IJY70; } goto f0hvH; AaKSg: $pos_order_type_id = AtumGlobals::get_order_type_id(PurchaseOrders::POST_TYPE); goto GXHzs; pgWui: BOMOrderItemsPreModel::delete_predicted_bom_order_items($order_id, TRUE, $order_item_id); goto yDobo; xqeU6: XGIGS: goto eWUpo; r6a4F: if (empty($bom_order_items)) { goto XGIGS; } goto W9Vr_; L5O9q: $this->order_products_boms[$order_item_product->get_id()][] = $order_item->get_quantity() - $already_reduced; goto xqeU6; f0hvH: goto g0SwJ; goto JRW_Q; bfzrU: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $pos_order_type_id); goto rg0dT; cQZnQ: $bom_order_items = $this->process_and_get_bom_order_items($order_item, $order_item_product, $order_type_id, TRUE); goto putZw; QW1yR: if ($order_item_product instanceof \WC_Product) { goto P21QD; } goto KJZn_; Pblvd: KJ3ED: goto bfzrU; GfKai: } goto EKr13; aPZjS: if (!($order_type_id && ($ils_order_type_id !== $order_type_id || $force_update_boms))) { goto V8aoW; } goto fmMm6; VLQqx: V8aoW: goto we06S; lNSUg: Ti0rR: goto JpjC_; we06S: do_action('atum/product_levels/after_reduce_bom_stock_order_items', $order_items, $order_type_id); goto zVIoN; EKr13: iZLaQ: goto VLQqx; zVIoN: } public function increase_bom_stock_order_items($order_items, $order_type_id, $force_update_boms = FALSE) { goto scrfF; k8TSm: hXKZr: goto QEgT8; QEgT8: do_action('atum/product_levels/after_increase_bom_stock_order_items', $order_items, $order_type_id); goto ii1hr; VdHG9: return; goto cN7js; XjDfg: $ils_order_type_id = AtumGlobals::get_order_type_id(InventoryLogs::POST_TYPE); goto vB5qH; cN7js: ZHSGz: goto XjDfg; Cg4qn: $order_id = 0; goto ntSKd; ntSKd: foreach ($order_items as $order_item) { goto mvl16; Ep3Le: foreach ($bom_order_items as $bom_order_item) { goto x1atN; Kymy3: IhOdD: goto Zcavn; wjZEh: wc_update_product_stock($bom_product, $update_qty, 'increase'); goto Kymy3; x1atN: $bom_product = AtumHelpers::get_atum_product($bom_order_item->bom_id); goto Ibutw; Bo6_d: gJCPY: goto LXjKh; Zcavn: hnZb0: goto Bo6_d; mUjTp: if (!apply_filters('atum/product_levels/maybe_increase_bom_stock_order_items', TRUE, $order_item, $bom_order_item->bom_id, $bom_order_item->qty, isset($bom_order_item->changed_qty) ? $bom_order_item->changed_qty : NULL, $order_type_id)) { goto IhOdD; } goto dDT95; Ibutw: if (!Globals::is_bom_product($bom_product)) { goto hnZb0; } goto mUjTp; dDT95: $update_qty = apply_filters('atum/product_levels/update_stock_quantity', $bom_order_item->qty, $bom_product, $order_item_product); goto wjZEh; LXjKh: } goto WbrmX; FkVhH: goto paymM; goto efrCr; sne8X: goto TaORq; goto Ms3Un; euIxN: $order_item_product = AtumHelpers::get_atum_product($order_item->get_variation_id() ?: $order_item->get_product_id()); goto YjX8n; L1hot: if (!apply_filters('atum/product_levels/increase_bom_stock_order_items/recalc_tree', TRUE, $order_item)) { goto KB4a3; } goto zVsnO; nDGeR: pTtIb: goto Ndy0w; YjX8n: $order_item_id = $order_item->get_id(); goto XjKU_; dRIF_: UKude: goto euIxN; PYtmr: if ($ils_order_type_id === $order_type_id && Globals::is_bom_product($order_item_product)) { goto pTtIb; } goto wXrb0; vRUg0: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id); goto qKEBY; WbrmX: FIaxg: goto R12gV; zVsnO: $old_stock = $order_item_product->get_stock_quantity(); goto uz2ZL; mvl16: if ($order_id) { goto UKude; } goto wZrMq; oK1kA: if ($wc_order_type_id === $order_type_id) { goto fGTI0; } goto LMUyJ; R12gV: if (in_array($order_type_id, [$wc_order_type_id, $ils_order_type_id])) { goto IPkcC; } goto ySOlQ; rbWFK: if (!empty($bom_order_items)) { goto nQgEV; } goto PYtmr; wkaGt: t3Thj: goto oK1kA; XjKU_: if ($order_item_product instanceof \WC_Product) { goto t3Thj; } goto QbTKE; Ms3Un: IPkcC: goto Bf56X; uz2ZL: Helpers::defer_recalculate_bom_tree_stock($order_item_product->get_id(), ['order_id' => $wc_order_type_id === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(), 'order_item_id' => $order_item_id, 'action' => 'increase', 'old_stock' => $old_stock, 'new_stock' => $old_stock + $order_item->get_quantity()]); goto e47Oo; qKEBY: paymM: goto rbWFK; WGbLe: AtumCache::delete_all_atum_caches(); goto jTUvs; QbTKE: return; goto wkaGt; Bf56X: $this->move_bom_order_items_and_clean($order_id, $order_item_id, $order_type_id); goto L1hot; wXrb0: goto Xpx09; goto gfjDO; yQ_Cd: TaORq: goto Hg32d; gfjDO: nQgEV: goto Ep3Le; oAPOG: Xpx09: goto WGbLe; ySOlQ: BOMOrderItemsPreModel::delete_predicted_bom_order_items($order_id, TRUE, $order_item_id); goto sne8X; LMUyJ: $bom_order_items = $this->process_and_get_bom_order_items($order_item, $order_item_product, $order_type_id, TRUE); goto FkVhH; wZrMq: $order_id = $wc_order_type_id === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(); goto dRIF_; Ndy0w: Helpers::recalculate_bom_tree_stock($order_item_product); goto oAPOG; Hg32d: goto Xpx09; goto nDGeR; e47Oo: KB4a3: goto yQ_Cd; jTUvs: WJGFu: goto kBrTr; efrCr: fGTI0: goto vRUg0; kBrTr: } goto X2txB; te429: if (!($wc_order_type_id === $order_type_id && !Helpers::is_bom_stock_control_enabled() && 'yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto ZHSGz; } goto VdHG9; X2txB: xO_yL: goto k8TSm; vB5qH: if (!($order_type_id && ($ils_order_type_id !== $order_type_id || $force_update_boms))) { goto hXKZr; } goto Cg4qn; scrfF: $wc_order_type_id = AtumGlobals::get_order_type_id(); goto te429; ii1hr: } public function process_and_get_bom_order_items($order_item, $product, $order_type_id = 1, $insert = FALSE, $prev_level_qty = NULL, $prev_changed_qty = NULL, $tree_multiplier = NULL) { goto JIH31; Gx2pA: $order_item_id = $order_item->get_id(); goto O6Ym4; rc3Xc: PnF69: goto GyVbW; Vpm5X: $product_linked_boms = BOMModel::get_linked_bom(apply_filters('atum/product_levels/product_id', $product->get_id())); goto eF_cs; z0Qrs: $prev_changed_qty = 0; goto miU6j; M3s6V: foreach ($line_items as $line_item) { goto ohtp4; KMqeM: uG9De: goto gWgYR; OZJYJ: goto qwUaT; goto KMqeM; z4k6X: qwUaT: goto awvop; x3I9R: qFOg7: goto z4k6X; VVP49: foreach ($received_linked_boms as $rlb) { goto kqIny; vM1mV: VFKjR: goto psFip; OV3Uq: $linked_boms_tree[] = (object) array('order_item_id' => $order_item_id, 'bom_id' => $bom_id, 'bom_type' => $bom_type, 'qty' => $qty, 'changed_qty' => FALSE); goto bgml6; VOvtG: LCV0L: goto vM1mV; nej2a: $bom_product = AtumHelpers::get_atum_product($bom_id); goto OV3Uq; QedUl: $qty = (float) $rlb['qty']; goto nej2a; wL6L1: BOMOrderItemsModel::insert_bom_order_item($order_item->get_id(), $order_type_id, $bom_id, $bom_type, $qty); goto VOvtG; bgml6: if (!apply_filters('atum/product_levels/maybe_insert_bom_order_item', $insert, $order_item, $order_type_id, $rlb, $qty, $bom_product, $qty)) { goto LCV0L; } goto wL6L1; kqIny: $bom_id = $rlb['bom_id']; goto xDNxt; xDNxt: $bom_type = $rlb['bom_type']; goto QedUl; psFip: } goto x3I9R; ohtp4: if (!(empty($line_item['product_id']) || empty($line_item['bom_items']) || $line_item['product_id'] !== $product->get_id())) { goto uG9De; } goto OZJYJ; gWgYR: $received_linked_boms = $line_item['bom_items']; goto VVP49; awvop: } goto xFBDk; O6Ym4: $rest_api_data = AtumHelpers::is_rest_request() ? json_decode($GLOBALS['HTTP_RAW_POST_DATA']) : []; goto hi0z1; miU6j: T4TVS: goto Vpm5X; M2eoQ: foreach ($product_linked_boms as $linked_bom) { goto jHj17; dtjbZ: $linked_boms_tree[] = (object) array('order_item_id' => $order_item_id, 'bom_id' => $linked_bom->bom_id, 'bom_type' => $linked_bom->bom_type, 'qty' => $qty, 'changed_qty' => $changed_qty); goto C3h_6; eJaXn: goto DOHFT; goto jUxQ9; sLBhn: $changed_qty = $linked_bom_qty * $prev_changed_qty; goto TKUM4; Q9gHZ: $linked_boms_tree = array_merge($linked_boms_tree, $this->process_and_get_bom_order_items($order_item, $bom_product, $order_type_id, $insert, $qty, $changed_qty, $accumulated_multipplier)); goto gf1qY; gf1qY: yU22r: goto Z2sBU; FO1go: $accumulated_multipplier = empty($tree_multiplier) ? $linked_bom_qty : $linked_bom_qty * $tree_multiplier; goto loTLO; IiO_W: vyBU1: goto nxCgK; TKUM4: DOHFT: goto toJR5; DkHWz: goto xTtUv; goto IiO_W; h2jEH: $changed_qty = wc_stock_amount($changed_qty) * $linked_bom_qty; goto nZgm5; vtt8B: $qty = $linked_bom_qty * $prev_level_qty; goto osirw; RWfD9: LCTAN: goto Q9gHZ; jUxQ9: gtADr: goto Dceke; Z2sBU: cDoj5: goto PMjV0; uR3YV: goto DOHFT; goto mo9l_; toJR5: if (!($qty > 0)) { goto yU22r; } goto dtjbZ; Bzofg: $linked_bom_qty = (float) $linked_bom->qty; goto FO1go; nZgm5: ss1mt: goto uR3YV; mo9l_: jju0h: goto sLBhn; e8g_E: if (is_null($prev_changed_qty)) { goto gtADr; } goto xZc2c; jHj17: if (in_array($linked_bom->bom_type, Globals::get_linked_bom_product_types())) { goto vyBU1; } goto DkHWz; nvlpF: CkaWU: goto vtt8B; nxCgK: $bom_product = AtumHelpers::get_atum_product($linked_bom->bom_id); goto Rr7Iv; vz0I1: goto Hf90Z; goto nvlpF; Dceke: $changed_qty = apply_filters('atum/product_levels/process_and_get_bom_order_items/order_item_reduced_qty', $order_item->get_meta('_reduced_stock', TRUE), $order_item, $product, $order_type_id); goto X1lv4; rUljQ: $changed_qty = FALSE; goto eJaXn; X1lv4: if (!(FALSE !== $changed_qty)) { goto ss1mt; } goto h2jEH; ZDnbX: BOMOrderItemsModel::insert_bom_order_item($order_item->get_id(), $order_type_id, $linked_bom->bom_id, $linked_bom->bom_type, $qty); goto RWfD9; loTLO: if ($prev_level_qty) { goto CkaWU; } goto n1pTO; n1pTO: $qty = $linked_bom_qty * apply_filters('atum/product_levels/process_and_get_bom_order_items/order_item_qty', $order_item->get_quantity(), $product, $order_item, $order_type_id); goto vz0I1; osirw: Hf90Z: goto e8g_E; PMjV0: xTtUv: goto VthxK; Rr7Iv: if (!Globals::is_bom_product($bom_product)) { goto cDoj5; } goto Bzofg; xZc2c: if (FALSE !== $prev_changed_qty) { goto jju0h; } goto rUljQ; C3h_6: if (!($insert && apply_filters('atum/product_levels/maybe_insert_bom_order_item', $insert, $order_item, $order_type_id, $linked_bom, $qty, $bom_product, $accumulated_multipplier))) { goto LCTAN; } goto ZDnbX; VthxK: } goto rc3Xc; J3nVH: return $linked_boms_tree; goto CCI3P; yr7X3: BOMOrderItemsModel::clean_bom_order_items($order_item_id, $order_type_id); goto z0Qrs; T9h9L: cOjrH: goto M2eoQ; xFBDk: Psr6X: goto c_IN7; hi0z1: $rest_api_force = isset($_REQUEST['force']) && 'true' === strtolower($_REQUEST['force']); goto r4idv; vp2FQ: if (!empty($product_linked_boms)) { goto cOjrH; } goto MhRXP; c_IN7: goto HZqQM; goto T9h9L; GyVbW: HZqQM: goto p3mrl; p3mrl: do_action('atum/product_levels/after_get_bom_order_items', $order_item, $order_type_id); goto J3nVH; eF_cs: if ($insert && $rest_api_force && !empty($rest_api_data)) { goto tkY50; } goto vp2FQ; JIH31: $linked_boms_tree = []; goto Gx2pA; oB_p4: $line_items = apply_filters('atum/api/bom_orders/get_request_line_items', [], json_decode(wp_json_encode($rest_api_data), TRUE)); goto M3s6V; EhtHx: tkY50: goto oB_p4; r4idv: if (!(!$prev_level_qty && $insert)) { goto T4TVS; } goto yr7X3; MhRXP: goto HZqQM; goto EhtHx; CCI3P: } public function move_bom_order_items_and_clean($order_id, $order_item_id, $order_type_id) { goto c30tj; eTm1X: do_action('atum/product_levels/after_moving_bom_order_items_and_clean', $order_id, $order_item_id, $order_type_id); goto TkYxs; c30tj: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id, FALSE); goto O3FxI; Hrky1: BOMOrderItemsModel::delete_bom_order_items($order_item_id, $order_type_id, wp_list_pluck($bom_order_items, 'bom_id')); goto eTm1X; O3FxI: BOMOrderItemsPreModel::set_predicted_bom_order_items($order_id, $order_item_id, $bom_order_items); goto Hrky1; TkYxs: } public function delete_bom_order_items($order_id) { goto Ci2df; SS1Hf: $atum_order_types = AtumGlobals::get_atum_order_types(); goto TIqs_; kkDuJ: $order_items = $order->get_items(); goto PtK4x; mJnc5: $order = $is_atum_order ? AtumHelpers::get_atum_order_model($order_id, TRUE) : wc_get_order($order_id); goto kkDuJ; OKzlM: $order_type_id = AtumGlobals::get_order_type_id($order_type); goto SS1Hf; LAA9a: return; goto t1NJA; PtK4x: if (empty($order_items)) { goto dA9j1; } goto Eaewe; Ci2df: $order_type = get_post_type($order_id); goto y0CIB; DnF5T: lghDP: goto OKzlM; ySrlm: $order_type = OrderUtil::get_order_type($order_id); goto DnF5T; Eaewe: foreach ($order_items as $item) { BOMOrderItemsModel::clean_bom_order_items($item->get_id(), $order_type_id); DOchQ: } goto NhDnM; y0CIB: if (!(!$order_type && AtumHelpers::is_using_hpos_tables())) { goto lghDP; } goto ySrlm; TIqs_: $is_atum_order = in_array($order_type, $atum_order_types, TRUE); goto c3tDN; t1NJA: z98wS: goto mJnc5; NhDnM: AMxZa: goto lym01; lym01: dA9j1: goto CyCVw; c3tDN: if (!(!$is_atum_order && !in_array($order_type, ['shop_order', 'shop_order_refund'], TRUE))) { goto z98wS; } goto LAA9a; CyCVw: } public function maybe_restock_after_refund($order_id, $refund_id) { goto IXoW1; wCAfL: foreach ($line_item_tax_totals as $item_id => $tax_totals) { $line_items[$item_id]['refund_tax'] = array_filter(array_map('wc_format_decimal', $tax_totals)); xHUH2: } goto s9F53; IXoW1: global $order_refund_restock; goto CRhgY; wBoXv: e03Iq: goto N3kQa; GUw9U: foreach ($item_ids as $item_id) { $line_items[$item_id] = array('qty' => 0, 'refund_total' => 0, 'refund_tax' => array()); a2iaC: } goto wBoXv; qRnsg: foreach ($line_item_totals as $item_id => $total) { $line_items[$item_id]['refund_total'] = wc_format_decimal($total); pLJ2_: } goto kTiV3; o7Yqk: if (empty($order_refund_restock[$order_id])) { goto jJ0lv; } goto Aah0A; cpdDt: if (empty($order_refund_restock[$order_id])) { goto cmv1s; } goto luQkp; Aah0A: $line_item_qtys = json_decode(sanitize_text_field(wp_unslash($_POST['line_item_qtys'])), TRUE); goto t2ZNy; Gzn4y: $item_ids = array_unique(array_merge(array_keys($line_item_qtys, $line_item_totals))); goto GUw9U; Inc0D: jJ0lv: goto j6Q0R; s9F53: EIm7k: goto qlF2C; b6Rx2: $order = wc_get_order($order_id); goto o7Yqk; luQkp: wc_restock_refunded_items($order, $line_items); goto m3jbV; j6Q0R: $line_items = apply_filters('atum/product_levels/lines_after_refunded', $line_items, $order); goto cpdDt; N3kQa: foreach ($line_item_qtys as $item_id => $qty) { $line_items[$item_id]['qty'] = max($qty, 0); zqNhx: } goto Fbx20; Fbx20: eREIJ: goto qRnsg; CRhgY: $line_items = array(); goto b6Rx2; qlF2C: $line_items = $this->restock_after_refund($line_items, $order); goto Inc0D; knNiG: $line_item_tax_totals = json_decode(sanitize_text_field(wp_unslash($_POST['line_item_tax_totals'])), TRUE); goto Gzn4y; m3jbV: cmv1s: goto iI8pS; t2ZNy: $line_item_totals = json_decode(sanitize_text_field(wp_unslash($_POST['line_item_totals'])), TRUE); goto knNiG; kTiV3: A2w0j: goto wCAfL; iI8pS: } public function restock_after_refund($line_items, $order) { goto iOIuH; yE127: cUJ5i: goto QkvX1; awPue: return $line_items; goto haTbF; QkvX1: foreach ($order->get_items() as $order_item) { goto I0a8k; ymZe6: if (!(!$order_item_product instanceof \WC_Product || !$order_item->is_type('line_item') || !array_key_exists($order_item_id, $line_items))) { goto LvILm; } goto x1PwB; x1PwB: goto xUhSa; goto Ak7l8; I0a8k: $order_item_id = $order_item->get_id(); goto O6tEY; VDDHf: bF3x2: goto nnBZv; Jep7d: $original_bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id); goto jIc2N; RV3Lw: $item_previously_refunded = $order->get_qty_refunded_for_item($order_item_id); goto brilV; aW0yt: Helpers::recalculate_bom_tree_stock($order_item_product); goto crWo6; O6tEY: $order_item_product = AtumHelpers::get_atum_product($order_item->get_variation_id() ?: $order_item->get_product_id()); goto ymZe6; brilV: $original_stock = $order_item_product->get_stock_quantity(); goto Jep7d; Y84Gp: unset($line_items[$order_item_id]); goto FGQpP; nnBZv: $note_id = $order->add_order_note(sprintf(esc_html__('Item #%1$s stock increased from %2$s to %3$s.', ATUM_LEVELS_TEXT_DOMAIN), $order_item_product->get_id(), $original_stock, $original_stock + $line_items[$order_item_id]['qty'])); goto xEqKn; zprUI: $original_item_qty = $order_item->get_quantity(); goto RV3Lw; xEqKn: AtumHelpers::save_order_note_meta($note_id, ['action' => 'increase_item_stock', 'item_name' => $order_item->get_name(), 'product_id' => $order_item_product->get_id(), 'old_stock' => $original_stock, 'new_stock' => $original_stock + $line_items[$order_item_id]['qty']]); goto Y84Gp; FGQpP: AtumCache::delete_group_cache(ATUM_LEVELS_TEXT_DOMAIN); goto mG3Cs; mG3Cs: laZV2: goto aW0yt; DABD1: $new_bom_order_items = $this->process_and_get_bom_order_items($order_item, $order_item_product, $order_type_id, TRUE); goto U3QC0; U3QC0: foreach ($original_bom_order_items as $original_bom_order_item) { goto v37QL; niNl6: if (!(Globals::is_bom_product($bom_product) && apply_filters('atum/product_levels/maybe_increase_bom_stock_order_items', TRUE, $order_item, $original_bom_order_item->bom_id, $qty_reduced, 0, $order_type_id))) { goto OLBlK; } goto Q5pqB; NuzI6: R1Fop: goto Ci_ZG; v37QL: $new_qty = 0; goto MlbV4; jnoLA: if (!$qty_reduced) { goto yUZkM; } goto B3Iei; Q5pqB: $update_qty = apply_filters('atum/product_levels/update_stock_quantity', $qty_reduced, $bom_product, $order_item_product); goto QVCjH; Fy3VF: $qty_reduced = $original_bom_order_item->qty - $new_qty; goto jnoLA; MHhCM: z4b35: goto Fy3VF; MlbV4: foreach ($new_bom_order_items as $new_bom_order_item) { goto RD_XS; q1OT0: $new_qty += $new_bom_order_item->qty; goto JWrJq; Axdvz: QclK2: goto NUg9V; JWrJq: B1fRo: goto Axdvz; RD_XS: if (!($new_bom_order_item->bom_id === $original_bom_order_item->bom_id)) { goto B1fRo; } goto q1OT0; NUg9V: } goto MHhCM; lPP7F: OLBlK: goto WbcP5; QVCjH: wc_update_product_stock($bom_product, $update_qty, 'increase'); goto lPP7F; B3Iei: $bom_product = AtumHelpers::get_atum_product($original_bom_order_item->bom_id); goto niNl6; WbcP5: yUZkM: goto NuzI6; Ci_ZG: } goto VDDHf; crWo6: xUhSa: goto uI8de; VOlbK: $order_item->set_quantity($original_item_qty + $item_previously_refunded); goto DABD1; jIc2N: if (!$original_bom_order_items) { goto laZV2; } goto VOlbK; Ak7l8: LvILm: goto zprUI; uI8de: } goto Ze0a0; vWqil: $order_type_id = AtumGlobals::get_order_type_id($order->get_type()); goto PgeiB; ylUPf: EDNPB: goto awPue; V3EAz: if (!($order instanceof \WC_Order && !empty($order_refund_restock[$order->get_id()]))) { goto EDNPB; } goto vWqil; iOIuH: global $order_refund_restock; goto V3EAz; gDE2z: return $line_items; goto yE127; Ze0a0: BXmxi: goto ylUPf; PgeiB: if ($order_type_id) { goto cUJ5i; } goto gDE2z; haTbF: } public function add_pl_meta_to_order_items($item_id, $item, $product) { goto yTeO3; x0l4g: ?>
			<div class="order-item-icons">
				<span class="atmi-tree tips" data-tip="<?php  goto AQO3R; yTeO3: if (!($item instanceof \WC_Order_Item_Product && $product instanceof \WC_Product && BOMModel::has_linked_bom($product->get_id()))) { goto r24m0; } goto x0l4g; WlcS3: ?>">
			</div>
		<?php  goto mEOWB; AQO3R: esc_attr_e('This item has linked BOM', ATUM_LEVELS_TEXT_DOMAIN); goto WlcS3; mEOWB: r24m0: goto a8eZP; a8eZP: } public function display_order_item_bom_tree($order_item_id, $order_item, $order = NULL, $order_item_qty = NULL) { goto y0Ite; pa01C: if ($item_product instanceof \WC_Product) { goto u_qEi; } goto LMEeM; BOY06: $args['order_item_qty'] = $order_item_qty; goto F0XUE; UlZIB: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id, FALSE); goto ml0xO; jfx6Y: $args = compact('is_editable', 'order_item', 'order_type_id', 'bom_order_items', 'unsaved_bom_order_items', 'transient_created', 'item_product', 'order'); goto lL3a1; avjVb: if (!BOMModel::has_linked_bom($product_id)) { goto heETw; } goto w73Ld; y0Ite: $product_id = $order_item->get_variation_id() ?: $order_item->get_product_id(); goto W2PQF; LMEeM: return; goto an9o2; nDz6r: aNzIz: goto XpoSR; XpoSR: $order_type_id = AtumGlobals::get_order_type_id($order_type); goto UlZIB; lL3a1: if (is_null($order_item_qty)) { goto hreku; } goto BOY06; rUreB: $transient_created = FALSE; goto KC3iL; KTF88: if (!$order) { goto aNzIz; } goto M9Q9A; KC3iL: if (!$item_product instanceof \WC_Product) { goto N0QfD; } goto jfx6Y; w73Ld: $order_type = ''; goto KTF88; an9o2: u_qEi: goto avjVb; ml0xO: $is_editable = FALSE; goto ghwhV; ghwhV: $unsaved_bom_order_items = []; goto rUreB; F0XUE: hreku: goto DveEJ; z5TXy: heETw: goto JEge8; W2PQF: $item_product = AtumHelpers::get_atum_product($product_id); goto pa01C; DveEJ: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/bom-tree', $args); goto kiW86; kiW86: N0QfD: goto z5TXy; M9Q9A: $order_type = $order instanceof AtumOrderModel ? $order->get_post_type() : $order->get_type(); goto nDz6r; JEge8: } public function call_display_order_item_bom_tree($item, $atum_order) { $this->display_order_item_bom_tree($item->get_id(), $item, $atum_order, $item->get_quantity()); } public function can_increase_stock($allowed, $order) { goto Pp7rp; EGX89: return $allowed; goto mXLfA; r8eS2: $this->processed_orders[] = $order->get_id(); goto YtIU2; Pp7rp: $post_type = $order instanceof AtumOrderModel ? $order->get_post_type() : $order->get_type(); goto aYGh_; aYGh_: if (!(!apply_filters("atum/product_levels/bypass_{$post_type}_stock_increase", FALSE, $order) && !$this->is_order_stock_changed($order))) { goto jpKjL; } goto IPa2I; YtIU2: jpKjL: goto EGX89; IPa2I: $this->increase_bom_stock($order); goto r8eS2; mXLfA: } public function increase_bom_stock($order, $update_boms = FALSE) { goto Pl46G; EMCf4: Ncrd6: goto UsImh; ansBm: $this->increase_bom_stock_order_items($order_items, $order_type_id, $update_boms); goto s4W6t; Pl46G: $allowed_order_item_ids = array(); goto MrOYG; IN9P3: Mw5fh: goto JYM4S; MrOYG: $order_items = $order->get_items(); goto MIP9G; MIP9G: if (!(wp_doing_ajax() && isset($_POST['action']) && in_array($_POST['action'], ['woocommerce_restore_order_item_stock', 'atum/ajax/increase_atum_order_stock'], TRUE))) { goto k_A_y; } goto KWxOd; LiHNi: foreach ($order_items as $order_item_id => $order_item) { goto Blq7M; YUtuQ: Grs_Z: goto srT1d; VJnEb: unset($order_items[$order_item_id]); goto Bcb1Z; Blq7M: if (!(!$order_item instanceof \WC_Order_Item_Product || !empty($allowed_order_item_ids) && !in_array($order_item->get_id(), $allowed_order_item_ids))) { goto hkeKE; } goto VJnEb; Bcb1Z: hkeKE: goto YUtuQ; srT1d: } goto EMCf4; UsImh: $order_type = $order instanceof AtumOrderModel ? $order->get_post_type() : $order->get_type(); goto BHyYE; m78cj: if (!empty($allowed_order_item_ids)) { goto Mw5fh; } goto Pfstx; JYM4S: k_A_y: goto LiHNi; KWxOd: $allowed_order_item_ids = array_map('absint', $_POST['order_item_ids']); goto m78cj; Pfstx: return; goto IN9P3; BHyYE: $order_type_id = AtumGlobals::get_order_type_id($order_type); goto ansBm; s4W6t: } public function can_reduce_stock($allowed, $order) { goto Bzxb0; YcryK: Rm0Mo: goto pcEKr; ElgpY: $this->processed_orders[] = $order->get_id(); goto YcryK; HVinU: $this->reduce_bom_stock($order); goto ElgpY; Bzxb0: $order_type = $order instanceof AtumOrderModel ? $order->get_post_type() : $order->get_type(); goto C7jdq; pcEKr: return $allowed; goto yFXZQ; C7jdq: if (!(!apply_filters("atum/product_levels/bypass_{$order_type}_stock_reduce", FALSE, $order) && !$this->is_order_stock_changed($order))) { goto Rm0Mo; } goto HVinU; yFXZQ: } public function reduce_bom_stock($order, $update_boms = FALSE) { goto f6AsM; CinjF: foreach ($order_items as $order_item_id => $order_item) { goto hr1eS; Gwdf2: if (!(!$order_item instanceof \WC_Order_Item_Product || $item_stock_reduced || !empty($allowed_order_item_ids) && !in_array($order_item->get_id(), $allowed_order_item_ids))) { goto Gwd9_; } goto UaF32; U1QsP: Gwd9_: goto qzQ00; UaF32: unset($order_items[$order_item_id]); goto U1QsP; hr1eS: $item_stock_reduced = $order_item->get_meta('_reduced_stock'); goto Gwdf2; qzQ00: ssk80: goto saV2j; saV2j: } goto RsTHl; RsTHl: tTJHp: goto pZL40; gChF_: $allowed_order_item_ids = array_map('absint', $_POST['order_item_ids']); goto f5pk2; f6AsM: $allowed_order_item_ids = array(); goto tSYVw; XT3bJ: $this->reduce_bom_stock_order_items($order_items, AtumGlobals::get_order_type_id($order_type), $update_boms); goto X1OjB; tSYVw: $order_items = $order->get_items(); goto qMltN; iZfB1: return; goto yRX8s; h7T_J: lrVnR: goto CinjF; qMltN: if (!(wp_doing_ajax() && isset($_POST['action']) && in_array($_POST['action'], ['woocommerce_reduce_order_item_stock', 'atum/ajax/decrease_atum_order_stock'], TRUE))) { goto lrVnR; } goto gChF_; pZL40: $order_type = $order instanceof AtumOrderModel ? $order->get_post_type() : $order->get_type(); goto XT3bJ; X1OjB: remove_filter('woocommerce_can_reduce_order_stock', array($this, 'can_reduce_stock'), PHP_INT_MAX); goto tM2I5; yRX8s: UTAgG: goto h7T_J; f5pk2: if (!empty($allowed_order_item_ids)) { goto UTAgG; } goto iZfB1; tM2I5: } public function is_order_stock_changed($order) { goto Xun7I; Xun7I: $order_type = $order instanceof AtumOrderModel ? $order->get_post_type() : $order->get_type(); goto T39vp; WbnAu: return isset($this->processed_orders[$order_type], $this->processed_orders[$order_type][$order_id]); goto oelCA; T39vp: $order_id = $order->get_id(); goto WbnAu; oelCA: } public function after_order_stock_change($order) { goto Q2y6c; i7KlM: NBB_k: goto w7qLo; RiXtL: $order = wc_get_order($order); goto i7KlM; SLdmM: foreach ($items as $item) { goto km0aE; wSY6W: RJyi2: goto pSEr_; km0aE: $order_item_product = AtumHelpers::get_atum_product($item->get_variation_id() ?: $item->get_product_id()); goto ypw9X; ypw9X: Helpers::recalculate_bom_tree_stock($order_item_product); goto wSY6W; pSEr_: } goto HNIup; HNIup: bkvvz: goto gvJfs; w7qLo: $items = $order->get_items(); goto SLdmM; Q2y6c: if (!is_numeric($order)) { goto NBB_k; } goto RiXtL; gvJfs: } public function recalculate_bom_tree_when_transitioning($order_id, $old_status, $new_status, $order) { goto RMveH; l3vju: KU9Rj: goto PpRoD; zOCBf: AtumHelpers::save_order_note_meta($note_id, ['action' => ($old_stock < $new_stock ? 'increase' : 'decrease') . '_stock', 'meta' => $order_notes_meta]); goto fB9GR; Q9AvA: foreach (wc_get_order_statuses() as $slug => $name) { $order_statuses[str_replace('wc-', '', $slug)] = $name; xazVx: } goto CLZoj; RMveH: $chg_stock_order_complete = 'yes' === AtumHelpers::get_option('chg_stock_order_complete', 'no'); goto hLEA_; rYpSq: AtumCache::set_transient($transient_key, $saved_notes, MINUTE_IN_SECONDS, TRUE); goto skEXH; skEXH: Rl2tW: goto WbvOZ; OrNU4: $order_note = ''; goto ziLVr; tsGre: $items = $order->get_items(); goto dCggy; bpTXf: $saved_notes[$note_id] = $order_notes_meta; goto rYpSq; fB9GR: $transient_key = AtumCache::get_transient_key('order_notes_' . $order_id); goto N51Sv; ziLVr: if (!$has_cache) { goto xuh9i; } goto tsGre; CMv20: $order_statuses = []; goto Q9AvA; WXOa3: fFHKS: goto vj3ZN; CLZoj: DikRU: goto wSxzH; Nkex8: $order_notes_meta = []; goto CgeCh; r8FT4: $note_id = $order->add_order_note($order_note); goto zOCBf; vj3ZN: remove_filter('woocommerce_new_order_note_data', array($this, 'maybe_remove_order_note')); goto PvQFA; hEc5Z: return; goto l3vju; hLEA_: $recalculate_statuses = $chg_stock_order_complete ? ['completed'] : ['on-hold', 'processing', 'completed']; goto CMv20; L5kCO: if (!('yes' === $chg_stock_order_complete && ('completed' !== $new_status && in_array($old_status, $no_stock_recalc_order_statuses)) || 'no' === $chg_stock_order_complete && (!in_array($new_status, $recalculate_statuses) && in_array($old_status, $no_stock_recalc_order_statuses)))) { goto KU9Rj; } goto hEc5Z; PvQFA: if (empty($order_notes_meta)) { goto Rl2tW; } goto r8FT4; CgeCh: foreach ($items as $item) { goto UNTSb; kA2Dd: MeDAZ: goto bODTX; gxZme: goto rGzWv; goto xHWB1; K2oSn: $notify_no_stock_amount = absint(get_option('woocommerce_notify_no_stock_amount', 0)); goto rudTW; qApyM: if ($product instanceof \WC_Product) { goto QDkLi; } goto gxZme; bODTX: if ('increase' === $deleted_note_data['action']) { goto twMvs; } goto UaAn1; KK1hi: $order_note .= implode(',', $order_notes); goto L2iYM; pPzvy: $order_note = __('Stock levels increased:', ATUM_LEVELS_TEXT_DOMAIN); goto uXAlD; rudTW: foreach ($products_on_deleted_note as $product_on_deleted_note) { goto P4xAR; xDMrT: ujSaO: goto gxD7C; dXNSP: $add_item_on_note = TRUE; goto TJgyF; niPvr: $new_stock = $product_deleted->get_stock_quantity(); goto Xc7mB; kLTZe: ePRSE: goto zNQZH; pti7H: $new_item_on_note = ' ' . $item_name . ' ' . $old_stock . '&rarr;' . $new_stock; goto YWZ5k; tI3Fy: $add_item_on_note = FALSE; goto S96Dd; PzOyB: Helpers::defer_recalculate_bom_tree_stock($product_id, ['order_id' => $order_id, 'action' => $deleted_note_data['action'], 'old_stock' => $old_stock, 'new_stock' => $new_stock]); goto xDMrT; zNQZH: $old_stock = Helpers::get_calculated_stock_quantity($product); goto OXv3T; Xc7mB: $old_stock = 'increase' === $deleted_note_data['action'] ? $new_stock - $stock_change : $new_stock + $stock_change; goto dXNSP; wNlgD: $add_item_on_note = TRUE; goto PzOyB; q19bV: $item_name = $product_deleted->get_formatted_name(); goto pti7H; JpAP6: array_push($order_notes_meta, $new_item_on_note_meta); goto Q2D7C; TJgyF: goto ujSaO; goto kLTZe; YWZ5k: array_push($order_notes, $new_item_on_note); goto OCdOK; nYrCQ: if (!($product_id === $product_on_deleted_note)) { goto rZ4IH; } goto wZenp; OCdOK: $new_item_on_note_meta = ['item_name' => $item_name, 'product_id' => $product_id, 'old_stock' => $old_stock, 'new_stock' => $new_stock]; goto JpAP6; xlHzH: XeacX: goto Py5Se; OXv3T: $new_stock = 'increase' === $deleted_note_data['action'] ? $old_stock + $stock_change : $old_stock - $stock_change; goto wNlgD; BjtBc: if (!$add_item_on_note) { goto mLu1G; } goto q19bV; Q2D7C: mLu1G: goto xlHzH; KWNYt: $stock_change = apply_filters('atum/purchase_orders/restore_atum_order_stock_quantity', $item->get_quantity(), $product_id); goto tI3Fy; S96Dd: $old_stock = $new_stock = ''; goto nYrCQ; wZenp: if (BOMModel::has_linked_bom($product_id)) { goto ePRSE; } goto niPvr; P4xAR: $product_deleted = wc_get_product($product_on_deleted_note); goto KWNYt; gxD7C: rZ4IH: goto BjtBc; Py5Se: } goto kA2Dd; ex5N3: $product_id = $product->get_id(); goto cRuPK; cRuPK: $products_on_deleted_note = $deleted_note_data['ids']; goto K2oSn; xHWB1: QDkLi: goto ex5N3; L2iYM: rGzWv: goto mX_RQ; OLis3: goto p8Jop; goto ruwdi; UNTSb: $product = $item->get_product(); goto qApyM; ruwdi: twMvs: goto pPzvy; uXAlD: p8Jop: goto KK1hi; UaAn1: $order_note = __('Stock levels reduced:', ATUM_LEVELS_TEXT_DOMAIN); goto OLis3; mX_RQ: } goto WXOa3; M0ey0: $deleted_note_data = AtumCache::get_cache($cache_key, '', FALSE, $has_cache); goto OrNU4; PpRoD: $cache_key = AtumCache::get_cache_key('products_on_deleted_note', $order_id); goto M0ey0; WbvOZ: xuh9i: goto upz8V; wSxzH: $no_stock_recalc_order_statuses = array_diff($order_statuses, $recalculate_statuses); goto L5kCO; N51Sv: $saved_notes = AtumCache::get_transient($transient_key, TRUE) ?: array(); goto bpTXf; dCggy: $order_notes = []; goto Nkex8; upz8V: } public function disable_wc_order_notes_for_boms() { add_filter('woocommerce_new_order_note_data', array($this, 'maybe_remove_order_note')); } public function maybe_remove_order_note($note_data) { goto DLAAj; O6034: goto C5wNe; goto UUHnR; N4HG1: D3mWk: goto Ecc_3; KbhPj: $deleted_note_data = array('ids' => $ids, 'action' => $action); goto ugCob; sYgoe: $action = 'increase'; goto iXpLb; E2O43: frf7E: goto jCO2V; ANmlZ: foreach ($ids as $id) { goto aPiWF; wD5vy: sznQl: goto KHyeG; aPiWF: $allow = apply_filters('atum/product_levels/allow_removing_order_comments', TRUE, $id); goto fs9Ce; BZVl5: AtumCache::set_cache($cache_key, $deleted_note_data, ''); goto byxoM; xSF78: $products_on_deleted_note = AtumCache::get_cache($cache_key, '', FALSE, $has_cache); goto MzDAf; AErSL: foreach ($products_on_deleted_note['ids'] as $product_on_delete_note) { array_push($deleted_note_data['ids'], $product_on_delete_note); dJLuP: } goto Cm0jJ; byxoM: goto frf7E; goto wD5vy; Cm0jJ: tzQ4Y: goto I5hPK; KHyeG: if (!(FALSE === $allow)) { goto yKJlB; } goto NyoeM; I5hPK: wUiEP: goto BZVl5; UAXtY: Kp5GW: goto uH2MW; MQFyG: yKJlB: goto UAXtY; fZQae: add_action('wp_insert_comment', array(AtumHooks::get_instance(), 'remove_order_comment'), PHP_INT_MAX); goto NdQtB; MzDAf: if (!$has_cache) { goto wUiEP; } goto AErSL; fs9Ce: if (!($id && BOMModel::has_linked_bom($id) && $allow)) { goto sznQl; } goto fZQae; NdQtB: $cache_key = AtumCache::get_cache_key('products_on_deleted_note', $note_data['comment_post_ID']); goto xSF78; NyoeM: add_action('woocommerce_order_status_changed', array($this, 'recalculate_bom_tree_when_transitioning'), 10, 4); goto MQFyG; uH2MW: } goto E2O43; okJQC: if (str_contains($note_data['comment_content'], $text_notes[1])) { goto D3mWk; } goto skGBI; skGBI: $action = ''; goto O6034; pVU_N: C5wNe: goto KbhPj; jCO2V: IGCSV: goto sB7kt; ugCob: if (empty($ids)) { goto IGCSV; } goto ANmlZ; iXpLb: goto C5wNe; goto N4HG1; xHdjb: if (str_contains($note_data['comment_content'], $text_notes[0])) { goto ZhQs5; } goto okJQC; s1u3u: $ids = AtumHelpers::get_order_note_ids($note_data, $text_notes); goto xHdjb; UUHnR: ZhQs5: goto sYgoe; Ecc_3: $action = 'decrease'; goto pVU_N; sB7kt: return $note_data; goto PF8Yb; DLAAj: $text_notes = [__('Stock levels increased:', 'woocommerce'), __('Stock levels reduced:', 'woocommerce')]; goto s1u3u; PF8Yb: } public function update_purchase_order_stock_change_note($note, $product, $action, $stock_change) { goto OLwC3; fYfhh: Vni0I: goto fyOet; Be6VS: $new_stock = Helpers::get_calculated_stock_quantity($product); goto AbgPw; IEGA0: $note = sprintf(__('"%s" stock didn\'t change, but all it\'s BOM stock tree was updated', ATUM_LEVELS_TEXT_DOMAIN), $item_name); goto uoxLo; T2Npo: fMku2: goto sUxlB; YnKfT: c5nIr: goto ESF0Q; UaWPW: goto fMku2; goto fYfhh; yfcjE: if ($old_stock < $new_stock) { goto Vni0I; } goto gdrsu; OMo8S: RphSg: goto m1sN_; sUxlB: $note .= ' ' . $item_name . ' ' . $old_stock . '&rarr;' . $new_stock; goto hlRmj; whTxK: $note .= '. ' . sprintf(__('The BOM tree stock was updated according to the item\'s qty (%s)', ATUM_LEVELS_TEXT_DOMAIN), $stock_change); goto YnKfT; uoxLo: OMCoV: goto hcrFF; mjeH6: add_filter('atum/order_note_meta_params', array($this, 'change_order_meta'), 10, 2); goto OMo8S; QDjez: Helpers::recalculate_bom_tree_stock($product, TRUE); goto Be6VS; pNLx_: $old_stock = Helpers::get_calculated_stock_quantity($product); goto QDjez; m1sN_: return $note; goto lS4_z; Uo827: Ej7Mj: goto IEGA0; AbgPw: $item_name = $product->get_formatted_name(); goto wfgJw; hcrFF: $this->order_note_args = ['action' => "{$action}_stock", 'product_id' => $product->get_id(), 'old_stock' => $old_stock, 'new_stock' => $new_stock, 'stock_change' => $stock_change]; goto mjeH6; fyOet: $note = __('Stock levels increased:', ATUM_LEVELS_TEXT_DOMAIN); goto T2Npo; wfgJw: if ($old_stock === $new_stock) { goto Ej7Mj; } goto yfcjE; ESF0Q: goto OMCoV; goto Uo827; gdrsu: $note = __('Stock levels reduced:', ATUM_LEVELS_TEXT_DOMAIN); goto UaWPW; OLwC3: if (!BOMModel::has_linked_bom($product->get_id())) { goto RphSg; } goto pNLx_; hlRmj: if (!(abs($old_stock - $new_stock) !== $stock_change)) { goto c5nIr; } goto whTxK; lS4_z: } public function update_atum_order_stock_change_note($note, $product, $action, $stock_change) { goto xQuUE; BSo2_: C1M68: goto rBqB0; n0imQ: return $note; goto tBV37; JkPkF: if (!$stock_change) { goto KWrsL; } goto MVDxx; MVDxx: $item_name = $product->get_formatted_name(); goto AmWiA; Md8xN: goto C1M68; goto swJLN; wrxBt: $note .= ' ' . $item_name . ' ' . $old_stock . '&rarr;' . $new_stock; goto BSo2_; xQuUE: if (!BOMModel::has_linked_bom($product->get_id())) { goto nzdBd; } goto RE6yz; nwqW1: $note .= ' ' . sprintf(__('%1$s and its BOM tree stock was updated according to the item\'s qty (%2$s)', ATUM_LEVELS_TEXT_DOMAIN), $item_name, $stock_change); goto uHp3N; PGXw3: $note = __('Stock levels reduced:', ATUM_LEVELS_TEXT_DOMAIN); goto CUujV; GKtTy: nzdBd: goto n0imQ; swJLN: SHWcG: goto wrxBt; bxxAe: $this->order_note_args = ['action' => "{$action}_stock", 'product_id' => $product->get_id(), 'old_stock' => $old_stock, 'new_stock' => $new_stock, 'stock_change' => $stock_change]; goto mJbCG; XzgsQ: iGAOr: goto tbc7z; nG3kh: NvINh: goto cT_fl; cT_fl: $note = __('Stock levels increased:', ATUM_LEVELS_TEXT_DOMAIN); goto XzgsQ; tbc7z: if (0 !== $old_stock && 0 <= $new_stock) { goto SHWcG; } goto nwqW1; uHp3N: $new_stock = 0 <= $new_stock ?: 0; goto bxxAe; mJbCG: add_filter('atum/order_note_meta_params', array($this, 'change_order_meta'), 10, 2); goto Md8xN; AmWiA: if ($old_stock < $new_stock) { goto NvINh; } goto PGXw3; wPog5: $new_stock = 'increase' === $action ? $old_stock + $stock_change : $old_stock - $stock_change; goto JkPkF; rBqB0: KWrsL: goto GKtTy; CUujV: goto iGAOr; goto nG3kh; FYv3Q: $stock_change = (float) $stock_change; goto wPog5; RE6yz: $old_stock = Helpers::get_calculated_stock_quantity($product); goto FYv3Q; tBV37: } public function change_order_meta($params, $note_id) { goto Qo9KE; HXy2w: return $params; goto IR0WN; r0s4V: remove_filter('atum/order_note_meta_params', array($this, 'change_order_meta'), 10); goto AIbfE; AIbfE: yJWhL: goto HXy2w; Qo9KE: if (!(!empty($params['action']) && !empty($this->order_note_args['action']) && $params['action'] === $this->order_note_args['action'])) { goto yJWhL; } goto JjsVq; ELkcl: $this->order_note_args = []; goto r0s4V; JjsVq: $params = array_merge($params, $this->order_note_args); goto ELkcl; IR0WN: } public function get_order_product_boms() { return $this->order_products_boms; } public function create_predicted_bom_order_items($order_item, $order) { goto m5Xl5; wc_Zz: BOMOrderItemsPreModel::set_predicted_bom_order_items($order->get_id(), $order_item->get_id(), $bom_order_items, FALSE); goto vIZ6f; e2FNs: $order_type = $order instanceof AtumOrderModel ? $order->get_post_type() : $order->get_type(); goto lWaAp; lWaAp: $bom_order_items = $this->process_and_get_bom_order_items($order_item, $order_item_product, AtumGlobals::get_order_type_id($order_type)); goto wc_Zz; m5Xl5: $order_item_product = $order_item->get_product(); goto e2FNs; vIZ6f: } public function reload_order_notes() { goto m6I9J; tC8rS: wp_send_json_error(); goto ruijl; drbih: $order_id = absint($_POST['order_id']); goto OugJ3; qC_um: if (isset($_POST['order_id'])) { goto h_sQw; } goto tC8rS; cO7uE: $notes_html = ob_get_clean(); goto nE3bw; vC_Hp: $notes = wc_get_order_notes(array('order_id' => $order_id)); goto mzS5l; ruijl: h_sQw: goto drbih; mzS5l: include WC()->plugin_path() . '/includes/admin/meta-boxes/views/html-order-notes.php'; goto cO7uE; m6I9J: check_ajax_referer('atum-pl-orders-nonce', 'security'); goto qC_um; OugJ3: ob_start(); goto vC_Hp; nE3bw: wp_send_json_success($notes_html); goto NjQLh; NjQLh: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto PdYHq; PdYHq: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto T22B4; } goto j2iQP; j2iQP: self::$instance = new self(); goto fcuIF; dBY0W: return self::$instance; goto jsEzn; fcuIF: T22B4: goto dBY0W; jsEzn: } }
