<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Addons\Addons; use Atum\Components\AtumListTables\AtumListTable; use Atum\Components\AtumStockDecimals; use Atum\Inc\Helpers as AtumHelpers; use Atum\StockCentral\Lists\ListTable as SCListTable; use Atum\StockCentral\StockCentral; use AtumLevels\ManufacturingCentral\Lists\ListTable as MCListTable; use AtumLevels\ManufacturingCentral\ManufacturingCentral; use AtumLevels\Models\BOMModel; use AtumMultiInventory\Inc\Helpers as MIHelpers; use AtumMultiInventory\Models\Inventory; class ProduceItems { private static $instance; private function __construct() { goto qUFsd; bGSio: add_filter('atum/stock_central_list/row_actions', array($this, 'add_list_table_row_actions'), 11); goto CIvo7; S95dI: add_action('wp_ajax_atum_pl_produce_items', array($this, 'produce_items_ajax')); goto GZUsr; lxWoy: add_action('admin_enqueue_scripts', array($this, 'enqueue_product_scripts')); goto YhJZv; j8nmE: add_filter('atum/list_table/expandable_row_data', array($this, 'add_list_table_item_row_data'), 10, 3); goto polha; polha: add_action('atum/list_table/after_enqueue_scripts', array($this, 'enqueue_listable_scripts')); goto S95dI; DsS5_: if (!('yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto Egu51; } goto SREge; GZUsr: Egu51: goto DooCT; f3oGN: add_filter('atum/list_table/single_row_data', array($this, 'add_list_table_item_row_data'), 10, 3); goto j8nmE; SREge: add_action('atum/product_levels/bom_meta/before_bom_panel', array($this, 'add_produce_button_to_products')); goto lxWoy; CIvo7: add_filter('atum/product_levels/manufacturing_list_table/row_actions', array($this, 'add_list_table_row_actions'), 11); goto f3oGN; TBWaq: add_action('admin_enqueue_scripts', array($this, 'enqueue_settings_scripts')); goto DsS5_; DooCT: JBSRm: goto p5bpf; qUFsd: if (!is_admin()) { goto JBSRm; } goto i1hrH; i1hrH: add_filter('atum/product_levels/settings', array($this, 'produce_items_settings')); goto TBWaq; YhJZv: add_action('atum/list_table/after_display', array($this, 'load_produce_items_modal_template')); goto bGSio; p5bpf: } public function add_produce_button_to_products($product) { goto tPra8; AJAE_: $is_bs_enabled = Helpers::is_bom_stock_control_enabled(); goto l5vJL; otNeN: list($insufficient_stock, $max_qty) = self::check_bom_stock_availavility($linked_boms); goto tyEcK; sUVHH: bnJp4: goto rRm2v; vR8Jg: echo '<div class="alert alert-warning"><i class="atum-icon atmi-warning"></i>' . __('If you want to produce items on this product, you should enable the Multi-Inventory option located in the "ATUM Inventory" tab.', ATUM_LEVELS_TEXT_DOMAIN) . '</div>'; goto sUVHH; ML3xx: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/produce-items-button', compact('insufficient_stock', 'product', 'linked_boms', 'max_qty')); goto TYVb2; tyEcK: $max_qty = max($max_qty, 0); goto ML3xx; CU7z0: WBFfJ: goto bcUU3; rRm2v: return; goto FkB8C; tPra8: $product_id = $product->get_id(); goto DdV2U; FkB8C: lRzDL: goto v7o1C; SlzR4: $is_mi_active = Addons::is_addon_active('multi_inventory'); goto OC3cm; DdV2U: if (!BOMModel::has_linked_bom($product_id)) { goto WBFfJ; } goto SlzR4; acjJJ: MqH3W: goto CU7z0; v7o1C: if ($is_mi_enabled) { goto MqH3W; } goto M7lqU; TYVb2: TCRpZ: goto acjJJ; l5vJL: if (!(!$is_mi_enabled && $is_bs_enabled)) { goto lRzDL; } goto hNgxJ; YTkLX: if (empty($linked_boms)) { goto TCRpZ; } goto otNeN; OC3cm: $is_mi_enabled = $is_mi_active && 'yes' === MIHelpers::get_product_multi_inventory_status($product); goto AJAE_; M7lqU: $linked_boms = BOMModel::get_linked_bom($product_id); goto YTkLX; hNgxJ: if (!$is_mi_active) { goto bnJp4; } goto vR8Jg; bcUU3: } public static function check_bom_stock_availavility($linked_boms) { goto XwGxE; ZyWSz: return [$insufficient_stock, $max_qty]; goto kWaS4; hsW02: $max_qty = NULL; goto SczDn; SczDn: foreach ($linked_boms as $linked_bom) { goto OU9sk; LrXux: Xe02n: goto eGFzA; I_P1r: $bom_stock = apply_filters('atum/product_levels/produce_items/bom_stock_availability', $bom_product->get_stock_quantity(), $linked_bom->bom_id); goto lVAmb; eGFzA: zKIFb: goto dfqUm; L0q_I: $insufficient_stock = TRUE; goto m9EqB; m9EqB: goto doJga; goto LrXux; m3MCu: goto zKIFb; goto NbKBC; NbKBC: fHsVy: goto CWJFQ; np3BE: if (!(is_null($max_qty) || $available < $max_qty)) { goto Cgy4a; } goto ov5SC; Z5K1G: Cgy4a: goto MjHcj; MjHcj: if (!($bom_needed > $bom_stock)) { goto Xe02n; } goto L0q_I; CWJFQ: $bom_needed = $min_qty * $linked_bom->qty; goto I_P1r; OU9sk: $bom_product = AtumHelpers::get_atum_product($linked_bom->bom_id, TRUE); goto nl9rE; lVAmb: $available = $linked_bom->qty > 0 ? round($bom_stock / $linked_bom->qty, AtumStockDecimals::get_stock_decimals()) : 0; goto np3BE; ov5SC: $max_qty = $available; goto Z5K1G; nl9rE: if ($bom_product instanceof \WC_Product) { goto fHsVy; } goto m3MCu; dfqUm: } goto lGQAH; lGQAH: doJga: goto ZyWSz; XwGxE: $insufficient_stock = FALSE; goto dTnrP; dTnrP: $min_qty = 1 / pow(10, AtumStockDecimals::get_stock_decimals()); goto hsW02; kWaS4: } public function enqueue_product_scripts($hook) { goto MWTl3; nY0uN: if (!('product' === $post_type && in_array($hook, ['post.php', 'post-new.php'], TRUE))) { goto hQ7uH; } goto GDbCD; s_pex: wp_enqueue_script('atum-pl-produce-items'); goto pTkGB; GDbCD: wp_enqueue_style('atum-pl-produce-items', ATUM_LEVELS_URL . 'assets/css/atum-pl-produce-items.css', [], ATUM_LEVELS_VERSION); goto XA5IA; MWTl3: $post_type = get_post_type(); goto nY0uN; XA5IA: wp_register_script('atum-pl-produce-items', ATUM_LEVELS_URL . 'assets/js/build/atum-pl-produce-items.js', ['jquery'], ATUM_LEVELS_VERSION, TRUE); goto qmSwd; pTkGB: hQ7uH: goto b32b8; qmSwd: wp_localize_script('atum-pl-produce-items', 'atumProduceItemsVars', array('done' => __('Done!', ATUM_LEVELS_TEXT_DOMAIN), 'isBscEnabled' => wc_bool_to_string(Helpers::is_bom_stock_control_enabled()), 'isMiActive' => wc_bool_to_string(Addons::is_addon_active('multi_inventory')), 'nonce' => wp_create_nonce('produce-items-nonce'), 'notEnoughStock' => __('This inventory does not have enough stock available.', ATUM_LEVELS_TEXT_DOMAIN), 'overProduction' => __('If you produce more than {max} items, some of your BOMs stocks will go to negative', ATUM_LEVELS_TEXT_DOMAIN), 'produceItems' => __('Produce Items', ATUM_LEVELS_TEXT_DOMAIN), 'selectInventory' => __('Please, select an inventory first', ATUM_LEVELS_TEXT_DOMAIN), 'inventoryName' => __('The inventory name is required', ATUM_LEVELS_TEXT_DOMAIN), 'wrongItems' => __('The number of items must be greater than 0 and lower or equal to ', ATUM_LEVELS_TEXT_DOMAIN), 'wrongStockAmount' => __("You've entered a wrong stock amount.", ATUM_LEVELS_TEXT_DOMAIN))); goto s_pex; b32b8: } public function enqueue_listable_scripts($list_table) { goto s9RDa; zk7O_: wp_localize_script('atum-pl-produce-items', 'atumProduceItemsVars', array('done' => __('Done!', ATUM_LEVELS_TEXT_DOMAIN), 'isBscEnabled' => wc_bool_to_string(Helpers::is_bom_stock_control_enabled()), 'isMiActive' => wc_bool_to_string(Addons::is_addon_active('multi_inventory')), 'listTableModal' => 'yes', 'noActions' => __('No Actions', ATUM_LEVELS_TEXT_DOMAIN), 'nonce' => wp_create_nonce('produce-items-nonce'), 'overProduction' => __('If you produce more than {max} items, some of your BOMs stocks will go to negative', ATUM_LEVELS_TEXT_DOMAIN), 'produceItems' => __('Produce Items', ATUM_LEVELS_TEXT_DOMAIN), 'selectInventory' => __('Please, select an inventory first', ATUM_LEVELS_TEXT_DOMAIN), 'inventoryName' => __('The inventory name is required', ATUM_LEVELS_TEXT_DOMAIN), 'wrongItems' => __('The number of items must be greater than 0 and lower or equal to %s', ATUM_LEVELS_TEXT_DOMAIN))); goto X2xkk; EkzoH: wp_register_script('atum-pl-produce-items', ATUM_LEVELS_URL . 'assets/js/build/atum-pl-produce-items.js', ['atum-list'], ATUM_LEVELS_VERSION, TRUE); goto zk7O_; vZRdn: wp_enqueue_style('atum-pl-produce-items', ATUM_LEVELS_URL . 'assets/css/atum-pl-produce-items.css', [], ATUM_LEVELS_VERSION); goto EkzoH; cHj9f: CKgD4: goto xCCTc; X2xkk: wp_enqueue_script('atum-pl-produce-items'); goto cHj9f; s9RDa: if (!($list_table instanceof SCListTable || $list_table instanceof MCListTable)) { goto CKgD4; } goto vZRdn; xCCTc: } public function load_produce_items_modal_template($list_table) { goto ndOey; ndOey: if (!empty($list_table->screen)) { goto biI4m; } goto SkiP_; aLr_D: $screen_id = $list_table->screen->id; goto bNgIb; SkiP_: return; goto Z7qXw; Z7qXw: biI4m: goto aLr_D; K1nrh: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/js-templates/produce-items-modal'); goto ddRHb; bNgIb: if (!(str_contains($screen_id, StockCentral::UI_SLUG) || str_contains($screen_id, ManufacturingCentral::UI_SLUG))) { goto oBGfB; } goto K1nrh; ddRHb: oBGfB: goto xtkR2; xtkR2: } public function add_list_table_row_actions($row_actions) { $row_actions[] = array('name' => 'produceItemsAction', 'icon' => 'atmi-magic-wand', 'label' => __('Produce Items', ATUM_LEVELS_TEXT_DOMAIN)); return $row_actions; } public function add_list_table_item_row_data($data, $item, $list_table) { goto Iq2SU; MVh2w: $is_bsc_enabled = Helpers::is_bom_stock_control_enabled(); goto hGSbA; U8tDo: return $data; goto AU4LN; Y4XQh: goto D5hZO; goto nxDEU; HKvNL: $linked_boms = BOMModel::get_linked_bom($product_id); goto MVh2w; oolUf: D5hZO: goto LMalk; gL8qI: $data .= ' data-produce="yes" data-max-items="' . esc_attr($max_qty) . '" data-insufficient-stock="' . wc_bool_to_string($insufficient_stock) . '"'; goto CctQk; AAaQQ: T3s0L: goto gCA7R; cRjbT: $product_id = $item->ID; goto Y4XQh; nxDEU: oUoRt: goto XDUhD; CctQk: DHrVm: goto bmsFo; MHv3c: goto D5hZO; goto AAaQQ; KVbck: if ($item instanceof \WC_Product) { goto oUoRt; } goto XJSiK; XJSiK: return $data; goto MHv3c; LMalk: if (!BOMModel::has_linked_bom($product_id)) { goto LF9cz; } goto HKvNL; zyAbw: return $data; goto cfkl0; gCA7R: if (in_array($item->post_type, ['product', 'product_variation'])) { goto PWB06; } goto U8tDo; hGSbA: $is_mi_active = Addons::is_addon_active('multi_inventory'); goto innrM; bgoFI: if (!($is_mi_active && !$insufficient_stock || !$is_mi_active && !$is_bsc_enabled && !empty($linked_boms))) { goto DHrVm; } goto gL8qI; AU4LN: PWB06: goto cRjbT; innrM: list($insufficient_stock, $max_qty) = self::check_bom_stock_availavility($linked_boms); goto bgoFI; bmsFo: LF9cz: goto zyAbw; XDUhD: $product_id = $item->get_id(); goto oolUf; Iq2SU: if ($item instanceof \WP_Post) { goto T3s0L; } goto KVbck; cfkl0: } public function produce_items_ajax() { goto Gh_q1; nMhCL: parse_str($_POST['production_data'], $production_data); goto a07uO; x5ME6: $linked_boms = BOMModel::get_linked_bom($product_id); goto QN2ez; O2Ziu: do_action('atum/product_levels/produce_items/before_produce_items_ajax', $product_id); goto goqbS; goqbS: if (!Helpers::is_bom_stock_control_enabled()) { goto KUO_Q; } goto GKjxJ; QN2ez: foreach ($linked_boms as $linked_bom) { goto rEc7n; e70ME: goto OPPK0; goto jdSYn; IGGm1: wc_update_product_stock($linked_bom->bom_id, $qty, 'decrease'); goto e70ME; PPou3: do_action('atum/product_levels/produce_items/before_decrease_bom_stock', $linked_bom->bom_id, $product_id, $qty); goto IGGm1; rEc7n: $qty = $number_items * $linked_bom->qty; goto dCzg8; lAowb: OPPK0: goto yZEYA; jdSYn: AWfxT: goto zBa5Y; zBa5Y: self::reduce_bom_tree($linked_bom->bom_id, $qty, $product_id); goto lAowb; dCzg8: if (BOMModel::has_linked_bom($linked_bom->bom_id)) { goto AWfxT; } goto PPou3; yZEYA: D6Ibg: goto KFWFJ; KFWFJ: } goto xlxV0; Gh_q1: check_ajax_referer('produce-items-nonce', 'security'); goto bRiFz; bRiFz: if (!(empty($_POST['production_data']) || empty($_POST['product_id']))) { goto gC6mQ; } goto uY3Rq; kdNEJ: gC6mQ: goto nMhCL; kv26M: KUO_Q: goto s7vjI; u0D71: wp_send_json_error(__('The number of items to produce must be greater than 0', ATUM_LEVELS_TEXT_DOMAIN)); goto EeQxV; EeQxV: GZ0Ov: goto RfYXo; xlxV0: qRWY3: goto L94eq; GKjxJ: wp_send_json_error(__('The produce items button is only available when the BOM stock control option is disabled. To use it this way, you need the Multi-Inventory add-on.', ATUM_LEVELS_TEXT_DOMAIN)); goto kv26M; uY3Rq: wp_send_json_error(__('Invalid data', ATUM_LEVELS_TEXT_DOMAIN)); goto kdNEJ; a07uO: if (!(empty($production_data['number_items']) || $production_data['number_items'] < 0)) { goto GZ0Ov; } goto u0D71; xmC3w: $is_list_table = !empty($_POST['is_list_table']) && 'yes' === $_POST['is_list_table']; goto Oa9_4; APFtl: do_action('atum/product_levels/produce_items/after_increase_product_stock', $product_id, $number_items); goto xmC3w; L94eq: wc_update_product_stock($product_id, $number_items, 'increase'); goto APFtl; Oa9_4: wp_send_json_success(!$is_list_table ? __("The items were successfully produced. Click 'OK' to reload the page.", ATUM_LEVELS_TEXT_DOMAIN) : __("The items were successfully produced. Click 'OK' to reload the table.", ATUM_LEVELS_TEXT_DOMAIN)); goto zPOCC; s7vjI: $number_items = (float) $production_data['number_items']; goto x5ME6; RfYXo: $product_id = absint($_POST['product_id']); goto O2Ziu; zPOCC: } public static function reduce_bom_tree($product_id, $number_items, $final_product) { goto xxczW; gT8E1: grZUH: goto t10aw; xxczW: $boms = BOMModel::get_linked_bom($product_id); goto nuPQR; nuPQR: foreach ($boms as $bom_data) { goto enH5l; BE0qc: ubMFQ: goto dbbcI; dbbcI: sru9W: goto Jz1dG; gBxVS: self::reduce_bom_tree($bom_data->bom_id, $qty, $final_product); goto BE0qc; OoExG: goto ubMFQ; goto GxB8C; VuOX2: do_action('atum/product_levels/produce_items/before_decrease_bom_stock', $bom_data->bom_id, $final_product, $qty); goto Yfipv; Yfipv: wc_update_product_stock($bom_data->bom_id, $qty, 'decrease'); goto OoExG; enH5l: $qty = wc_stock_amount($bom_data->qty) * $number_items; goto qi51q; GxB8C: K1apH: goto gBxVS; qi51q: if (BOMModel::has_linked_bom($bom_data->bom_id)) { goto K1apH; } goto VuOX2; Jz1dG: } goto gT8E1; t10aw: } public function produce_items_settings($settings) { goto gSPzr; EKwQV: PvdsW: goto LYsgp; zl3Bt: return array_splice($settings, 0, $index + 1, TRUE) + ['pl_produce_items' => $produce_items_settings] + array_splice($settings, $index + 1, count($settings) - 1, TRUE); goto ZEpEb; mPeK_: $alert_classes = ['stock-deduction-alert', 'alert', 'alert-warning']; goto GIgFS; xQBmd: $alert_classes[] = 'hidden'; goto EKwQV; GIgFS: if (!(Helpers::is_bom_stock_control_enabled() || 'yes' !== AtumHelpers::get_option('pl_produce_items', 'no'))) { goto PvdsW; } goto xQBmd; LYsgp: $produce_items_settings['desc'] .= '<br><br><div class="' . implode(' ', $alert_classes) . '"><i class="atum-icon atmi-warning"></i>' . __('If you enable the "Produce Items" button and the "BOM Stock Control" option is disabled, the automatic stock deduction for the BOM tree will be disabled, and you will have to handle it manually through this button.', ATUM_LEVELS_TEXT_DOMAIN) . '</div>'; goto zl3Bt; WyCoh: $produce_items_settings = array('group' => 'product_levels', 'section' => 'pl_product_levels', 'name' => __('Produce items according to BOM', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __('Include a "Produce Items" button in the product data tab. This feature allows users to manufacture products easily (with one click) based on linked BOMs and current recipes.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'switcher', 'default' => 'no'); goto mPeK_; gSPzr: $index = array_search('pl_bom_stock_control', array_keys($settings)); goto WyCoh; ZEpEb: } public function enqueue_settings_scripts($hook_name) { goto bIpv7; bIpv7: if (!('atum-inventory_page_atum-settings' === $hook_name)) { goto Ip3nk; } goto XGRRX; XGRRX: wp_register_script('atum-pl-settings', ATUM_LEVELS_URL . 'assets/js/build/atum-pl-settings.js', ['jquery'], ATUM_LEVELS_VERSION, TRUE); goto JYdvf; Q9yex: Ip3nk: goto H8h0c; JYdvf: $vars = array('areYouSure' => __('Are you sure?', ATUM_LEVELS_TEXT_DOMAIN), 'bscAlert' => sprintf(__('The produce items button is only available when the BOM stock control option is disabled.<br>If you want to keep the current configuration and use this button, please purchase the %1$sMulti-Inventory%2$s add-on.', ATUM_LEVELS_TEXT_DOMAIN), '<a href="' . esc_url(Addons::ADDONS_STORE_URL) . 'addons/atum-multi-inventory" target="_blank">', '</a>'), 'bscModalText' => __('The produce items button is only available when the BOM stock control option is disabled. If you enable the BOM stock control option, the button will be disabled.', ATUM_LEVELS_TEXT_DOMAIN), 'enableIt' => __('Yes, enable it!', ATUM_LEVELS_TEXT_DOMAIN), 'isMiActive' => wc_bool_to_string(Addons::is_addon_active('multi_inventory'))); goto PpDYF; lg9_b: wp_enqueue_script('atum-pl-settings'); goto Q9yex; PpDYF: wp_localize_script('atum-pl-settings', 'atumLevelsSettingsVars', $vars); goto lg9_b; H8h0c: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto iB_EM; kC2cY: return self::$instance; goto incU9; fMgEv: self::$instance = new self(); goto dqgDR; iB_EM: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto f2Dg5; } goto fMgEv; dqgDR: f2Dg5: goto kC2cY; incU9: } }
