<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Components\AtumReserveStock; use AtumLevels\Models\BOMModel; use Atum\Inc\Helpers as AtumHelpers; use Automattic\WooCommerce\Checkout\Helpers\ReserveStockException; class ReserveStock extends AtumReserveStock { private static $instance; private function __construct() { goto eVJms; VhGwB: pVQD6: goto AP5gk; eVJms: if (Helpers::is_bom_stock_control_enabled()) { goto pVQD6; } goto eYFQR; eYFQR: return; goto VhGwB; AP5gk: $this->register_hooks(); goto lCHTK; lCHTK: } public function reserve_stock_for_product($product_id, $stock_quantity, $order, $minutes) { goto vhQeN; XQmm2: QhxAu: goto pP7S0; ECpaM: $stock_wanted = []; goto YitFH; V7YDl: $this->throw_not_enough_units($product_id); goto LJc5C; xRdpM: $product_data_store = \WC_Data_Store::load('product'); goto rKJDv; VsrHC: gWCWJ: goto bTWDB; DJUA4: return; goto VsrHC; vhQeN: global $wpdb; goto Fw0xL; rKJDv: $query_for_stock = $product_data_store->get_query_for_stock($product_id); goto JriHt; ryKpZ: BQVDf: goto fql8g; EwbL2: ssKtz: goto XQmm2; w8uks: $reserved_boms = $this->get_bom_reserved_stock($bom_ids, $product_id, $order->get_id()); goto ECpaM; YitFH: foreach ($bom_ids as $bom_id) { goto Nv5hd; yLw83: hQk9E: goto YcIJO; W1JQK: $available_for_bom = !empty($stock_per_product['bom_stock'][$bom_id]) ? $stock_per_product['bom_stock'][$bom_id] : 0; goto wb22H; CeqQB: unset($stock_wanted[$bom_id]); goto MrCRv; Nv5hd: $bom_id = (int) $bom_id; goto gpKOs; wb22H: if (!(!$stock_wanted[$bom_id] || !$this->check_enough_bom_id_qty($bom_id, $stock_wanted[$bom_id], $reserved_for_bom, $available_for_bom, $order->get_id(), $product_id, $minutes))) { goto BC8NG; } goto CeqQB; MrCRv: BC8NG: goto yLw83; gpKOs: $stock_wanted[$bom_id] = apply_filters('atum/product_levels/reserved_stock/stock_wanted', $stock_per_product['used_boms'][$bom_id] * $stock_quantity, $product_id, $bom_id, $stock_quantity, $stock_per_product['used_boms'][$bom_id], $order->get_id()); goto PCJNt; PCJNt: $reserved_for_bom = !empty($reserved_boms[$bom_id]) ? $reserved_boms[$bom_id] : 0; goto W1JQK; YcIJO: } goto nK1yZ; fql8g: if (!(!Helpers::is_bom_stock_control_enabled() && 'yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto gWCWJ; } goto DJUA4; JriHt: $query_for_reserved_stock = $this->get_query_for_reserved_stock($product_id, $order->get_id()); goto ZRNRj; tDjJN: if ($check) { goto BQVDf; } goto SpcjX; cZPI_: if ($result) { goto z375y; } goto V7YDl; aHwYn: if (!$stock_per_product['allow_selling']) { goto QhxAu; } goto i9BQv; efTPI: goto O6Ltn; goto rf986; nK1yZ: orkoi: goto QFhEZ; i9BQv: $bom_ids = Helpers::find_bottom_level_children($product_id); goto w8uks; bTWDB: if (BOMModel::has_linked_bom($product_id)) { goto DUVYn; } goto xRdpM; PymaU: $this->reserve_bom_stock($stock_wanted, $product_id, $order->get_id(), $minutes); goto EwbL2; Fw0xL: $check = apply_filters('atum/product_levels/reserved_stock/check_product_stock', TRUE, $product_id, $stock_quantity, $order, $minutes); goto tDjJN; QFhEZ: if (empty($stock_wanted)) { goto ssKtz; } goto PymaU; LJc5C: z375y: goto efTPI; mrXOO: $stock_per_product = Helpers::get_linked_boms_stock_used($product_id); goto aHwYn; SpcjX: return; goto ryKpZ; rf986: DUVYn: goto mrXOO; ZRNRj: $result = $wpdb->query($wpdb->prepare("\n\t\t\t\tINSERT INTO {$wpdb->wc_reserved_stock} ( `order_id`, `product_id`, `stock_quantity`, `timestamp`, `expires` )\n\t\t\t\tSELECT %d, %d, %d, NOW(), ( NOW() + INTERVAL %d MINUTE ) FROM DUAL\n\t\t\t\tWHERE ( {$query_for_stock} FOR UPDATE ) - ( {$query_for_reserved_stock} FOR UPDATE ) >= %d\n\t\t\t\tON DUPLICATE KEY UPDATE `expires` = VALUES( `expires` ), `stock_quantity` = VALUES( `stock_quantity` )\n\t\t\t\t", $order->get_id(), $product_id, $stock_quantity, $minutes, $stock_quantity)); goto cZPI_; pP7S0: O6Ltn: goto RMxVt; RMxVt: } private function get_bom_reserved_stock($bom_ids, $product_id = 0, $exclude_order_id = 0) { goto UdnQs; wo4j6: return !empty($results) ? wp_list_pluck($results, 'qty', 'bom_id') : []; goto ZilVC; UdnQs: global $wpdb; goto V0hP9; V0hP9: $results = $wpdb->get_results($wpdb->prepare("\n\t\t\tSELECT `bom_id`, SUM( COALESCE( stock_table.`stock_quantity`, 0 ) ) `qty` FROM {$wpdb->prefix}" . BOMModel::get_reserved_stock_bom_table() . " stock_table\n\t\t\tLEFT JOIN {$wpdb->posts} posts ON stock_table.`order_id` = posts.ID\n\t\t\tWHERE posts.post_status IN ( 'wc-checkout-draft', 'wc-pending' )\n\t\t\tAND stock_table.`expires` > NOW()\n\t\t\tAND stock_table.`bom_id` IN(" . implode(',', $bom_ids) . ')
			AND ! (stock_table.`product_id` = %d AND stock_table.`order_id` = %d)
			GROUP BY `bom_id`
			', $product_id, $exclude_order_id)); goto wo4j6; ZilVC: } private function check_enough_bom_id_qty($bom_id, $stock_wanted, $reserved, $stock_available, $order_id, $product_id, $minutes) { goto KVD0G; nMEF0: kXE2n: goto ojBSp; MmL2a: return TRUE; goto mRvZx; Izfjf: return FALSE; goto nMEF0; KVD0G: if (apply_filters('atum/product_levels/reserve_stock/check_enough_bom_id_qty', TRUE, $bom_id, $stock_wanted, $reserved, $stock_available, $order_id, $product_id, $minutes)) { goto kXE2n; } goto Izfjf; a3kgW: Y6FZO: goto MmL2a; ojBSp: if (!(!$stock_available || $stock_available - $reserved < $stock_wanted)) { goto Y6FZO; } goto c8JfS; c8JfS: $this->throw_not_enough_units($product_id); goto a3kgW; mRvZx: } private function reserve_bom_stock($stock_wanted, $product_id, $order_id, $minutes) { goto RemOD; lDfdA: $values = []; goto pPnjN; JDK5m: $this->throw_not_enough_units($product_id); goto Mw_30; RemOD: global $wpdb; goto lDfdA; K1aqL: if (!(!$result || count($stock_wanted) !== $result)) { goto NpHf9; } goto Mx1Qg; Mx1Qg: $wpdb->delete($wpdb->prefix . BOMModel::get_reserved_stock_bom_table(), array('order_id' => $order_id, 'product_id' => $product_id), '%d'); goto JDK5m; Kv6Gi: $result = $wpdb->query("\n\t\t\tINSERT INTO {$wpdb->prefix}" . BOMModel::get_reserved_stock_bom_table() . '( `order_id`, `product_id`, `bom_id`, `stock_quantity`, `timestamp`, `expires` )
			VALUES ' . implode(',', $values) . '
			ON DUPLICATE KEY UPDATE `expires` = VALUES( `expires` ), `stock_quantity` = VALUES( `stock_quantity` )
			'); goto K1aqL; tQLlp: ljEgX: goto Kv6Gi; Mw_30: NpHf9: goto qTkpy; pPnjN: foreach ($stock_wanted as $bom_id => $qty) { $values[] = "({$order_id}, {$product_id}, {$bom_id}, {$qty}, NOW(), ( NOW() + INTERVAL {$minutes} MINUTE ))"; wvjeq: } goto tQLlp; qTkpy: } public function throw_not_enough_units($product_id) { $product = wc_get_product($product_id); throw new ReserveStockException('woocommerce_product_not_enough_stock', sprintf(__('Not enough units of %s are available in stock to fulfil this order.', ATUM_LEVELS_TEXT_DOMAIN), $product instanceof \WC_Product ? $product->get_name() : '#' . $product_id), 403); } public function release_atum_stock_for_order($order) { goto IoV5P; orbfV: $order_id = $order instanceof \WC_Order ? $order->get_id() : (int) $order; goto E1L9L; E1L9L: $wpdb->delete($wpdb->prefix . BOMModel::get_reserved_stock_bom_table(), array('order_id' => $order_id), '%d'); goto bgDGt; IoV5P: global $wpdb; goto orbfV; bgDGt: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto nM35N; W4x6d: return self::$instance; goto JEWxP; nM35N: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto s7EaD; } goto Thi53; Thi53: self::$instance = new self(); goto Hyoyt; Hyoyt: s7EaD: goto W4x6d; JEWxP: } }
