<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use AtumLevels\Models\BOMModel; use AtumLevels\Models\BOMOrderItemsModel; class SalesNotifications { private static $instance; private $on_backorder_product = []; private function __construct() { goto uajch; JW5Um: add_action('atum/product_levels/recalculated_parent', array($this, 'send_bom_stock_emails'), 10, 2); goto UWqnn; U0XYP: add_action('woocommerce_no_stock', array($this, 'prevent_sending_no_stock_email'), 8); goto FvnjB; O9FnT: v6pOQ: goto vEM7X; SpdBL: add_action('woocommerce_low_stock', array($this, 'prevent_sending_low_stock_email'), 8); goto U0XYP; UWqnn: add_action('atum/product_levels/recalculated_parent', array($this, 'send_stock_on_hold_email'), 10, 3); goto SpdBL; FwcH8: F4AB6: goto GlG5t; FvnjB: add_action('woocommerce_product_on_backorder', array($this, 'prevent_sending_send_on_backorder_email'), 8); goto FwcH8; vEM7X: if (!Helpers::is_bom_stock_control_enabled()) { goto F4AB6; } goto OrFXE; uajch: if (!is_admin()) { goto v6pOQ; } goto ghreO; ghreO: add_filter('atum/notifications_list', array($this, 'add_notifications')); goto O9FnT; OrFXE: add_action('atum/product_levels/recalculated_bom', array($this, 'send_bom_stock_emails')); goto JW5Um; GlG5t: } public function add_notifications($notifications) { goto eJ8da; UZUCt: return $notifications; goto g2MVa; eJ8da: $pl_label = '<br><span class="label label-secondary">Product Levels</span>'; goto PdyvM; utIJK: $notifications[] = array('id' => 'pl_notify_backorder', 'name' => __('Products sold on backorder', ATUM_LEVELS_TEXT_DOMAIN) . $pl_label, 'desc' => __('Choose from which products from a BOM tree you want to receive an email notification when they have been backordered.', ATUM_LEVELS_TEXT_DOMAIN), 'default' => 'parent', 'type' => 'select', 'options' => array('values' => array('parent' => __('Parent product', ATUM_LEVELS_TEXT_DOMAIN), 'boms' => __('BOMs', ATUM_LEVELS_TEXT_DOMAIN), 'both' => __('Both', ATUM_LEVELS_TEXT_DOMAIN)), 'style' => 'width: 150px')); goto UZUCt; PdyvM: $notifications[] = array('id' => 'pl_notify_out_stock', 'name' => __('Out-of-stock products', ATUM_LEVELS_TEXT_DOMAIN) . $pl_label, 'desc' => __('Choose from which products from a BOM tree you want to receive an email notification when they become out-of-stock.', ATUM_LEVELS_TEXT_DOMAIN), 'default' => 'parent', 'type' => 'select', 'options' => array('values' => array('parent' => __('Parent product', ATUM_LEVELS_TEXT_DOMAIN), 'boms' => __('BOMs', ATUM_LEVELS_TEXT_DOMAIN), 'both' => __('Both', ATUM_LEVELS_TEXT_DOMAIN)), 'style' => 'width: 150px')); goto Ycoe4; Ycoe4: $notifications[] = array('id' => 'pl_notify_low_stock', 'name' => __('Products with low stock', ATUM_LEVELS_TEXT_DOMAIN) . $pl_label, 'desc' => __('Choose from which products from a BOM tree you want to receive an email notification when they reach their low stock threshold.', ATUM_LEVELS_TEXT_DOMAIN), 'default' => 'parent', 'type' => 'select', 'options' => array('values' => array('parent' => __('Parent product', ATUM_LEVELS_TEXT_DOMAIN), 'boms' => __('BOMs', ATUM_LEVELS_TEXT_DOMAIN), 'both' => __('Both', ATUM_LEVELS_TEXT_DOMAIN)), 'style' => 'width: 150px')); goto utIJK; g2MVa: } public function send_bom_stock_emails($product, $order_item_data = FALSE) { goto gkISO; EMAhV: $product = AtumHelpers::get_atum_product($product); goto Pu86P; vCTPo: $low_stock_amount = is_numeric($product->get_low_stock_amount()) ? $product->get_low_stock_amount() : absint(wc_get_low_stock_amount($product)); goto uEnu6; BsAEL: if ($no_stock_notify && $product->get_stock_quantity() <= $out_stock_threshold) { goto mfPAa; } goto SGKjs; RiwR3: if (!('boms' !== AtumHelpers::get_option('pl_notify_out_stock', 'parent'))) { goto bbA86; } goto o02w0; enYeG: if (empty($bom_tree)) { goto V03tj; } goto vigx_; KYsXE: do_action('woocommerce_low_stock', $product, TRUE); goto DMphO; o02w0: $no_stock_notify = TRUE; goto Dyq0F; Pu86P: if ($product instanceof \WC_Product) { goto jndfS; } goto MGVOn; ujnee: j8Gt_: goto RiwR3; fOKwS: goto M11ba; goto qfmJU; Dmyjy: $is_bom_product = Globals::is_bom_product($product); goto szCKb; MGVOn: return; goto gWGKY; pHC_S: do_action('woocommerce_no_stock', $product, TRUE); goto sVEfk; MbEuf: Obxum: goto htyQp; wzRlu: if (!($has_boms && $order_item_data)) { goto j8Gt_; } goto XwHbb; gkISO: if (AtumHelpers::is_atum_product($product)) { goto Obxum; } goto EMAhV; htyQp: $no_stock_notify = FALSE; goto uplZ_; I1wMb: $wc_no_stock_amount = absint(get_option('woocommerce_notify_no_stock_amount', 0)); goto K81wq; sVEfk: goto M11ba; goto GqqZr; SGKjs: if ($low_stock_notify && $product->get_stock_quantity() <= $low_stock_amount) { goto V8boG; } goto fOKwS; uplZ_: $low_stock_notify = FALSE; goto Dmyjy; G9hxX: goto L4JeA; goto wX8ZG; TpLB5: V03tj: goto ujnee; szCKb: $has_boms = BOMModel::has_linked_bom($product->get_id()); goto tooni; JprA5: if (!('boms' !== AtumHelpers::get_option('pl_notify_low_stock', 'parent'))) { goto UFWLU; } goto XG1ag; fqYdA: wvjAt: goto EstnI; sSlOy: $low_stock_notify = TRUE; goto Rd6RY; Usqgu: if (!('parent' !== AtumHelpers::get_option('pl_notify_low_stock', 'parent'))) { goto L_FqV; } goto sSlOy; DttiN: L4JeA: goto EC7hD; ANfa7: $no_stock_notify = TRUE; goto lU05q; wX8ZG: fewNg: goto IR5XF; EC7hD: if (!(!apply_filters('atum/product_levels/prevent_product_stock_notify', FALSE, $product) || $is_bom_product)) { goto wvjAt; } goto I1wMb; DMphO: M11ba: goto fqYdA; XwHbb: $bom_tree = Helpers::get_all_bom_children($product->get_id(), '', FALSE); goto enYeG; K81wq: $out_stock_threshold = is_numeric($product->get_out_stock_threshold()) ? $product->get_out_stock_threshold() : $wc_no_stock_amount; goto vCTPo; zVP0v: UFWLU: goto G9hxX; vigx_: foreach ($bom_tree as $bom_id) { $this->send_bom_stock_emails($bom_id); KzNeV: } goto Hh6Nt; lU05q: OKGsj: goto Usqgu; qfmJU: mfPAa: goto pHC_S; Rd6RY: L_FqV: goto DttiN; uEnu6: $this->allow_bom_stock_emails(); goto BsAEL; Dyq0F: bbA86: goto JprA5; GqqZr: V8boG: goto KYsXE; XG1ag: $low_stock_notify = TRUE; goto zVP0v; Hh6Nt: ob1c2: goto TpLB5; tooni: if ($is_bom_product && !$has_boms) { goto fewNg; } goto wzRlu; IR5XF: if (!('parent' !== AtumHelpers::get_option('pl_notify_out_stock', 'parent'))) { goto OKGsj; } goto ANfa7; gWGKY: jndfS: goto MbEuf; EstnI: } public function allow_bom_stock_emails() { goto I1ffv; wiEvp: remove_action('woocommerce_no_stock', array($this, 'prevent_sending_no_stock_email'), 9); goto hhcYW; hhcYW: remove_action('woocommerce_product_on_backorder', array($this, 'prevent_sending_send_on_backorder_email'), 9); goto cuact; I1ffv: remove_action('woocommerce_low_stock', array($this, 'prevent_sending_low_stock_email'), 9); goto wiEvp; cuact: } public function prevent_sending_low_stock_email($product) { $this->maybe_prevent_sending_stock_emails('woocommerce_low_stock', $product->get_id()); } public function prevent_sending_no_stock_email($product) { $this->maybe_prevent_sending_stock_emails('woocommerce_no_stock', $product->get_id()); } public function prevent_sending_send_on_backorder_email($data) { $this->maybe_prevent_sending_stock_emails('woocommerce_product_on_backorder', $data['product']->get_id()); } private function maybe_prevent_sending_stock_emails($action, $product_id) { goto ryEk3; B0kh3: SJIjV: goto nNXeb; BbNyF: add_action($action, array('WC_Emails', $function)); goto iPMGt; I2cia: return; goto B0kh3; YQUm7: $pl_orders = Orders::get_instance(); goto FnvL3; FnvL3: if (!(!BOMModel::has_linked_bom($product_id) || !array_key_exists($product_id, $pl_orders->get_order_product_boms()))) { goto SJIjV; } goto zBh2l; iPMGt: Ld0Be: goto I2cia; zBh2l: if (has_action('WC_Emails', $function)) { goto Ld0Be; } goto BbNyF; nNXeb: remove_action($action, array('WC_Emails', $function)); goto b_VzN; ryEk3: $function = apply_filters('woocommerce_defer_transactional_emails', FALSE) ? 'queue_transactional_email' : 'send_transactional_email'; goto YQUm7; b_VzN: } public function send_stock_on_hold_email($product, $order_item_data, $bom_tree) { goto Qq9Lo; zUtKx: bkp1j: goto s8g5h; n8p0E: $is_bom_product = Globals::is_bom_product($product); goto BS2fd; aH7n7: $this->on_backorder_product = []; goto F8KVw; s8g5h: if (!('boms' !== AtumHelpers::get_option('pl_notify_backorder', 'parent'))) { goto xxnlv; } goto pRA3X; qoqZl: if (!(0 > $order_item_data['new_stock'] && $allowed_notify)) { goto JxNUB; } goto lJ9Y8; Xk1IF: PhGGi: goto zUtKx; y1MUM: BUpcE: goto qoqZl; HCzYi: $order_boms = $order_item_id ? BOMOrderItemsModel::get_bom_order_items($order_item_id, AtumGlobals::get_order_type_id(), FALSE) : []; goto vAQcv; yqTnS: foreach ($bom_tree as $bom_id) { goto yQ758; JitK0: $order_bom_data = array('order_id' => $order_item_data['order_id'], 'action' => $order_item_data['action'], 'old_stock' => '0', 'new_stock' => "-{$bom_qty}"); goto K7QRE; yQ758: $bom_product = AtumHelpers::get_atum_product($bom_id); goto E2hYS; vIHfP: nw51Y: goto N841f; Qee16: $bom_qty = $order_boms_data[$bom_id]; goto JitK0; K7QRE: $this->send_stock_on_hold_email($bom_product, $order_bom_data, $bom_tree); goto vIHfP; E2hYS: if (!$bom_product instanceof \WC_Product) { goto nw51Y; } goto Qee16; N841f: P9SkQ: goto DKENP; DKENP: } goto P92t1; MnK0o: xxnlv: goto y1MUM; Jxe5S: JxNUB: goto lTzQl; pRA3X: $allowed_notify = TRUE; goto MnK0o; TJxJq: $order_boms_data = array(); goto lukTD; gPcCB: if (empty($bom_tree)) { goto PhGGi; } goto yqTnS; BS2fd: if ($is_bom_product) { goto BUpcE; } goto t4fml; JGWXP: add_filter('woocommerce_email_content_backorder', array($this, 'modify_onbackorder_email_content'), 10, 2); goto Ffz2E; vAQcv: if (empty($order_boms)) { goto bkp1j; } goto TJxJq; Qq9Lo: $allowed_notify = FALSE; goto n8p0E; mpwyE: uRW0Q: goto HCzYi; F8KVw: remove_filter('woocommerce_email_content_backorder', array($this, 'modify_onbackorder_email_content')); goto Jxe5S; Gls_i: $order = wc_get_order($order_item_data['order_id']); goto oJ2os; r0Z1b: C4XBO: goto gPcCB; Ffz2E: WC()->mailer()->backorder(['product' => $product, 'quantity' => $order_item_data['old_stock'] - $order_item_data['new_stock'], 'order_id' => $order_item_data['order_id']]); goto aH7n7; oJ2os: $order_item_id = FALSE; goto Vp380; lukTD: foreach ($order_boms as $order_bom) { $order_boms_data[$order_bom->bom_id] = $order_bom->qty; xvo2_: } goto r0Z1b; Vp380: foreach ($order->get_items() as $item) { goto NTOmG; CvZCE: $order_item_id = $item->get_id(); goto UWFjU; QK3mM: eY77z: goto uQ7OY; UWFjU: ssllK: goto QK3mM; NTOmG: if (!($item->get_product_id() === $product->get_id())) { goto ssllK; } goto CvZCE; uQ7OY: } goto mpwyE; lJ9Y8: $this->on_backorder_product = ['product' => $product, 'order_item_meta' => $order_item_data, 'bom_tree' => $bom_tree]; goto JGWXP; P92t1: RyzZG: goto Xk1IF; t4fml: $bom_tree = Helpers::get_all_bom_children($product->get_id(), '', FALSE); goto Gls_i; lTzQl: } public function modify_onbackorder_email_content($message, $args) { goto ylNQK; bUwhh: foreach ($this->on_backorder_product['bom_tree'] as $bom_id) { goto UC66C; WTkxQ: $boms_message .= sprintf(__('- %1$s has a stock of %2$s', ATUM_LEVELS_TEXT_DOMAIN), $bom->get_formatted_name(), $bom->get_stock_quantity()) . PHP_EOL; goto FSH7p; WwjS7: if ($bom->backorders_allowed()) { goto r_jBN; } goto U1vL3; I_mo6: LuMj3: goto k7jtJ; zWCzg: goto sIowi; goto YPvNq; Thq_h: if (in_array($bom->get_type(), Globals::get_all_product_levels(), TRUE)) { goto YT2pH; } goto WwjS7; F2zMC: sIowi: goto t7NRi; jwbE_: if (!($bom->get_bom_sellable() && 0 > $bom->get_stock_quantity())) { goto jQcut; } goto WTkxQ; FSH7p: jQcut: goto quL1_; UC66C: if (!($this->on_backorder_product['product']->get_id() !== $bom_id)) { goto zacpD; } goto ouvTH; t7NRi: zacpD: goto I_mo6; U1vL3: $products_oos[] = $bom->get_formatted_name(); goto zWCzg; yG1gF: r_jBN: goto bh5Ww; YPvNq: YT2pH: goto jwbE_; bh5Ww: $products_bo[] = $bom->get_formatted_name(); goto F2zMC; quL1_: goto sIowi; goto yG1gF; ouvTH: $bom = AtumHelpers::get_atum_product($bom_id); goto Thq_h; k7jtJ: } goto sBCXi; aic9V: return html_entity_decode(wp_strip_all_tags($message), ENT_QUOTES, get_bloginfo('charset')); goto pdYuq; NLwtE: $message .= PHP_EOL . PHP_EOL . __('Sellable BOM products also updated:', ATUM_LEVELS_TEXT_DOMAIN) . PHP_EOL . $boms_message; goto IUQ26; ylNQK: if (!$this->on_backorder_product) { goto DSXEy; } goto jGP_4; Wl_bg: if (!$products_oos) { goto KLIWx; } goto GED23; IxGtO: if (!$products_bo) { goto I88P1; } goto Tmy0W; Tmy0W: $message .= PHP_EOL . PHP_EOL . __('Backordered products also updated:', ATUM_LEVELS_TEXT_DOMAIN) . PHP_EOL . implode(', ', $products_bo); goto OwV0i; IUQ26: IhkWx: goto Wl_bg; jGP_4: $products_oos = []; goto V4V1p; OwV0i: I88P1: goto PxnPo; sBCXi: iQy_Y: goto nHhBD; IJoAj: $boms_message = ''; goto bUwhh; PxnPo: DSXEy: goto aic9V; V4V1p: $products_bo = []; goto IJoAj; nHhBD: if (!$boms_message) { goto IhkWx; } goto NLwtE; rOvGa: KLIWx: goto IxGtO; GED23: $message .= PHP_EOL . PHP_EOL . __('Out of stock products also updated:', ATUM_LEVELS_TEXT_DOMAIN) . PHP_EOL . implode(', ', $products_oos); goto rOvGa; pdYuq: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto KmUCR; m3IN0: self::$instance = new self(); goto trAYG; trAYG: oKFCK: goto NdNfm; KmUCR: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto oKFCK; } goto m3IN0; NdNfm: return self::$instance; goto jU1xB; jU1xB: } }
