<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Settings\Settings as AtumSettings; use AtumLevels\ManufacturingCentral\Lists\ListTable; class Settings { private static $instance; private function __construct() { goto IHAOu; IIMyf: add_filter('atum/settings/defaults', array($this, 'add_settings_defaults'), 11); goto uZaYS; vCdtw: HHR5a: goto h3jys; ziXtB: \WP_CLI::do_hook('before_add_command:atum', $this->add_settings_defaults([]), __NAMESPACE__); goto vCdtw; IHAOu: add_filter('atum/settings/tabs', array($this, 'add_settings_tab'), 11); goto IIMyf; uZaYS: if (!class_exists('\\WP_CLI', FALSE)) { goto HHR5a; } goto ziXtB; h3jys: } public function add_settings_tab($tabs) { $tabs['product_levels'] = array('label' => __('Product Levels', ATUM_LEVELS_TEXT_DOMAIN), 'icon' => 'atmi-product-levels', 'sections' => array('pl_product_levels' => __('General Options', ATUM_LEVELS_TEXT_DOMAIN), 'pl_manufacturing_central' => __('Manufacturing Central Options', ATUM_LEVELS_TEXT_DOMAIN))); return $tabs; } public function add_settings_defaults($defaults) { goto j9cAw; mMl3p: $mc_columns = array(); goto faZ0v; iAXQn: $pl_settings = array('pl_bom_stock_control' => array('group' => 'product_levels', 'section' => 'pl_product_levels', 'name' => __('BOM stock control', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __('Set whether the BOM products will control the stock of their parent products. Please note, when this option is activated all products pertaining to a BOM tree must have the manage stock option enabled, so activating this option will replace this value for all products in a BOM tree.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'switcher', 'default' => 'no'), 'pl_default_bom_selling' => array('group' => 'product_levels', 'section' => 'pl_product_levels', 'name' => __('Add selling of BOM', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __('Add BOM to your shop for customers to purchase. This setting can be overwritten at product level.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'switcher', 'default' => 'no'), 'pl_display_bom_sellable_in_sc' => array('group' => 'product_levels', 'section' => 'pl_product_levels', 'name' => __('Display sellable BOMs', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __('Display the sellable BOMs in both list tables(Stock Central and Manufacturing Central).', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'switcher', 'default' => 'yes'), 'pl_bom_item_real_cost' => array('group' => 'product_levels', 'section' => 'pl_product_levels', 'name' => __('BOM item cost calculation', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __('Show real BOM cost (unitary BOM cost * item quantity) in BOM line items instead of unit BOM cost.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'switcher', 'default' => 'no'), 'pl_bom_item_cost_decimals' => array('group' => 'product_levels', 'section' => 'pl_product_levels', 'name' => __('BOM item cost decimals', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __('Decimals to use on the ATUM BOM costs (within the BOMs panel). The number of decimals will also be used to calculate the purchase price when synced.', ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number', 'default' => get_option('woocommerce_price_num_decimals', 2), 'options' => array('min' => 0, 'max' => 8)), 'pl_mc_columns' => array('group' => 'product_levels', 'section' => 'pl_manufacturing_central', 'name' => __('Available columns', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __("If there is any column in Manufacturing Central that you don't need, you can remove it from here. Please, note that if you hide the column from Screen Options it will just hide it but disabling it from here, will unload it completely.", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'multi_checkbox', 'default' => 'yes', 'default_options' => $mc_columns), 'pl_manufacturing_posts_per_page' => array('group' => 'product_levels', 'section' => 'pl_manufacturing_central', 'name' => __('BOMs per page', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __("Controls the number of BOM products displayed per page within the Manufacturing Central screen. Please note, you can set this value within the 'Screen Option' tab as well and this last value will have preference over this one as will be saved per user. Enter '-1' to remove the pagination and display all available BOM on one page (not recommended if your store contains a large number of BOMs as it may affect the performance).", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number', 'default' => AtumSettings::DEFAULT_POSTS_PER_PAGE, 'options' => array('min' => -1, 'max' => 500)), 'pl_manufacturing_sale_days' => array('group' => 'product_levels', 'section' => 'pl_manufacturing_central', 'name' => __('Days to re-order', ATUM_LEVELS_TEXT_DOMAIN), 'desc' => __("This value sets the number of days a user needs to replenish the stock levels. It controls the 'Restock Status' indicator within the 'Manufacturing Central' page.", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'number', 'default' => AtumSettings::DEFAULT_SALE_DAYS, 'options' => array('min' => 1, 'max' => 365))); goto Pfoc2; JJijC: $pl_settings['pl_update_real_stock'] = array('group' => 'tools', 'section' => 'tools', 'name' => __('Sync WooCommerce stock with calculated stock', ATUM_LEVELS_TEXT_DOMAIN) . $pl_label, 'desc' => __("Sync all the associated BOM products' stock with their current calculated stock.<br>The input field specifies the quantity of products to process per Ajax call, if it fails, try setting a lower value.", ATUM_LEVELS_TEXT_DOMAIN), 'type' => 'script_runner', 'options' => array('fields' => array(array('type' => 'number', 'min' => 0, 'max' => 100000, 'value' => 200)), 'is_recurrent' => TRUE, 'button_text' => __('Sync Now!', ATUM_LEVELS_TEXT_DOMAIN), 'script_action' => 'atum_tool_pl_sync_stock', 'confirm_msg' => esc_attr(__('This will update the stock for all products with any associated BOM to the calculated stock value.', ATUM_LEVELS_TEXT_DOMAIN)), 'processing_msg' => esc_attr(__('Processing {processed} of {total}', ATUM_LEVELS_TEXT_DOMAIN)), 'processed_msg' => esc_attr(__('Processed {processed} products', ATUM_LEVELS_TEXT_DOMAIN)))); goto l8Mcp; kwT6Y: lF2ao: goto iAXQn; l8Mcp: WQ7tA: goto GtB7y; Pfoc2: if (!Helpers::is_bom_stock_control_enabled()) { goto WQ7tA; } goto JJijC; j9cAw: $pl_label = '<br><span class="label label-secondary">' . __('Product Levels', ATUM_LEVELS_TEXT_DOMAIN) . '</span>'; goto mMl3p; faZ0v: foreach (ListTable::get_table_columns(TRUE) as $column => $label) { $mc_columns[$column] = array('value' => 'yes', 'name' => wp_strip_all_tags($label)); kLEJq: } goto kwT6Y; GtB7y: return array_merge($defaults, apply_filters('atum/product_levels/settings', $pl_settings)); goto XV8Gp; XV8Gp: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto B5kMz; lM0ZM: vPLfm: goto gu6cx; gu6cx: return self::$instance; goto YwDvH; B5kMz: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto vPLfm; } goto n_PqM; n_PqM: self::$instance = new self(); goto lM0ZM; YwDvH: } }
