<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Inc; defined('ABSPATH') || die; use Atum\Addons\Addons; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\Settings\Settings as AtumSettings; use AtumLevels\ManufacturingCentral\Lists\ListTable; use AtumLevels\ManufacturingCentral\ManufacturingCentral; use AtumLevels\Models\BOMModel; use AtumLevels\Models\BOMOrderItemsModel; use AtumLevels\Models\BOMOrderItemsPreModel; class Upgrade { private $is_fresh_install = FALSE; public function __construct($db_version) { goto km2_0; rrV9Z: $this->sync_real_stock(); goto wywnC; NLUUa: $this->create_bom_rs_table(); goto hkJof; krdzt: Jcq0A: goto q0SwE; Zaj3X: update_option('atum_product_levels_version', ATUM_LEVELS_VERSION); goto yp5I6; Epk92: if (!(version_compare($db_version, '1.2.7.2', '<') && !$this->is_fresh_install)) { goto aXR3p; } goto ltIv5; JhaNc: Wy06w: goto W_Lig; UWSjU: U_b9l: goto KRA7H; hQzM7: $this->change_setting_names(); goto N6IjQ; dfbbq: if (!version_compare($db_version, '1.3.3', '<')) { goto HwpNO; } goto g4maS; sC0aN: $this->is_fresh_install = TRUE; goto iNsoJ; Ay1uf: T3SWQ: goto TcquL; zZh5A: do_action('atum/product_levels/after_upgrade', $db_version); goto sDnXx; XTT46: aXR3p: goto q5Rsc; q5Rsc: if (!version_compare($db_version, '1.2.12.1', '<')) { goto T3SWQ; } goto gKUh0; KRA7H: if (!version_compare($db_version, '1.7.1', '<')) { goto GgZbU; } goto FJ7wB; TcquL: if (!version_compare($db_version, '1.2.12.2', '<')) { goto oacvC; } goto GdwUc; QagpZ: OtBQj: goto zZh5A; km2_0: if (!(!$db_version || version_compare($db_version, '0.0.1', '<='))) { goto qT_k6; } goto sC0aN; tbvnf: UAhe0: goto Epk92; HymQB: $this->change_notifications_settings_names(); goto JhaNc; ZaEir: if (!version_compare($db_version, '1.8.1.2', '<')) { goto kYYO5; } goto enV8U; ltIv5: $this->delete_duplicated_bom(); goto XTT46; Ha2oV: oacvC: goto Z5BR4; NaE46: if (!version_compare($db_version, '1.5.1', '<')) { goto U_b9l; } goto B1Ch2; g4maS: $this->add_bom_stock_control_columns(); goto UXvjU; UXvjU: HwpNO: goto hNzBY; hNzBY: if (!(version_compare($db_version, '1.3.6', '<') && !$this->is_fresh_install)) { goto J71p2; } goto rrV9Z; q0SwE: if (!version_compare($db_version, '1.4.8.1', '<')) { goto pFU7l; } goto NLUUa; a6dCt: GgZbU: goto ZaEir; gKUh0: $this->add_order_type_column(); goto Ay1uf; N6IjQ: WKXcP: goto dfbbq; w5uzD: Rt4ej: goto XHfXr; C2eHA: if (!version_compare($db_version, '1.4.0', '<')) { goto Jcq0A; } goto PNtpx; enV8U: $this->create_temporal_order_boms_table(); goto hW2iv; HQecj: if (!version_compare($db_version, '1.1.4', '<')) { goto Rt4ej; } goto qo_qP; Z5BR4: if (!(version_compare($db_version, '1.3.0', '<') && !$this->is_fresh_install)) { goto WKXcP; } goto hQzM7; PNtpx: $this->add_inventory_id_column(); goto krdzt; qo_qP: $this->create_linked_bom_table(); goto w5uzD; GdwUc: $this->add_bom_sellable_column(); goto Ha2oV; hW2iv: kYYO5: goto yqrzK; wywnC: J71p2: goto C2eHA; XHfXr: if (!(version_compare($db_version, '1.2.1', '<') && !$this->is_fresh_install)) { goto UAhe0; } goto swL11; yqrzK: if (!(version_compare($db_version, '1.9.0', '<') && !$this->is_fresh_install)) { goto Wy06w; } goto HymQB; bHefP: $this->add_measure_unit_column(); goto QagpZ; swL11: $this->add_default_hidden_columns(); goto tbvnf; B1Ch2: $this->create_is_bom_column(); goto UWSjU; W_Lig: if (!version_compare($db_version, '1.9.0', '<')) { goto OtBQj; } goto bHefP; FJ7wB: $this->change_entries_per_page_meta_keys(); goto a6dCt; yp5I6: Addons::delete_status_transient('Product Levels'); goto HQecj; iNsoJ: qT_k6: goto Zaj3X; hkJof: pFU7l: goto NaE46; sDnXx: } private function create_linked_bom_table() { goto iDBLd; CBavh: require_once ABSPATH . 'wp-admin/includes/upgrade.php'; goto j_ARk; EOIhx: $linked_bom_table = $wpdb->prefix . 'atum_linked_boms'; goto lTYRP; slKFD: $collate = $wpdb->get_charset_collate(); goto DEBwN; lTYRP: if ($wpdb->get_var("SHOW TABLES LIKE '{$linked_bom_table}';")) { goto Jmq48; } goto djkXt; j_ARk: dbDelta($sql); goto U2dN7; LWbBV: if (!$wpdb->has_cap('collation')) { goto wAzVA; } goto slKFD; djkXt: $collate = ''; goto LWbBV; NRqPV: $sql = "\n\t\t\t\tCREATE TABLE {$linked_bom_table} (\n\t\t\t\t\tid BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,\n\t\t\t\t\tproduct_id BIGINT UNSIGNED NOT NULL,\n\t\t\t\t\tbom_id BIGINT UNSIGNED NOT NULL,\n\t\t\t        bom_type varchar(200) NOT NULL DEFAULT '',\t\t  \n\t\t\t\t    qty DOUBLE DEFAULT NULL,\n\t\t\t\t    PRIMARY KEY  (id),\n\t\t\t\t    KEY product_id (product_id),\n\t\t\t\t    KEY bom_id (bom_id)\n\t\t\t\t) {$collate};\n\t\t\t"; goto CBavh; bf9WH: $this->convert_linked_bom($linked_bom_table); goto b0tVG; DEBwN: wAzVA: goto NRqPV; iDBLd: global $wpdb; goto EOIhx; x4XoG: Jmq48: goto HONug; b0tVG: KQ75d: goto x4XoG; U2dN7: if ($this->is_fresh_install) { goto KQ75d; } goto bf9WH; HONug: } private function convert_linked_bom($linked_bom_table) { goto I0q1y; I0q1y: global $wpdb; goto TDere; TDere: $query = "\n\t\t\tSELECT post_id, meta_key, meta_value FROM {$wpdb->postmeta}\n\t\t\tWHERE meta_key IN ('_product_parts', '_raw_materials')\n\t\t"; goto wkmhb; IJ3gU: foreach ($bom_meta_keys as $bom_meta) { goto X6Qcd; vj35d: EP0Yz: goto Padxs; lagOf: foreach ($linked_bom as $bom_data) { goto SapRc; SapRc: $bom_id = absint($bom_data->id); goto jnIqN; N722n: xSlMY: goto mdoTM; jnIqN: $bom_qty = floatval($bom_data->q); goto SMpoE; SMpoE: $wpdb->insert($linked_bom_table, array('product_id' => $product_id, 'bom_id' => $bom_id, 'bom_type' => $bom_type, 'qty' => $bom_qty), array('%d', '%d', '%s', '%f')); goto N722n; mdoTM: } goto e_twT; EHivC: $linked_bom = json_decode($bom_meta->meta_value); goto BU6q0; BU6q0: if (!$linked_bom) { goto EP0Yz; } goto lagOf; Padxs: luTex: goto w85Sj; WHHiJ: $bom_type = '_product_parts' === $bom_meta->meta_key ? 'product_part' : 'raw_material'; goto EHivC; e_twT: kGAkR: goto EoNx2; X6Qcd: $product_id = absint($bom_meta->post_id); goto WHHiJ; EoNx2: delete_post_meta($product_id, $bom_meta->meta_key); goto vj35d; w85Sj: } goto GXq6H; GXq6H: e_iaa: goto Y1wrr; Y1wrr: RalbX: goto i5Y2B; lIMoL: if (!$bom_meta_keys) { goto RalbX; } goto IJ3gU; wkmhb: $bom_meta_keys = $wpdb->get_results($query); goto lIMoL; i5Y2B: } private function add_default_hidden_columns() { goto loS4j; Uq3fZ: if (!empty($hidden_columns)) { goto bcNnS; } goto mc80j; aKxko: M4j03: goto wfyRw; w_LPi: $meta_key_mc = 'manage' . AtumGlobals::ATUM_UI_HOOK . '_page_' . ManufacturingCentral::UI_SLUG . 'columnshidden'; goto Uml1k; Uml1k: foreach ($hidden_columns as $hidden_column) { goto ayTBo; zxnbY: foreach ($user_ids as $user_id) { goto X7GSM; DwDXx: TWfta: goto GtBsP; ALH6N: $meta = array(); goto B50XC; gAxkh: update_user_meta($user_id, $meta_key_mc, $meta); goto DwDXx; soC2S: $meta[] = $hidden_column; goto gAxkh; X7GSM: $meta = get_user_meta($user_id, $meta_key_mc, TRUE); goto bpUPz; B50XC: TNdiO: goto soC2S; bpUPz: if (array($meta)) { goto TNdiO; } goto ALH6N; GtBsP: } goto VmyJa; VmyJa: fJ_R0: goto Ev_DR; Ev_DR: HcN3E: goto hdZPh; ayTBo: $user_ids = $wpdb->get_col("SELECT user_id FROM {$wpdb->usermeta} WHERE meta_key = '{$meta_key_mc}' AND meta_value NOT LIKE '%{$hidden_column}%' AND meta_value <> ''"); goto zxnbY; hdZPh: } goto aKxko; nfYoJ: global $wpdb; goto w_LPi; YMCG6: bcNnS: goto nfYoJ; loS4j: $hidden_columns = ListTable::hidden_columns(); goto Uq3fZ; mc80j: return; goto YMCG6; wfyRw: } private function delete_duplicated_bom() { goto J0xIu; mJm94: $wpdb->query($sql); goto Mhe8l; aL5r0: $sql = "\n\t\t\tDELETE FROM {$wpdb->prefix}{$linked_boms_table}\n\t\t\tWHERE id NOT IN ( \n\t\t\t\tSELECT maxid FROM ( \n\t\t\t\t\tSELECT max(id) AS maxid FROM {$wpdb->prefix}{$linked_boms_table} GROUP BY product_id, bom_id\n\t\t\t\t) AS newtable\n\t\t\t);\n\t\t"; goto mJm94; Se1_W: $linked_boms_table = BOMModel::get_linked_bom_table(); goto aL5r0; J0xIu: global $wpdb; goto Se1_W; Mhe8l: } private function add_order_type_column() { goto z2eZE; sMrg7: $db_name = DB_NAME; goto UNQSp; qDMTR: $column_exist = $wpdb->prepare("\n\t\t\tSELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS\n\t\t\tWHERE TABLE_SCHEMA = %s AND TABLE_NAME = %s AND column_name = 'order_type'\n\t\t", $db_name, $boms_order_table); goto P2iCI; XieS2: pCvoQ: goto q27Vm; fCAZ3: $wpdb->query("ALTER TABLE {$boms_order_table} ADD `order_type` TINYINT(1) NOT NULL DEFAULT 1;"); goto XieS2; z2eZE: global $wpdb; goto sMrg7; P2iCI: if ($wpdb->get_var($column_exist)) { goto pCvoQ; } goto fCAZ3; UNQSp: $boms_order_table = $wpdb->prefix . BOMOrderItemsModel::get_order_bom_table(); goto qDMTR; q27Vm: } private function add_bom_sellable_column() { goto ZIaHn; U3B75: bzxLx: goto gF0ci; wk5C6: $db_name = DB_NAME; goto csnbu; csnbu: $atum_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto eJ1Zo; h4zy4: if ($this->is_fresh_install) { goto bzxLx; } goto FX81W; ZIaHn: global $wpdb; goto wk5C6; MIfPA: $wpdb->query("\n\t\t\t\t\tUPDATE {$atum_data_table}\n\t\t\t\t\tSET bom_sellable = 0\n\t\t\t\t\tWHERE product_id IN (\n\t\t\t\t\t\tSELECT DISTINCT post_id FROM {$wpdb->postmeta}\n\t\t\t\t\t    WHERE meta_key = '_is_purchasable' AND meta_value = 'no'\n\t\t\t\t\t)\n\t\t\t\t"); goto U3B75; eJ1Zo: $column_exist = $wpdb->prepare("\n\t\t\tSELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS \n\t\t\tWHERE TABLE_SCHEMA = %s AND TABLE_NAME = %s AND column_name = 'bom_sellable'\n\t\t", $db_name, $atum_data_table); goto eJvWg; NDVnF: $wpdb->query("ALTER TABLE {$atum_data_table} ADD `bom_sellable` TINYINT(1) NULL DEFAULT NULL;"); goto h4zy4; FX81W: $wpdb->query("\n\t\t\t\t\tUPDATE {$atum_data_table}\n\t\t\t\t\tSET bom_sellable = 1\n\t\t\t\t\tWHERE product_id IN (\n\t\t\t\t\t\tSELECT DISTINCT post_id FROM {$wpdb->postmeta}\n\t\t\t\t\t    WHERE meta_key = '_is_purchasable' AND meta_value = 'yes'\n\t\t\t\t\t)\n\t\t\t\t"); goto MIfPA; eJvWg: if ($wpdb->get_var($column_exist)) { goto F31PJ; } goto NDVnF; gF0ci: F31PJ: goto mKOEM; mKOEM: } private function change_setting_names() { goto pTjKA; p25Rz: foreach ($atum_settings as $key => $value) { goto ONZRt; h2Ls4: unset($atum_settings[$key]); goto bl_g2; EsknE: oW2BI: goto HRNnN; bl_g2: OVWQ6: goto EsknE; ONZRt: if (!in_array($key, array_keys($setting_names))) { goto OVWQ6; } goto UUEAP; UUEAP: $atum_settings[$setting_names[$key]] = $value; goto h2Ls4; HRNnN: } goto i3fmZ; mHJJx: Y8S3b: goto ygBqj; pTjKA: $atum_settings = AtumHelpers::get_options(); goto LniGf; KrrpD: $setting_names = array('bom_selling' => 'pl_default_bom_selling', 'bom_item_real_cost' => 'pl_bom_item_real_cost', 'manufacturing_posts_per_page' => 'pl_manufacturing_posts_per_page', 'manufacturing_sale_days' => 'pl_manufacturing_sale_days'); goto p25Rz; i3fmZ: q6vRO: goto O3Xbg; LniGf: if (empty($atum_settings)) { goto Y8S3b; } goto KrrpD; O3Xbg: update_option(AtumSettings::OPTION_NAME, $atum_settings); goto mHJJx; ygBqj: } private function add_bom_stock_control_columns() { goto xf0_S; ue6tY: $atum_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto n4jYf; t01gl: foreach ($indexes as $index) { goto lGm24; lGm24: $index_exist = $wpdb->prepare('
				SELECT COUNT(*) FROM INFORMATION_SCHEMA.STATISTICS
				WHERE table_schema = %s AND TABLE_NAME = %s AND index_name = %s;
			', $db_name, $atum_data_table, $index); goto dmuY_; dmuY_: if ($wpdb->get_var($index_exist)) { goto ELnJg; } goto Fgp3S; Fgp3S: $wpdb->query("ALTER TABLE {$atum_data_table} ADD INDEX `{$index}` (`{$index}`)"); goto HJ6HZ; HJ6HZ: ELnJg: goto UAYxR; UAYxR: kPqN8: goto bddx7; bddx7: } goto ZqAZT; B_1rX: $db_name = DB_NAME; goto ue6tY; ZqAZT: I6_kZ: goto tvUf2; CSxDi: $indexes = array_merge(array_keys($columns), ['bom_sellable']); goto t01gl; NCtEs: foreach (array_keys($columns) as $column_name) { goto qMAun; qMAun: $column_exist = $wpdb->prepare('
				SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS 
				WHERE TABLE_SCHEMA = %s AND TABLE_NAME = %s AND column_name = %s
			', $db_name, $atum_data_table, $column_name); goto o7f59; pFsWO: gBXTt: goto f9F6v; p7LSW: Mb_MR: goto pFsWO; o7f59: if ($wpdb->get_var($column_exist)) { goto Mb_MR; } goto NxMdR; NxMdR: $wpdb->query("ALTER TABLE {$atum_data_table} ADD `{$column_name}` {$columns[$column_name]} DEFAULT NULL;"); goto p7LSW; f9F6v: } goto WCyia; n4jYf: $columns = array('minimum_threshold' => 'DOUBLE', 'available_to_purchase' => 'DOUBLE', 'selling_priority' => 'INT(11)', 'calculated_stock' => 'DOUBLE'); goto NCtEs; WCyia: luQd8: goto CSxDi; xf0_S: global $wpdb; goto B_1rX; tvUf2: } private function sync_real_stock() { goto PhmCR; PhmCR: if (!Helpers::is_bom_stock_control_enabled()) { goto iCd1p; } goto lVUpL; lVUpL: Helpers::sync_all_real_bom_stock(); goto RsInq; RsInq: iCd1p: goto pNz4D; pNz4D: } private function add_inventory_id_column() { goto dl82P; dl82P: global $wpdb; goto hslS5; fnrU5: if ($wpdb->get_var($column_exist)) { goto WT1Aq; } goto VBV3a; kscT1: $boms_order_table = $wpdb->prefix . BOMOrderItemsModel::get_order_bom_table(); goto vKfma; MMkVV: WT1Aq: goto lhHAE; vKfma: $column_exist = $wpdb->prepare("\n\t\t\tSELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS\n\t\t\tWHERE TABLE_SCHEMA = %s AND TABLE_NAME = %s AND column_name = 'inventory_id'\n\t\t", $db_name, $boms_order_table); goto fnrU5; VBV3a: $wpdb->query("ALTER TABLE {$boms_order_table} ADD `inventory_id` BIGINT(10) DEFAULT NULL;"); goto MMkVV; hslS5: $db_name = DB_NAME; goto kscT1; lhHAE: } private function create_bom_rs_table() { goto pl1GJ; LMC5f: $sql = "\n\t\t\t\tCREATE TABLE {$reserved_stock_table} (\n\t\t\t\t`order_id` bigint(20) NOT NULL,\n\t\t\t\t`product_id` bigint(20) NOT NULL,\n\t\t\t\t`bom_id` bigint(20) NOT NULL,\n\t\t\t\t`stock_quantity` double NOT NULL DEFAULT 0,\n\t\t\t\t`timestamp` datetime NULL DEFAULT NULL,\n\t\t\t\t`expires` datetime NULL DEFAULT NULL,\n\t\t\t\tPRIMARY KEY  (`order_id`, `product_id`, `bom_id`)\n          \t\t) {$collate}\n            "; goto jSiSU; i3y_7: $reserved_stock_table = $wpdb->prefix . BOMModel::get_reserved_stock_bom_table(); goto CP_LN; VKga7: dbDelta($sql); goto Ot_vL; pl1GJ: global $wpdb; goto i3y_7; kQT2W: if (!$wpdb->has_cap('collation')) { goto pNK32; } goto VScMV; jSiSU: require_once ABSPATH . 'wp-admin/includes/upgrade.php'; goto VKga7; sDE1n: $collate = ''; goto kQT2W; CP_LN: if ($wpdb->get_var("SHOW TABLES LIKE '{$reserved_stock_table}';")) { goto FRsIE; } goto sDE1n; VScMV: $collate = $wpdb->get_charset_collate(); goto F_e1C; Ot_vL: FRsIE: goto nqSZ4; F_e1C: pNK32: goto LMC5f; nqSZ4: } private function create_is_bom_column() { goto VBgLp; qMF9F: $wpdb->query("\n\t\t\tUPDATE {$atum_data_table}\n\t\t\tSET is_bom = 1\n\t\t\tWHERE product_id IN (\n\t\t\t\tSELECT DISTINCT object_id FROM {$wpdb->term_relationships} tr\n\t\t\t\t{$inner_join}\n\t\t\t)\n\t\t\tOR product_id IN (\n\t\t\t\tSELECT DISTINCT ID FROM {$wpdb->posts} p\n\t\t\t\tINNER JOIN {$wpdb->term_relationships} tr ON p.post_parent = tr.object_id \n\t\t\t    {$inner_join}\n\t\t\t)\n\t\t"); goto K5g_G; CFcb0: $wpdb->query("ALTER TABLE {$atum_data_table} ADD `is_bom` TINYINT(1) NULL DEFAULT 0;"); goto tMoxL; pV8Pb: $inner_join = "\n\t\t\tINNER JOIN {$wpdb->term_taxonomy} tt ON tr.term_taxonomy_id = tt.term_taxonomy_id AND tt.taxonomy = 'product_type'\n\t\t\tINNER JOIN {$wpdb->terms} t ON t.term_id = tt.term_id AND t.slug IN ('" . implode("','", Globals::get_product_levels()) . "')\n\t\t"; goto qMF9F; VBgLp: global $wpdb; goto yUv06; v7p2L: if ($wpdb->get_var($column_exist)) { goto CE0aA; } goto CFcb0; b_npc: $atum_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto GZZLS; tMoxL: CE0aA: goto pV8Pb; yUv06: $db_name = DB_NAME; goto b_npc; GZZLS: $column_exist = $wpdb->prepare("\n\t\t\tSELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS \n\t\t\tWHERE TABLE_SCHEMA = %s AND TABLE_NAME = %s AND column_name = 'is_bom'\n\t\t", $db_name, $atum_data_table); goto v7p2L; K5g_G: } private function change_entries_per_page_meta_keys() { global $wpdb; $wpdb->update($wpdb->usermeta, ['meta_key' => ManufacturingCentral::UI_SLUG . '_entries_per_page'], ['meta_key' => ATUM_PREFIX . 'manufacturing_central_products_per_page']); } private function create_temporal_order_boms_table() { goto NgO_1; ouc4q: $transients = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}options WHERE option_name LIKE '_transient_atmpl_bom_order_items_%'"); goto PKEJd; mb2rB: SE1Cm: goto oWyLX; Kr0i1: $collate = ''; goto d_NEX; w18RR: GygVn: goto mb2rB; d_NEX: if (!$wpdb->has_cap('collation')) { goto V8E_x; } goto ivHoB; NgO_1: global $wpdb; goto chads; chads: $table_name = $wpdb->prefix . BOMOrderItemsPreModel::get_order_bom_table_predicted(); goto hHbxT; Gzs4p: dbDelta($sql); goto j9llC; ivHoB: $collate = $wpdb->get_charset_collate(); goto gzuOB; fyM0J: require_once ABSPATH . 'wp-admin/includes/upgrade.php'; goto Gzs4p; R8tMX: $sql = "CREATE TABLE {$table_name} (\n\t\t\t\t`id` bigint(20) NOT NULL AUTO_INCREMENT,\n\t\t\t\t`order_id` bigint(20) NOT NULL,\n\t\t\t\t`order_item_id` bigint(20) NOT NULL,\n\t\t\t\t`bom_id` bigint(20) unsigned NOT NULL,\n\t\t\t\t`qty` double DEFAULT NULL,\n\t\t\t\t`inventory_id` BIGINT(10) DEFAULT NULL,\n\t\t\t\t`is_edited` TINYINT(1) NOT NULL DEFAULT 0,\n\t\t\t\tPRIMARY KEY (`id`),\n\t\t\t\tKEY `order_id` (`order_id`),\n\t\t\t\tKEY `order_item_id` (`order_item_id`),\n\t\t\t\tKEY `bom_id` (`bom_id`),\n\t\t\t\tKEY `inventory_id` (`inventory_id`)\n\t\t\t) {$collate};"; goto fyM0J; PKEJd: if (!$transients) { goto SE1Cm; } goto XBn_h; gzuOB: V8E_x: goto R8tMX; j9llC: qgSff: goto ouc4q; hHbxT: if ($wpdb->get_var("SHOW TABLES LIKE '{$table_name}';")) { goto qgSff; } goto Kr0i1; XBn_h: foreach ($transients as $transient) { goto fBhiD; qdeUC: if (!$order_id) { goto auAkf; } goto QZgHv; qT9sh: delete_option($transient->option_name); goto NjSSw; uM4zM: Pmscx: goto HAvr2; fBhiD: $order_id = (int) str_replace('_transient_atmpl_bom_order_items_', '', $transient->option_name); goto qdeUC; rWVjQ: auAkf: goto qT9sh; HAvr2: p_gRN: goto rWVjQ; NjSSw: pXeEV: goto WtdCQ; Em1JQ: foreach ($order_items as $order_item_id => $bom_order_items) { BOMOrderItemsPreModel::set_predicted_bom_order_items($order_id, $order_item_id, $bom_order_items); KgNgD: } goto uM4zM; QZgHv: $order_items = maybe_unserialize($transient->option_value); goto TrN3O; TrN3O: if (!is_array($order_items)) { goto p_gRN; } goto Em1JQ; WtdCQ: } goto w18RR; oWyLX: } private function change_notifications_settings_names() { goto NXezY; zT3r_: foreach ($atum_settings as $key => $value) { goto YaUoe; HoN3g: RQdWl: goto L_uZ0; x5XQ2: unset($atum_settings[$key]); goto tMRkY; E0qZV: $atum_settings[$notif_setting_names[$key]] = $value; goto x5XQ2; YaUoe: if (!in_array($key, array_keys($notif_setting_names))) { goto otHNe; } goto E0qZV; tMRkY: otHNe: goto HoN3g; L_uZ0: } goto ilJ9A; RQqXk: A0ydm: goto BgUry; Tg02N: update_option(AtumSettings::OPTION_NAME, $atum_settings); goto RQqXk; JFMLp: if (empty($atum_settings)) { goto A0ydm; } goto K7Hk1; ilJ9A: XjNBA: goto Tg02N; NXezY: $atum_settings = AtumHelpers::get_options(); goto JFMLp; K7Hk1: $notif_setting_names = array('atum_notify_out_stock' => 'pl_notify_out_stock', 'atum_notify_low_stock' => 'pl_notify_low_stock', 'atum_notify_backorder' => 'pl_notify_backorder'); goto zT3r_; BgUry: } private function add_measure_unit_column() { goto Tspmf; GVJYH: $column_exist = $wpdb->prepare("\n\t\t\tSELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS\n\t\t\tWHERE TABLE_SCHEMA = %s AND TABLE_NAME = %s AND column_name = 'measure_unit'\n\t\t", $db_name, $linked_boms_table); goto zpAa1; hdhFl: $db_name = DB_NAME; goto jwyax; zpAa1: if ($wpdb->get_var($column_exist)) { goto od38W; } goto h6Drd; h6Drd: $wpdb->query("ALTER TABLE {$linked_boms_table} ADD `measure_unit` VARCHAR(10) DEFAULT NULL;"); goto OGERx; Tspmf: global $wpdb; goto hdhFl; OGERx: od38W: goto PkvpD; jwyax: $linked_boms_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto GVJYH; PkvpD: } }
