<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Integrations; defined('ABSPATH') || die; use Atum\Components\AtumCache; use Atum\Components\AtumListTables\AtumListTable; use Atum\Components\AtumOrders\Items\AtumOrderItemProduct; use Atum\Components\AtumOrders\Models\AtumOrderModel; use Atum\Components\AtumStockDecimals; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\InventoryLogs\InventoryLogs; use Atum\InventoryLogs\Items\LogItemProduct; use Atum\PurchaseOrders\Items\POItemProduct; use Atum\PurchaseOrders\Models\PurchaseOrder; use Atum\PurchaseOrders\PurchaseOrders; use AtumLevels\Inc\Globals; use AtumLevels\Inc\Helpers; use AtumLevels\Inc\Orders; use AtumLevels\Inc\ProduceItems; use AtumLevels\Inc\ReserveStock; use AtumLevels\ManufacturingCentral\Lists\ListTable; use AtumLevels\ManufacturingCentral\ManufacturingCentral; use AtumLevels\Models\BOMOrderItemsPreModel; use AtumLevels\MetaBoxes\ProductDataMetaBoxes; use AtumLevels\Models\BOMModel; use AtumLevels\Models\BOMOrderItemsModel; use AtumMultiInventory\Inc\ReserveStock as MIReserveStock; use AtumMultiInventory\Inc\Orders as MIOrders; use AtumMultiInventory\Models\Inventory; use AtumMultiInventory\Models\MainInventory; use AtumMultiInventory\Inc\Helpers as MIHelpers; use Automattic\WooCommerce\Checkout\Helpers\ReserveStockException; use Automattic\WooCommerce\Utilities\OrderUtil; class MultiInventory { private static $instance; private $restored_bom_order_items = array(); private $changed_order_item_inventories = array(); private $bom_mi_management_popup_added = FALSE; private function __construct() { goto bcF4G; nN4Fl: $this->register_admin_hooks(); goto cmFM8; bcF4G: if (!is_admin()) { goto dXhBn; } goto nN4Fl; RJ1J_: $this->register_global_hooks(); goto fpIrL; cmFM8: dXhBn: goto RJ1J_; fpIrL: } public function register_admin_hooks() { goto oFlla; gUAd6: h6RW9: goto lTfn7; QJIAT: add_filter('atum/multi-price/variable-types', array($this, 'add_pl_variable_types')); goto ho4sB; D9ZSE: add_filter('atum/product_levels/ajax/add_bom_tree_node_qty', array($this, 'get_bom_tree_mi_node_qty'), 10, 2); goto Q3a8u; en2pe: add_action('atum/multi_inventory/before_inventory', array($this, 'maybe_enable_purchase_price')); goto Dvl15; XnSv2: add_filter('atum/multi_inventory/maybe_sum_inventory_stock', array($this, 'maybe_sum_inventory_stock'), 10, 3); goto GkMKO; ozGxm: add_filter('atum/ajax/mi_write_off_inventory/response', array($this, 'modify_write_off_message'), 10, 3); goto B4FlU; tn0qK: add_filter('atum/product_levels/ajax/bom_order_item_inventories', array($this, 'get_ajax_order_item_inventory_bom_tree'), 10, 4); goto XnSv2; yBGez: add_action('wp_ajax_atum_pl_validate_inventory_name', array($this, 'validate_inventory_name_ajax')); goto ZKPpP; NevaJ: add_filter('atum/multi_inventory/get_inventories_not_main', array($this, 'get_real_stock_inventories'), 10, 2); goto nx3CK; AqOeO: add_action('woocommerce_after_order_item_meta', array($this, 'add_pl_icon_to_order_items'), 10, 3); goto XcwwW; B7cPf: add_filter('atum/product_levels/produce_items/bom_stock_availability', array($this, 'get_bom_stock_availability_to_produce'), 10, 2); goto QH3gp; sz444: add_action('atum/multi_inventory/after_delete_order_item_inventory', array($this, 'maybe_remove_bom_order_mi_transient'), 10, 4); goto n0BEp; QH3gp: add_action('atum/product_levels/produce_items/before_produce_items_ajax', array($this, 'produce_items_ajax_mi')); goto yBGez; B4FlU: add_action('atum/multi_inventory/after_order_item_inventory_info', array($this, 'display_order_item_inventory_bom_tree'), 10, 6); goto O7AkR; drXJb: add_action('atum/atum_order/after_item_product_html', array($this, 'call_display_order_item_bom_tree'), 10, 2); goto dwI1E; Q3a8u: add_filter('atum/product_levels/maybe_change_stock_quantity', array($this, 'change_stock_quantity_if_expirable')); goto Bq5L0; fXOC1: add_action('atum/product_levels/bom_meta/after_bom_list_item', array($this, 'maybe_disable_force_real_mi_stock')); goto GkUiH; tzXz0: add_action('atum/multi_inventory/uninstalled', array($this, 'disable_produce_items_option')); goto BbzMc; eQ0r_: add_filter('atum/product_levels/manufacturing_list_table/column_stock', array($this, 'maybe_change_tooltip_to_stock'), 10, 3); goto D9ZSE; y1cJN: add_action('wp_ajax_woocommerce_remove_order_item', array($this, 'add_recalc_hooks'), 8); goto z2KJH; H1MEP: add_action('atum/product_levels/after_increase_bom_stock_order_items', array($this, 'clean_transient_after_bom_order_item_stock_change'), 10, 2); goto UDpWM; X7JuO: add_action('atum/product_levels/bom_meta/before_bom_list_item', array($this, 'maybe_force_real_mi_stock')); goto fXOC1; KmtCf: add_action('atum/multi_inventory/deactivated', array($this, 'disable_produce_items_option')); goto tzXz0; Kf79y: if (!('yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto h6RW9; } goto XYUkZ; Lxdw6: add_action('atum/product_levels/after_add_bom_product_fields', array($this, 'maybe_disable_force_real_mi_stock')); goto QiB4o; z2KJH: $is_bsc_enabled = Helpers::is_bom_stock_control_enabled(); goto ijSuV; UDpWM: add_action('atum/product_levels/after_change_bom_stock_order', array($this, 'after_change_bom_stock_order_items'), 10, 2); goto e3Lxt; gEZXw: add_action('atum/product_levels/after_reduce_bom_stock_order_items', array($this, 'clean_transient_after_bom_order_item_stock_change'), 10, 2); goto H1MEP; OI69D: add_action('wp_ajax_woocommerce_add_order_item', array($this, 'add_recalc_hooks'), 9); goto y1cJN; oFlla: add_filter('atum/multi_inventory/atum_tab_fields_visibility', array($this, 'show_mi_settings_product_tab')); goto z4QHz; ybXa3: add_filter('atum/product_levels/prevent_product_stock_notify', array($this, 'maybe_prevent_product_stock_notify'), 10, 2); goto xEgPu; mTySu: add_filter('atum/product_levels/maybe_change_bom_stock_order/allow_updating_bom_order_items', array($this, 'maybe_prevent_update_bom_order_items'), 10, 2); goto OI69D; z4QHz: add_action('atum/multi_inventory/after_stock_quantity_field', array($this, 'add_bom_stock_control_fields'), 10, 3); goto CQEsb; p4OhL: add_filter('atum/product_levels/get_available_to_purchase_column_value', array($this, 'get_available_to_purchase_column_value'), 10, 3); goto LrgDq; XYUkZ: add_action('atum/multi_inventory/meta_boxes/product_data/after_action_buttons', array($this, 'add_produce_button_to_mi_products'), 10, 3); goto abrOL; abrOL: add_action('wp_ajax_atum_pl_get_selectable_bom_inventories', array($this, 'get_selectable_bom_inventories_ajax')); goto B7cPf; XGll1: add_filter('atum/multi_inventory/localized_vars/fields_to_hide', array($this, 'add_fields_to_hide')); goto en2pe; GkMKO: add_filter('atum/product_levels/list_table_orderby_stock_filter', '__return_false'); goto PeTB8; d9Hzb: add_filter('atum/product_levels/manufacturing_list_table/column_available_to_produce', array($this, 'maybe_change_tooltip_to_available_to_produce_stock'), 12, 3); goto eQ0r_; GkUiH: add_action('atum/product_levels/before_add_bom_product_fields', array($this, 'maybe_force_real_mi_stock')); goto Lxdw6; PeTB8: add_filter('atum/product_levels/get_product_stock_status', array($this, 'get_product_stock_status'), 20, 2); goto ybXa3; nx3CK: add_filter('atum/product_levels/real_stock_data_query', array($this, 'real_stock_data_query'), 10, 2); goto d9Hzb; Dvl15: add_action('atum/multi_inventory/meta_boxes/product_data/before_inventories', array($this, 'maybe_show_unused_boms_message'), 10, 3); goto ozGxm; LrgDq: add_filter('atum/product_levels/get_available_to_purchase_column_editable', array($this, 'get_available_to_purchase_column_editable'), 10, 3); goto Kf79y; iNjF9: add_action('atum/product_levels/before_clean_bom_order_items', array($this, 'move_bom_order_items_before_clean'), 10, 2); goto j3G8f; O7AkR: add_action('woocommerce_order_item_line_item_html', array($this, 'display_order_item_bom_tree'), 10, 3); goto drXJb; n0BEp: add_action('atum/atum_order/after_order_item_icons', array($this, 'add_pl_icon_to_order_items'), 9, 3); goto AqOeO; dwI1E: add_filter('atum/product_levels/views/order-items/mi-panel/extra_atts', array($this, 'add_mi_panel_extra_atts'), 10, 4); goto gEZXw; e3Lxt: add_action('atum/product_levels/after_moving_bom_order_items_and_clean', array($this, 'add_order_to_restored_bom_order_items'), 10, 1); goto iNjF9; CQEsb: add_filter('atum/product_levels/add_bom_product_fields', array($this, 'maybe_add_bom_stock_fields'), 10, 2); goto XGll1; QiB4o: KIz15: goto G_lP3; G_lP3: add_filter('atum/product_levels/manufacturing_list_table/get_bom_product_stock', array($this, 'get_bom_product_stock'), 10, 4); goto QJIAT; ho4sB: add_filter('atum/product_levels/manufacturing_list_table/check_valid_item', array($this, 'check_valid_item'), 10, 2); goto NevaJ; U55S4: add_action('atum/product_levels/ajax/before_add_bom_tree_node', array($this, 'force_real_mi_stock_check')); goto y6VXx; j3G8f: add_action('atum/atum_order/delete_order_item', array($this, 'maybe_remove_bom_order_items_transient')); goto sz444; Bq5L0: add_action('atum/multi_inventory/expired_inventory', array($this, 'maybe_recalculate_bom_tree_stock_with_expired_inventories')); goto tn0qK; y6VXx: add_action('atum/product_levels/ajax/after_add_bom_tree_node', array($this, 'disable_force_real_mi_stock_check')); goto X7JuO; ijSuV: if ($is_bsc_enabled) { goto KIz15; } goto U55S4; xEgPu: add_filter('atum/multi_inventory/get_default_meta', array($this, 'add_available_to_purchase_meta')); goto p4OhL; XcwwW: add_filter('atum/product_levels/maybe_change_bom_stock_order/item_has_changed', array($this, 'order_item_inventories_changed'), 10, 3); goto mTySu; BbzMc: UTA2t: goto gUAd6; ZKPpP: if (!$is_bsc_enabled) { goto UTA2t; } goto KmtCf; lTfn7: } public function register_global_hooks() { goto Z1rpW; QbhkD: add_filter('atum/product_levels/maybe_insert_bom_order_item', array($this, 'maybe_insert_bom_order_item'), 10, 7); goto c9XOH; c9XOH: add_action('atum/product_levels/after_get_bom_order_items', array($this, 'maybe_refresh_bom_order_transient'), 10, 2); goto dvA6D; nzB7o: add_action('atum/product_levels/bom_meta/before_total_in_warehouse', array($this, 'maybe_force_real_mi_stock')); goto F638R; goQa1: add_action('atum/product_levels/before_get_linked_boms_stock_used', array($this, 'deactivate_region_restrictions'), 10, 3); goto UenpG; zOQF4: remove_action('woocommerce_checkout_order_created', array(MIReserveStock::get_instance(), 'maybe_reserve_stock_for_order')); goto dQXCl; iu4OG: add_filter('atum/product_levels/reserved_stock/stock_wanted', array($this, 'get_stock_wanted'), 10, 6); goto piKxX; omlBY: add_filter('atum/orders/status_atum_received', array($this, 'maybe_prevent_atum_order_transient_update'), 9, 2); goto VFxwI; Z1rpW: add_filter('atum/multi_inventory/compatible_product_types', array($this, 'compatible_product_types')); goto ZFUYY; dQXCl: add_filter('atum/product_levels/reserved_stock/check_product_stock', array($this, 'maybe_check_product_reserved_stock'), 10, 5); goto bkdkC; tuTvG: add_filter('atum/product_levels/process_and_get_bom_order_items/order_item_qty', array($this, 'adjust_bom_order_item_qty'), 10, 4); goto xvF5S; Ypi96: add_filter('atum/product_levels/check_bom_cart_stock/enough_stock', array($this, 'check_bom_cart_stock_in_stock'), 10, 4); goto tuTvG; VFxwI: add_filter('atum/multi_inventory/bypass_mi_stock_notification', array($this, 'maybe_bypass_mi_stock_notification'), 10, 2); goto goQa1; WZoOQ: add_action('atum/multi_inventory/after_save_product_data', array($this, 'maybe_recalculate_bom_tree_stock')); goto qMCGB; xvF5S: add_filter('atum/product_levels/process_and_get_bom_order_items/order_item_reduced_qty', array($this, 'adjust_bom_order_item_reduced_qty'), 10, 4); goto QbhkD; piUBv: add_action('atum/multi_inventory/after_atum_order_change_stock_levels', array($this, 'after_order_stock_levels_change')); goto EjmPW; BgW3I: fDvNr: goto fqZeV; I_n2r: add_filter('woocommerce_can_restore_order_stock', array($this, 'maybe_prevent_wc_order_transient_update'), 10, 2); goto omlBY; D0Dgb: add_filter('atum/product_levels/check_bom_cart_stock/in_stock', array($this, 'check_bom_cart_stock_in_stock'), 10, 4); goto Ypi96; ZFUYY: add_filter('atum/multi_inventory/compatible_parent_types', array($this, 'compatible_parent_types')); goto UEWjl; qMCGB: add_action('atum/data_store/after_save_product_data', array($this, 'update_main_inventory_calc_backorders'), 10, 2); goto nzB7o; UEWjl: add_filter('atum/multi_inventory/compatible_child_types', array($this, 'compatible_child_types')); goto awtf7; F638R: add_action('atum/product_levels/bom_meta/after_total_in_warehouse', array($this, 'maybe_disable_force_real_mi_stock')); goto BgW3I; bkdkC: add_filter('atum/product_levels/reserve_stock/check_enough_bom_id_qty', array($this, 'maybe_check_enough_bom_id'), 10, 8); goto iu4OG; UenpG: add_action('atum/product_levels/after_get_linked_boms_stock_used', array($this, 'activate_region_restrictions'), 10, 3); goto PvAte; dHWe8: if (!Helpers::is_bom_stock_control_enabled()) { goto fDvNr; } goto zOQF4; fkOPX: add_filter('atum/multi_inventory/bypass_mi_get_stock_quantity', array($this, 'maybe_allow_mi_get_stock_quantity'), 10, 3); goto D0Dgb; EjmPW: add_filter('atum/multi_inventory/inventory_sellable', array($this, 'bom_inventory_is_sellable'), 10, 2); goto dHWe8; piKxX: add_filter('atum/product_levels/allow_removing_order_comments', array($this, 'maybe_prevent_order_note_remove'), 10, 2); goto WZoOQ; awtf7: add_filter('atum/multi_inventory/maybe_update_inventory_stock_from_order', array($this, 'maybe_update_inventory_stock_from_order'), 10, 4); goto fkOPX; pTfvl: K0ZWZ: goto piUBv; dvA6D: foreach (['increase', 'decrease'] as $action) { add_filter("atum/product_levels/maybe_{$action}_bom_stock_order_items", array($this, "maybe_{$action}_bom_order_item_inventories"), 10, 6); m1uIf: } goto pTfvl; fqZeV: add_filter('woocommerce_can_reduce_order_stock', array($this, 'maybe_prevent_wc_order_transient_update'), 10, 2); goto I_n2r; PvAte: } public function add_recalc_hooks() { goto Ni5DI; Cw6Jo: add_action('atum/before_delete_order_item', array($this, 'recalc_after_removed_item')); goto aAVZ3; RWT62: add_filter('atum/product_levels/increase_bom_stock_order_items/recalc_tree', array($this, 'prevent_recalc_order_item_stock'), 10, 2); goto hIvrl; Ni5DI: add_filter('atum/product_levels/reduce_bom_stock_order_item/recalc_tree', array($this, 'prevent_recalc_order_item_stock'), 10, 2); goto RWT62; hIvrl: add_action('woocommerce_ajax_order_items_added', array($this, 'recalc_after_inventory_creation'), 10, 2); goto Cw6Jo; aAVZ3: } public function show_mi_settings_product_tab($visibility_classes) { return $visibility_classes . ' show_if_product-part show_if_raw-material'; } public function compatible_product_types($product_types) { return array_merge($product_types, Globals::get_simple_product_levels(), Globals::get_variation_levels()); } public function compatible_parent_types($parent_types) { return array_merge($parent_types, Globals::get_variable_product_levels()); } public function compatible_child_types($parent_types) { return array_merge($parent_types, Globals::get_variation_levels()); } public function add_bom_stock_control_fields($inventory, $loop, $id_for_name) { goto Lazld; DGFzZ: hiqQB: goto qGpXd; qYuXH: call_user_func(array($pl_meta_boxes, 'add_bom_stock_control_fields'), $loop, [], $product); goto agkEE; bdBaz: $change_bom_stock_control_fields_args_function = function ($view_args) use($id_for_name, $inventory, $product, $product_id, $loop) { goto AamHY; TMh1E: $available_to_purchase_id = 'variation' === $product->get_type() ? "available_to_purchase{$loop}" : 'available_to_purchase'; goto loVg6; hneL7: $bom_fields = ['calc_stock_quantity', 'selling_priority', 'minimum_threshold', 'available_to_purchase']; goto eYBv3; eYBv3: foreach ($bom_fields as $bom_field) { goto BKrXN; rnTxz: if (!isset($view_args[$class_name_arg])) { goto DzAYB; } goto jCdk9; wVPMO: if (!isset($view_args[$name_arg])) { goto wFEY8; } goto xPDZ2; vXbYf: $view_args[$id_arg] .= "_{$id_for_name}"; goto cNwvn; cNwvn: ErkiO: goto TFX2C; YV1_K: wFEY8: goto XJ0Js; InKIU: $id_arg = "{$bom_field}_field_id"; goto rnTxz; TFX2C: sEsgc: goto wsF4D; XJ0Js: if (!isset($view_args[$id_arg])) { goto ErkiO; } goto vXbYf; rsyj8: $name_arg = "{$bom_field}_field_name"; goto InKIU; BKrXN: $class_name_arg = "{$bom_field}_css"; goto rsyj8; jCdk9: $view_args[$class_name_arg] = str_replace('_field', "_{$id_for_name}_field", $view_args[$class_name_arg]); goto tzFNT; xPDZ2: $view_args[$name_arg] = ''; goto YV1_K; tzFNT: DzAYB: goto wVPMO; wsF4D: } goto BrX5W; pL6nx: $view_args['calc_stock_alert'] = '
						<span class= "alert alert-warning calc-stock-alert">
							<small>
							    ' . esc_html__("This inventory has its stock calculated and won't be set as out of stock when it expires. If you want to achieve this, please set the BBE dates for its last-level BOMs instead.", ATUM_LEVELS_TEXT_DOMAIN) . '
							</small>
						</span>
					'; goto xvEIB; xvEIB: IFbHD: goto hneL7; QbKoI: $minimum_threshold_id = 'variation' === $product->get_type() ? "minimum_threshold{$loop}" : 'minimum_threshold'; goto SZS_F; c5N1D: return $view_args; goto R9B7f; AamHY: if (!(BOMModel::has_linked_bom($product_id) && 0 !== count(BOMModel::get_associated_products($product_id)) && NULL !== $inventory->bbe_date && 'yes' === MIHelpers::get_product_expirable_inventories($product))) { goto IFbHD; } goto pL6nx; mJc05: $view_args['item'] = $inventory; goto c5N1D; BrX5W: akk0Z: goto QbKoI; SZS_F: $view_args['minimum_threshold_data'] = ' data-sync="#' . $minimum_threshold_id . '"'; goto TMh1E; loVg6: $view_args['available_to_purchase_data'] = ' data-sync="#' . $available_to_purchase_id . '"'; goto mJc05; R9B7f: }; goto tuYP_; HYjuB: ut0sk: goto cBub8; U_z5a: if (!isset($change_bom_stock_control_fields_args_function)) { goto JNmGw; } goto Z4KZe; AV4Bd: JNmGw: goto DGFzZ; wE0en: return; goto QbCYz; pl28E: if (!$product instanceof \WC_Product) { goto hiqQB; } goto bdBaz; Z4KZe: remove_filter('atum/product_levels/bom_stock_control_fields_args', $change_bom_stock_control_fields_args_function); goto AV4Bd; AyP0K: return; goto HYjuB; tuYP_: add_filter('atum/product_levels/bom_stock_control_fields_args', $change_bom_stock_control_fields_args_function); goto LuVTg; QbCYz: h2AUJ: goto cHMSh; f7wDg: Evhy6: goto qYuXH; Mbbb3: call_user_func(array($pl_meta_boxes, 'add_bom_stock_control_fields')); goto CogV1; Lazld: if (Helpers::is_bom_stock_control_enabled()) { goto ut0sk; } goto AyP0K; agkEE: O71VL: goto U_z5a; cHMSh: $pl_meta_boxes = ProductDataMetaBoxes::get_instance(); goto SA7Z1; LuVTg: if ($product instanceof \WC_Product_Variation) { goto Evhy6; } goto Mbbb3; SA7Z1: $product_id = $inventory->product_id; goto ygIXj; CogV1: goto O71VL; goto f7wDg; ygIXj: $product = wc_get_product($product_id); goto pl28E; cBub8: if ($inventory->is_main()) { goto h2AUJ; } goto wE0en; qGpXd: } public function maybe_add_bom_stock_fields($add_fields, $inventory) { goto HAWm7; hesfb: return FALSE; goto F6ORl; l11To: return $add_fields; goto gnaV8; HAWm7: if (!($inventory instanceof Inventory && !$inventory->is_main())) { goto QepDZ; } goto hesfb; F6ORl: QepDZ: goto l11To; gnaV8: } public function add_fields_to_hide($fields_to_hide) { goto lPUWJ; lPUWJ: if (Helpers::is_bom_stock_control_enabled()) { goto qUlTS; } goto vScUJ; vScUJ: $bom_fields_to_hide = array('._committed_field', '._shortage_field', '._free_to_use_field'); goto B6VMe; g2IQ_: return array_merge($fields_to_hide, $bom_fields_to_hide); goto jUtso; X6Gg6: GawMq: goto g2IQ_; PXBIO: $bom_fields_to_hide = array('._calc_stock_quantity_field', '._selling_priority_field', '._minimum_threshold_field', '._available_to_purchase_field'); goto X6Gg6; Krp3J: qUlTS: goto PXBIO; B6VMe: goto GawMq; goto Krp3J; jUtso: } public function maybe_update_inventory_stock_from_order($can_update_stock, $inventory, $product, $item_qty) { goto FfnMV; aGZva: return $can_update_stock; goto FK7JH; nJ2Bv: $can_update_stock = $item_qty; goto Jikyt; Jikyt: rCfaZ: goto aGZva; efsNo: if (!(Helpers::is_bom_stock_control_enabled() && $inventory->is_main() && BOMModel::has_linked_bom($product_id))) { goto rCfaZ; } goto nJ2Bv; FfnMV: $product_id = $product instanceof \WC_Product ? $product->get_id() : $product; goto efsNo; FK7JH: } public function maybe_allow_mi_get_stock_quantity($bypass, $stock, $product) { goto uNPPB; uNPPB: if (!(Helpers::is_bom_stock_control_enabled() && Globals::is_bom_product($product) && MIHelpers::is_product_multi_inventory_compatible($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product) && !BOMModel::has_linked_bom($product->get_id()) && count(BOMModel::get_associated_products($product->get_id())) > 0)) { goto cryWM; } goto UjRiq; UjRiq: $bypass = FALSE; goto yBif0; k_Drh: return $bypass; goto UBhMt; yBif0: cryWM: goto k_Drh; UBhMt: } public function check_bom_cart_stock_in_stock($in_stock, $product, $product_qty_in_cart, $main_available) { goto DCVYn; RwqR3: if (!($total_stock_available >= $product_qty_in_cart)) { goto I0wKY; } goto iOOOQ; FvD0w: $total_stock_available = $main_available; goto ZEnoL; pWeBz: if (!$has_cache) { goto tZC1B; } goto kDuLd; Uudf0: AtumCache::set_cache($cache_key, $in_stock, ATUM_LEVELS_TEXT_DOMAIN); goto MpQXK; Uz7JR: tZC1B: goto TkDlI; PlOMx: $allow_expired = 'yes' !== MIHelpers::get_product_expirable_inventories($product); goto FvD0w; ZEnoL: foreach ($inventories as $inventory) { goto tOCHx; OAc0L: if (!(!$allow_expired && $inventory->is_expired(TRUE))) { goto AiB4X; } goto DiqSD; qKpKu: goto tdcDG; goto ShCMK; ShCMK: MOlC1: goto OAc0L; DiqSD: goto tdcDG; goto vXGuw; HJZWn: tdcDG: goto RkIZo; vXGuw: AiB4X: goto eb5ot; eb5ot: $total_stock_available += $inventory->stock_quantity; goto HJZWn; tOCHx: if (!$inventory->is_main()) { goto MOlC1; } goto qKpKu; RkIZo: } goto QiAAS; NBy73: I0wKY: goto Uudf0; TkDlI: if (!(!$in_stock && $product->get_stock_quantity() > $product_qty_in_cart && MIHelpers::is_product_multi_inventory_compatible($product) && 'use_next' === MIHelpers::get_product_inventory_iteration($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product))) { goto k2JRQ; } goto USkDg; GHRDe: return $in_stock; goto wU6do; QiAAS: Dy_p3: goto RwqR3; MpQXK: k2JRQ: goto GHRDe; iOOOQ: $in_stock = TRUE; goto NBy73; USkDg: $inventories = MIHelpers::get_product_inventories_sorted($product->get_id()); goto PlOMx; Rlf_u: $cache_in_stock = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto pWeBz; kDuLd: return $cache_in_stock; goto Uz7JR; DCVYn: $cache_key = AtumCache::get_cache_key('check_bom_cart_stock_in_stock', $product->get_id()); goto Rlf_u; wU6do: } public function adjust_bom_order_item_qty($qty, $product, $order_item, $order_type_id) { goto XSl4d; VUKHF: foreach ($order_item_inventories as $order_item_inventory) { goto hPK8w; t_g6Y: udlft: goto GeLNf; YMmfF: if (!$inv->is_main()) { goto oQbvo; } goto urw3p; IygCJ: oQbvo: goto t_g6Y; urw3p: return $order_item_inventory->qty; goto IygCJ; hPK8w: $inv = MIHelpers::get_inventory($order_item_inventory->inventory_id); goto YMmfF; GeLNf: } goto zVelG; DFFNE: if (empty(MIOrders::get_instance()->updated_order_item_inventories[$order_id][$order_item_id])) { goto XzZaJ; } goto KH8SJ; kZOVe: $order_item_id = $order_item->get_id(); goto DFFNE; a2JHZ: if (empty($inventories_changes['delete'])) { goto NvJC2; } goto jWpbK; Qy85D: c0hVT: goto uPOju; uPOju: $order_id = $order_item->get_order_id(); goto kZOVe; KH8SJ: $inventories_changes = MIOrders::get_instance()->updated_order_item_inventories[$order_id][$order_item_id]; goto a2JHZ; BbpdG: $order_item_inventories = Inventory::get_order_item_inventories($order_item->get_id(), $order_type_id); goto VUKHF; Cz3K0: goto SNAyC; goto Qy85D; kZ7Ox: if (!isset($this->changed_order_item_inventories[$order_id][$order_item->get_id()])) { goto RuVpT; } goto o7diO; zVelG: W6wLt: goto fD1RI; Yq5fk: $order_id = AtumGlobals::get_order_type_id() === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(); goto kZ7Ox; BRXUp: axs3I: goto X2Lml; I9uP1: XzZaJ: goto BbpdG; O7wIR: return $qty; goto Lq9BK; jWpbK: foreach ($inventories_changes['delete'] as $inventory_order_data) { goto Vs1WR; Vs1WR: if (!$inventory_order_data['inventory']->is_main()) { goto DvnjQ; } goto xwLgD; xwLgD: return 0; goto nYKdQ; nYKdQ: DvnjQ: goto Rs99p; Rs99p: Uvvla: goto Ma1R4; Ma1R4: } goto BRXUp; o7diO: return $order_item->get_data()['quantity']; goto M3Y5p; V1fun: foreach (['increase', 'decrease'] as $action) { goto WtHKN; wdF3K: xWZaN: goto Nfr46; WtHKN: if (empty($inventories_changes[$action])) { goto qH0NW; } goto D7eMV; D7eMV: foreach ($inventories_changes[$action] as $inventory_order_data) { goto RmoKa; e8sSx: BRuI3: goto yaCWu; w4532: return $inventory_order_data['data']['qty']; goto IMJRS; RmoKa: if (!$inventory_order_data['inventory']->is_main()) { goto sq5at; } goto w4532; IMJRS: sq5at: goto e8sSx; yaCWu: } goto QH1gC; QH1gC: f2HG4: goto o2tKS; o2tKS: qH0NW: goto wdF3K; Nfr46: } goto jCZox; fD1RI: SNAyC: goto O7wIR; M3Y5p: RuVpT: goto Cz3K0; X2Lml: NvJC2: goto V1fun; XSl4d: if (MIHelpers::is_product_multi_inventory_compatible($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product)) { goto c0hVT; } goto Yq5fk; jCZox: R9Lwe: goto I9uP1; Lq9BK: } public function adjust_bom_order_item_reduced_qty($reduced_qty, $order_item, $product, $order_type_id) { goto s2jlv; q_POi: IaXdE: goto ByvVK; qp4fp: $reduced_qty = 0; goto IcGWW; FAUeY: foreach ($order_item_inventories as $order_item_inventory) { goto deqfC; iOKwU: if (!$inv->is_main()) { goto ewSPz; } goto fOENr; c_I8k: lQ6LV: goto isRul; dWkkO: ewSPz: goto c_I8k; Tf64v: goto pCrOh; goto dWkkO; deqfC: $inv = MIHelpers::get_inventory($order_item_inventory->inventory_id); goto iOKwU; fOENr: $reduced_qty = $order_item_inventory->reduced_stock; goto Tf64v; isRul: } goto dxEeU; s2jlv: if (!(FALSE !== $reduced_qty)) { goto IaXdE; } goto iHu_I; ByvVK: return $reduced_qty; goto tr0KX; TceY1: ToLBD: goto q_POi; dxEeU: pCrOh: goto TceY1; iHu_I: if (!('yes' === MIHelpers::get_product_multi_inventory_status($product) && MIHelpers::is_product_multi_inventory_compatible($product))) { goto ToLBD; } goto qp4fp; IcGWW: $order_item_inventories = Inventory::get_order_item_inventories($order_item->get_id(), $order_type_id); goto FAUeY; tr0KX: } public function display_order_item_inventory_bom_tree($inventory, $order_item_inventory, $order_item, $order_type_id, $order_item_qty = NULL, $order = NULL) { goto Vu5Np; LLO1U: $is_completed = FALSE; goto D3Xwh; Tr3yi: goto HraRR; goto d_Mmk; gVAc9: klTXK: goto uMWZM; IcsYo: if ($unsaved_bom_order_items) { goto klTXK; } goto eujF0; BcuyR: $atum_bom_mi_management_modal_ids = []; goto Za0i2; dxygW: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/multi-inventory/bom-mi-tree', compact('inventory', 'order_item_inventory', 'order_item', 'order_item_qty', 'order_type_id', 'bom_order_items', 'unsaved_bom_order_items', 'item_product', 'order', 'is_completed')); goto u560F; FO5W1: if (empty($atum_bom_mi_management_modal_ids)) { goto r3JXo; } goto impET; eujF0: if (!$bom_order_items) { goto zTPfB; } goto viCNU; npd39: $order = $wc_order_type_id === $order_type_id ? $order_item->get_order() : AtumHelpers::get_atum_order_model($order_item->get_atum_order_id(), FALSE); goto wUgjP; T2l9I: $wc_order_type_id = AtumGlobals::get_order_type_id(); goto t10PT; vAn2U: B78yP: goto hq_2L; rcjJm: $order_item_qty = !is_null($order_item_qty) ? $order_item_qty : $order_item->get_quantity(); goto IHXtz; AtgvN: dN40g: goto tbB1p; D3Xwh: switch ($order_type_id) { case $wc_order_type_id: goto yvi2Y; nIRH2: goto pZNg6; goto yl_MI; yvi2Y: $order = $order_item->get_order(); goto SMXI5; SMXI5: $chg_stock_order_complete = 'yes' === AtumHelpers::get_option('chg_stock_order_complete', 'no'); goto rHU2R; rHU2R: $completed_statuses = $chg_stock_order_complete ? ['completed'] : ['on-hold', 'processing', 'completed']; goto UqdM3; UqdM3: $is_completed = in_array($order->get_status(), $completed_statuses, TRUE); goto nIRH2; yl_MI: case AtumGlobals::get_order_type_id(PurchaseOrders::POST_TYPE): goto hC5rN; u2iXe: goto pZNg6; goto p3iju; hC5rN: $order = AtumHelpers::get_atum_order_model($order_item->get_atum_order_id(), FALSE, PurchaseOrders::POST_TYPE); goto iy1XT; iy1XT: $is_completed = $order->get_status() === PurchaseOrders::FINISHED; goto u2iXe; p3iju: case AtumGlobals::get_order_type_id(InventoryLogs::POST_TYPE): goto fsKKB; BE6Kq: $is_completed = $order->get_status() === InventoryLogs::FINISHED; goto iHMN1; iHMN1: goto pZNg6; goto gvSbV; fsKKB: $order = AtumHelpers::get_atum_order_model($order_item->get_atum_order_id(), FALSE, InventoryLogs::POST_TYPE); goto BE6Kq; gvSbV: } goto Iff6Q; cSYdq: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/multi-inventory/bom-mi-management-popup'); goto VsHxc; uy_bR: HraRR: goto jssSs; tbB1p: foreach ($atum_bom_mi_management_modal_ids as $bom_mi_order_item_id => $bom_mi_modal_data) { goto IEpbt; RmGVF: foreach ($bom_mi_modal_data as $bom_id => $accumulated_qty) { goto xXgTd; uUQuO: $per_unit_qty = $accumulated_qty / $order_item_qty; goto ajUeR; CLxLq: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/multi-inventory/bom-mi-management-item', compact('bom_product', 'item_product', 'order_item_id', 'qty', 'bom_order_items', 'changed_qtys', 'per_unit_qty', 'order_item')); goto c6qiI; o4_kk: cumj_: goto uUQuO; FYoJb: $qty = array_sum(wp_list_pluck($unsaved_bom_order_items[$bom_id], 'qty')); goto o4_kk; c6qiI: dXnib: goto qbMff; H0v1f: $changed_qtys = []; goto bifxF; Hbpm_: sTbIY: goto S0QIz; tCj8j: Q41sz: goto CLxLq; Wyepg: $filtered_items = wp_list_filter($bom_order_items, ['bom_id' => $bom_id]); goto Ld3fi; hmDOk: XolIR: goto Wyepg; Ld3fi: foreach ($filtered_items as $filtered_item) { goto qg8Z_; hagGk: if (empty($filtered_item->inventory_id)) { goto OxOWj; } goto RFd_D; qg8Z_: $qty += $filtered_item->qty; goto hagGk; WJBLb: OxOWj: goto mLXhH; mLXhH: sbOE3: goto QI1JE; RFd_D: $changed_qtys[$filtered_item->inventory_id] = $filtered_item->qty; goto WJBLb; QI1JE: } goto Hbpm_; VMTc7: $qty = 0; goto H0v1f; xXgTd: $bom_product = AtumHelpers::get_atum_product($bom_id); goto VMTc7; iYlnD: $qty = $accumulated_qty; goto tCj8j; ajUeR: if ($qty) { goto Q41sz; } goto iYlnD; S0QIz: $qty = array_sum(wp_list_pluck(wp_list_filter($bom_order_items, ['bom_id' => $bom_id]), 'qty')); goto FV84L; bifxF: if (!empty($bom_order_items)) { goto XolIR; } goto xsGni; xsGni: if (!empty($unsaved_bom_order_items) && is_array($unsaved_bom_order_items) && array_key_exists($bom_id, $unsaved_bom_order_items)) { goto bZMsH; } goto JumT3; JumT3: goto cumj_; goto hmDOk; yEkvi: bZMsH: goto FYoJb; FV84L: goto cumj_; goto yEkvi; qbMff: } goto VrTaE; x8aJ8: udGuE: goto BPTfZ; VrTaE: TeHKL: goto x8aJ8; jk4IP: goto udGuE; goto ilZR0; IEpbt: if (!($order_item_id !== $bom_mi_order_item_id)) { goto qveQG; } goto jk4IP; ilZR0: qveQG: goto RmGVF; BPTfZ: } goto pvly0; xwZF0: if ($this->bom_mi_management_popup_added) { goto dN40g; } goto cSYdq; rrSiC: pZNg6: goto IcsYo; u560F: VOmyO: goto FO5W1; GcgW9: $calculated_bom_order_items = $this->get_calculated_bom_order_items($inventory->product_id, $order_item_inventory->qty, $order_type_id); goto LLO1U; uMWZM: foreach ($calculated_bom_order_items as $bom_id => $inventories) { goto WuzFk; Tk1GW: $unsaved_bom_order_items = $calculated_bom_order_items; goto ALoU_; WuzFk: if (!(!array_key_exists($bom_id, $unsaved_bom_order_items) || wc_stock_amount(array_sum(wp_list_pluck($unsaved_bom_order_items[$bom_id], 'qty'))) !== wc_stock_amount(array_sum(wp_list_pluck($inventories, 'qty'))))) { goto u5uTE; } goto jPCGL; ALoU_: goto u4nFf; goto oGE8F; jPCGL: Helpers::set_bom_order_items_transient($order_id, $order_item_id, []); goto Tk1GW; oGE8F: u5uTE: goto iNSr9; iNSr9: c795g: goto zUUIe; zUUIe: } goto CmCnE; wUgjP: $unsaved_bom_order_items = Helpers::get_bom_order_items_transient($order_id); goto xZuXL; impET: $item_min_qty = 10 / pow(10, $stock_decimals + 1); goto xwZF0; viCNU: goto HraRR; goto gVAc9; Iff6Q: S7y1E: goto rrSiC; hNwe0: $unsaved_bom_order_items = $calculated_bom_order_items; goto pJ_Yp; t10PT: $order_id = $wc_order_type_id === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(); goto npd39; AEGPK: global $atum_bom_mi_management_modal_ids; goto F_OYW; CmCnE: u4nFf: goto Tr3yi; pJ_Yp: BOMOrderItemsPreModel::set_predicted_bom_order_items($order_id, $order_item_id, $unsaved_bom_order_items, FALSE); goto uy_bR; Vu5Np: if (!($inventory->is_main() && BOMModel::has_linked_bom($inventory->product_id))) { goto B78yP; } goto AEGPK; fYs5r: $stock_decimals = AtumStockDecimals::get_stock_decimals(); goto T2l9I; Za0i2: r3JXo: goto vAn2U; VsHxc: $this->bom_mi_management_popup_added = TRUE; goto AtgvN; d_Mmk: zTPfB: goto hNwe0; toAC9: $item_product = AtumHelpers::get_atum_product($inventory->product_id); goto fYs5r; pvly0: pwaRK: goto BcuyR; xZuXL: $unsaved_bom_order_items = is_array($unsaved_bom_order_items) && isset($unsaved_bom_order_items[$order_item_id]) ? $unsaved_bom_order_items[$order_item_id] : []; goto GcgW9; F_OYW: $order_item_id = $order_item->get_id(); goto rcjJm; IHXtz: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id, FALSE); goto toAC9; jssSs: if (!$item_product instanceof \WC_Product) { goto VOmyO; } goto dxygW; hq_2L: } public function display_order_item_bom_tree($order_item_id, $order_item, $order = NULL, $order_item_qty = NULL) { goto f_HsY; gyp2r: $bottom_level_bom_children = Helpers::find_bottom_level_children($product_id); goto UO1_t; D1V3l: $stock_decimals = AtumStockDecimals::get_stock_decimals(); goto BU9iU; UO1_t: $is_editable = FALSE; goto UwDg5; xur8x: foreach ($calculated_bom_order_items as $bom_id => $inventories) { goto D30dS; WkJA3: $transient_created = FALSE; goto a0Na1; HwERN: $unsaved_bom_order_items = $calculated_bom_order_items; goto WkJA3; wN41w: qjZZt: goto s4GNA; Uh_OA: BOMOrderItemsPreModel::set_predicted_bom_order_items($order_id, $order_item_id, $calculated_bom_order_items, FALSE); goto HwERN; a0Na1: goto Z09OB; goto wN41w; D30dS: if (!(!array_key_exists($bom_id, $unsaved_bom_order_items) || (float) array_sum(wp_list_pluck($unsaved_bom_order_items[$bom_id], 'qty')) !== (float) array_sum(wp_list_pluck($inventories, 'qty')))) { goto qjZZt; } goto Uh_OA; s4GNA: Yo6tm: goto kW2BT; kW2BT: } goto su9l2; j5aXd: grmyM: goto b5NE3; fVJeU: x3mEo: goto sNCXl; HELYl: $atum_bom_mi_management_modal_ids = []; goto QbKfP; Lyjsw: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/bom-tree', compact('is_editable', 'order_item', 'order_item_qty', 'order_type_id', 'bom_order_items', 'unsaved_bom_order_items', 'transient_created', 'item_product', 'order', 'is_completed')); goto vS1Xc; mD86A: $unsaved_bom_order_items = $calculated_bom_order_items; goto VdJ0e; u78n8: OMppf: goto aqpKw; iU8DH: if (empty($order_item_inventories)) { goto OMppf; } goto miZGs; mOIxN: if (!($show_tree && $item_product instanceof \WC_Product)) { goto jUUyZ; } goto Lyjsw; C1PMW: $item_product = AtumHelpers::get_atum_product($product_id); goto zBfp2; zBfp2: if ($item_product instanceof \WC_Product) { goto DWlTb; } goto FE0fQ; wT2eh: if (empty($atum_bom_mi_management_modal_ids)) { goto r6tYf; } goto RjJp8; cbNvV: if ($this->bom_mi_management_popup_added) { goto d3g1J; } goto dD6rn; vS1Xc: jUUyZ: goto wT2eh; SnIkR: vQZG8: goto KOJpV; oilee: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id, FALSE); goto wt6so; dL85F: jCnKl: goto A784X; DPwHP: $transient_created = TRUE; goto xur8x; b5NE3: $unsaved_bom_order_items = $unsaved_bom_order_items[$order_item_id]; goto DPwHP; QYQor: $order_item_inventories = Inventory::get_order_item_inventories($order_item_id, AtumGlobals::get_order_type_id($order_type)); goto iU8DH; YKMHe: Q1bsJ: goto mOIxN; aoavU: $this->bom_mi_management_popup_added = TRUE; goto qqWwk; wt6so: $order_item_qty = !is_null($order_item_qty) ? $order_item_qty : $order_item->get_quantity(); goto TVWrr; TVWrr: $unsaved_bom_order_items = Helpers::get_bom_order_items_transient($order_id); goto XaUMJ; aqpKw: JZbkd: goto aILsJ; su9l2: Z09OB: goto YKMHe; qqWwk: d3g1J: goto lbbIS; EkKQT: G5Xfz: goto rkSfO; rIOIh: $is_completed = FALSE; goto mrzOU; FE0fQ: return; goto FJayt; aILsJ: if (!(BOMModel::has_linked_bom($product_id) && (!$has_multi_inventory || !$order_item_has_main))) { goto jCnKl; } goto gyp2r; lbbIS: foreach ($atum_bom_mi_management_modal_ids as $bom_mi_order_item_id => $bom_mi_modal_data) { goto eHEgf; bRj2l: goto Ycr6i; goto Ej7yT; s73ZW: foreach ($bom_mi_modal_data as $bom_id => $accumulated_qty) { goto cnung; gNuJg: $per_unit_qty = round($accumulated_qty / $order_item_qty, $stock_decimals); goto P301H; Gc1oc: goto vU35T; goto KjWPI; Twzu5: if (!empty($unsaved_bom_order_items) && is_array($unsaved_bom_order_items) && array_key_exists($bom_id, $unsaved_bom_order_items)) { goto M5bej; } goto W4AOB; HxJXv: if (!empty($bom_order_items)) { goto kAs2H; } goto Twzu5; KjWPI: M5bej: goto YNmJj; r1PwZ: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/multi-inventory/bom-mi-management-item', compact('bom_product', 'item_product', 'order_item_id', 'qty', 'bom_order_items', 'per_unit_qty', 'order_item')); goto Qe7Ua; S2ISs: kAs2H: goto vDMUm; P301H: if ($qty) { goto aMvRr; } goto Prx3Y; keoQC: vU35T: goto gNuJg; cnung: $bom_product = AtumHelpers::get_atum_product($bom_id); goto kbVac; W4AOB: goto vU35T; goto S2ISs; Prx3Y: $qty = $accumulated_qty; goto wqvP6; vDMUm: $qty = array_sum(wp_list_pluck(wp_list_filter($bom_order_items, ['bom_id' => $bom_id]), 'qty')); goto Gc1oc; YNmJj: $qty = array_sum(wp_list_pluck($unsaved_bom_order_items[$bom_id], 'qty')); goto keoQC; wqvP6: aMvRr: goto r1PwZ; Qe7Ua: gmb8e: goto bCnGy; kbVac: $qty = 0; goto HxJXv; bCnGy: } goto A9_jV; A9_jV: RyuJf: goto PiKmX; PiKmX: Ycr6i: goto zJeJ3; eHEgf: if (!($order_item_id !== $bom_mi_order_item_id)) { goto fBaKd; } goto bRj2l; Ej7yT: fBaKd: goto s73ZW; zJeJ3: } goto l4I3p; JjqlN: if (!in_array($main_inventory->id, $inventory_ids)) { goto K3vG7; } goto mPf65; VgEK2: $show_tree = TRUE; goto zU64h; t_o5l: K3vG7: goto u78n8; mPf65: $order_item_has_main = TRUE; goto t_o5l; FJayt: DWlTb: goto yL31W; zU64h: if (!$has_multi_inventory) { goto JZbkd; } goto QYQor; Gnf0W: if ($is_completed) { goto vQZG8; } goto mD86A; rkSfO: qy3WU: goto oilee; VdJ0e: BOMOrderItemsPreModel::set_predicted_bom_order_items($order_id, $order_item_id, $unsaved_bom_order_items, FALSE); goto SnIkR; RjJp8: $item_min_qty = 10 / pow(10, $stock_decimals + 1); goto tVsjv; miZGs: $show_tree = FALSE; goto mxd97; dD6rn: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/multi-inventory/bom-mi-management-popup'); goto aoavU; l4I3p: VKJdj: goto HELYl; IMlzU: $transient_created = FALSE; goto Gnf0W; Oc0n8: $has_multi_inventory = 'yes' === MIHelpers::get_product_multi_inventory_status($item_product) && MIHelpers::is_product_multi_inventory_compatible($item_product); goto ErKhj; mrzOU: switch ($order_type_id) { case 1: goto HF0y0; dWNco: $chg_stock_order_complete = 'yes' === AtumHelpers::get_option('chg_stock_order_complete', 'no'); goto SJB_B; H8hS8: goto qy3WU; goto XWLli; SJB_B: $completed_statuses = $chg_stock_order_complete ? array('completed') : array('on-hold', 'processing', 'completed'); goto K1fP8; HF0y0: $order = $order_item->get_order(); goto dWNco; K1fP8: $is_completed = in_array($order->get_status(), $completed_statuses, TRUE); goto H8hS8; XWLli: case 2: goto NqIxU; TQ44p: goto qy3WU; goto o0sUf; VJfSD: $is_completed = $order->get_status() === PurchaseOrders::FINISHED; goto TQ44p; NqIxU: $order = AtumHelpers::get_atum_order_model($order_item->get_atum_order_id(), FALSE, PurchaseOrders::POST_TYPE); goto VJfSD; o0sUf: case 3: goto BE2ud; U_FOF: $is_completed = $order->get_status() === InventoryLogs::FINISHED; goto SHcD6; BE2ud: $order = AtumHelpers::get_atum_order_model($order_item->get_atum_order_id(), FALSE, InventoryLogs::POST_TYPE); goto U_FOF; SHcD6: goto qy3WU; goto ERBb3; ERBb3: } goto EkKQT; f_HsY: $product_id = $order_item->get_variation_id() ?: $order_item->get_product_id(); goto C1PMW; Wx3af: $inventory_ids = array_map(function ($oi) { return $oi->inventory_id; }, $order_item_inventories); goto JjqlN; sNCXl: global $atum_bom_mi_management_modal_ids; goto XJeif; QbKfP: r6tYf: goto dL85F; KOJpV: goto Q1bsJ; goto j5aXd; PkQ_q: $order_type_id = AtumGlobals::get_order_type_id($order_type); goto rIOIh; XaUMJ: $calculated_bom_order_items = $this->get_calculated_bom_order_items($product_id, $order_item_qty, AtumGlobals::get_order_type_id($order_type)); goto D1V3l; tVsjv: $order_item_id = $order_item->get_id(); goto cbNvV; BU9iU: if (is_array($unsaved_bom_order_items) && isset($unsaved_bom_order_items[$order_item_id])) { goto grmyM; } goto IMlzU; UwDg5: foreach ($bottom_level_bom_children as $bom_child_id) { goto euH9p; F0tc8: GYmFW: goto sy1a5; sy1a5: bJ1DB: goto rdwHs; DrDYX: kGfi6: goto xoY24; eRc95: $is_editable = TRUE; goto DrDYX; xoY24: goto x3mEo; goto F0tc8; euH9p: if (!('yes' === MIHelpers::get_product_multi_inventory_status($bom_child_id))) { goto GYmFW; } goto ZgWcO; ZgWcO: if ($has_multi_inventory) { goto kGfi6; } goto eRc95; rdwHs: } goto fVJeU; ErKhj: $order_item_has_main = FALSE; goto VgEK2; XJeif: $order_id = $order->get_id(); goto PkQ_q; mxd97: $main_inventory = Inventory::get_product_main_inventory($product_id); goto Wx3af; yL31W: $order_type = $order instanceof \WC_Order ? $order->get_type() : $order->get_post_type(); goto Oc0n8; A784X: } public function call_display_order_item_bom_tree($item, $atum_order) { $this->display_order_item_bom_tree($item->get_id(), $item, $atum_order, $item->get_quantity()); } public function get_ajax_order_item_inventory_bom_tree($content, $order_item_id, $order_id, $tree_bom_order_items) { goto XRAql; nEhFn: $item_product = AtumHelpers::get_atum_product($order_item->get_product()); goto aZzHq; XRAql: $order_post_type = get_post_type($order_id); goto uwWas; tXmz0: $order_type_id = AtumGlobals::get_order_type_id($order_post_type); goto Bp4Tr; b9kRj: $order_item_inventory = FALSE; goto YS4Ur; H9kwi: $content = AtumHelpers::load_view_to_string(ATUM_LEVELS_PATH . 'views/meta-boxes/order-items/multi-inventory/bom-mi-tree', compact('inventory', 'order_item_inventory', 'order_item', 'order_item_qty', 'order_type_id', 'bom_order_items', 'unsaved_bom_order_items', 'item_product', 'order', 'is_completed')); goto L2Ug3; yeJcg: ETiCV: goto YwnSr; uwWas: if (!(!$order_post_type && AtumHelpers::is_using_hpos_tables())) { goto fEYfZ; } goto vkvBp; bShW3: $order_item = $is_atum_order ? $order->get_atum_order_item($order_item_id) : new \WC_Order_Item_Product($order_item_id); goto D8Ukw; NBxsS: NOmCI: goto H9kwi; Mhcg3: fEYfZ: goto S22Bv; vkvBp: $order_post_type = OrderUtil::get_order_type($order_id); goto Mhcg3; Bcn90: $unsaved_bom_order_items = $tree_bom_order_items; goto LWqib; YwnSr: rfLOg: goto xg7Q8; mBIjE: $bom_order_items = []; goto Bcn90; Bp4Tr: $order = $is_atum_order ? AtumHelpers::get_atum_order_model($order_id, TRUE) : wc_get_order($order_id); goto bShW3; YS4Ur: $is_completed = FALSE; goto TXtLC; L2Ug3: return $content; goto S65ZI; TXtLC: switch ($order_type_id) { case AtumGlobals::get_order_type_id(): goto FfG30; o3kiR: $chg_stock_order_complete = 'yes' === AtumHelpers::get_option('chg_stock_order_complete', 'no'); goto EqM1c; FfG30: $order = $order_item->get_order(); goto o3kiR; vFcgj: goto rfLOg; goto id7OW; EqM1c: $completed_statuses = $chg_stock_order_complete ? ['completed'] : ['on-hold', 'processing', 'completed']; goto AAl3u; AAl3u: $is_completed = in_array($order->get_status(), $completed_statuses, TRUE); goto vFcgj; id7OW: case AtumGlobals::get_order_type_id(PurchaseOrders::POST_TYPE): goto WFkj4; WFkj4: $order = AtumHelpers::get_atum_order_model($order_item->get_atum_order_id(), FALSE, PurchaseOrders::POST_TYPE); goto O_fv6; wQnmB: goto rfLOg; goto INXA5; O_fv6: $is_completed = $order->get_status() === PurchaseOrders::FINISHED; goto wQnmB; INXA5: case AtumGlobals::get_order_type_id(InventoryLogs::POST_TYPE): goto wPk4U; yqY2K: goto rfLOg; goto YMsEm; wPk4U: $order = AtumHelpers::get_atum_order_model($order_item->get_atum_order_id(), FALSE, InventoryLogs::POST_TYPE); goto q3KAV; q3KAV: $is_completed = $order->get_status() === InventoryLogs::FINISHED; goto yqY2K; YMsEm: } goto yeJcg; LWqib: $order_item_inventories = Inventory::get_order_item_inventories($order_item_id, $order_type_id); goto b9kRj; xg7Q8: foreach ($order_item_inventories as $index => $inventory_data) { goto T9y8S; T9y8S: if (!($inventory->id === (int) $inventory_data->inventory_id)) { goto W_1qS; } goto uos0P; uos0P: $order_item_inventory = $inventory_data; goto wFDF9; wFDF9: W_1qS: goto ZNWb0; ZNWb0: TBSXP: goto BlZQy; BlZQy: } goto NBxsS; aZzHq: $inventory = Inventory::get_product_main_inventory($item_product->get_id()); goto mBIjE; S22Bv: $is_atum_order = in_array($order_post_type, AtumGlobals::get_atum_order_types(), TRUE); goto tXmz0; D8Ukw: $order_item_qty = $order_item->get_quantity(); goto nEhFn; S65ZI: } public function maybe_insert_bom_order_item($insert, $order_item, $order_type_id, $linked_bom, $qty, $bom_product, $accumulated_multiplier) { goto pH2jd; obJWX: pCDeT: goto V7Jzl; MAJSr: $bom_order_item_inventories = Helpers::get_bom_order_items_transient($order_id); goto Uhy1I; YJb6k: if ($wc_order_type_id === $order_type_id && !empty(MIOrders::get_instance()->updated_order_item_inventories[$order_id][$order_item_id])) { goto lrlv5; } goto MAJSr; W3fBm: $this->insert_bom_order_items($inventories, $qty, $order_item_id, $order_type_id, $bom_id, $linked_bom->bom_type); goto LCJVS; skNFV: foreach ($changes['insert'] as $inventory_id => $data) { goto AlcR3; TxTGo: tkMeJ: goto mQhSn; mQhSn: rptV6: goto FeFDO; NxsqF: $this->insert_bom_order_items($inventories, $data['qty'] * $accumulated_multiplier, $order_item_id, $order_type_id, $bom_id, $linked_bom->bom_type); goto TxTGo; qI5a_: if (!$inv->is_main()) { goto tkMeJ; } goto NxsqF; AlcR3: $inv = MIHelpers::get_inventory($inventory_id); goto qI5a_; FeFDO: } goto EXR4I; XKCwv: foreach ($inventories as $index => $inventory) { goto EjyuW; EjyuW: if (!($only_main && !$inventory->is_main())) { goto ryLGa; } goto ZrUl5; Jnw7U: Ay5BP: goto cO1Xu; ZrUl5: unset($inventories[$index]); goto lcwy_; lcwy_: ryLGa: goto Jnw7U; cO1Xu: } goto s0XaK; VUSwg: goto JnSdr; goto rxwcc; mCKDW: if ('yes' === MIHelpers::get_product_multi_inventory_status($bom_product) && MIHelpers::is_product_multi_inventory_compatible($bom_product)) { goto NP5MR; } goto EZV11; ygPEP: lrlv5: goto Y63zT; TmQh0: Lja8u: goto W3fBm; QYT0a: foreach (['increase', 'decrease'] as $action) { goto Ey_9T; jTEoI: foreach ($changes[$action] as $inventory_order_data) { goto T7xeZ; jrSTU: $insert = FALSE; goto Jci7G; LLITY: YYrhR: goto eAVPL; Jci7G: goto MXpCR; goto LLITY; T7xeZ: if (!$inventory_order_data['inventory']->is_main()) { goto YYrhR; } goto bBuXh; eAVPL: be5RD: goto tFC7_; bBuXh: BOMOrderItemsModel::insert_bom_order_item($order_item_id, $order_type_id, $linked_bom->bom_id, $linked_bom->bom_type, $inventory_order_data['data']['reduced_stock'] * $accumulated_multiplier); goto jrSTU; tFC7_: } goto PPR3j; PPR3j: MXpCR: goto aVypX; rWv0e: lW2dw: goto hQmWA; Ey_9T: if (empty($changes[$action])) { goto H1zYT; } goto jTEoI; aVypX: H1zYT: goto rWv0e; hQmWA: } goto eIdkc; rXhJb: if (!(!$main_found && Helpers::is_bom_stock_control_enabled())) { goto Joxe2; } goto hiiSg; VgoAf: if (empty($changes['insert'])) { goto r23LX; } goto WJCNM; u5CZK: yQsmE: goto yjuYa; ymcGg: xVQkK: goto hK_B8; hdN7M: Ei_U5: goto X5MqK; pH2jd: if (!$insert) { goto AZGrS; } goto xp2qO; VfHOG: if (!('yes' === MIHelpers::get_product_multi_inventory_status($product) && MIHelpers::is_product_multi_inventory_compatible($product))) { goto Lja8u; } goto jeKFH; gKG0U: $product = $order_item->get_product(); goto VfHOG; sPAWA: hBNRi: goto SCPQ_; aM2f6: goto Ei_U5; goto ygPEP; hc2aE: AZGrS: goto SQhmK; V7Jzl: $changes = MIOrders::get_instance()->updated_order_item_inventories[$order_id][$order_item_id]; goto VgoAf; cMjl3: $inventories = MIHelpers::get_product_inventories_sorted($bom_id); goto pIr1L; htzzQ: $main_found = FALSE; goto rR_lG; s0XaK: rYol2: goto i8wrX; HEkBW: $wc_order_type_id = AtumGlobals::get_order_type_id(); goto mCKDW; kfOib: JnSdr: goto hc2aE; X5MqK: OWajG: goto kfOib; ellPb: $insert = FALSE; goto YJb6k; hos1_: dxh6t: goto Iq91T; jeKFH: $order_item_inventories = Inventory::get_order_item_inventories($order_item_id, $order_type_id); goto htzzQ; P2a83: Joxe2: goto TmQh0; RkDGx: if (!('yes' === MIHelpers::get_product_multi_inventory_status($product) && MIHelpers::is_product_multi_inventory_compatible($product))) { goto rY86z; } goto FWw1X; afkO3: r23LX: goto u5CZK; Uhy1I: if (isset($bom_order_item_inventories, $bom_order_item_inventories[$order_item_id], $bom_order_item_inventories[$order_item_id][$bom_id])) { goto hBNRi; } goto gKG0U; EXR4I: b942w: goto hos1_; SOjMV: if (empty($changes['insert'])) { goto dxh6t; } goto skNFV; Wvorb: foreach ($order_item_inventories as $order_item_inventory) { goto K5KBg; m5Uum: $insert = FALSE; goto BkK5a; K5KBg: $inv = MIHelpers::get_inventory($order_item_inventory->inventory_id); goto P0Xhd; vz4i1: BOMOrderItemsModel::insert_bom_order_item($order_item_id, $order_type_id, $linked_bom->bom_id, $linked_bom->bom_type, $order_item_inventory->qty * $accumulated_multiplier); goto m5Uum; lZrXy: Cx3xb: goto iF3sb; BkK5a: goto xVQkK; goto VMY8c; VMY8c: n_lrW: goto lZrXy; P0Xhd: if (!$inv->is_main()) { goto n_lrW; } goto vz4i1; iF3sb: } goto ymcGg; CKG82: $order_item_inventories = Inventory::get_order_item_inventories($order_item_id, $order_type_id); goto Wvorb; DjKVc: fDwJi: goto QYT0a; EZV11: $product = $order_item->get_product(); goto RkDGx; SQhmK: return $insert; goto aa3tb; pIr1L: $only_main = BOMModel::has_linked_bom($bom_id) && Helpers::is_bom_stock_control_enabled(); goto XKCwv; lwcxy: $bom_id = $bom_product->get_id(); goto cMjl3; hiiSg: return $insert; goto P2a83; yjuYa: rY86z: goto VUSwg; hK_B8: goto yQsmE; goto obJWX; LCJVS: goto oeMc1; goto sPAWA; rxwcc: NP5MR: goto lwcxy; eIdkc: GaNpy: goto afkO3; WJCNM: foreach ($changes['insert'] as $inventory_id => $data) { goto P7aKf; ZPsCy: BOMOrderItemsModel::insert_bom_order_item($order_item_id, $order_type_id, $linked_bom->bom_id, $linked_bom->bom_type, $data['qty'] * $accumulated_multiplier); goto KjQuY; tM6dn: TO4DV: goto Jl7DT; fc6RZ: goto fDwJi; goto tM6dn; Jl7DT: IG3OI: goto P1dG7; P7aKf: $inv = MIHelpers::get_inventory($inventory_id); goto pZGXv; pZGXv: if (!$inv->is_main()) { goto TO4DV; } goto ZPsCy; KjQuY: $insert = FALSE; goto fc6RZ; P1dG7: } goto DjKVc; Iq91T: foreach (['increase', 'decrease'] as $action) { goto vsOx4; wx9OV: J4jgj: goto PwYuZ; dSy1d: foreach ($changes[$action] as $inventory_order_data) { goto FRMfl; FRMfl: if (!$inventory_order_data['inventory']->is_main()) { goto WLPNK; } goto gDLTT; ksyU4: goq5W: goto rkala; ogy4N: WLPNK: goto ksyU4; gDLTT: $this->insert_bom_order_items($inventories, $inventory_order_data['data']['reduced_stock'] * $accumulated_multiplier, $order_item_id, $order_type_id, $bom_id, $linked_bom->bom_type); goto ogy4N; rkala: } goto tMlIx; tuxkF: fgWIm: goto wx9OV; vsOx4: if (empty($changes[$action])) { goto fgWIm; } goto dSy1d; tMlIx: Sle_0: goto tuxkF; PwYuZ: } goto pDK01; eLWHx: qP5Z0: goto DIEWO; i8wrX: if (empty($inventories)) { goto OWajG; } goto ellPb; DIEWO: oeMc1: goto aM2f6; DX8Ap: cAG14: goto rXhJb; SCPQ_: foreach ($bom_order_item_inventories[$order_item_id][$bom_id] as $bom_inventory) { goto NE1YJ; Im0WY: XudMe: goto EuLfL; Wndys: goto C4kUr; goto Im0WY; ZG6PL: SC1ba: goto cVTsy; EuLfL: $inventory = NULL; goto tUMTC; cVTsy: if (!is_null($inventory)) { goto YoNc6; } goto frR3F; NE1YJ: if (!(floatval($bom_inventory['qty']) <= 0)) { goto XudMe; } goto Wndys; tUMTC: foreach ($inventories as $index => $inv) { goto m0riB; gla9a: unset($inventories[$index]); goto q4AZT; urCze: ijEI8: goto ygRBs; q4AZT: goto SC1ba; goto urCze; wsJ2m: $inventory = $inv; goto gla9a; m0riB: if (!($inv->id === $bom_inventory['inventory_id'])) { goto ijEI8; } goto wsJ2m; ygRBs: DHqWW: goto RGo8O; RGo8O: } goto ZG6PL; krQ7p: BOMOrderItemsModel::insert_bom_order_item($order_item_id, $order_type_id, $bom_id, $linked_bom->bom_type, $bom_inventory['qty'], $inventory->id); goto icGpd; icGpd: C4kUr: goto z5iq2; shHiW: YoNc6: goto krQ7p; frR3F: goto C4kUr; goto shHiW; z5iq2: } goto eLWHx; FWw1X: if ($wc_order_type_id === $order_type_id && !empty(MIOrders::get_instance()->updated_order_item_inventories[$order_id][$order_item_id])) { goto pCDeT; } goto CKG82; rR_lG: foreach ($order_item_inventories as $order_item_inventory) { goto qmumI; BG_jE: goto cAG14; goto uhL0Q; K3NLN: JIK2B: goto YCdQG; uhL0Q: pHpuD: goto K3NLN; R60jW: $main_found = TRUE; goto BG_jE; x3pNX: $qty = $order_item_inventory->qty * $accumulated_multiplier; goto R60jW; qmumI: $inv = MIHelpers::get_inventory($order_item_inventory->inventory_id); goto o1kAH; o1kAH: if (!$inv->is_main()) { goto pHpuD; } goto x3pNX; YCdQG: } goto DX8Ap; xp2qO: $order_item_id = $order_item->get_id(); goto FVhwL; pDK01: RHgYb: goto hdN7M; Y63zT: $changes = MIOrders::get_instance()->updated_order_item_inventories[$order_id][$order_item_id]; goto SOjMV; FVhwL: $order_id = is_callable(array($order_item, 'get_atum_order_id')) ? $order_item->get_atum_order_id() : $order_item->get_order_id(); goto HEkBW; aa3tb: } public function maybe_refresh_bom_order_transient($order_item, $order_type_id) { goto XPFC9; l3Fzx: $bom_order_items = Helpers::get_bom_order_items_transient($order_id); goto Cc22N; FmAf7: pFF2e: goto nxU_n; XPFC9: $order_id = AtumGlobals::get_order_type_id() === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(); goto l3Fzx; Fh7n3: $this->move_bom_order_items_before_clean($order_item->get_id(), $order_type_id); goto FmAf7; Cc22N: if (empty($bom_order_items[$order_item->get_id()])) { goto pFF2e; } goto Fh7n3; nxU_n: } public function insert_bom_order_items($inventories, $qty, $order_item_id, $order_type_id, $bom_id, $bom_type) { goto QFazY; bmUqm: $counter = 1; goto oTk9t; SJIN7: ClYng: goto IVm5d; adC33: return; goto zRfRz; iYdCA: $inv_count = count($inventories); goto bmUqm; QFazY: if (!(AtumGlobals::get_order_type_id() === $order_type_id && !Helpers::is_bom_stock_control_enabled() && 'yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto dNj08; } goto adC33; zRfRz: dNj08: goto iYdCA; oTk9t: foreach ($inventories as $inventory) { goto J5QYW; AY9KU: ssNIo: goto E50FI; ZN1LE: $qty -= $inv_stock; goto VHxmW; J5QYW: $to_discount = 0; goto icR6r; zjoZW: dVvLa: goto CeP1L; hfL_j: goto QIZ3D; goto AY9KU; VHxmW: QIZ3D: goto Jd8of; S4tX8: if (AtumGlobals::get_order_type_id(PurchaseOrders::POST_TYPE) === $order_type_id || $inv_stock >= $qty || $inv_count === $counter || 'no' !== $inventory->backorders || !$inventory->managing_stock() && in_array($inventory->stock_status, ['instock', 'onbackorder'], TRUE)) { goto dVvLa; } goto aAfLX; icR6r: $inv_stock = $inventory->get_available_stock(); goto S4tX8; Jd8of: if (!($to_discount > 0)) { goto Cox3h; } goto yKEzn; aAfLX: if (0 < $inv_stock) { goto ssNIo; } goto Axk_r; gfmz1: z7vm9: goto XuwfP; uQbZc: goto ClYng; goto BBltV; Axk_r: goto QIZ3D; goto zjoZW; QoRG2: if (!($qty <= 0)) { goto MNdFp; } goto uQbZc; E50FI: $to_discount = $inv_stock; goto ZN1LE; EteiP: $qty = 0; goto hfL_j; BBltV: MNdFp: goto xf3zd; CeP1L: $to_discount = $qty; goto EteiP; YlgkB: Cox3h: goto QoRG2; yKEzn: BOMOrderItemsModel::insert_bom_order_item($order_item_id, $order_type_id, $bom_id, $bom_type, $to_discount, $inventory->id); goto YlgkB; xf3zd: $counter++; goto gfmz1; XuwfP: } goto SJIN7; IVm5d: } public function maybe_decrease_bom_order_item_inventories($decrease, $order_item, $bom_id, $qty, $changed_qty, $order_type) { return !$this->change_bom_inventory_stock($order_item, $bom_id, $qty, $changed_qty, $order_type, 'decrease'); } public function maybe_increase_bom_order_item_inventories($increase, $order_item, $bom_id, $qty, $changed_qty, $order_type_id) { return !$this->change_bom_inventory_stock($order_item, $bom_id, $qty, $changed_qty, $order_type_id, 'increase'); } private function change_bom_inventory_stock($order_item, $bom_id, $qty, $changed_qty, $order_type_id, $action) { goto XNa2b; wZxdi: $order_item_id = $order_item->get_id(); goto k00B3; h3Uq6: foreach ($bom_order_items as $bom_order_item) { goto u3yVg; LNEju: goto kcfgH; goto bGEog; JD3zW: if ($bom_order_item->inventory_id) { goto SvroF; } goto joiUF; LA453: $qty_to_change = $bom_order_item->qty - $changed_qty; goto D42MO; oNcNb: $changed_qty = (float) $changed_qty; goto NceX3; o6zZI: add_filter('atum/get_option/out_stock_threshold', '__return_false'); goto X_aAn; TELMZ: $update_qty = apply_filters('atum/product_levels/update_stock_quantity', $qty_to_change, $bom_product, $inventory); goto hepA_; f_mnX: $inventory->save_meta(); goto d45fW; LuYN4: $changed = TRUE; goto LNEju; NceX3: $qty = (float) $qty; goto hJmVL; Thoy2: BOMOrderItemsModel::update_bom_order_item($order_item_id, $order_type_id, $bom_id, $bom_order_item->bom_type, $qty); goto LuYN4; R9UzH: remove_filter('atum/get_option/out_stock_threshold', '__return_false'); goto nOg7d; Zbq5m: $inventory = MIHelpers::get_inventory($inventory->id, $bom_id, TRUE); goto R5aiH; haLwc: SvroF: goto aPu7O; X_aAn: $new_stock = 'increase' === $action ? $inventory->get_available_stock() + $qty_to_change : $inventory->get_available_stock() - $qty_to_change; goto R9UzH; bypk9: $inventory = MIHelpers::get_inventory($bom_order_item->inventory_id, $bom_id); goto FybM0; bGEog: BlDI7: goto bypk9; aPu7O: $inventory = MIHelpers::get_inventory($bom_order_item->inventory_id, $bom_id); goto caWVg; nJhmd: QXoWA: goto o6zZI; W1USk: rDqFU: goto epynj; caWVg: if (!$inventory->is_main()) { goto QXoWA; } goto TC2Zd; TC2Zd: $inventory = MIHelpers::get_inventory($inventory->id, $bom_id, TRUE); goto nJhmd; lys0g: wc_update_product_stock($bom_product, $update_qty, $action); goto qq2az; r_T5M: $changed_qty = (float) $changed_qty; goto PPBA4; CIhgr: if ($bom_order_item->inventory_id) { goto BlDI7; } goto oNcNb; PU103: foreach (['change', 'delete'] as $action) { goto PttjI; PQFAF: goto gBbXB; goto KJMJu; jB0kp: $changed = TRUE; goto PQFAF; uJdA3: $inventory->save_meta(); goto jB0kp; App1e: if (!$found) { goto tZzxz; } goto bwgIS; PttjI: if (empty($this->changed_order_item_inventories[$order_id][$order_item_id][$action])) { goto Aj48f; } goto ILVfk; bwgIS: $found_key = array_key_first($found); goto EcCy1; N92Nj: QmrNN: goto lvAv3; ILVfk: $found = wp_list_filter($this->changed_order_item_inventories[$order_id][$order_item_id][$action], array('bom_id' => (string) $bom_id, 'inventory_id' => $bom_order_item->inventory_id)); goto App1e; vO1eZ: $inventory->set_meta(['stock_quantity' => $new_stock]); goto uJdA3; lvAv3: pvXZJ: goto vO1eZ; WXMm3: Aj48f: goto yhj2J; yhj2J: Fl7az: goto H8sFi; EcCy1: switch ($action) { case 'change': goto WzFCk; arNKX: goto pvXZJ; goto DS6CE; glueH: $new_stock = $inventory->get_available_stock() + $found[$found_key]->diff; goto CN9Vr; SBAHF: BOMOrderItemsModel::update_bom_order_item($order_item_id, $order_type_id, $bom_id, $bom_order_item->bom_type, $found[$found_key]->qty, $bom_order_item->inventory_id); goto arNKX; CN9Vr: remove_filter('atum/get_option/out_stock_threshold', '__return_false'); goto SBAHF; WzFCk: add_filter('atum/get_option/out_stock_threshold', '__return_false'); goto glueH; DS6CE: case 'delete': goto AIM0g; AIM0g: add_filter('atum/get_option/out_stock_threshold', '__return_false'); goto o2scT; m0MWl: remove_filter('atum/get_option/out_stock_threshold', '__return_false'); goto ryevK; ryevK: BOMOrderItemsModel::delete_bom_order_item($order_item_id, $order_type_id, $bom_id, $bom_order_item->inventory_id); goto IxjUr; IxjUr: goto pvXZJ; goto SSJ91; o2scT: $new_stock = $inventory->get_available_stock() + $found[$found_key]->qty; goto m0MWl; SSJ91: } goto N92Nj; KJMJu: tZzxz: goto WXMm3; H8sFi: } goto Jmsf2; u3yVg: if (!($bom_id !== $bom_order_item->bom_id)) { goto Pv9Xa; } goto IepOi; R5aiH: UQkxq: goto PU103; URjCs: cxbLJ: goto LA453; yy475: remove_filter('woocommerce_stock_amount', 'intval'); goto URjCs; PPBA4: if (!(!AtumStockDecimals::get_stock_decimals() && is_float($qty))) { goto cxbLJ; } goto yy475; hepA_: wc_update_product_stock($bom_product, $update_qty, 'decrease'); goto Thoy2; hJmVL: $qty_to_change = $qty - $changed_qty; goto TELMZ; khRAr: if ($may_have_changed) { goto S3vDc; } goto r_T5M; QpNTi: add_filter('woocommerce_stock_amount', 'intval'); goto DpfP9; d5Gsg: Pv9Xa: goto khRAr; pVaBA: $update_qty = apply_filters('atum/product_levels/update_stock_quantity', $qty_to_change, $bom_product, $order_item_product); goto lys0g; zvssX: $changed = TRUE; goto P0DYB; nOg7d: $inventory->set_meta(['stock_quantity' => $new_stock]); goto f_mnX; fiBvq: S3vDc: goto CIhgr; d45fW: vsmAS: goto zvssX; qq2az: goto vsmAS; goto haLwc; DpfP9: JBuOP: goto JD3zW; Jmsf2: gBbXB: goto inqm5; IepOi: goto XsUW7; goto d5Gsg; FybM0: if (!$inventory->is_main()) { goto UQkxq; } goto Zbq5m; D42MO: if (!(!AtumStockDecimals::get_stock_decimals() && is_float($qty))) { goto JBuOP; } goto QpNTi; epynj: XsUW7: goto Vu68O; joiUF: $order_item_product = AtumHelpers::get_atum_product($order_item->get_variation_id() ?: $order_item->get_product_id()); goto pVaBA; P0DYB: goto rDqFU; goto fiBvq; inqm5: kcfgH: goto W1USk; Vu68O: } goto cTW7i; V_7R9: ikKLS: goto ojeCQ; xJnVj: return $changed; goto t8X83; RYa9h: tnx5U: goto PsdsU; PsdsU: $may_have_changed = AtumGlobals::get_order_type_id() === $order_type_id && !empty($this->changed_order_item_inventories[$order_id][$order_item_id]); goto WKgNI; NB_VB: on1D5: goto xJnVj; Wr51o: foreach ($order_item_inventories as $order_item_inventory) { goto GaPXV; Qo4Qo: fMkLF: goto iu7Kw; iu7Kw: TJoIb: goto w7zLj; LdhXV: $main_found = TRUE; goto QtnR0; GaPXV: $inv = MIHelpers::get_inventory($order_item_inventory->inventory_id); goto JPq8t; JPq8t: if (!$inv->is_main()) { goto fMkLF; } goto LdhXV; QtnR0: goto ikKLS; goto Qo4Qo; w7zLj: } goto V_7R9; WNOK5: $product = $order_item->get_product(); goto Lvbi6; hbzCa: if (!empty($order_item_inventories)) { goto EPHtt; } goto YNx_J; oFU_m: vkSGH: goto RYa9h; ZeGxn: if (!($may_have_changed && !empty($this->changed_order_item_inventories[$order_id][$order_item_id]['insert']))) { goto EmQCs; } goto A3HsY; k00B3: $order_id = $order_item->get_order_id(); goto TzSUP; Z96f_: HoZB3: goto y4LWA; cTW7i: XHMqJ: goto ZeGxn; k1hBX: return $changed; goto oFU_m; TzSUP: if (!('yes' !== MIHelpers::get_product_multi_inventory_status($bom_product))) { goto tnx5U; } goto WNOK5; D8EXi: $main_found = FALSE; goto Wr51o; A3HsY: foreach ($this->changed_order_item_inventories[$order_id][$order_item_id]['insert'] as $changed_order_item_inventory) { goto FZIxo; MHQol: $new_stock = $inventory->get_available_stock() - $changed_order_item_inventory->qty; goto TWGG7; d1w1R: $inventory = MIHelpers::get_inventory($inventory->id, $bom_id, TRUE); goto v11Yi; iPyo0: BOMOrderItemsModel::insert_bom_order_item($order_item_id, $order_type_id, $bom_id, $bom->get_type(), $changed_order_item_inventory->qty, $changed_order_item_inventory->inventory_id); goto GekMb; t7pZG: $inventory->save_meta(); goto Xz6fy; mx3Gu: add_filter('atum/get_option/out_stock_threshold', '__return_false'); goto MHQol; V1vwI: XqOr0: goto jvjD3; rIot8: $inventory->set_meta(['stock_quantity' => $new_stock]); goto t7pZG; BgbHX: if (!$inventory->is_main()) { goto dw3u0; } goto d1w1R; Xz6fy: $changed = TRUE; goto sNouA; FZIxo: if (!((int) $changed_order_item_inventory->bom_id === (int) $bom_id)) { goto ddEuM; } goto JHL_H; GekMb: ddEuM: goto V1vwI; JHL_H: $inventory = MIHelpers::get_inventory($changed_order_item_inventory->inventory_id, $bom_id); goto BgbHX; TWGG7: remove_filter('atum/get_option/out_stock_threshold', '__return_false'); goto rIot8; sNouA: $bom = AtumHelpers::get_atum_product($bom_id); goto iPyo0; v11Yi: dw3u0: goto mx3Gu; jvjD3: } goto ahjQA; WKgNI: $bom_order_items = BOMOrderItemsModel::get_bom_order_items(apply_filters('atum/product_levels/get_bom_order_items/order_item_id', $order_item_id, $order_type_id), $order_type_id, FALSE); goto h3Uq6; kU4Dj: if ($add_no_mi_boms) { goto vkSGH; } goto k1hBX; ojeCQ: if ($main_found) { goto on1D5; } goto eS9lh; Lvbi6: if (!('yes' === MIHelpers::get_product_multi_inventory_status($product) && MIHelpers::is_product_multi_inventory_compatible($product))) { goto iVAFv; } goto zromG; n7Tiq: uQYA6: goto PG4eN; zromG: $order_item_inventories = Inventory::get_order_item_inventories($order_item_id, $order_type_id); goto b90xZ; YNx_J: $changed = TRUE; goto oou_6; b90xZ: foreach ($order_item_inventories as $order_item_inventory) { goto ZdX0K; tidJO: if (!$inv->is_main()) { goto w1TI8; } goto JVy_k; Qt7TF: goto HoZB3; goto eBo2v; JVy_k: $add_no_mi_boms = TRUE; goto Qt7TF; M2cnn: UN7Eo: goto CpZ7i; eBo2v: w1TI8: goto M2cnn; ZdX0K: $inv = MIHelpers::get_inventory($order_item_inventory->inventory_id); goto tidJO; CpZ7i: } goto Z96f_; b4xaj: return; goto n7Tiq; ThSQ4: $order_item_inventories = Inventory::get_order_item_inventories($order_item_id, $order_type_id); goto hbzCa; iIg1n: $add_no_mi_boms = FALSE; goto wZxdi; y4LWA: iVAFv: goto kU4Dj; oou_6: EPHtt: goto D8EXi; YMFIq: EmQCs: goto ThSQ4; ahjQA: KW3Hq: goto YMFIq; XNa2b: if (!(AtumGlobals::get_order_type_id() === $order_type_id && !Helpers::is_bom_stock_control_enabled() && 'yes' === AtumHelpers::get_option('pl_produce_items', 'no'))) { goto uQYA6; } goto b4xaj; NJNsU: $bom_product = AtumHelpers::get_atum_product($bom_id); goto iIg1n; PG4eN: $changed = FALSE; goto NJNsU; eS9lh: $changed = TRUE; goto NB_VB; t8X83: } public function clean_transient_after_bom_order_item_stock_change($order_items, $order_type_id) { goto VEscP; r48jf: Helpers::delete_bom_order_items_transient($order_id); goto Og0FK; kMi5F: if (!in_array($order_id, $this->restored_bom_order_items)) { goto mDgC4; } goto pLqJl; VEscP: $order_id = 0; goto tid14; o2oWt: la3Lh: goto kMi5F; DFzwr: mDgC4: goto r48jf; tid14: foreach ($order_items as $order_item) { goto x2hbt; Mc6VR: goto la3Lh; goto fUD8c; DI5Ow: if (!$order_id) { goto wZ8J4; } goto Mc6VR; x2hbt: $order_id = AtumGlobals::get_order_type_id() === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(); goto DI5Ow; fUD8c: wZ8J4: goto FLMj4; FLMj4: jm4az: goto HhnBi; HhnBi: } goto o2oWt; pLqJl: return; goto DFzwr; Og0FK: } public function add_order_to_restored_bom_order_items($order_id) { goto i1QZo; W0Rty: $this->restored_bom_order_items[] = $order_id; goto SpnjO; i1QZo: if (in_array($order_id, $this->restored_bom_order_items)) { goto P4OxQ; } goto W0Rty; SpnjO: P4OxQ: goto kqEzx; kqEzx: } public function after_change_bom_stock_order_items($order_id, $items) { goto T05hJ; rwcXG: Helpers::delete_bom_order_items_transient($order_id); goto qfvvy; T05hJ: $order = wc_get_order($order_id); goto Lge47; qfvvy: Helpers::get_bom_order_items_transient($order_id, TRUE); goto MM3ze; MM3ze: wHX2u: goto X3fUQ; Lge47: if (!in_array(AtumHelpers::get_raw_wc_order_status($order->get_status()), AtumGlobals::get_order_statuses_change_stock())) { goto wHX2u; } goto rwcXG; X3fUQ: } public function move_bom_order_items_before_clean($order_item_id, $order_type_id) { goto NhF85; EBHTU: $this->restored_bom_order_items[] = $order_id; goto b9urs; SJaAS: o5fXu: goto ODgjE; DLu1F: if ($order_id) { goto o5fXu; } goto Ggr3i; qpdOf: if (empty($bom_order_items)) { goto aSQQV; } goto gMrcM; ODgjE: $bom_inventory_items = array(); goto PA0jh; c9MrP: zq0YJ: goto icjx2; p3M0s: Helpers::set_bom_order_items_transient($order_id, $order_item_id, $bom_inventory_items); goto mKu1j; vo1uT: return; goto J3g_2; J3g_2: PEmSV: goto Uecg4; icjx2: if ($order_item) { goto PEmSV; } goto vo1uT; b9urs: nG8hO: goto SqZo9; NhF85: $bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id, FALSE); goto qpdOf; gMrcM: $order_item = NULL; goto qS7B4; qS7B4: switch ($order_type_id) { case AtumGlobals::get_order_type_id(): $order_item = new \WC_Order_Item_Product($order_item_id); goto zq0YJ; case AtumGlobals::get_order_type_id(PurchaseOrders::POST_TYPE): $order_item = new POItemProduct($order_item_id); goto zq0YJ; case AtumGlobals::get_order_type_id(InventoryLogs::POST_TYPE): $order_item = new LogItemProduct($order_item_id); goto zq0YJ; } goto Us71y; mKu1j: if (in_array($order_id, $this->restored_bom_order_items)) { goto nG8hO; } goto EBHTU; PA0jh: foreach ($bom_order_items as $key => $bom_order_item) { goto eXYz9; g3kQA: bXIMN: goto kEBk8; ctgcV: unset($bom_order_items[$key]); goto u6Ogg; dESrr: $inserted = TRUE; goto JCqzn; uzDr6: if (!$bom_order_item->inventory_id) { goto hNZAz; } goto Xuzbj; qg2P_: if ($inserted) { goto i5cET; } goto ofi0a; ofi0a: $bom_inventory_items[$bom_order_item->bom_id][] = array('inventory_id' => NULL, 'name' => NULL, 'qty' => $bom_order_item->qty); goto gzCXE; u6Ogg: goto bXIMN; goto O_1LR; GgsZj: $bom_inventory_items[$bom_order_item->bom_id][] = array('inventory_id' => $inventory->id, 'name' => $inventory->name, 'qty' => $bom_order_item->qty); goto dESrr; O_1LR: M1F5T: goto GgsZj; eXYz9: $inserted = FALSE; goto uzDr6; JCqzn: hNZAz: goto qg2P_; C8IoT: if ($inventory->id) { goto M1F5T; } goto ctgcV; gzCXE: i5cET: goto g3kQA; Xuzbj: $inventory = MIHelpers::get_inventory($bom_order_item->inventory_id); goto C8IoT; kEBk8: } goto edpNI; Uecg4: $order_id = AtumGlobals::get_order_type_id() === $order_type_id ? $order_item->get_order_id() : $order_item->get_atum_order_id(); goto DLu1F; SqZo9: aSQQV: goto VDXVX; Ggr3i: return; goto SJaAS; Us71y: UpjDp: goto c9MrP; edpNI: xbKNx: goto p3M0s; VDXVX: } public function get_calculated_bom_order_items($product_id, $qty, $order_type_id) { goto gPBR8; KENc1: if (!apply_filters('atum/product_levels/bypass_calculated_bom_order_items', FALSE, $order_type_id)) { goto yrfa3; } goto V2Qdz; NigJq: foreach ($stock_used['used_boms'] as $bom_id => $bom_qty) { goto zqSyy; XjNj1: $existing_key = empty($bom_order_items[$bom_id]) ? FALSE : array_search($inventory_to_use->id, array_column($bom_order_items[$bom_id], 'inventory_id')); goto gnuBC; wNswP: qTTo9: goto AYXBW; E3ZgV: if (!(AtumGlobals::get_order_type_id(PurchaseOrders::POST_TYPE) === $order_type_id)) { goto i5kQu; } goto jWg1g; roUQ1: fUtYp: goto P3o8G; nrDRi: $remaining_qty = $bom_qty * $qty; goto tZPMT; lX1r1: $inventory_to_use = current($bom_inventories); goto eZVlr; uwrDW: wosWm: goto G11gW; xQx9f: $bom_order_items[$bom_id][] = array('inventory_id' => NULL, 'name' => NULL, 'qty' => $bom_qty * $qty); goto sCJId; PLdbs: i5kQu: goto aDDiJ; eZVlr: cvDJ2: goto fNS_4; J8TeZ: $bom_order_items[$bom_id][$existing_key]['qty'] += $remaining_qty; goto ikrRj; PEoU8: iPUdp: goto up0Zx; oUvC_: goto LMNK8; goto Om8DU; tZPMT: foreach ($bom_inventories as $inventory) { goto x8m0B; kI9C_: if ('no' !== $inventory->backorders || $remaining_qty <= $inventory->stock_quantity) { goto B4kXP; } goto PHmC9; c12TM: if ($inventory->managing_stock()) { goto m6Fjx; } goto hyyeM; MJHVs: $remaining_qty = 0; goto BwpyK; eZj39: goto WMna5; goto Z2j3d; oog6z: if (!$inventory->is_main()) { goto Qk09E; } goto jk3i0; jk3i0: $inventory->set_stock_status(); goto PdCM5; PdCM5: Qk09E: goto TCRpz; BwpyK: goto PBPWC; goto d8CCc; x8m0B: if (!(0 >= $remaining_qty)) { goto NsCdP; } goto Cdw06; ETXjd: $remaining_qty = 0; goto egFNe; iP8ob: goto JKP4O; goto AyYW_; Cdw06: goto qTTo9; goto RqOr3; PPFr2: $remaining_qty -= $used_qty; goto eZj39; PHmC9: $used_qty = $inventory->stock_quantity; goto PPFr2; TCRpz: if (!('outofstock' === $inventory->stock_status)) { goto DJyl0; } goto iP8ob; d8CCc: m6Fjx: goto kI9C_; AyYW_: DJyl0: goto c12TM; Z2j3d: B4kXP: goto mCA9j; mCA9j: $used_qty = $remaining_qty; goto ETXjd; egFNe: WMna5: goto eaoH2; W1SHC: JKP4O: goto wXEmQ; RqOr3: NsCdP: goto oog6z; eaoH2: PBPWC: goto lkFqj; lkFqj: $bom_order_items[$bom_id][] = array('inventory_id' => $inventory->id, 'name' => $inventory->name, 'qty' => $used_qty); goto W1SHC; hyyeM: $used_qty = $remaining_qty; goto MJHVs; wXEmQ: } goto wNswP; P3o8G: $bom_inventories = MIHelpers::get_product_inventories_sorted($bom_id); goto BzuKJ; fNS_4: $bom_order_items[$bom_id][] = array('inventory_id' => $inventory_to_use->id, 'name' => $inventory_to_use->name, 'qty' => $bom_qty * $qty); goto tYgUp; UjUwp: Sh7vY: goto uwrDW; Om8DU: TOXKw: goto J8TeZ; BbqAZ: $bom_order_items[$bom_id][] = array('inventory_id' => $inventory_to_use->id, 'name' => $inventory_to_use->name, 'qty' => $remaining_qty); goto oUvC_; AYXBW: if (!$remaining_qty) { goto iPUdp; } goto cL6FE; fPo8z: if ('yes' === MIHelpers::get_product_multi_inventory_status($bom_id)) { goto fUtYp; } goto xQx9f; gnuBC: if (FALSE !== $existing_key) { goto TOXKw; } goto BbqAZ; cDlK4: F4VNg: goto UjUwp; Tt2I0: if (AtumGlobals::get_order_type_id() === $order_type_id) { goto WVMzY; } goto E3ZgV; cL6FE: $inventory_to_use = reset($bom_inventories); goto XjNj1; zqSyy: $inventory_to_use = NULL; goto fPo8z; sCJId: goto Sh7vY; goto roUQ1; jWg1g: foreach ($bom_inventories as $inventory) { goto yFV8k; etzo6: N3r9M: goto CHtfb; mUGDw: goto U8xdQ; goto ylpDH; ylpDH: tq2l1: goto M0JGg; YfCjj: $inventory->set_stock_status(); goto etzo6; h3aIU: $inventory_to_use = $inventory; goto mUGDw; M0JGg: a4_XJ: goto Y2fRv; CHtfb: if (!('outofstock' === $inventory->stock_status)) { goto tq2l1; } goto h3aIU; yFV8k: if (!$inventory->is_main()) { goto N3r9M; } goto YfCjj; Y2fRv: } goto e4j9A; BzuKJ: if (empty($bom_inventories)) { goto F4VNg; } goto Tt2I0; vbdm6: WVMzY: goto nrDRi; tYgUp: goto q2tw3; goto vbdm6; aDDiJ: if (!is_null($inventory_to_use)) { goto cvDJ2; } goto lX1r1; ikrRj: LMNK8: goto PEoU8; up0Zx: q2tw3: goto cDlK4; e4j9A: U8xdQ: goto PLdbs; G11gW: } goto U4lFm; CJNXT: $stock_used = Helpers::get_linked_boms_stock_used($product_id); goto NigJq; U4lFm: xDMgR: goto CXj_M; C7Vu2: yrfa3: goto CJNXT; V2Qdz: return $bom_order_items; goto C7Vu2; CXj_M: return $bom_order_items; goto mR6nc; gPBR8: $bom_order_items = []; goto KENc1; mR6nc: } public function maybe_remove_bom_order_items_transient($order_item_id) { goto qMxBB; TFeaL: if (empty($bom_order_items_transient[$order_item_id])) { goto GsniB; } goto USrhl; A44e_: if ($atum_order instanceof \WP_Error) { goto YabXl; } goto jGT9c; qMxBB: $atum_order = AtumHelpers::get_atum_order_model_from_item_id($order_item_id); goto A44e_; eqM8y: $bom_order_items_transient = Helpers::get_bom_order_items_transient($order_id, TRUE); goto TFeaL; jGT9c: $order_id = $atum_order->get_id(); goto eqM8y; USrhl: Helpers::set_bom_order_items_transient($order_id, $order_item_id, []); goto t_5Pe; Sd0mt: YabXl: goto BViU0; t_5Pe: GsniB: goto Sd0mt; BViU0: } public function maybe_remove_bom_order_mi_transient($order_item_id, $inventory, $order_id, $order_type_id) { goto LI44z; QKsAy: if (empty($bom_order_items_transient[$order_item_id])) { goto U2liC; } goto G4vo0; G4vo0: Helpers::set_bom_order_items_transient($order_id, $order_item_id, []); goto B_SUg; oxvqC: uvB1O: goto bMyL4; B_SUg: U2liC: goto oxvqC; X3OvJ: $bom_order_items_transient = Helpers::get_bom_order_items_transient($order_id, TRUE); goto QKsAy; LI44z: if (!$inventory->is_main()) { goto uvB1O; } goto X3OvJ; bMyL4: } public function add_pl_icon_to_order_items($item_id, $item, $product) { goto cRSzv; w_IVF: foreach ($last_level_boms as $bom_id) { goto KdJl5; Pn2xq: Krjul: goto kvxIO; q3MJo: $last_level_child_with_mi = TRUE; goto xQvtT; xQvtT: goto u77GN; goto W9Qch; KdJl5: if (!('yes' === MIHelpers::get_product_multi_inventory_status($bom_id))) { goto WdM60; } goto q3MJo; W9Qch: WdM60: goto Pn2xq; kvxIO: } goto Gi_2o; Y0m3b: if (!($product_id && BOMModel::has_linked_bom($product_id))) { goto NTjVm; } goto onzXy; onzXy: ?>

			<?php  goto silaJ; cRSzv: $product_id = $product instanceof \WC_Product ? $product->get_id() : 0; goto Y0m3b; D5G8U: NTjVm: goto gNg3f; Gi_2o: u77GN: goto nG5n9; QhikV: $last_level_child_with_mi = FALSE; goto w_IVF; nG5n9: $tip = apply_filters('atum/product_levels/order_items/pl_icon', $last_level_child_with_mi ? __("This item has linked BOM. To be able to edit the BOM tree used when processing this order, please click on the 'Edit item' button", ATUM_LEVELS_TEXT_DOMAIN) : __('This item has linked BOM', ATUM_LEVELS_TEXT_DOMAIN)); goto z69bF; z69bF: ?>
			<span class="atmi-tree tips" data-tip="<?php  goto V8U1P; V8U1P: echo esc_attr($tip); goto VyrEO; silaJ: $last_level_boms = Helpers::find_bottom_level_children($product_id); goto QhikV; VyrEO: ?>"></span>

		<?php  goto D5G8U; gNg3f: } public function maybe_force_real_mi_stock($product) { goto nvYnY; nvYnY: if (!Globals::is_bom_product($product)) { goto i_Md1; } goto Ell8o; Ell8o: $this->force_real_mi_stock_check($product); goto ECD6n; ECD6n: i_Md1: goto amrVD; amrVD: } public function maybe_disable_force_real_mi_stock($product) { goto xvwVU; xvwVU: if (!(Globals::is_bom_product($product) && !BOMModel::has_linked_bom($product->get_id()))) { goto VLCeM; } goto n7nyA; rhh5F: VLCeM: goto U3CQK; n7nyA: $this->disable_force_real_mi_stock_check($product); goto rhh5F; U3CQK: } public function force_real_mi_stock_check($product) { remove_filter('atum/multi_inventory/bypass_mi_get_stock_quantity', array($this, 'maybe_allow_mi_get_stock_quantity')); add_filter('atum/multi_inventory/bypass_mi_get_stock_quantity', array($this, 'switch_real_stock_return'), 10, 3); } public function disable_force_real_mi_stock_check($product) { add_filter('atum/multi_inventory/bypass_mi_get_stock_quantity', array($this, 'maybe_allow_mi_get_stock_quantity'), 10, 3); remove_filter('atum/multi_inventory/bypass_mi_get_stock_quantity', array($this, 'switch_real_stock_return')); } public function switch_real_stock_return($bypass, $stock, $product) { goto mo7j7; AqeSK: vcMzV: goto pn3dJ; pn3dJ: return $bypass; goto U7Sf1; HNa_J: return FALSE; goto AqeSK; mo7j7: if (!(Globals::is_bom_product($product) || !Helpers::is_bom_stock_control_enabled())) { goto vcMzV; } goto HNa_J; U7Sf1: } public function maybe_prevent_wc_order_transient_update($allowed, $order) { goto W0dMU; YKHI_: cPCQq: goto tULr8; UAlgt: $this->prevent_bom_order_items_transient_update($order->get_id()); goto YKHI_; W0dMU: if (!in_array(AtumHelpers::get_raw_wc_order_status($order->get_status()), AtumGlobals::get_order_statuses_change_stock())) { goto cPCQq; } goto UAlgt; tULr8: return $allowed; goto mJIGR; mJIGR: } public function maybe_prevent_atum_order_transient_update($order_id, $order) { $this->prevent_bom_order_items_transient_update($order_id); } public function prevent_bom_order_items_transient_update($order_id, $delete = FALSE) { goto tW1aC; JNyOi: remove_action('atum/product_levels/after_get_bom_order_items', array($this, 'maybe_refresh_bom_order_transient')); goto m7KrJ; fAx3D: OYzS4: goto RNnQ9; ax0Nq: Helpers::delete_bom_order_items_transient($order_id); goto fAx3D; tW1aC: if (!$delete) { goto OYzS4; } goto ax0Nq; RNnQ9: remove_action('atum/product_levels/before_clean_bom_order_items', array($this, 'move_bom_order_items_before_clean')); goto JNyOi; m7KrJ: } public function order_item_inventories_changed($changed, $order_item_id, $order_id) { goto pGNIB; H2wHd: PJ_9k: goto lL2Bh; BDjJL: NZK6Z: goto RJtGx; qNfzD: $unsaved_bom_order_items = Helpers::get_bom_order_items_transient($order_id); goto cy04w; gcrey: if (empty($saved_bom_order_items)) { goto PJ_9k; } goto tCmmw; QelvY: if (isset($this->changed_order_item_inventories[$order_id][$order_item_id])) { goto J74Zz; } goto ZWk5h; pbGTq: goto xdwDf; goto BDjJL; lR74y: if (isset($this->changed_order_item_inventories[$order_id])) { goto D6dYD; } goto LStMt; ZWk5h: $this->changed_order_item_inventories[$order_id][$order_item_id] = array('change' => [], 'delete' => [], 'insert' => []); goto klj_K; VQwo3: if (!($unsaved_bom_order_items && $saved_bom_order_items)) { goto uj58a; } goto lR74y; tk6hW: $order_type_id = AtumGlobals::get_order_type_id(); goto qNfzD; ZKg0I: foreach ($unsaved_bom_order_items as $bom_id => $mi_unsaved_bom_order_items) { goto t0ksP; t0ksP: if (empty($mi_unsaved_bom_order_items)) { goto cs5wO; } goto WWvxT; ZtiSN: KY6c0: goto IEo7A; IEo7A: cs5wO: goto iU_Wv; WWvxT: foreach ($mi_unsaved_bom_order_items as $mi_unsaved_bom_order_item) { goto L5uXR; d8e1a: VvGK3: goto yC1Rj; cC9a1: if (!((float) $saved_bom_order_items[$found_key]->qty !== (float) $mi_unsaved_bom_order_item['qty'])) { goto VvGK3; } goto VR9Xl; NjHOu: $saved_bom_order_items[$found_key]->qty = $mi_unsaved_bom_order_item['qty']; goto iWemf; rkRef: Vp4Ho: goto grAXf; L5uXR: $found = wp_list_filter($saved_bom_order_items, array('bom_id' => (string) $bom_id, 'inventory_id' => $mi_unsaved_bom_order_item['inventory_id'])); goto oN36K; z_ek4: goto Xm3Wo; goto V0A06; oN36K: if ($found) { goto SIioC; } goto GtfS2; x9_0g: Xm3Wo: goto rkRef; iWemf: $this->changed_order_item_inventories[$order_id][$order_item_id]['change'][] = $saved_bom_order_items[$found_key]; goto shbhn; sMcpu: $found_key = array_key_first($found); goto cC9a1; yC1Rj: unset($saved_bom_order_items[$found_key]); goto x9_0g; VXpD_: $changed = TRUE; goto z_ek4; GtfS2: $this->changed_order_item_inventories[$order_id][$order_item_id]['insert'][] = (object) array('order_item_id' => $order_item_id, 'bom_id' => $bom_id, 'qty' => $mi_unsaved_bom_order_item['qty'], 'inventory_id' => $mi_unsaved_bom_order_item['inventory_id'], 'order_type' => $order_type_id); goto VXpD_; VR9Xl: $saved_bom_order_items[$found_key]->diff = $saved_bom_order_items[$found_key]->qty - $mi_unsaved_bom_order_item['qty']; goto NjHOu; V0A06: SIioC: goto sMcpu; shbhn: $changed = TRUE; goto d8e1a; grAXf: } goto ZtiSN; iU_Wv: DHRxY: goto JKL4D; JKL4D: } goto Zg1m1; Zg1m1: PZY4R: goto gcrey; z_s1j: D6dYD: goto QelvY; RJtGx: $changed = TRUE; goto rgOQe; rgOQe: xdwDf: goto tZdCG; LStMt: $this->changed_order_item_inventories[$order_id] = []; goto z_s1j; PnmsH: Ek_4_: goto H2wHd; klj_K: J74Zz: goto ZKg0I; pGNIB: if (!$changed && !empty(MIOrders::get_instance()->updated_order_item_inventories[$order_id][$order_item_id])) { goto NZK6Z; } goto tk6hW; cy04w: $unsaved_bom_order_items = is_array($unsaved_bom_order_items) && isset($unsaved_bom_order_items[$order_item_id]) ? $unsaved_bom_order_items[$order_item_id] : []; goto PDWEK; PDWEK: $saved_bom_order_items = BOMOrderItemsModel::get_bom_order_items($order_item_id, $order_type_id, FALSE); goto VQwo3; tCmmw: foreach ($saved_bom_order_items as $saved_bom_order_item) { goto lMIUd; P4C9o: ZwWol: goto r3KS5; zjbz1: $this->changed_order_item_inventories[$order_id][$order_item_id]['delete'][] = $saved_bom_order_item; goto aABO4; lMIUd: if (empty($saved_bom_order_item->inventory_id)) { goto fz4yK; } goto zjbz1; ZgInW: fz4yK: goto P4C9o; aABO4: $changed = TRUE; goto ZgInW; r3KS5: } goto PnmsH; lL2Bh: uj58a: goto pbGTq; tZdCG: return $changed; goto nUabm; nUabm: } public function maybe_prevent_update_bom_order_items($update, $order_item) { goto nTnvS; rizG6: $update = FALSE; goto vZ4c2; gNkci: return $update; goto k7_55; nTnvS: $order_id = $order_item->get_order_id(); goto CJpjD; vZ4c2: wx2Tz: goto gNkci; CJpjD: $order_item_id = $order_item->get_id(); goto WVXbf; WVXbf: if (!($update && !empty($this->changed_order_item_inventories[$order_id][$order_item_id]) && (!empty($this->changed_order_item_inventories[$order_id][$order_item_id]['change']) || !empty($this->changed_order_item_inventories[$order_id][$order_item_id]['delete']) || !empty($this->changed_order_item_inventories[$order_id][$order_item_id]['insert'])))) { goto wx2Tz; } goto rizG6; k7_55: } public function after_order_stock_levels_change($order) { add_action('atum/product_levels/after_increase_bom_stock_order_items', array($this, 'after_items_stock_changed'), 10, 2); add_action('atum/product_levels/after_reduce_bom_stock_order_items', array($this, 'after_items_stock_changed'), 10, 2); } public function after_items_stock_changed($order_items, $order_type_id) { goto nALWf; zqerx: x50lW: goto C3fxA; JCHSb: foreach ($order_items as $order_item) { goto plGxY; hm47C: A9fyf: goto xQLOr; K6QRM: goto fiCkk; goto hm47C; plGxY: $order = $order_item->get_order(); goto K6QRM; xQLOr: } goto d2Ovp; d2Ovp: fiCkk: goto CXMMK; C3fxA: GhJkj: goto wOvza; CXMMK: if (!(!empty($order) && !$order instanceof \WP_Error)) { goto x50lW; } goto oCb9r; nALWf: if (!(AtumGlobals::get_order_type_id() !== $order_type_id)) { goto GhJkj; } goto JCHSb; oCb9r: Orders::get_instance()->after_order_stock_change($order); goto zqerx; wOvza: } public function prevent_recalc_order_item_stock($recalc, $order_item) { goto oVY2i; Ze7pA: return FALSE; goto y2jx5; y2jx5: kWCk_: goto Zq7t4; Zq7t4: return $recalc; goto HGXyQ; T2sV0: if (!(MIHelpers::is_product_multi_inventory_compatible($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product) && BOMModel::has_linked_bom($product->get_id()))) { goto kWCk_; } goto Ze7pA; oVY2i: $product = $order_item->get_product(); goto T2sV0; HGXyQ: } public function recalc_after_inventory_creation($added_order_items, $order) { goto azhhj; Nl5lC: foreach ($added_order_items as $order_item) { goto SBBin; Bgsq_: Helpers::recalculate_bom_tree_stock($product); goto R7Dyp; SBBin: $product_id = $order_item->get_variation_id() ?: $order_item->get_product_id(); goto L0Ekk; VWfXb: jWlUd: goto Q0CN0; L0Ekk: $product = AtumHelpers::get_atum_product($product_id); goto CYVSO; R7Dyp: qlqfa: goto VWfXb; CYVSO: if (!(MIHelpers::is_product_multi_inventory_compatible($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product) && BOMModel::has_linked_bom($product_id))) { goto qlqfa; } goto Bgsq_; Q0CN0: } goto uumJC; uumJC: TiSoK: goto Kyys0; azhhj: if (!Helpers::is_bom_stock_control_enabled()) { goto MQFkR; } goto Nl5lC; Kyys0: MQFkR: goto f9AG3; f9AG3: } public function recalc_after_removed_item($order_item_id) { goto FaADn; obQtD: $product = AtumHelpers::get_atum_product($atum_delete_item_product_id); goto E5pAF; E5pAF: if (!(MIHelpers::is_product_multi_inventory_compatible($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product) && BOMModel::has_linked_bom($atum_delete_item_product_id))) { goto dZThe; } goto dRM69; HOQTE: Zahmh: goto bfI2y; FaADn: if (!Helpers::is_bom_stock_control_enabled()) { goto Zahmh; } goto BMYJ0; dRM69: Helpers::recalculate_bom_tree_stock($product); goto nT6FR; BMYJ0: global $atum_delete_item_product_id; goto obQtD; nT6FR: dZThe: goto HOQTE; bfI2y: } public function bom_inventory_is_sellable($is_sellable, $inventory) { goto bdRi6; dCU7t: f7CDL: goto ZCur3; ZWbAV: $product = wc_get_product($inventory->product_id); goto tVO_W; tVO_W: if (!Globals::is_bom_product($product)) { goto f7CDL; } goto IE3gu; EpptH: return $is_sellable; goto nXYL5; bdRi6: if ($is_sellable) { goto WvubN; } goto ZWbAV; IE3gu: $is_sellable = TRUE; goto dCU7t; ZCur3: WvubN: goto EpptH; nXYL5: } public function maybe_check_product_reserved_stock($check, $product_id, $stock_quantity, $order, $minutes) { goto v0kL9; qvxKv: if (!(!BOMModel::has_linked_bom($product_id) || !$selected_main_inventory)) { goto z5FiQ; } goto SqoIL; v0kL9: if (!($check && 'yes' === MIHelpers::get_product_multi_inventory_status($product_id))) { goto YIZuW; } goto IGS_i; vE0wc: $order_item_inventories = Inventory::get_order_item_inventories($order_item_id); goto JB0y_; VxcbA: nSs4s: goto ikzJd; IGS_i: MIReserveStock::get_instance()->reserve_stock_for_product($product_id, $stock_quantity, $order, $minutes); goto eN8GZ; eN8GZ: $selected_main_inventory = $order_item_id = FALSE; goto TmGxa; K8bA5: BVvfU: goto UGYKz; TmGxa: foreach ($order->get_items() as $order_item) { goto qBxjJ; r69Id: le9jZ: goto UAhCD; L5lff: $order_item_id = $order_item->get_id(); goto FP3px; UAhCD: V3G4T: goto uqkYd; FP3px: goto nSs4s; goto r69Id; qBxjJ: $order_item_product_id = $order_item->get_variation_id() ?: $order_item->get_product_id(); goto K9d8X; K9d8X: if (!($order_item_product_id === $product_id)) { goto le9jZ; } goto L5lff; uqkYd: } goto VxcbA; JB0y_: foreach ($order_item_inventories as $order_item_inventory) { goto jyFYS; jyFYS: $inventory = MIHelpers::get_inventory($order_item_inventory->inventory_id); goto AzTaE; nCo5z: j7ilW: goto Myunm; n3Efu: $selected_main_inventory = TRUE; goto xfduh; xfduh: kjOCy: goto nCo5z; AzTaE: if (!$inventory->is_main()) { goto kjOCy; } goto n3Efu; Myunm: } goto K8bA5; Q5DVI: YIZuW: goto Rd7oF; ikzJd: if (!$order_item_id) { goto xOYI1; } goto vE0wc; Rd7oF: return $check; goto Zv1HN; SqoIL: $check = FALSE; goto xjDPk; UGYKz: xOYI1: goto qvxKv; xjDPk: z5FiQ: goto Q5DVI; Zv1HN: } public function get_stock_wanted($stock_wanted, $product_id, $bom_id, $stock_quantity, $bom_multiplier, $order_id) { goto W1BPZ; XeYQY: return $stock_wanted; goto eCS_R; tZDSs: $stock_wanted = $inventories_used[$main_inventory->id] * $bom_multiplier; goto xAeZp; QXVjY: $inventories_used = MIReserveStock::get_instance()->get_order_reserved_inventories($order_id); goto bLAV5; xAeZp: jnb4B: goto IcA1T; bLAV5: if (!array_key_exists($main_inventory->id, $inventories_used)) { goto jnb4B; } goto tZDSs; IcA1T: bh82F: goto XeYQY; VVWFS: $main_inventory = Inventory::get_product_main_inventory($product_id); goto QXVjY; W1BPZ: if (!('yes' === MIHelpers::get_product_multi_inventory_status($product_id))) { goto bh82F; } goto VVWFS; eCS_R: } public function maybe_check_enough_bom_id($check, $bom_id, $stock_wanted, $reserved, $stock_available, $order_id, $product_id, $minutes) { goto mjTmG; mjTmG: if (!($check && 'yes' === MIHelpers::get_product_multi_inventory_status($bom_id))) { goto vzsQD; } goto w8S2r; M1I5K: $order = wc_get_order($order_id); goto VKFDq; vuOb6: vzsQD: goto oR07n; oR07n: return $check; goto oRSVk; B_KIL: $check = FALSE; goto vuOb6; w8S2r: $mi_reserve_stock = ReserveStock::get_instance(); goto M1I5K; VKFDq: try { $mi_reserve_stock->reserve_stock_for_product($bom_id, $stock_wanted, $order, $minutes); } catch (ReserveStockException $e) { goto jQRAh; e2vEB: ReserveStock::get_instance()->release_stock_for_order($order_id); goto z2Q38; z2Q38: ReserveStock::get_instance()->throw_not_enough_units($product_id); goto kW8yq; jQRAh: $mi_reserve_stock->release_atum_stock_for_order($order_id); goto e2vEB; kW8yq: } goto B_KIL; oRSVk: } public function maybe_prevent_order_note_remove($allow, $product_id) { goto YKon3; pMcKv: remove_action('woocommerce_order_status_changed', array(Orders::get_instance(), 'recalculate_bom_tree_when_transitioning')); goto HdiVD; p1qXf: $allow = FALSE; goto pMcKv; YKon3: if (!($allow && 'yes' === MIHelpers::get_product_multi_inventory_status($product_id))) { goto Pmu8o; } goto p1qXf; E7HWH: return $allow; goto gdgPw; HdiVD: Pmu8o: goto E7HWH; gdgPw: } public function maybe_enable_purchase_price() { goto XAYxL; fhK6U: remove_filter('atum/views/meta_boxes/purchase_price_field_extra_atts', array(ProductDataMetaBoxes::get_instance(), 'purchase_price_field_extra_atts'), 9); goto A_Dbr; A_Dbr: sGRQz: goto WFNiN; zTu1X: if (!(!$atum_mi_inventory->is_main() && has_filter('atum/views/meta_boxes/purchase_price_field_extra_atts', array(ProductDataMetaBoxes::get_instance(), 'purchase_price_field_extra_atts')))) { goto sGRQz; } goto fhK6U; XAYxL: global $atum_mi_inventory; goto zTu1X; WFNiN: } public function add_mi_panel_extra_atts($extra_atts, $item_id, $product, $order) { goto dY5Gg; NkT9o: $transient = is_array($unsaved_bom_order_items) && isset($unsaved_bom_order_items[$item_id]) ? 'yes' : 'no'; goto CBD_O; usr5O: K_XRF: goto G4rAm; wxw1F: $unsaved_bom_order_items = Helpers::get_bom_order_items_transient($order->get_id()); goto NkT9o; dY5Gg: if (!($product instanceof \WC_Product && BOMModel::has_linked_bom($product->get_id()))) { goto K_XRF; } goto wxw1F; CBD_O: $extra_atts .= ' data-transient="' . $transient . '"'; goto usr5O; G4rAm: return $extra_atts; goto Xfydn; Xfydn: } public function get_bom_product_stock($stock, $item, $product, $listtable) { goto mzk5j; jTeYy: $stock = apply_filters('atum/list_table/column_stock', $stock, $item, $product, $listtable); goto abaOt; K4e7f: goto SD3FF; goto e6pJb; va4u_: $stock = $product->get_stock_quantity(); goto K4e7f; abaOt: SD3FF: goto NoDtp; e6pJb: rPBaw: goto jTeYy; NoDtp: UBSgn: goto O1s0D; mzk5j: if (!(MIHelpers::has_multi_inventory($product) && BOMModel::has_linked_bom($product->get_id()))) { goto UBSgn; } goto Iwap4; Iwap4: if (Helpers::is_bom_stock_control_enabled()) { goto rPBaw; } goto va4u_; O1s0D: return $stock; goto c3QHe; c3QHe: } public function add_pl_variable_types($types) { return array_merge($types, Globals::get_variable_product_levels()); } public function check_valid_item($check, $item) { goto PQA3r; k9LLm: TF88u: goto BacJO; BacJO: return $check; goto EKhFn; HQBeV: $check = FALSE; goto k9LLm; PQA3r: if (!$item instanceof Inventory) { goto TF88u; } goto HQBeV; EKhFn: } public function maybe_recalculate_bom_tree_stock($product) { goto bUrtn; CTZB7: Helpers::recalculate_bom_tree_stock($product); goto A5B0X; bUrtn: if (!(Globals::is_bom_product($product) && !BOMModel::has_linked_bom($product->get_id()))) { goto b_47P; } goto CTZB7; A5B0X: b_47P: goto TE1RU; TE1RU: } public function maybe_bypass_mi_stock_notification($option, $product) { return BOMModel::has_linked_bom($product->get_id()); } public function get_real_stock_inventories($not_main, $product_id) { goto BSBy3; w1yeG: if (!is_null($screen)) { goto Suqew; } goto xd1zg; pOXGR: $screen_id = ''; goto wDWwc; BSBy3: $screen = function_exists('get_current_screen') ? get_current_screen() : NULL; goto pOXGR; n1r4B: goto n36Bw; goto xxjLS; brMcY: goto n36Bw; goto jsCLk; wDWwc: $real_stock_filter = isset($_REQUEST['real_stock']) ? wc_clean(wp_unslash($_REQUEST['real_stock'])) : FALSE; goto w1yeG; zNLkJ: C0_9N: goto oxL6Z; oxL6Z: return $not_main; goto hDaEe; MAGo6: n36Bw: goto yabRS; FEB5z: $screen_id = $screen->id; goto n1r4B; jsCLk: Suqew: goto FEB5z; yabRS: if (!('atum-inventory_page_' . ManufacturingCentral::UI_SLUG === $screen_id && 'yes' === $real_stock_filter && Helpers::is_bom_stock_control_enabled() && BOMModel::has_linked_bom($product_id))) { goto C0_9N; } goto ROfVl; xd1zg: if (isset($_GET['screen'])) { goto gMYOg; } goto brMcY; ACeRa: $screen_id = wp_unslash($_GET['screen']); goto MAGo6; xxjLS: gMYOg: goto ACeRa; ROfVl: $not_main = TRUE; goto zNLkJ; hDaEe: } public function real_stock_data_query($clause, $type) { goto Q2SmX; gdTyv: switch ($type) { case 'join': $clause .= " LEFT JOIN {$inventories_table} itnm ON {$wpdb->posts}.ID = itnm.product_id AND itnm.is_main = 0"; goto k2YCE; case 'where': goto SP0en; SP0en: $mi_where = 'itnm.product_id IS NOT NULL'; goto UI71u; W2pQW: goto k2YCE; goto Lb1G3; E21dG: $clause = $where; goto W2pQW; UI71u: $where = "({$clause} OR {$mi_where})"; goto E21dG; Lb1G3: } goto bD3Rz; wODOU: return $clause; goto REzz4; Q2SmX: global $wpdb; goto GJ_dL; GJ_dL: $inventories_table = $wpdb->prefix . Inventory::INVENTORIES_TABLE; goto gdTyv; GqvmT: k2YCE: goto wODOU; bD3Rz: JozCj: goto GqvmT; REzz4: } public function maybe_show_unused_boms_message($main_inventory, $inventories, $is_variation) { goto bcJ0y; q6dpz: esc_attr_e('The Main inventory is written off, the BOMs linked to the product will never be used.', ATUM_LEVELS_TEXT_DOMAIN); goto AnblB; rEhny: rcR1f: goto YFqdW; AnblB: ?>
			</div>
		<?php  goto rEhny; bcJ0y: if (!(Helpers::is_bom_stock_control_enabled() && $main_inventory->is_write_off() && BOMModel::has_linked_bom($main_inventory->product_id))) { goto rcR1f; } goto QyHYc; QyHYc: ?>
			<div class="alert alert-warning" role="alert">
				<i class="atum-icon atmi-warning"></i>
				<?php  goto q6dpz; YFqdW: } public function modify_write_off_message($data, $is_write_off, $inventory_ids) { goto CORAL; Drijp: foreach ($inventory_ids as $inventory_id) { goto A1P5t; mt12o: nsYz2: goto UQug2; c2GKF: goto uqIAT; goto mt12o; UQug2: RWVSG: goto IBzix; XCPgT: if (!($inventory->is_main() && BOMModel::has_linked_bom($inventory->product_id))) { goto nsYz2; } goto TL2In; K51WD: $data['message'] .= '<br><br><div class="alert alert-warning">' . esc_html__('The Main inventory is written off, the BOMs linked to the product will never be used.', ATUM_LEVELS_TEXT_DOMAIN) . '</div>'; goto c2GKF; A1P5t: $inventory = MIHelpers::get_inventory($inventory_id); goto XCPgT; TL2In: $data['result'] = 'warning'; goto K51WD; IBzix: } goto aaZ3G; CORAL: if (!($is_write_off && Helpers::is_bom_stock_control_enabled())) { goto zEFrl; } goto Drijp; aaZ3G: uqIAT: goto TF7cr; TF7cr: zEFrl: goto WBRnW; WBRnW: return $data; goto wNyhm; wNyhm: } public function maybe_change_tooltip_to_available_to_produce_stock($available_stock_html, $item, $product) { goto SUc2E; xJiae: $available_stock_html = '<span class="atum-tooltip" data-tip="' . esc_attr__('Summary of Possible Production', ATUM_LEVELS_TEXT_DOMAIN) . '">' . $available_stock_html . '</span>'; goto phPZl; CGNbo: return $available_stock_html; goto l8p_w; phPZl: azuJA: goto CGNbo; SUc2E: if (!MIHelpers::has_multi_inventory($product)) { goto azuJA; } goto xJiae; l8p_w: } public function maybe_change_tooltip_to_stock($stock_html, $item, $product) { goto RY0PU; voNVl: $stock_html = '<span class="atum-tooltip" data-tip="' . esc_attr__('Summary of stored inventory', ATUM_LEVELS_TEXT_DOMAIN) . '">' . $stock_html . '</span>'; goto rSL2D; rSL2D: adUNw: goto egaNW; RY0PU: if (!MIHelpers::has_multi_inventory($product)) { goto adUNw; } goto voNVl; egaNW: return $stock_html; goto mvAGF; mvAGF: } public function deactivate_region_restrictions($product_id, $bypass_threshold_checking, $nesting_level) { goto Co_iu; Co_iu: if (!(0 === $nesting_level)) { goto T_xCS; } goto mDsNJ; uZlUA: add_filter('atum/multi_inventory/apply_region_restrictions', '__return_false'); goto NPu_z; mDsNJ: AtumCache::disable_cache(); goto uZlUA; NPu_z: T_xCS: goto KAGQe; KAGQe: } public function activate_region_restrictions($product_id, $bypass_threshold_checking, $nesting_level) { goto cfU5v; w7PcN: AtumCache::enable_cache(); goto s6MQG; H2scE: i0Fvn: goto fGGDC; s6MQG: remove_filter('atum/multi_inventory/apply_region_restrictions', '__return_false'); goto H2scE; cfU5v: if (!(0 === $nesting_level)) { goto i0Fvn; } goto w7PcN; fGGDC: } public function get_bom_tree_mi_node_qty($qty, $product) { goto TfLSQ; SM8og: $stock = 0; goto VyD8y; NnMNq: $qty = $stock; goto vEEHB; j7RPG: CP8CT: goto B5Hxc; vEEHB: aWFgw: goto A9NvR; B5Hxc: JnXRO: goto AJbNh; khndB: $inventories = Inventory::get_product_inventories($product->get_id(), '', FALSE, TRUE); goto SM8og; BLMN4: foreach ($inventories as $inventory) { goto tsB5A; BdW4P: $stock += $inventory->stock_quantity; goto Fk26_; rLJ9D: ZbyPW: goto xZJeB; Fk26_: CbftE: goto rLJ9D; tsB5A: if (!$inventory->manage_stock) { goto CbftE; } goto BdW4P; xZJeB: } goto j7RPG; VyD8y: if (empty($inventories)) { goto JnXRO; } goto BLMN4; ic82L: return $qty; goto cuFCz; TfLSQ: $product_type = $product->get_type(); goto hLXSb; hLXSb: $has_bom_stock_control = Helpers::is_bom_stock_control_enabled(); goto mwDgm; A9NvR: JQ70p: goto ic82L; xWX0v: if (!(!$has_bom_stock_control && 'bundle' !== $product_type && $has_multi_inventory)) { goto JQ70p; } goto khndB; AJbNh: if (!$stock) { goto aWFgw; } goto NnMNq; mwDgm: $has_multi_inventory = MIHelpers::has_multi_inventory($product); goto xWX0v; cuFCz: } public function change_stock_quantity_if_expirable($product) { goto tKPLh; tKPLh: if (!(MIHelpers::is_product_multi_inventory_compatible($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product) && 'yes' === MIHelpers::get_product_expirable_inventories($product))) { goto J_Fbm; } goto M610W; M610W: $product_id = $product instanceof \WC_Product ? $product->get_id() : $product; goto UcrvB; UcrvB: $inventories = MIHelpers::get_product_inventories_sorted($product_id); goto FwVpv; FwVpv: foreach ($inventories as $inventory) { goto E0iZ5; K24Na: uJukm: goto rsYgC; Z7LOp: D_FXQ: goto K24Na; WGlUc: $product->set_stock_quantity(NULL); goto Z7LOp; E0iZ5: if (!($inventory->is_main() && $inventory->is_expired() && !(BOMModel::has_linked_bom($product->get_id()) && 0 !== BOMModel::get_associated_products($product->get_id())))) { goto D_FXQ; } goto WGlUc; rsYgC: } goto p6F8U; u0tlD: J_Fbm: goto Fd1AR; p6F8U: KWLOF: goto u0tlD; Fd1AR: } public function maybe_recalculate_bom_tree_stock_with_expired_inventories($inventory) { goto t17WU; Jr99S: Helpers::recalculate_bom_tree_stock($product); goto X5GmY; SrMmz: if (!($inventory->is_expired(TRUE) && Globals::is_bom_product($product) && !BOMModel::has_linked_bom($product->get_id()))) { goto AFKaK; } goto Jr99S; t17WU: $product = AtumHelpers::get_atum_product($inventory->product_id); goto SrMmz; X5GmY: AFKaK: goto f0ETp; f0ETp: } public function maybe_sum_inventory_stock($result, $product, $inventory) { goto lwRUb; pEZnj: $result = FALSE; goto z3E7l; rAANs: return $result; goto VM0Im; lwRUb: if (!($inventory->is_main() && BOMModel::has_linked_bom($product->get_id()))) { goto yrJSV; } goto pEZnj; z3E7l: yrJSV: goto rAANs; VM0Im: } public function update_main_inventory_calc_backorders($data, $product_id) { goto IH4Gl; lArfN: SGz4W: goto CrGE8; MTbOP: $main_inventory = Inventory::get_product_main_inventory($product_id); goto angQc; mfhx1: $main_inventory->save(); goto KGOFa; angQc: $main_inventory->set_data(['calc_backorders' => $data['calc_backorders']]); goto mfhx1; f569T: $product = AtumHelpers::get_atum_product($product_id); goto r7qyt; KGOFa: Q2YEf: goto lArfN; IH4Gl: if (!isset($data['calc_backorders'])) { goto SGz4W; } goto f569T; r7qyt: if (!(BOMModel::has_linked_bom($product_id) && MIHelpers::is_product_multi_inventory_compatible($product) && 'yes' === MIHelpers::get_product_multi_inventory_status($product))) { goto Q2YEf; } goto MTbOP; CrGE8: } public function get_product_stock_status($stock_status, $product) { goto vMiLL; HZUIU: hlqd_: goto SB8kw; mkJTT: $stock_status = $product->get_stock_status(); goto tx4cR; vMiLL: if (!MIHelpers::has_multi_inventory($product)) { goto hlqd_; } goto KdjRo; KdjRo: add_filter('atum/multi_inventory/bypass_mi_get_stock_status', '__return_false'); goto mkJTT; SB8kw: return $stock_status; goto OlSIP; tx4cR: remove_filter('atum/multi_inventory/bypass_mi_get_stock_status', '__return_false'); goto HZUIU; OlSIP: } public function maybe_prevent_product_stock_notify($avoid_notification, $product) { return MIHelpers::has_multi_inventory($product) ? TRUE : $avoid_notification; } public function add_produce_button_to_mi_products($main_inventory, $inventories, $is_variation) { goto alrLc; lhM1x: s814E: goto jOXBZ; WG1Dn: $product = AtumHelpers::get_atum_product($product_id, TRUE); goto d4x1_; jOXBZ: SRjoi: goto xZIIA; obx0S: if (empty($inventories)) { goto s814E; } goto WG1Dn; alrLc: $product_id = $main_inventory->product_id; goto dU4nP; GkKIo: $inventories = MIHelpers::get_product_inventories_sorted($product_id); goto obx0S; Les1w: list($insufficient_stock, $max_qty) = ProduceItems::check_bom_stock_availavility($linked_boms); goto zFVGZ; crIf0: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/meta-boxes/product-data/multi-inventory/produce-items-mi-button', compact('insufficient_stock', 'inventories', 'main_inventory', 'product', 'linked_boms', 'max_qty')); goto lhM1x; d4x1_: $linked_boms = BOMModel::get_linked_bom($product_id); goto Les1w; dU4nP: if (!BOMModel::has_linked_bom($product_id)) { goto SRjoi; } goto GkKIo; zFVGZ: $max_qty = max($max_qty, 0); goto crIf0; xZIIA: } public function get_selectable_bom_inventories_ajax() { goto LyFst; VXwCk: $product = wc_get_product(absint($_POST['product_id'])); goto HSFac; GkgIB: wp_send_json_success(trim(AtumHelpers::load_view_to_string(ATUM_LEVELS_PATH . 'views/js-templates/multi-inventory/produce-items-selectable-inventories', compact('product', 'linked_boms')))); goto LAFkz; LyFst: check_ajax_referer('produce-items-nonce', 'security'); goto sSAmG; nX6Pb: wp_send_json_error(__('This product has no linked BOMs', ATUM_LEVELS_TEXT_DOMAIN)); goto hNOHz; agRs0: if (!empty($linked_boms)) { goto YD1gz; } goto nX6Pb; hNOHz: YD1gz: goto GkgIB; SaF4G: wp_send_json_error(__('The product ID is missing', ATUM_LEVELS_TEXT_DOMAIN)); goto cC7Im; sSAmG: if (!empty($_POST['product_id'])) { goto TTdxx; } goto SaF4G; HSFac: $linked_boms = BOMModel::get_linked_bom($product->get_id()); goto agRs0; cC7Im: TTdxx: goto VXwCk; LAFkz: } public function get_bom_stock_availability_to_produce($bom_stock, $bom_id) { goto C1fVo; auUdA: OAs76: goto ANExo; MhUPI: $bom_stock = 0; goto CiDjB; CiDjB: $bom_inventories = Inventory::get_product_inventories($bom_id, '', FALSE, TRUE); goto NPL2t; C1fVo: if (!MIHelpers::has_multi_inventory($bom_id)) { goto OAs76; } goto MhUPI; NPL2t: foreach ($bom_inventories as $bom_inventory) { goto lBbk2; bJa8T: JE4tB: goto j3cpw; lBbk2: if ($bom_inventory->is_expired()) { goto JE4tB; } goto VK4Dv; VK4Dv: $bom_stock += $bom_inventory->stock_quantity; goto bJa8T; j3cpw: znAgV: goto mYDFj; mYDFj: } goto x3tVj; ANExo: return $bom_stock; goto GPXAv; x3tVj: UPd9o: goto auUdA; GPXAv: } public function produce_items_ajax_mi($final_product) { goto JrBS5; A0h4J: AxHAH: goto GO8OU; v2guq: xunrQ: goto onSU9; VPd5B: if (!$product_has_mi) { goto AIZhW; } goto lTe6L; IrwE3: if (empty($production_data['selected_inventory']) && empty($production_data['name']) && $product_has_mi) { goto JEhAe; } goto tJtsi; zAwwQ: $inventory_meta = array('manage_stock' => 'yes', 'stock_status' => 'instock', 'stock_quantity' => $number_items); goto UJeg7; whdUu: hojC8: goto cJN5w; xhEvk: wp_send_json_error(__('Missing inventory data', ATUM_LEVELS_TEXT_DOMAIN)); goto RDn4D; QPPDi: if (!empty($production_data['name'])) { goto AxHAH; } goto VPd5B; qu7SY: wp_send_json_success(!$is_list_table ? __("The items were successfully produced. Click 'OK' to reload the page.", ATUM_LEVELS_TEXT_DOMAIN) : __("The items were successfully produced. Click 'OK' to reload the table.", ATUM_LEVELS_TEXT_DOMAIN)); goto ZfBk_; GMgO1: $inventory->save(); goto L9_WZ; U097f: $inventory->set_data($inventory_data); goto GMgO1; xZ19_: $is_list_table = !empty($_POST['is_list_table']) && 'yes' === $_POST['is_list_table']; goto qu7SY; UJeg7: if (!(MIHelpers::has_multi_price($product_id) && 'yes' === Helpers::get_sync_purchase_price($product_id))) { goto xIj_i; } goto mqAc1; dh9ms: $inventory_data = array('product_id' => $product_id, 'name' => sanitize_text_field($production_data['name']), 'is_main' => FALSE); goto qo0nC; B4Lfr: jW3JY: goto KcM8g; S2vyk: $inventory_data['bbe_date'] = sanitize_text_field($production_data['bbe_date']); goto GyxE4; PGZZb: goto xunrQ; goto vQmer; ZmYjZ: Al0Xv: goto IaXIG; TULD3: do_action('atum/product_levels/produce_items/after_increase_product_stock', $product_id, $number_items, $inventory); goto AzKfq; ArDKt: if (empty($production_data['lot'])) { goto eYRQ4; } goto c4VxJ; tJtsi: if (!$product_has_mi && Helpers::is_bom_stock_control_enabled()) { goto tYbCP; } goto PGZZb; ncO0q: goto GHe2d; goto A0h4J; L9_WZ: $inventory->set_meta($inventory_meta); goto hY3hP; vQmer: JEhAe: goto xhEvk; n5YHY: $selected_inventories = !empty($_POST['selected_inventories']) ? $_POST['selected_inventories'] : []; goto FiufJ; JrBS5: $product_id = absint($_POST['product_id']); goto uPgUq; GO8OU: $inventory = new Inventory(); goto dh9ms; GyxE4: qa2B1: goto ArDKt; Ns0Zm: xIj_i: goto U097f; VE0yt: eYRQ4: goto zAwwQ; onSU9: $number_items = (float) $production_data['number_items']; goto UHk0u; XxFQ2: wp_send_json_error(__('The produce items button is only available for products with Multi-Inventory disabled when the BOM stock control option is also disabled. To use it this way, you need to enable Multi-Inventory for this product.', ATUM_LEVELS_TEXT_DOMAIN)); goto v2guq; KcM8g: Helpers::defer_recalculate_bom_tree_stock($product_id); goto QOVdd; rnDVR: parse_str($_POST['production_data'], $production_data); goto IrwE3; cDvBX: MIHelpers::update_inventory_stock($product_id, $inventory, $number_items, 'increase'); goto r08UO; mqAc1: $main_inventory = Inventory::get_product_main_inventory($product_id); goto Unly5; r08UO: do_action('atum/product_levels/produce_items/after_increase_product_stock', $product_id, $number_items, $inventory); goto ncO0q; hY3hP: $inventory->save_meta(); goto TULD3; lTe6L: goto GHe2d; goto ZmYjZ; qo0nC: if (empty($production_data['bbe_date'])) { goto qa2B1; } goto S2vyk; Unly5: $inventory_meta['purchase_price'] = $main_inventory->purchase_price; goto Ns0Zm; FiufJ: foreach ($linked_boms as $linked_bom) { goto eMbAJ; eMbAJ: $selected_bom_inventories = wp_list_filter($selected_inventories, ['bomId' => $linked_bom->bom_id]); goto Wl3gx; QEvjK: $qty = $number_items * $linked_bom->qty; goto Q4Gfd; hzTlO: DlKzL: goto Wr9As; xztgC: d7b5R: goto VLfAs; zm8kE: goto CyW0H; goto WTdZM; Q4Gfd: if (BOMModel::has_linked_bom($linked_bom->bom_id)) { goto DlKzL; } goto DRGcY; Wl3gx: if (!empty($selected_bom_inventories)) { goto LLFnI; } goto QEvjK; Wr9As: ProduceItems::reduce_bom_tree($linked_bom->bom_id, $qty, $final_product); goto pdqIA; pdqIA: YBRnq: goto zm8kE; DRGcY: wc_update_product_stock($linked_bom->bom_id, $qty, 'decrease'); goto NxwhE; WTdZM: LLFnI: goto jcP0e; jcP0e: foreach ($selected_bom_inventories as $selected_bom_inventory) { goto oV6Oe; yIBQE: zAS94: goto Fhq_8; dhaxz: vJo98: goto F4hx3; dtZzr: XKF7u: goto PAqgS; CfAn9: if (!($stock_used <= 0)) { goto zAS94; } goto b5WhQ; zLWDQ: goto XKF7u; goto dhaxz; TaBVQ: $stock_used = (float) $selected_bom_inventory['used']; goto CfAn9; oV6Oe: $bom_inventory = MIHelpers::get_inventory($selected_bom_inventory['id']); goto TaBVQ; Zml0H: $bom_inventory->save_meta('stock_quantity'); goto zLWDQ; HDtSh: $bom_inventory->set_meta(array('stock_quantity' => $inventory_stock - $stock_used)); goto Zml0H; F4hx3: ProduceItems::reduce_bom_tree($selected_bom_inventory['bomId'], $stock_used, $final_product); goto dtZzr; wBDa5: $inventory_stock = (float) $bom_inventory->stock_quantity; goto HDtSh; b5WhQ: goto QqHyx; goto yIBQE; PAqgS: QqHyx: goto vW2eh; Fhq_8: if ($bom_inventory->is_main() && BOMModel::has_linked_bom($selected_bom_inventory['bomId'])) { goto vJo98; } goto wBDa5; vW2eh: } goto tQWp7; YursY: CyW0H: goto xztgC; tQWp7: YRQZg: goto YursY; NxwhE: goto YBRnq; goto hzTlO; VLfAs: } goto B4Lfr; gW7na: $inventory->set_locations([absint($production_data['location'])]); goto whdUu; UHk0u: $linked_boms = BOMModel::get_linked_bom($product_id); goto n5YHY; gcpEV: wc_update_product_stock($product_id, $number_items, 'increase'); goto XVmjz; fWn2k: GHe2d: goto xZ19_; AzKfq: if (empty($production_data['location'])) { goto hojC8; } goto gW7na; d7Z8o: tYbCP: goto XxFQ2; cJN5w: goto GHe2d; goto ys0Jx; IaXIG: $inventory = MIHelpers::get_inventory($production_data['selected_inventory']); goto cDvBX; QOVdd: if (!empty($production_data['selected_inventory'])) { goto Al0Xv; } goto QPPDi; uPgUq: $product_has_mi = MIHelpers::has_multi_inventory($product_id); goto rnDVR; c4VxJ: $inventory_data['lot'] = sanitize_text_field($production_data['lot']); goto VE0yt; XVmjz: do_action('atum/product_levels/produce_items/after_increase_product_stock', $product_id, $number_items); goto fWn2k; ys0Jx: AIZhW: goto gcpEV; RDn4D: goto xunrQ; goto d7Z8o; ZfBk_: } public function validate_inventory_name_ajax() { goto akpNn; RlrbN: $inventories = MIHelpers::get_product_inventories_sorted(absint($_POST['product_id']), FALSE, TRUE); goto PYKxq; PYKxq: foreach ($inventories as $inventory) { goto WwZgL; b5ika: wp_send_json_error(__('This inventory name already exists on this product and it must be unique.', ATUM_LEVELS_TEXT_DOMAIN)); goto B94Py; B94Py: p0pbu: goto jM37O; WwZgL: if (!(strtolower($inventory->name) === $inventory_name)) { goto p0pbu; } goto b5ika; jM37O: lXzag: goto uqvRu; uqvRu: } goto jW1OJ; odzOJ: $inventory_name = trim(strtolower(sanitize_text_field($_POST['name']))); goto RlrbN; akpNn: check_ajax_referer('produce-items-nonce', 'security'); goto aIq5O; jW1OJ: zE37V: goto diqnb; diqnb: wp_send_json_success(); goto SMhZD; aIq5O: if (!(empty($_POST['name']) || empty($_POST['product_id']))) { goto Z9d16; } goto BLBZu; nFrag: Z9d16: goto odzOJ; BLBZu: wp_send_json_error(__('Invalid data', ATUM_LEVELS_TEXT_DOMAIN)); goto nFrag; SMhZD: } public function disable_produce_items_option() { goto kasCu; kasCu: $atum_settings = AtumHelpers::get_options(); goto rsr33; rsr33: if (!(!empty($atum_settings) && isset($atum_settings['pl_produce_items']) && 'yes' === $atum_settings['pl_produce_items'])) { goto cn2x8; } goto zajFz; ovJJb: cn2x8: goto ojA08; zajFz: AtumHelpers::update_atum_setting('pl_produce_items', 'no'); goto ovJJb; ojA08: } public function add_available_to_purchase_meta($metas) { $metas['available_to_purchase'] = NULL; return $metas; } public function get_available_to_purchase_column_value($value, $item, $list_table) { goto zCDqy; GzJal: $value = $list_table::EMPTY_COL; goto STxVl; STxVl: XDwkH: goto IjHk9; zCDqy: if (!($item instanceof Inventory && !$item->is_main())) { goto XDwkH; } goto GzJal; IjHk9: return $value; goto DJfVf; DJfVf: } public function get_available_to_purchase_column_editable($editable, $item, $product) { goto ELbMy; kD4ij: if ($item instanceof \WP_Post && $product instanceof \WC_Product && MIHelpers::has_multi_inventory($product)) { goto iMYns; } goto M7djy; P1p30: return $editable; goto dPD54; M7djy: goto CIhQE; goto jK4dq; jK4dq: iyZd9: goto YO1QE; yB_4y: CIhQE: goto P1p30; YO1QE: $editable = FALSE; goto FI3NX; LM340: iMYns: goto m3t12; FI3NX: goto CIhQE; goto LM340; ELbMy: if ($item instanceof Inventory && !$item->is_main()) { goto iyZd9; } goto kD4ij; m3t12: $editable = FALSE; goto yB_4y; dPD54: } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto tkB8H; I2p1U: ocpu_: goto nvCPy; tkB8H: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto ocpu_; } goto f8lx8; nvCPy: return self::$instance; goto GOamN; f8lx8: self::$instance = new self(); goto I2p1U; GOamN: } }
