<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\ManufacturingCentral\Lists; defined('ABSPATH') || die; use Atum\Components\AtumCapabilities; use Atum\Components\AtumListTables\AtumListTable; use Atum\Components\AtumStockDecimals; use Atum\Inc\Helpers as AtumHelpers; use Atum\Inc\Globals as AtumGlobals; use AtumLevels\Inc\Helpers; use Atum\Modules\ModuleManager; use Atum\Settings\Settings as AtumSettings; use AtumLevels\Models\BOMModel; use AtumLevels\Models\BOMOrderItemsModel; class ListTable extends AtumListTable { protected $id = 'manufacturing-central'; protected $container_products = array('variable_product_part' => [], 'all_variable_product_part' => [], 'variable_raw_material' => [], 'all_variable_raw_material' => []); protected static $default_hidden_columns = array('ID', '_weight'); protected $searchable_columns = array('string' => array('title', '_supplier', '_sku', '_supplier_sku'), 'numeric' => array('ID', '_purchase_price', '_weight', '_stock', '_out_stock_threshold', '_low_stock_threshold', '_inbound_stock', '_minimum_threshold', '_available_to_purchase', '_calc_backorders')); protected $atum_sortable_columns = array('_purchase_price' => array('type' => 'NUMERIC', 'field' => 'purchase_price'), '_supplier' => array('type' => 'NUMERIC', 'field' => 'supplier_id'), '_supplier_sku' => array('type' => '', 'field' => 'supplier_sku'), '_out_stock_threshold' => array('type' => 'NUMERIC', 'field' => 'out_stock_threshold'), '_inbound_stock' => array('type' => 'NUMERIC', 'field' => 'inbound_stock'), '_calc_backorders' => array('type' => 'NUMERIC', 'field' => 'calc_backorders')); protected $shared_tooltips; public function __construct($args) { goto aXb7W; LIvGM: self::$table_columns = self::get_table_columns(); goto QoXIn; cD220: $this->shared_tooltips = array('umg_parent' => esc_attr__('This BOM product was assigned to a product with unmanaged (unlimited) stock. Please, identify the problematic product by accessing the BOM Hierarchy tree on this screen or in Stock Central.', ATUM_LEVELS_TEXT_DOMAIN), 'umg' => esc_attr__('This BOM product has unmanaged (unlimited) stock at the product level.', ATUM_LEVELS_TEXT_DOMAIN)); goto cnKNb; V7m00: $stock_counters_cols = array('_stock', 'calc_available_to_produce', '_out_stock_threshold', '_low_stock_threshold', '_calc_backorders', '_inbound_stock', 'calc_committed', 'calc_shortage', 'calc_free'); goto bFTRV; QoXIn: self::$row_actions = (array) apply_filters('atum/product_levels/manufacturing_list_table/row_actions', []); goto rAlzT; h56V1: unset($stock_counters_cols[array_search('calc_committed', $stock_counters_cols)], $stock_counters_cols[array_search('calc_shortage', $stock_counters_cols)], $stock_counters_cols[array_search('calc_free', $stock_counters_cols)]); goto i1OFZ; R6sYn: unset($stock_counters_cols[array_search('calc_available_to_produce', $stock_counters_cols)]); goto Gd4G8; O7Hs7: unset($this->totalizers['calc_committed'], $this->totalizers['calc_shortage'], $this->totalizers['calc_free']); goto jFlmh; jFlmh: X2nlu: goto cD220; aXb7W: $this->show_unmanaged_counters = 'yes' === AtumHelpers::get_option('unmanaged_counters', 'no'); goto LIvGM; eSjqG: if (!Helpers::is_bom_stock_control_enabled()) { goto X2nlu; } goto O7Hs7; WF0ll: $this->days_to_reorder = absint(AtumHelpers::get_option('pl_manufacturing_sale_days', AtumSettings::DEFAULT_SALE_DAYS)); goto E7sTr; UAHan: add_action('atum/list_table/set_views_data/before_query_data', array($this, 'add_filter_real_stock_query_data')); goto FZR4b; FZR4b: add_action('atum/list_table/set_views_data/after_query_data', array($this, 'remove_filter_real_stock_query_data')); goto TB_QK; cnKNb: parent::__construct($args); goto WF0ll; Gd4G8: goto Z4C7x; goto dF44l; JRaIi: $this->group_members = (array) apply_filters('atum/product_levels/manufacturing_list_table/column_group_members', array('product-details' => array('title' => __('Product Details', ATUM_LEVELS_TEXT_DOMAIN), 'members' => array('thumb', 'ID', 'title', 'calc_type', '_sku', '_supplier', '_supplier_sku', 'calc_location', 'calc_hierarchy', '_purchase_price', '_weight')), 'stock-counters' => array('title' => __('Stock Counters', ATUM_LEVELS_TEXT_DOMAIN), 'members' => $stock_counters_cols), 'stock-selling-manager' => array('title' => '', 'members' => array('calc_stock_indicator')))); goto a4eq2; a4eq2: $this->searchable_columns = apply_filters('atum/product_levels/manufacturing_list_table/searchable_columns', $this->searchable_columns); goto eSjqG; dF44l: bO97M: goto h56V1; i1OFZ: Z4C7x: goto JRaIi; AjGrK: add_action('atum/list_table/after_query_data', array($this, 'remove_filter_real_stock_query_data')); goto UAHan; rAlzT: $this->totalizers = apply_filters('atum/product_levels/manufacturing_list_table/totalizers', array('calc_committed' => 0, 'calc_shortage' => 0, 'calc_free' => 0, '_stock' => 0, 'calc_available_to_produce' => 0, '_calc_backorders' => 0, '_inbound_stock' => 0)); goto V7m00; E7sTr: add_action('atum/product_levels/manufacturing_list_table/page_title_buttons', array($this, 'add_apply_bulk_action_button')); goto FBk1O; FBk1O: add_action('atum/list_table/before_query_data', array($this, 'add_filter_real_stock_query_data')); goto AjGrK; bFTRV: if (Helpers::is_bom_stock_control_enabled()) { goto bO97M; } goto R6sYn; TB_QK: } public static function get_table_columns($force_defaults = FALSE) { goto blf96; WteSb: $table_columns = array('thumb' => '<span class="atum-icon atmi-picture tips" data-bs-placement="bottom" data-tip="' . esc_attr__('Image', ATUM_LEVELS_TEXT_DOMAIN) . '">' . esc_attr__('Image', ATUM_LEVELS_TEXT_DOMAIN) . '</span>', 'ID' => __('ID', ATUM_LEVELS_TEXT_DOMAIN), 'title' => __('Product Name', ATUM_LEVELS_TEXT_DOMAIN), 'calc_type' => '<span class="atum-icon atmi-tag tips" data-bs-placement="bottom" data-tip="' . esc_attr__('BOM Type', ATUM_LEVELS_TEXT_DOMAIN) . '">' . esc_attr__('BOM Type', ATUM_LEVELS_TEXT_DOMAIN) . '</span>', '_sku' => __('SKU', ATUM_LEVELS_TEXT_DOMAIN), '_supplier' => __('Supplier', ATUM_LEVELS_TEXT_DOMAIN), '_supplier_sku' => __('Supplier SKU', ATUM_LEVELS_TEXT_DOMAIN), 'calc_location' => '<span class="atum-icon atmi-map-marker tips" data-bs-placement="bottom" data-tip="' . esc_attr__('Location', ATUM_LEVELS_TEXT_DOMAIN) . '">' . esc_attr__('Location', ATUM_LEVELS_TEXT_DOMAIN) . '</span>', 'calc_hierarchy' => '<span class="atum-icon atmi-tree tips" data-bs-placement="bottom" data-tip="' . esc_attr__('BOM Hierarchy', ATUM_LEVELS_TEXT_DOMAIN) . '">' . __('BOM Hierarchy', ATUM_LEVELS_TEXT_DOMAIN) . '</span>', '_purchase_price' => __('Purchase Price', ATUM_LEVELS_TEXT_DOMAIN), '_weight' => __('Weight', ATUM_LEVELS_TEXT_DOMAIN), 'calc_committed' => __('Committed', ATUM_LEVELS_TEXT_DOMAIN), 'calc_shortage' => __('Shortage', ATUM_LEVELS_TEXT_DOMAIN), 'calc_free' => __('Free to Use', ATUM_LEVELS_TEXT_DOMAIN), '_stock' => __('Total in Warehouse', ATUM_LEVELS_TEXT_DOMAIN), 'calc_available_to_produce' => __('Available to Produce', ATUM_LEVELS_TEXT_DOMAIN), '_calc_backorders' => __('Backorders', ATUM_LEVELS_TEXT_DOMAIN), '_inbound_stock' => __('Inbound Stock', ATUM_LEVELS_TEXT_DOMAIN), '_out_stock_threshold' => __('Out of Stock Threshold', ATUM_LEVELS_TEXT_DOMAIN), '_low_stock_threshold' => __('Low Stock Threshold', ATUM_LEVELS_TEXT_DOMAIN), 'calc_stock_indicator' => '<span class="atum-icon atmi-layers stock-indicator-icon tips" data-bs-placement="bottom" data-tip="' . esc_attr__('Stock Indicator', ATUM_LEVELS_TEXT_DOMAIN) . '">' . esc_attr__('Stock Indicator', ATUM_LEVELS_TEXT_DOMAIN) . '</span>'); goto Tz2ZV; vfYz7: $table_columns = (array) apply_filters('atum/product_levels/manufacturing_list_table/table_columns', $table_columns); goto bocMs; m2ybU: PgAgc: goto Yowd3; xgx7W: unset($table_columns['_purchase_price'], $table_columns['_inbound_stock']); goto JUsOr; yDy0C: if (AtumCapabilities::current_user_can('view_purchase_price')) { goto PgAgc; } goto ilEsX; cBb_A: if (ModuleManager::is_module_active('purchase_orders')) { goto Acaoe; } goto xgx7W; JrVCr: $table_columns = self::maybe_disable_columns($table_columns, 'pl_mc_columns'); goto kMGaD; Yowd3: if (!(!ModuleManager::is_module_active('purchase_orders') || !AtumCapabilities::current_user_can('read_supplier'))) { goto G2hwP; } goto qgtwf; kMGaD: tA69w: goto P0ImC; tH2Yr: IJyft: goto pqcMC; YI4sH: unset($table_columns['calc_available_to_produce']); goto WRuZA; ilEsX: unset($table_columns['_purchase_price']); goto m2ybU; Tz2ZV: if (Helpers::is_bom_stock_control_enabled()) { goto IJyft; } goto YI4sH; JUsOr: Acaoe: goto vfYz7; uBvcz: Igd3s: goto yDy0C; pqcMC: unset($table_columns['calc_committed'], $table_columns['calc_shortage'], $table_columns['calc_free']); goto uBvcz; oGb35: G2hwP: goto cBb_A; P0ImC: return $table_columns; goto j7q4E; qgtwf: unset($table_columns['_supplier'], $table_columns['_supplier_sku']); goto oGb35; WRuZA: goto Igd3s; goto tH2Yr; blf96: self::set_sales_day(); goto WteSb; bocMs: if ($force_defaults) { goto tA69w; } goto JrVCr; j7q4E: } protected function column_calc_hierarchy($item) { goto WUpAC; h2aOz: if (!Helpers::is_bom_used($this->list_item->get_id())) { goto agXY4; } goto lznsd; lznsd: $data_tip = !self::$is_report ? ' data-tip="' . esc_attr__('Show Hierarchy Tree', ATUM_LEVELS_TEXT_DOMAIN) . '"' : ''; goto J_BX8; J_BX8: $hierarchy = '<a href="#" class="show-hierarchy atum-icon atmi-tree tips" ' . $data_tip . ' data-id="' . $this->list_item->get_id() . '" data-full-tree="yes"></a>'; goto hdUPW; WUpAC: $hierarchy = self::EMPTY_COL; goto h2aOz; hdUPW: agXY4: goto Ov4T5; Ov4T5: return apply_filters('atum/product_levels/manufacturing_list_table/column_hierarchy', $hierarchy, $item, $this->list_item); goto N1Sdp; N1Sdp: } protected function column_calc_committed($item) { goto BecLN; mC1HT: goto uw8hj; goto HUcNc; JC2eg: return apply_filters('atum/product_levels/manufacturing_list_table/column_committed_stock', $committed_stock, $item, $this->list_item); goto QO3eS; BecLN: do_action('atum/product_levels/before_add_bom_product_fields', $this->list_item); goto UgHLG; UgHLG: if (!$this->allow_calcs || !apply_filters('atum/product_levels/manufacturing_list_table/check_valid_item', TRUE, $item)) { goto nnx20; } goto M1Ayc; M1Ayc: $bom_id = $this->list_item->get_id(); goto gs00l; HSTGj: $tooltip .= $this->shared_tooltips['umg_parent'] . '<br>'; goto NfqGF; HUcNc: nnx20: goto yEGDZ; JdktQ: goto xX5_6; goto LvxGE; LvxGE: DAfCu: goto e5hjM; knJhH: syrF1: goto mC1HT; kEDtn: $committed_stock = $this->list_item->get_stock_quantity(); goto VOusQ; OheY2: if (!$tooltip) { goto syrF1; } goto fGSh1; rtFzw: uw8hj: goto JC2eg; fGSh1: $committed_stock = "<span class='cell-yellow tips' data-tip='{$tooltip}'>{$committed_stock}</span>"; goto knJhH; FpsSP: if (FALSE !== $committed_stock) { goto DAfCu; } goto HSTGj; m45x2: $this->list_item->committed_stock = $committed_stock; goto dzQ7L; aQ8jU: qAWAG: goto kEDtn; VBSmz: goto n9UE1; goto aQ8jU; VOusQ: n9UE1: goto JdktQ; LZ1OI: $committed_stock = self::EMPTY_COL; goto VBSmz; NfqGF: if ($this->list_item->managing_stock()) { goto qAWAG; } goto LIRnD; gs00l: $tooltip = ''; goto HVZat; LIRnD: $tooltip .= $this->shared_tooltips['umg'] . '<br>'; goto LZ1OI; e5hjM: $this->increase_total('calc_committed', $committed_stock); goto m45x2; dzQ7L: xX5_6: goto OheY2; yEGDZ: $committed_stock = self::EMPTY_COL; goto rtFzw; HVZat: $committed_stock = wc_format_decimal(floatval(Helpers::get_committed_boms($bom_id)), AtumStockDecimals::get_stock_decimals(), TRUE); goto FpsSP; QO3eS: } protected function column_calc_shortage($item) { goto clwKr; yCyxH: if (!$committed_stock) { goto Z4zgX; } goto dBsw0; r51Hi: if ($this->list_item->managing_stock()) { goto ysnMy; } goto WPqr4; uxRQR: v5BxZ: goto poFch; u690W: $shortage = "<span class='cell-yellow tips' data-tip='{$tooltip}'>{$shortage}</span>"; goto eNF1u; jzD9L: $shortage = $total_in_warehouse - $committed_stock; goto qNjE0; eT9dY: oqccl: goto rGlks; poFch: if (!$tooltip) { goto Z6ydV; } goto u690W; rFwsg: Z4zgX: goto eT9dY; WPqr4: $tooltip .= $this->shared_tooltips['umg'] . '<br>'; goto u2Ssv; u0A7c: tgb5a: goto GmmHk; RyC00: return apply_filters('atum/product_levels/manufacturing_list_table/column_shortage', $shortage, $item, $this->list_item); goto iGwTH; ZuRc8: $tooltip = ''; goto uv9Ah; KaFek: $shortage = '<span class="highlight-danger">' . $shortage . '</span>'; goto n7wVW; rGlks: hnrMS: goto uxRQR; RdLfN: kHmVq: goto p8tO3; tGGTQ: goto v5BxZ; goto u0A7c; AAULS: iEGs7: goto RyC00; Qvjdu: if (isset($this->list_item->committed_stock)) { goto tgb5a; } goto wI_hq; GmmHk: $committed_stock = wc_stock_amount($this->list_item->committed_stock); goto r51Hi; u2Ssv: goto hnrMS; goto JfRYD; dBsw0: if (!($total_in_warehouse < 0 || $total_in_warehouse < $committed_stock)) { goto svW08; } goto jzD9L; cVspT: $this->increase_total('calc_shortage', $shortage); goto prj7Z; uv9Ah: $shortage = self::EMPTY_COL; goto Qvjdu; wI_hq: $tooltip .= $this->shared_tooltips['umg_parent'] . '<br>'; goto tGGTQ; prj7Z: if (!($shortage < 0)) { goto a3rgT; } goto KaFek; Db7vt: $total_in_warehouse = $this->get_current_product_stock($item); goto bUUwm; bUUwm: if (is_null($total_in_warehouse)) { goto oqccl; } goto dP5OU; n7wVW: a3rgT: goto rFwsg; JfRYD: ysnMy: goto Db7vt; qNjE0: svW08: goto cVspT; eNF1u: Z6ydV: goto CptRB; CptRB: goto iEGs7; goto RdLfN; p8tO3: $shortage = self::EMPTY_COL; goto AAULS; clwKr: if (!$this->allow_calcs || !apply_filters('atum/product_levels/manufacturing_list_table/check_valid_item', TRUE, $item)) { goto kHmVq; } goto ZuRc8; dP5OU: $shortage = 0; goto yCyxH; iGwTH: } protected function column_calc_free($item) { goto lp9DD; TLmiJ: $free_to_use = $total_in_warehouse - $committed_stock >= 0 ? $total_in_warehouse - $committed_stock : 0; goto hqZKX; RMHEj: return apply_filters('atum/product_levels/manufacturing_list_table/column_free_to_use', $free_to_use, $item, $this->list_item); goto jrhx1; ijiwM: if (is_null($total_in_warehouse)) { goto ev95K; } goto IWp4c; j4Ut_: goto HPk_G; goto pxvFf; pJGr4: PJT8w: goto j1qHU; IFE_y: goto sfNKR; goto yi4sO; I4j_5: $free_to_use = "<span class='cell-yellow tips' data-tip='{$tooltip}'>{$free_to_use}</span>"; goto PZK8K; aK8xm: do_action('atum/product_levels/after_add_bom_product_fields', $this->list_item); goto RMHEj; lfqD0: $free_to_use = self::EMPTY_COL; goto yRQet; hqZKX: $this->increase_total('calc_free', $free_to_use); goto j4Ut_; sEVov: $total_in_warehouse = $this->get_current_product_stock($item); goto ijiwM; PZK8K: uN89n: goto ZzQ98; YNSge: if (!isset($this->list_item->committed_stock)) { goto PJT8w; } goto sEVov; yRQet: Blol0: goto aK8xm; yi4sO: K2p5L: goto my4gG; eFAjw: pEYRa: goto lfqD0; K0N6g: $free_to_use = self::EMPTY_COL; goto tsdbQ; X76EX: $tooltip = !isset($this->list_item->committed_stock) ? $this->shared_tooltips['umg_parent'] . '<br>' : ''; goto nVo4e; qleF9: if (!$tooltip) { goto uN89n; } goto I4j_5; pxvFf: ev95K: goto K0N6g; tsdbQ: HPk_G: goto pJGr4; nVo4e: if ($this->list_item->managing_stock()) { goto K2p5L; } goto r3lbZ; IWp4c: $committed_stock = wc_stock_amount($this->list_item->committed_stock); goto TLmiJ; upjCs: $free_to_use = self::EMPTY_COL; goto X76EX; my4gG: $free_to_use = 0; goto YNSge; j1qHU: sfNKR: goto qleF9; lp9DD: if (!$this->allow_calcs || !apply_filters('atum/product_levels/manufacturing_list_table/check_valid_item', TRUE, $item)) { goto pEYRa; } goto upjCs; ZzQ98: goto Blol0; goto eFAjw; r3lbZ: $tooltip .= $this->shared_tooltips['umg'] . '<br>'; goto IFE_y; jrhx1: } protected function column__sales_last_days($item, $add_to_total = TRUE) { goto on2HD; MiNUl: $sales_last_ndays = $this->list_item->get_sales_last_days(); goto lypOj; NZzhc: $this->list_item->set_sales_last_days($sales_last_ndays); goto BS3CS; BS3CS: hRjn4: goto gq0nC; lypOj: if (!(is_null($sales_last_ndays) || AtumSettings::DEFAULT_SALE_DAYS !== $sale_days || AtumHelpers::is_product_data_outdated($this->list_item))) { goto hRjn4; } goto Z3KhY; G3Fmo: hYJ8h: goto ZNh3b; p2eYW: return apply_filters('atum/product_levels/manufacturing_list_table/column_sales_last_days', $sales_last_ndays, $item, $this->list_item); goto rBXt3; jVJcO: $sales_last_ndays = 0; goto G3Fmo; wcPUw: R1OxK: goto p2eYW; DLoHJ: $sale_days = self::$sale_days; goto MiNUl; WeJcD: $this->increase_total('_sales_last_days', $sales_last_ndays); goto lb90m; gq0nC: if (is_numeric($sales_last_ndays)) { goto hYJ8h; } goto jVJcO; ZNh3b: if (!$add_to_total) { goto FMx8f; } goto WeJcD; Z3KhY: $sales_last_ndays = $this->get_sold_last_days($this->list_item->get_id(), "{$this->day} -{$sale_days} days", $this->day); goto NZzhc; oE4JI: if (!$this->allow_calcs) { goto R1OxK; } goto DLoHJ; lb90m: FMx8f: goto wcPUw; on2HD: $sales_last_ndays = self::EMPTY_COL; goto oE4JI; rBXt3: } protected function column_calc_available_to_produce($item) { goto ABhMb; R2hpr: goto aCZoP; goto Yp0AU; DZdM9: if (!(!$is_inheritable && (!$this->list_item->managing_stock() || 'parent' === $this->list_item->managing_stock()))) { goto kugXZ; } goto xvnEj; Zhs05: $available_stock = wc_stock_amount($this->list_item->get_calculated_stock()); goto ZSAkc; ez7GG: $is_grouped = 'grouped' === $this->list_item->get_type(); goto Cg_s8; zMV_W: if (!(!$is_grouped && $has_bom)) { goto rPy8M; } goto Zhs05; CJgeW: $available_stock_html = '<span class="calculated atum-tooltip" data-tip="' . esc_attr__('Calculated stock quantity', ATUM_LEVELS_TEXT_DOMAIN) . '">' . $available_stock . '</span>'; goto DzRRX; qdPRO: return apply_filters('atum/product_levels/manufacturing_list_table/column_available_to_produce', $available_stock_html, $item, $this->list_item); goto Z7Yhv; KyiHW: $available_stock_html = "<span>{$available_stock}</span>"; goto R2hpr; Yp0AU: aNhBs: goto CJgeW; H8iuC: $available_stock_html .= " | <span class='compounded-available tips ' data-tip='{$tooltip}'>" . self::EMPTY_COL . '</span>'; goto zrSqP; zrSqP: LEg8C: goto qdPRO; OTXGC: rPy8M: goto B9R8R; ABhMb: $available_stock = self::EMPTY_COL; goto ez7GG; sBjkK: kugXZ: goto zMV_W; xvnEj: return apply_filters('atum/product_levels/manufacturing_list_table/column_available_stock', $available_stock, $item, $this->list_item, $this); goto sBjkK; a16kL: $tooltip = esc_attr__('Compounded stock quantity', ATUM_LEVELS_TEXT_DOMAIN); goto H8iuC; QDCY6: if (!$is_inheritable) { goto LEg8C; } goto a16kL; DzRRX: aCZoP: goto QDCY6; Cg_s8: $is_inheritable = AtumHelpers::is_inheritable_type($this->list_item->get_type()); goto ZZLTG; ZSAkc: $this->increase_total('calc_available_to_produce', $available_stock); goto OTXGC; ZZLTG: $has_bom = BOMModel::has_linked_bom($this->list_item->get_id()); goto DZdM9; B9R8R: if ($has_bom) { goto aNhBs; } goto KyiHW; Z7Yhv: } public function column__stock($item, $editable = TRUE) { goto qFoMo; rWf0m: tGG4k: goto RrzE2; N3TGN: $this->increase_total('_stock', $stock); goto HMGYM; qFoMo: if (Helpers::is_bom_stock_control_enabled() && BOMModel::has_linked_bom($this->list_item->get_id())) { goto tGG4k; } goto ivjeD; ivjeD: if (!Helpers::is_bom_stock_control_enabled()) { goto QBYdx; } goto v1Cuu; Nyhbz: QBYdx: goto DTgCe; pzNm2: do_action('atum/product_levels/after_add_bom_product_fields', $this->list_item); goto hCSag; pGKPI: goto IoFRN; goto Nyhbz; hCSag: IoFRN: goto fU2Ts; RrzE2: $stock = $this->get_current_product_stock($item); goto N3TGN; DTgCe: do_action('atum/product_levels/before_add_bom_product_fields', $this->list_item); goto mNp16; bZE7G: return apply_filters('atum/product_levels/manufacturing_list_table/column_stock', $stock, $item, $this->list_item); goto T8KjI; v1Cuu: $stock = parent::column__stock($item, $editable); goto pGKPI; HMGYM: hBRHL: goto bZE7G; fU2Ts: goto hBRHL; goto rWf0m; mNp16: $stock = parent::column__stock($item, $editable); goto pzNm2; T8KjI: } private function get_sold_last_days($items, $date_start, $date_end = '', $columns = ['qty', 'prod_id']) { goto vIRuI; TXfw2: goto ODBIn; goto mKTaK; wk9sx: $order_boms_table = $wpdb->prefix . BOMOrderItemsModel::get_order_bom_table(); goto a_Ndu; FcJHe: $orders_query = "\n\t\t\t\t\tSELECT ID FROM {$wpdb->posts}  \n\t\t\t\t\t{$date_where}\n\t\t\t\t\tAND post_type = 'shop_order' AND post_status IN ('wc-processing', 'wc-completed')\t\t\t\t  \n\t\t\t\t"; goto TXfw2; hkj47: $items_sold = floatval($items_sold); goto NDpdZ; wcAZL: foreach ($sellable_items_sold as $key => $sellable_item_sold) { goto BKSUj; bpLCA: goto fPUMG; goto OkkXn; BOWCk: $items_sold[$found_key] += $found_product['QTY']; goto giTt9; jbfjt: gia30: goto pir0p; giTt9: fPUMG: goto jbfjt; BKSUj: $found_product = wp_list_filter($items_sold, ['PROD_ID' => $sellable_item_sold['PROD_ID']]); goto yYNR_; fWVw1: $items_sold[] = $sellable_item_sold; goto bpLCA; fwxbC: $found_product = current($found_product); goto BOWCk; OkkXn: UXrhx: goto VWPgZ; VWPgZ: $found_key = current(array_keys($found_product)); goto fwxbC; yYNR_: if (!empty($found_product)) { goto UXrhx; } goto fWVw1; pir0p: } goto z89CA; ZAkgG: goto REeNQ; goto FeN8K; MZxj3: rNEZa: goto SZToc; VwMmW: return $items_sold; goto tDngE; YnxxU: goto STJUR; goto ofjVD; ATyLs: $query = $wpdb->prepare("\n\t\t\t\t\tSELECT SUM(order_boms.qty) AS QTY, order_boms.bom_id AS PROD_ID\n\t\t\t\t    FROM {$wpdb->posts} AS orders\n\t\t\t        INNER JOIN {$wpdb->prefix}woocommerce_order_items AS order_items ON (orders.ID = order_items.order_id)\n\t\t\t        INNER JOIN {$order_boms_table} AS order_boms ON (order_items.order_item_id = order_boms.order_item_id)\n\t\t\t\t    WHERE orders.ID IN ({$orders_query}) AND order_boms.bom_id {$products_where} AND order_boms.order_type = %d\n\t\t\t\t    GROUP BY order_boms.bom_id;\n\t\t\t    ", AtumGlobals::get_order_type_id()); goto loTQx; NDpdZ: goto zofBp; goto FLu9B; JyI3q: $date_where = $wpdb->prepare('WHERE date_created_gmt >= %s', $date_start); goto b1pw4; S_ZLx: $items_sold = $sellable_items_sold; goto dMOi7; ofjVD: w8Dys: goto UlTCz; kPiSI: ODBIn: goto gsCF5; tmVmU: $items_sold = floatval($items_sold) + floatval($sellable_items_sold); goto YnxxU; UELqR: $date_end = AtumHelpers::date_format(strtotime($date_end), TRUE, TRUE); goto RTGyl; W6Fze: $products_where = "= {$items}"; goto b93kA; M05tF: zofBp: goto wtLZX; a_Ndu: if ($is_using_hpos_tables) { goto ALQUi; } goto ATyLs; RWBya: pjt1r: goto FcJHe; Pc2yy: if (!(!empty($items) && !empty($columns))) { goto cxdQB; } goto MmaNS; hW3cq: ALQUi: goto KOj0g; gjF7B: STJUR: goto M05tF; MmaNS: global $wpdb; goto RH9jB; b1pw4: if (!$date_end) { goto hYHHA; } goto l21La; odIDT: if ($is_using_hpos_tables) { goto UAbbg; } goto Rrd0S; x2foC: cxdQB: goto VwMmW; mKTaK: UAbbg: goto JyI3q; s8uaC: pQGWO: goto Gjxrl; x071g: if (empty($items_sold)) { goto w8Dys; } goto tmVmU; gsCF5: if (is_array($items)) { goto rNEZa; } goto W6Fze; tNGty: $sellable_items_sold = current($sellable_items_sold); goto pEb7r; SZToc: $products_where = 'IN (' . implode(',', $items) . ')'; goto F5RkC; RH9jB: $is_using_hpos_tables = AtumHelpers::is_using_hpos_tables(); goto Zn78V; EvxEv: if (!is_array($sellable_items_sold)) { goto GJNrT; } goto tNGty; CIX5v: GJNrT: goto x071g; eEZwS: goto MbhOn; goto g_jF7; cBsNO: $date_where .= $wpdb->prepare(' AND date_created_gmt <= %s', $date_end); goto oYH2K; KOj0g: $query = $wpdb->prepare("\n\t\t\t\t\tSELECT SUM(order_boms.qty) AS QTY, order_boms.bom_id AS PROD_ID\n\t\t\t\t    FROM {$wpdb->prefix}wc_orders AS orders\n\t\t\t        INNER JOIN {$wpdb->prefix}woocommerce_order_items AS order_items ON (orders.id = order_items.order_id)\n\t\t\t        INNER JOIN {$order_boms_table} AS order_boms ON (order_items.order_item_id = order_boms.order_item_id)\n\t\t\t\t    WHERE orders.id IN ({$orders_query}) AND order_boms.bom_id {$products_where} AND order_boms.order_type = %d\n\t\t\t\t    GROUP BY order_boms.bom_id;\n\t\t\t    ", AtumGlobals::get_order_type_id()); goto s8uaC; w03rF: $items_sold = $wpdb->get_results($query); goto rBmsg; HsqYl: if (!empty($sellable_items_sold)) { goto rw63p; } goto hkj47; zWwFw: if (empty($items_sold)) { goto P3ZJV; } goto wcAZL; rBmsg: if (empty($sellable_items_sold)) { goto fOyw3; } goto zWwFw; JeUMk: $items_sold = $wpdb->get_var($query); goto HsqYl; b93kA: goto fd9Fq; goto MZxj3; g_jF7: P3ZJV: goto S_ZLx; Zn78V: $date_start = AtumHelpers::date_format(strtotime($date_start), TRUE, TRUE); goto odIDT; F5RkC: fd9Fq: goto wk9sx; CxeqL: if (!is_array($items) || count($items) === 1) { goto Q5nL4; } goto w03rF; wtLZX: REeNQ: goto x2foC; l21La: $date_end = AtumHelpers::date_format(strtotime($date_end), TRUE, TRUE); goto cBsNO; dMOi7: MbhOn: goto rttJJ; vIRuI: $items_sold = array(); goto Pc2yy; z89CA: R9nNV: goto eEZwS; RTGyl: $date_where .= $wpdb->prepare(' AND post_date_gmt <= %s', $date_end); goto RWBya; rfnsx: $orders_query = "\n\t\t\t\t\tSELECT ID FROM {$wpdb->prefix}wc_orders  \n\t\t\t\t\t{$date_where}\n\t\t\t\t\tAND type = 'shop_order' AND status IN ('wc-processing', 'wc-completed')\t\t\t\t  \n\t\t\t\t"; goto kPiSI; Gjxrl: $sellable_items_sold = AtumHelpers::get_sold_last_days($date_start, $date_end, $items, $columns); goto CxeqL; gknKg: if (!$date_end) { goto pjt1r; } goto UELqR; UlTCz: $items_sold = floatval($sellable_items_sold); goto gjF7B; oYH2K: hYHHA: goto rfnsx; FeN8K: Q5nL4: goto JeUMk; loTQx: goto pQGWO; goto hW3cq; rttJJ: fOyw3: goto ZAkgG; FLu9B: rw63p: goto EvxEv; pEb7r: $sellable_items_sold = $sellable_items_sold['QTY']; goto CIX5v; Rrd0S: $date_where = $wpdb->prepare('WHERE post_date_gmt >= %s', $date_start); goto gknKg; tDngE: } public function prepare_items() { add_filter('atum/suppliers/supplier_product_types', array('\\AtumLevels\\Bootstrap', 'get_all_product_levels'), 10, 3); parent::prepare_items(); } public function no_items() { goto rKoCK; d_3t4: if (!(isset($_REQUEST['s']) && strlen($_REQUEST['s']) > 0)) { goto Jv0h0; } goto CTal2; CTal2: printf(esc_html__(" with query '%s'", ATUM_LEVELS_TEXT_DOMAIN), esc_attr($_REQUEST['s'])); goto CZHr_; CZHr_: Jv0h0: goto oUAsk; rKoCK: esc_html_e('No Materials found', ATUM_LEVELS_TEXT_DOMAIN); goto d_3t4; oUAsk: } public function get_current_product_stock($item) { goto phZJR; iQv59: SdH7f: goto kqkbO; ZqTec: if (is_null($quantity)) { goto SdH7f; } goto ZIKnQ; M1YEK: $quantity = $this->list_item->get_stock_quantity(); goto ZqTec; kqkbO: $stock = $has_bom && Helpers::is_bom_stock_control_enabled() ? 0 : $quantity; goto fEEoi; phZJR: $has_bom = BOMModel::has_linked_bom($this->list_item->get_id()); goto M1YEK; fEEoi: return apply_filters('atum/product_levels/manufacturing_list_table/get_bom_product_stock', $stock, $item, $this->list_item, $this); goto XaaUc; ZIKnQ: $quantity = wc_stock_amount($quantity); goto iQv59; XaaUc: } public function add_filter_real_stock_query_data() { add_filter('posts_clauses', array($this, 'maybe_add_real_stock_data_query_clauses')); } public function remove_filter_real_stock_query_data() { remove_filter('posts_clauses', array($this, 'maybe_add_real_stock_data_query_clauses')); } public function maybe_add_real_stock_data_query_clauses($pieces) { goto RgfO5; rMBPW: $linked_bom_table = $wpdb->prefix . BOMModel::get_linked_bom_table(); goto Of3QD; CY9VC: $where_boms = 'lbt.product_id IS NULL'; goto p29l8; YiVwf: $processed_field = apply_filters('atum/list_table/sql_stock_field', "IFNULL({$order_field},0)", $wpdb->posts, FALSE); goto zyhEe; zyhEe: $pieces['fields'] .= ", {$processed_field}"; goto Ch0vs; Ch0vs: $pieces['orderby'] = "{$processed_field} {$order}"; goto N_OmW; dqrOw: Xdr_w: goto lXbvH; BbeB1: $order_field = str_replace(", {$wpdb->posts}.ID", '', str_replace(' DESC', '', str_replace(' ASC', '', $pieces['orderby']))); goto YiVwf; L7tTj: $real_stock_filter = isset($_REQUEST['real_stock']) ? wc_clean(wp_unslash($_REQUEST['real_stock'])) : FALSE; goto mmv7g; lXbvH: if (!($is_stock_sorted && in_array($pieces['fields'], array("{$wpdb->posts}.*", "{$wpdb->posts}.ID")) && Helpers::is_bom_stock_control_enabled() && apply_filters('atum/product_levels/list_table_orderby_stock_filter', TRUE))) { goto aJNLt; } goto Yx8Ke; Yx8Ke: $order = isset($_REQUEST['order']) && 'asc' === strtolower($_REQUEST['order']) ? 'ASC' : 'DESC'; goto BbeB1; MF2xP: return $pieces; goto tevpD; Of3QD: $join_boms = " LEFT JOIN {$linked_bom_table} lbt ON {$wpdb->posts}.ID = lbt.product_id"; goto CY9VC; N_OmW: aJNLt: goto MF2xP; yw9KC: if (!('yes' === $real_stock_filter)) { goto Xdr_w; } goto rMBPW; mmv7g: $is_stock_sorted = !empty($_REQUEST['orderby']) && '_stock' === $_REQUEST['orderby']; goto yw9KC; p29l8: $pieces['join'] .= ' ' . apply_filters('atum/product_levels/real_stock_data_query', $join_boms, 'join') . ' '; goto cDGtQ; RgfO5: global $wpdb; goto L7tTj; cDGtQ: $pieces['where'] .= ' AND ' . apply_filters('atum/product_levels/real_stock_data_query', $where_boms, 'where'); goto dqrOw; tevpD: } use ListTrait; }
