<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\ManufacturingCentral\Lists; defined('ABSPATH') || die; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use Atum\Components\AtumCache; use AtumLevels\Inc\Globals; use AtumLevels\Levels\Products\AtumProductProductPartVariation; use AtumLevels\Inc\Helpers; trait ListTrait { protected function get_table_classes() { goto zlE8F; eBvPx: return $table_classes; goto Q0q1W; zlE8F: $table_classes = parent::get_table_classes(); goto Bhed1; Bhed1: $table_classes[] = 'manufacturing-central-list'; goto eBvPx; Q0q1W: } protected function table_nav_filters() { goto gQv29; voxXO: $type = isset($_REQUEST['product_type']) ? esc_attr($_REQUEST['product_type']) : ''; goto TbP2L; NPPfI: return; goto ATw0K; TbP2L: echo Helpers::bom_types_dropdown($type); goto HQFt9; gQv29: if ($this->show_controlled) { goto N6vN5; } goto NPPfI; HQFt9: echo AtumHelpers::suppliers_dropdown(['selected' => isset($_REQUEST['supplier']) ? esc_attr($_REQUEST['supplier']) : '', 'enhanced' => 'yes' === AtumHelpers::get_option('enhanced_suppliers_filter', 'no')]); goto t9QLy; ATw0K: N6vN5: goto voxXO; t9QLy: do_action('atum/list_table/after_nav_filters', $this); goto VSiqO; VSiqO: } public function single_row($item) { goto gENSm; gENSm: $this->list_item = AtumHelpers::get_atum_product($item); goto VpIKW; VpIKW: if (Globals::is_bom_product($this->list_item)) { goto CyREn; } goto cJ1a1; cJ1a1: return; goto atDTS; aebRV: parent::single_row($item); goto fOvw2; atDTS: CyREn: goto aebRV; fOvw2: } protected function set_views_data($args) { goto gluHs; BuDMt: do_action('atum/list_table/set_views_data/after_query_data'); goto dsUYk; GTjtR: $bom_product_query = Helpers::get_bom_products_query(); goto Mf3KK; nJiZh: $this->atum_query_data['where']['relation'] = 'AND'; goto mJmDo; H8241: $products_unmanaged = array(); goto AJ2zz; nuEJE: $products_in_stock = new \WP_Query(apply_filters('atum/product_levels/manufacturing_list_table/set_views_data/in_stock_products_args', $products_args)); goto O1fE8; R1rLS: $products_backorders = $products_backorders->posts; goto iBdqr; gY4sc: if ($products) { goto f09EM; } goto YIA2M; q_EGQ: EtfHp: goto QQ_Te; ILhxh: $this->id_views['unm_out_stock'] = array_column(array_filter($products_unmanaged_status, function ($row) { return 'outofstock' === $row[1]; }), 0); goto qAN2E; MpK_0: $this->id_views['in_stock'] = $this->show_unmanaged_counters ? (array) $products_in_stock : array_merge((array) $products_in_stock, $this->id_views['unmanaged_in_stock']); goto TLMAt; zTdiD: add_filter('atum/get_unmanaged_products/join_query', array($this, 'unmanaged_products_join')); goto FTVXg; h9S1h: $this->atum_query_data['where']['relation'] = 'AND'; goto HYm7T; fEf4S: $this->id_views['all_in_stock'] = array_merge($this->id_views['in_stock'], $this->id_views['unm_in_stock']); goto JNFNL; dsUYk: $products = $wp_query->posts; goto Lf8r5; OKj23: $this->id_views['unmanaged'] = $products_unmanaged; goto vAv1q; Tqadn: $this->atum_query_data = $temp_atum_query_data; goto qSmhC; oszID: $this->count_views = array('count_in_stock' => 0, 'count_out_stock' => 0, 'count_restock_status' => 0, 'count_back_order' => 0, 'count_unmanaged' => 0); goto EVYZ9; g9et3: $this->count_views['count_out_stock'] = count(array_unique($this->id_views['out_stock'])); goto mHZ3p; Gusrt: n001u: goto meQqj; TM_rR: add_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto tAfwf; RnBrM: $products_unmanaged = array_column($products_unmanaged_status, 0); goto sfUAb; FQeTm: $products = AtumCache::get_transient($all_transient); goto gY4sc; tWw6d: $this->count_views = array_merge($this->count_views, array('count_managed' => 0, 'count_unm_in_stock' => 0, 'count_unm_out_stock' => 0, 'count_unm_back_order' => 0, 'count_all_in_stock' => 0, 'count_all_out_stock' => 0, 'count_all_back_order' => 0)); goto SoiIF; AK4kq: $products_in_stock = AtumCache::get_transient($in_stock_transient); goto mV8Nw; LWZhK: AtumCache::set_transient($in_stock_transient, $products_in_stock); goto rd1zR; k2FX8: if (empty($this->atum_query_data['where'])) { goto JLeVJ; } goto nJiZh; aPtsm: if (empty($this->atum_query_data['where'])) { goto F81JK; } goto h9S1h; FZ0y5: $this->atum_query_data['where'][] = array('key' => 'atum_stock_status', 'value' => 'onbackorder', 'type' => 'CHAR'); goto Zfdyd; R7Q_6: $this->id_views['unm_in_stock'] = array_column(array_filter($products_unmanaged_status, function ($row) { return 'instock' === $row[1]; }), 0); goto DcVE_; BavUR: $this->count_views['count_all_back_order'] = $this->count_views['count_back_order'] + $this->count_views['count_unm_back_order']; goto Gusrt; Zfdyd: $back_order_transient = AtumCache::get_transient_key('list_table_back_order', array_merge($products_args, $this->atum_query_data)); goto l5cRS; gluHs: global $wpdb; goto xwMp8; vSwXH: $temp_atum_query_data = $this->atum_query_data; goto aPtsm; DhWrc: y1Ky3: goto CKicT; FDa6R: ZQaae: goto ggWkz; eXqK2: $wp_query = new \WP_Query(apply_filters('atum/product_levels/manufacturing_list_table/set_views_data/all_args', $args)); goto XU1EW; AJ2zz: if ($this->show_unmanaged_counters) { goto wGuaM; } goto e1BX6; Ha2rO: add_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto nuEJE; Lf8r5: AtumCache::set_transient($all_transient, $products); goto wnFIM; X3MVv: $products_args = array('post_type' => $post_types, 'posts_per_page' => -1, 'fields' => 'ids', 'post__in' => $products); goto vSwXH; JYKZE: if (empty($products_unmanaged_status)) { goto smfCZ; } goto UThrw; mJmDo: JLeVJ: goto FZ0y5; hyblM: $this->atum_query_data = $temp_atum_query_data; goto Zu2Nf; tAfwf: $products_backorders = new \WP_Query(apply_filters('atum/product_levels/manufacturing_list_table/set_views_data/back_order_products_args', $products_args)); goto uH9LY; iBdqr: AtumCache::set_transient($back_order_transient, $products_backorders); goto Ppc_5; U5SvM: $products_restock_status = AtumCache::get_transient($restock_status_transient); goto f4s7N; DAHwm: $this->count_views['count_back_order'] = is_array($products_backorders) ? count($products_backorders) : 0; goto YH2ZB; YaCJ4: $products_not_stock = array_diff((array) $products, (array) $products_in_stock, $products_unmanaged); goto LolM6; wc6M5: wGuaM: goto zTdiD; f4s7N: if (!empty($products_restock_status)) { goto pDx2H; } goto teXxX; JNFNL: $this->count_views['count_all_in_stock'] = $this->count_views['count_in_stock'] + $this->count_views['count_unm_in_stock']; goto J8YVE; wnFIM: f09EM: goto TLltI; cpKrQ: $post_types = !empty($pp_variations) || !empty($rm_variations) ? [$this->post_type, 'product_variation'] : [$this->post_type]; goto H8241; SsDzh: $products_unmanaged_status = apply_filters('atum/get_managed_products', $products_unmanaged_status); goto WAQTU; NrFnu: $args['posts_per_page'] = -1; goto p1E6b; yzjY0: $all_transient = AtumCache::get_transient_key('manufacturing_list_table_all', $all_transient_param); goto FQeTm; TLltI: $this->count_views['count_all'] = count($products); goto UiK2x; FTVXg: add_filter('atum/get_unmanaged_products/where_query', array($this, 'unmanaged_products_where')); goto icFjq; HYm7T: F81JK: goto zfCmk; Cbu2y: $products_unmanaged_status = apply_filters('atum/get_managed_products', $products_unmanaged_status); goto R7Q_6; UiK2x: if (!($this->is_filtering && empty($products))) { goto EtfHp; } goto T2EmW; rd1zR: fVGX4: goto hyblM; QzdlZ: smfCZ: goto FDa6R; S8qE9: goto ZQaae; goto wc6M5; nv5A0: $products_unmanaged_status = array_filter($products_unmanaged_status, function ($row) use($products) { return in_array($row[0], $products); }); goto SsDzh; Irtdd: $in_stock_transient = AtumCache::get_transient_key('manufacturing_list_table_in_stock', array_merge($products_args, $this->atum_query_data)); goto AK4kq; kzyV3: $this->id_views['out_stock'] = $this->show_unmanaged_counters ? $products_out_stock : array_merge($products_out_stock, $this->id_views['unmanaged_out_stock']); goto g9et3; p1E6b: unset($args['paged']); goto DN0NU; PZqoL: $restock_status_transient = AtumCache::get_transient_key('manufacturing_list_table_restock_status'); goto U5SvM; NPbhH: AtumCache::set_transient($restock_status_transient, $products_restock_status); goto UsR0q; EVYZ9: if (!$this->show_unmanaged_counters) { goto Wu6P_; } goto XNk0r; XU1EW: remove_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto BuDMt; sfUAb: $this->id_views['managed'] = array_diff($products, $products_unmanaged); goto dOa12; TLMAt: $this->count_views['count_in_stock'] = count(array_unique($this->id_views['in_stock'])); goto YaCJ4; icFjq: $products_unmanaged_status = AtumHelpers::get_unmanaged_products(['product'], TRUE); goto JYKZE; j9078: KbTRs: goto FtXZB; l5cRS: $products_backorders = AtumCache::get_transient($back_order_transient); goto y_eX9; SoiIF: Wu6P_: goto hDhcT; w02Lk: foreach ($this->taxonomies as $index => $taxonomy) { goto iH2Ep; HEddd: H4pn9: goto ubYk1; GG1WV: $this->count_views['count_all'] += count($group_items); goto Q1AU_; Nf7EE: GuEUw: goto ZJaXb; xSjSe: uwvTp: goto og05z; fCEra: $pp_variations = apply_filters('atum/product_levels/manufacturing_list_table/views_data_variations', $this->get_children('variable-product-part', $post_in, 'product_variation'), $post_in); goto bjs8I; cs9vu: if (empty($group_items)) { goto konZ9; } goto GG1WV; BQEKf: do_action('atum/product_levels/manufacturing_list_table/after_children_count', $taxonomy['terms'], $this); goto PI1jQ; FkQDG: $products = array_unique(array_merge(array_diff($products, $this->container_products['all_variable_raw_material']), $rm_variations)); goto xSjSe; B7JqP: if (!in_array('variable-product-part', (array) $taxonomy['terms'], TRUE)) { goto GuEUw; } goto fCEra; iH2Ep: if (!('product_type' === $taxonomy['taxonomy'])) { goto H4pn9; } goto B7JqP; bjs8I: $products = array_unique(array_merge(array_diff($products, $this->container_products['all_variable_product_part']), $pp_variations)); goto Nf7EE; PI1jQ: goto KbTRs; goto HEddd; HNpw9: $rm_variations = apply_filters('atum/product_levels/manufacturing_list_table/views_data_sc_variations', $this->get_children('variable-raw-material', $post_in, 'product_variation'), $post_in); goto FkQDG; ZJaXb: if (!in_array('variable-raw-material', (array) $taxonomy['terms'], TRUE)) { goto uwvTp; } goto HNpw9; Q1AU_: konZ9: goto BQEKf; og05z: $this->count_views['count_all'] = count($products); goto cs9vu; ubYk1: Ceh2m: goto nZ6fe; nZ6fe: } goto j9078; Z6XIQ: $this->count_views['count_all_out_stock'] = $this->count_views['count_out_stock'] + $this->count_views['count_unm_out_stock']; goto U0SZ4; zfCmk: $this->atum_query_data['where'][] = array('key' => 'atum_stock_status', 'value' => 'instock', 'type' => 'CHAR'); goto Irtdd; ggWkz: if (empty($products_unmanaged_status)) { goto ZiM0E; } goto i3aZ1; Mf3KK: $bom_variation_query = Helpers::get_bom_variation_products_query(); goto d4lrj; teXxX: $atum_product_data_table = $wpdb->prefix . AtumGlobals::ATUM_PRODUCT_DATA_TABLE; goto B_Lp8; dOa12: $this->count_views['count_managed'] = count($this->id_views['managed']); goto QzdlZ; XNk0r: $this->id_views = array_merge($this->id_views, array('managed' => [], 'unm_in_stock' => [], 'unm_out_stock' => [], 'unm_back_order' => [], 'all_in_stock' => [], 'all_out_stock' => [], 'all_back_order' => [])); goto tWw6d; rBXNY: if (empty($products_unmanaged)) { goto i_tie; } goto M80fB; LH6bB: $this->count_views['count_unm_back_order'] = count($this->id_views['unm_back_order']); goto RnBrM; CKicT: $products_out_stock = array_diff((array) $products_not_stock, (array) $products_backorders); goto kzyV3; B_Lp8: $str_sql = "SELECT product_id FROM {$atum_product_data_table} WHERE restock_status = 1"; goto GTjtR; U0SZ4: $this->id_views['all_back_order'] = array_merge($this->id_views['back_order'], $this->id_views['unm_back_order']); goto BavUR; YH2ZB: if (empty($products_in_stock)) { goto y1Ky3; } goto PZqoL; DcVE_: $this->count_views['count_unm_in_stock'] = count($this->id_views['unm_in_stock']); goto ILhxh; DN0NU: $all_transient_param = apply_filters('atum/list_table/get_counters_transient_args', array_merge($args, $this->atum_query_data)); goto yzjY0; LolM6: $products_args['post__in'] = $products_not_stock; goto k2FX8; rv62D: $products_restock_status = $wpdb->get_col(apply_filters('atum/product_levels/manufacturing_list_table/set_views_data/restock_status_products', $str_sql)); goto NPbhH; y_eX9: if (!(empty($products_backorders) && !empty($products_not_stock))) { goto i3JYr; } goto TM_rR; C9sSn: add_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto eXqK2; LKc5Q: $this->id_views['unmanaged_out_stock'] = array_column(array_filter($products_unmanaged_status, function ($row) { return 'outofstock' === $row[1]; }), 0); goto S8qE9; i3aZ1: $products_unmanaged = array_column($products_unmanaged_status, 0); goto OKj23; qAN2E: $this->count_views['count_unm_out_stock'] = count($this->id_views['unm_out_stock']); goto pl1QP; xwMp8: $this->id_views = array('in_stock' => [], 'out_stock' => [], 'restock_status' => [], 'back_order' => [], 'unmanaged' => [], 'unmanaged_in_stock' => [], 'unmanaged_out_stock' => []); goto oszID; mV8Nw: if (!empty($products_in_stock)) { goto fVGX4; } goto Ha2rO; UThrw: $products_unmanaged_status = array_filter($products_unmanaged_status, function ($row) use($products) { return in_array($row[0], $products); }); goto Cbu2y; uH9LY: remove_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto R1rLS; Uqd2E: $this->id_views['restock_status'] = (array) $products_restock_status; goto W2BVX; d4lrj: $str_sql .= " AND (product_id IN ({$bom_product_query}) OR product_id IN ({$bom_variation_query}) )"; goto rv62D; Ppc_5: i3JYr: goto Tqadn; QwdAe: do_action('atum/list_table/set_views_data/before_query_data'); goto C9sSn; Y_Ein: if (!$products) { goto Pzn1J; } goto cpKrQ; YIA2M: global $wp_query; goto QwdAe; O1fE8: remove_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto LWZhK; pl1QP: $this->id_views['unm_back_order'] = array_column(array_filter($products_unmanaged_status, function ($row) { return 'onbackorder' === $row[1]; }), 0); goto LH6bB; T2EmW: return; goto q_EGQ; meQqj: Pzn1J: goto j0HZV; J8YVE: $this->id_views['all_out_stock'] = array_merge($this->id_views['out_stock'], $this->id_views['unm_out_stock']); goto Z6XIQ; qSmhC: $this->id_views['back_order'] = (array) $products_backorders; goto DAHwm; mHZ3p: if (!$this->show_unmanaged_counters) { goto n001u; } goto fEf4S; WAQTU: $this->id_views['unmanaged_in_stock'] = array_column(array_filter($products_unmanaged_status, function ($row) { return 'instock' === $row[1]; }), 0); goto LKc5Q; RjhNB: ZiM0E: goto X3MVv; vAv1q: $this->count_views['count_unmanaged'] = count($products_unmanaged); goto rBXNY; M80fB: $products = !empty($this->count_views['count_managed']) ? $this->id_views['managed'] : array_diff($products, $products_unmanaged); goto NbJdZ; iPD5D: return; goto XVli0; UsR0q: pDx2H: goto Uqd2E; hDhcT: $args['fields'] = 'ids'; goto NrFnu; FtXZB: if ($this->show_controlled) { goto nUR0e; } goto iPD5D; e1BX6: $products_unmanaged_status = AtumHelpers::get_unmanaged_products(['product'], TRUE); goto nv5A0; Zu2Nf: $products_in_stock = $products_in_stock->posts; goto MpK_0; NbJdZ: i_tie: goto RjhNB; QQ_Te: $post_in = $this->is_filtering ? $products : array(); goto w02Lk; W2BVX: $this->count_views['count_restock_status'] = is_array($products_restock_status) ? count($products_restock_status) : 0; goto DhWrc; XVli0: nUR0e: goto Y_Ein; j0HZV: } public function unmanaged_products_join($unmng_join) { goto OsnbK; OsnbK: global $wpdb; goto R8RTT; R8RTT: $unmng_join[] = "LEFT JOIN {$wpdb->term_relationships} tr ON (posts.ID = tr.object_id)"; goto PrJNG; PrJNG: return $unmng_join; goto nrcSI; nrcSI: } public function unmanaged_products_where($unmng_where) { goto qyBFu; qyBFu: $bom_types = array(); goto W2HxS; Zo0fN: XeDc8: goto sO0Fo; sO0Fo: $unmng_where[] = 'AND tr.term_taxonomy_id IN (' . implode(',', $bom_types) . ')'; goto xuMQh; xuMQh: return $unmng_where; goto vHCDR; W2HxS: foreach (Globals::get_product_levels() as $product_level) { goto t2_Z6; XOc2S: if (!$term) { goto vcmQn; } goto fvKIK; Pp2bZ: mDpYI: goto MGGLF; t2_Z6: $term = get_term_by('slug', $product_level, 'product_type'); goto XOc2S; EKktD: vcmQn: goto Pp2bZ; fvKIK: $bom_types[] = $term->term_id; goto EKktD; MGGLF: } goto Zo0fN; vHCDR: } protected function column_calc_type($item) { goto JHI3f; JHI3f: $type = $this->list_item->get_type(); goto HxWt5; A_z8L: vZsfQ: goto rjjIT; E_42i: goto dSQoP; goto A_z8L; PsvN1: return apply_filters('atum/product_levels/uncontrolled_manufacturing_list_table/column_type', $icon, $item, $this->list_item); goto dBzMz; Hn9RJ: $product_tip = $product_types[$type]; goto EyjXk; R350W: dSQoP: goto PsvN1; YBXXj: $icon = '<span class="tips product-type atum-icon ' . $type . $has_child . '" data-tip="' . $product_tip . '"></span>'; goto E_42i; HxWt5: $icon = ''; goto nWxw5; rjjIT: $product_tip = $this->list_item instanceof AtumProductProductPartVariation ? __('Product Part Variation', ATUM_LEVELS_TEXT_DOMAIN) : __('Raw Material Variation', ATUM_LEVELS_TEXT_DOMAIN); goto VMFA4; NfEov: $product_types = wc_get_product_types(); goto Hn9RJ; nWxw5: if (in_array($type, Globals::get_product_levels())) { goto j7yyb; } goto RZ8QF; EyjXk: $has_child = in_array($type, AtumGlobals::get_inheritable_product_types()) ? ' has-child' : ''; goto YBXXj; KgCAL: j7yyb: goto NfEov; xczgn: goto dSQoP; goto KgCAL; RZ8QF: if ($this->list_item instanceof \WC_Product_Variation) { goto vZsfQ; } goto xczgn; VMFA4: $icon = '<span class="product-type tips variation" data-tip="' . $product_tip . '"></span>'; goto R350W; dBzMz: } protected function get_children($parent_type, $post_in = array(), $post_type = 'product_variation') { goto pAeFi; kbI_b: jstQ_: goto iphWG; ABwKM: $temp_query_data = $this->atum_query_data; goto jT4CV; Khw_5: goto LygpK; goto FBCA0; i4LfE: $post_statuses = AtumGlobals::get_queryable_product_statuses(); goto UuSfP; AZQLT: $children = new \WP_Query(apply_filters('atum/product_levels/manufacturing_list_table/get_children/children_args', $children_args)); goto aSPHP; ZkUOw: $parents_with_child = wp_list_pluck($children->posts, 'post_parent'); goto QtbXt; Fc20e: $this->atum_query_data = $temp_query_data; goto FDHFY; QtbXt: switch ($parent_type) { case 'variable-product-part': goto xTWI9; EH5Tp: $this->excluded = array_unique(array_merge($this->excluded, array_diff($this->container_products['all_variable_product_part'], $this->container_products['variable_product_part']))); goto eHiY_; xTWI9: $this->container_products['variable_product_part'] = array_unique(array_merge($this->container_products['variable_product_part'], $parents_with_child)); goto EH5Tp; eHiY_: goto ibhI3; goto eTHvN; eTHvN: case 'variable-raw-material': goto KNvg8; kDIDN: $this->excluded = array_unique(array_merge($this->excluded, array_diff($this->container_products['all_variable_raw_material'], $this->container_products['variable_raw_material']))); goto P99bM; P99bM: goto ibhI3; goto WUeqh; KNvg8: $this->container_products['variable_raw_material'] = array_unique(array_merge($this->container_products['variable_raw_material'], $parents_with_child)); goto kDIDN; WUeqh: } goto GFtGk; oimVb: $this->excluded = array_unique(array_merge($this->excluded, $parents->posts)); goto Khw_5; jT4CV: $children_args = array('post_type' => $post_type, 'post_status' => $post_statuses, 'posts_per_page' => -1, 'fields' => 'id=>parent', 'post_parent__in' => $parents->posts, 'orderby' => 'menu_order', 'order' => 'ASC'); goto j_zJf; SeN4m: $children_ids = wp_list_pluck($children->posts, 'ID'); goto WjXBR; dNmBA: AtumCache::set_cache($cache_key, $children_ids, ATUM_LEVELS_TEXT_DOMAIN); goto mgH5a; FDHFY: if ($children->found_posts) { goto AvGVj; } goto oimVb; gyDn0: $parent_args['post__in'] = $post_in; goto hllnu; BX1p6: mNrEC: goto gzq4C; adfTq: return $children_ids; goto kbI_b; jAJ4J: switch ($parent_type) { case 'variable-product-part': $this->container_products['all_variable_product_part'] = array_unique(array_merge($this->container_products['all_variable_product_part'], $parents->posts)); goto KyUP_; case 'variable-raw-material': $this->container_products['all_variable_raw_material'] = array_unique(array_merge($this->container_products['all_variable_raw_material'], $parents->posts)); goto KyUP_; } goto BX1p6; UuSfP: $parent_args = array('post_type' => 'product', 'post_status' => $post_statuses, 'posts_per_page' => -1, 'fields' => 'ids', 'orderby' => array('menu_order' => 'ASC', 'date' => 'DESC'), 'tax_query' => array(array('taxonomy' => 'product_type', 'field' => 'slug', 'terms' => $parent_type))); goto hAxbm; aSPHP: remove_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto Fc20e; gOL4F: $parents = new \WP_Query(apply_filters('atum/product_levels/manufacturing_list_table/get_children/parent_args', $parent_args)); goto AsSRm; FBCA0: AvGVj: goto ZkUOw; WjXBR: $this->children_products = array_unique(array_merge($this->children_products, $children_ids)); goto tKQt0; yu5qy: if (!$has_cache) { goto jstQ_; } goto adfTq; gzq4C: KyUP_: goto ABwKM; Qd09K: add_filter('posts_clauses', array($this, 'atum_product_data_query_clauses')); goto AZQLT; iphWG: $children_ids = array(); goto i4LfE; GFtGk: DaxbC: goto Dl38c; AsSRm: if (!$parents->found_posts) { goto Jny5z; } goto jAJ4J; j_zJf: $this->set_controlled_query_data(); goto Qd09K; hAxbm: if (empty($post_in)) { goto HtlDV; } goto gyDn0; pAeFi: $cache_key = AtumCache::get_cache_key('get_children', [$parent_type, $post_in, $post_type]); goto hlRUl; mgH5a: return $children_ids; goto hPaAG; tKQt0: LygpK: goto yLgW8; hlRUl: $children_ids = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto yu5qy; hllnu: HtlDV: goto gOL4F; Dl38c: ibhI3: goto SeN4m; yLgW8: Jny5z: goto dNmBA; hPaAG: } protected function set_product_types_query_data() { $this->taxonomies[] = array('taxonomy' => 'product_type', 'field' => 'slug', 'terms' => Globals::get_product_levels()); } }
