<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\ManufacturingCentral; defined('ABSPATH') || die; use Atum\Components\AtumListTables\AtumListPage; use Atum\Components\AtumListTables\AtumListTable; use Atum\Inc\Globals as AtumGlobals; use Atum\Inc\Helpers as AtumHelpers; use AtumLevels\Inc\Ajax; use AtumLevels\Inc\Helpers; use AtumLevels\ManufacturingCentral\Lists\ListTable as MCListTable; class ManufacturingCentral extends AtumListPage { private static $instance; const UI_SLUG = 'atum-manufacturing-central'; const MENU_ORDER = 50; private function __construct() { goto QooyP; hRQTn: add_filter('atum/data_export/js_settings', array($this, 'data_export_settings'), 10, 2); goto VxVn8; uEUnm: add_filter('atum/admin/allow_styled_footer', array($this, 'allow_styled_footer')); goto RCaBF; RCaBF: add_action('atum/list_table/after_nav_filters', array($this, 'render_real_stock_filter'), 120); goto VkJq7; VkJq7: add_filter('atum/ajax/update_list_data/fetch_table_data', array($this, 'ajax_fetch_manufacturing_central_list')); goto aQgfx; VxVn8: add_filter('atum/data_export/html_report_class', array($this, 'html_report_class')); goto wByG0; dpiub: add_action('load-toplevel_page_' . self::UI_SLUG, array($this, 'screen_options')); goto G37_w; JGiNl: Vkkro: goto hhDfm; QooyP: add_filter('atum/admin/menu_items', array($this, 'add_menu'), self::MENU_ORDER); goto DPrOf; G37_w: add_filter('atum/data_export/allowed_pages', array($this, 'add_data_export')); goto hRQTn; aQgfx: add_filter('atum/list_table/check_list_table_stock_column', array($this, 'check_list_table_stock_column'), 10, 2); goto Gw_ko; wByG0: add_filter('atum/data_export/report_title', array($this, 'report_title')); goto uEUnm; Gw_ko: $this->init_hooks(); goto JGiNl; DPrOf: if (!is_admin()) { goto Vkkro; } goto Fipxp; Fipxp: add_action('load-' . AtumGlobals::ATUM_UI_HOOK . '_page_' . self::UI_SLUG, array($this, 'screen_options')); goto dpiub; hhDfm: } public function add_menu($atum_menus) { $atum_menus['manufacturing-central'] = array('title' => __('Manufacturing Central', ATUM_LEVELS_TEXT_DOMAIN), 'callback' => array($this, 'display'), 'slug' => self::UI_SLUG, 'menu_order' => self::MENU_ORDER); return $atum_menus; } public function display() { goto zYTh_; jr1en: if ($this->is_uncontrolled_list) { goto Eno_x; } goto UV3pr; RBMoF: AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/manufacturing-central', array('list' => $this->list, 'ajax' => AtumHelpers::get_option('enable_ajax_filter', 'yes'), 'is_uncontrolled_list' => $this->is_uncontrolled_list, 'mc_url' => $mc_url)); goto Jj1Fc; Q3B32: parent::display(); goto gWPD0; UV3pr: $mc_url = add_query_arg('uncontrolled', 1, $mc_url); goto HL8da; zYTh_: $this->set_per_page('pl_manufacturing_posts_per_page'); goto Q3B32; gWPD0: $mc_url = add_query_arg('page', self::UI_SLUG, admin_url('admin.php')); goto jr1en; HL8da: Eno_x: goto RBMoF; Jj1Fc: } public function screen_options() { goto YPkel; qj8WA: $screen = get_current_screen(); goto g3IVf; YPkel: $this->set_per_page('pl_manufacturing_posts_per_page'); goto ph8S9; HKgI4: if (!(isset($_GET['uncontrolled']) && 1 === absint($_GET['uncontrolled']))) { goto hZhfb; } goto H823r; H823r: $this->is_uncontrolled_list = TRUE; goto hUpoZ; ph8S9: $args = array('label' => __('Products per page', ATUM_LEVELS_TEXT_DOMAIN), 'default' => $this->per_page, 'option' => str_replace('-', '_', self::UI_SLUG . '_entries_per_page')); goto FUjQy; oJoEd: $help_tabs = array(array('name' => 'general', 'title' => __('General', ATUM_LEVELS_TEXT_DOMAIN)), array('name' => 'bom-details', 'title' => __('BOM Details', ATUM_LEVELS_TEXT_DOMAIN)), array('name' => 'stock-counters', 'title' => __('Stock Counters', ATUM_LEVELS_TEXT_DOMAIN)), array('name' => 'stock-manager', 'title' => __('Stock Manager', ATUM_LEVELS_TEXT_DOMAIN))); goto qj8WA; FUjQy: add_screen_option('per_page', $args); goto oJoEd; hUpoZ: hZhfb: goto u2jiN; QljOq: $list_class = $this->is_uncontrolled_list ? "{$namespace}\\UncontrolledListTable" : "{$namespace}\\ListTable"; goto Grr7n; sLm6B: $screen->set_help_sidebar(AtumHelpers::load_view_to_string(ATUM_LEVELS_PATH . 'views/help-tabs/manufacturing-central/help-sidebar')); goto HKgI4; u2jiN: $namespace = __NAMESPACE__ . '\\Lists'; goto QljOq; FNn3L: NoXed: goto sLm6B; Grr7n: $this->list = new $list_class(['per_page' => $this->per_page, 'show_cb' => TRUE, 'show_controlled' => !$this->is_uncontrolled_list]); goto V9TZN; g3IVf: foreach ($help_tabs as $help_tab) { $screen->add_help_tab(array_merge(array('id' => ATUM_PREFIX . __CLASS__ . '_help_tabs_' . $help_tab['name'], 'callback' => array($this, 'help_tabs_content')), $help_tab)); XsIXs: } goto FNn3L; V9TZN: } public function help_tabs_content($screen, $tab) { AtumHelpers::load_view(ATUM_LEVELS_PATH . 'views/help-tabs/manufacturing-central/' . $tab['name']); } public function add_data_export($allowed_pages) { goto IpLEI; RO3yg: $allowed_pages[] = 'toplevel_page_' . self::UI_SLUG; goto fyJyf; fyJyf: return $allowed_pages; goto xz83R; IpLEI: $allowed_pages[] = AtumGlobals::ATUM_UI_HOOK . '_page_' . self::UI_SLUG; goto RO3yg; xz83R: } public function data_export_settings($js_settings, $page_hook) { goto eyb25; u7nrD: vHQOj: goto C5BN8; hzhg8: unset($js_settings['categories'], $js_settings['categoriesTitle']); goto dWlzR; dWlzR: $js_settings['productTypesTitle'] = __('BOM Type', ATUM_LEVELS_TEXT_DOMAIN); goto gFYpV; C5BN8: return $js_settings; goto D5iVA; eyb25: if (!str_contains($page_hook, self::UI_SLUG)) { goto vHQOj; } goto hzhg8; gFYpV: $js_settings['productTypes'] = Helpers::bom_types_dropdown(); goto u7nrD; D5iVA: } public function html_report_class($class_name) { goto jewQ5; jYTkf: return '\\AtumLevels\\Reports\\BOMHtmlReport'; goto Z7Nto; Z7Nto: KbQ0E: goto wcLmV; jewQ5: if (!(isset($_GET['page']) && self::UI_SLUG === $_GET['page'])) { goto KbQ0E; } goto jYTkf; wcLmV: return $class_name; goto uPrUF; uPrUF: } public function report_title($title) { goto pTn3J; pTn3J: if (!(isset($_GET['page']) && self::UI_SLUG === $_GET['page'])) { goto zIAxs; } goto Pn8g3; Gcajl: zIAxs: goto v3_od; Pn8g3: return __('ATUM Manufacturing Central Report', ATUM_LEVELS_TEXT_DOMAIN); goto Gcajl; v3_od: return $title; goto rrp5P; rrp5P: } public function allow_styled_footer($allowed_screens) { $allowed_screens[] = 'atum-inventory_page_' . self::UI_SLUG; return $allowed_screens; } public function render_real_stock_filter($list_table) { goto nNkxa; ACfAU: ?>><?php  goto f83ws; Kwfux: gUR5v: goto c3uKq; wCi3L: echo $list_table ? ' class="wc-enhanced-select atum-enhanced-select dropdown_real_stock auto-filter"' : ''; goto tQB9F; JqzBu: ?></option>
		</select>
		<?php  goto mI637; AY2q7: ?>><?php  goto h_WYB; mI637: echo ob_get_clean(); goto YJPZw; OCpGF: ?>
		<select name="real_stock"<?php  goto wCi3L; IO3gX: selected(empty($real_stock_filter)); goto ACfAU; h_WYB: esc_html_e('Real stock only', ATUM_LEVELS_TEXT_DOMAIN); goto JqzBu; tQB9F: ?>>
			<option value=""<?php  goto IO3gX; cfdZT: selected($real_stock_filter, 'yes'); goto AY2q7; DlMmm: ?></option>
			<option value="yes"<?php  goto cfdZT; c3uKq: $real_stock_filter = isset($_REQUEST['real_stock']) ? wc_clean(wp_unslash($_REQUEST['real_stock'])) : FALSE; goto y13R3; y13R3: ob_start(); goto OCpGF; f83ws: esc_html_e('Filter by real stock...', ATUM_LEVELS_TEXT_DOMAIN); goto DlMmm; nNkxa: if (!('atum-inventory_page_' . self::UI_SLUG !== $list_table->screen->id || !Helpers::is_bom_stock_control_enabled())) { goto gUR5v; } goto GT1Hi; GT1Hi: return; goto Kwfux; YJPZw: } public function ajax_fetch_manufacturing_central_list() { goto muavI; LAfzA: return $ajax->fetch_manufacturing_central_list(TRUE); goto uBhCw; G0Wck: j8S31: goto F9hRc; muavI: if (!(empty($_REQUEST['screen']) || !str_contains($_REQUEST['screen'], self::UI_SLUG))) { goto j8S31; } goto GLZpq; GLZpq: return NULL; goto G0Wck; F9hRc: $ajax = Ajax::get_instance(); goto LAfzA; uBhCw: } public function check_list_table_stock_column($check, $list_table) { return $list_table instanceof MCListTable; } public function __clone() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public function __sleep() { _doing_it_wrong(__FUNCTION__, esc_attr__('Cheatin&#8217; huh?', ATUM_LEVELS_TEXT_DOMAIN), '1.0.0'); } public static function get_instance() { goto cYEnX; KoZZ7: ro50i: goto FbNYE; F7luC: self::$instance = new self(); goto KoZZ7; cYEnX: if (self::$instance && is_a(self::$instance, __CLASS__)) { goto ro50i; } goto F7luC; FbNYE: return self::$instance; goto CEEbU; CEEbU: } }
