<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Models; defined('ABSPATH') || die; use Atum\Components\AtumCache; use Atum\Inc\Globals as AtumGlobals; use AtumLevels\Inc\Globals; final class BOMModel { private static $linked_bom_table = 'atum_linked_boms'; private static $reserved_stock_bom_table = 'atum_bom_reserved_stock'; public static function get_linked_bom($product_id, $bom_type = '', $force = FALSE, $return_ids = FALSE) { goto hSjDw; CriMt: if (!empty($bom_type)) { goto RgxwQ; } goto hSXVw; PoCl7: $cache_key = AtumCache::get_cache_key('linked_bom', [$product_id, $bom_type, $return_ids]); goto FxZsh; FxZsh: $linked_bom = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache, FALSE); goto oCpYN; vndp2: $query = $wpdb->prepare("\n\t\t\t\tSELECT {$select_clause} \n\t\t\t\tFROM {$wpdb->prefix}" . self::$linked_bom_table . "\n\t\t\t\tWHERE product_id = %d AND bom_type IN ('" . implode("', '", $bom_type) . "') \n\t\t\t\tGROUP BY bom_id\n\t\t\t", $product_id); goto GMOyO; wGb1j: RgxwQ: goto jNX8p; jNX8p: if (is_array($bom_type)) { goto W3UTe; } goto tR0hn; GMOyO: $linked_bom = $return_ids ? $wpdb->get_col($query) : $wpdb->get_results($query); goto aFwx_; UQlZt: return $linked_bom; goto OSIs1; y03IV: W3UTe: goto vndp2; ExqM1: kIAwf: goto UQlZt; hSjDw: global $wpdb; goto PoCl7; SyMBf: $select_clause = $return_ids ? 'bom_id' : 'bom_id, bom_type, SUM(qty) AS qty, measure_unit'; goto CriMt; oCpYN: if (!($force || !$has_cache)) { goto kIAwf; } goto QtfWB; hSXVw: $bom_type = Globals::get_linked_bom_product_types(); goto wGb1j; aFwx_: AtumCache::set_cache($cache_key, $linked_bom, ATUM_LEVELS_TEXT_DOMAIN); goto ExqM1; QtfWB: $product_id = apply_filters('atum/product_levels/product_id', $product_id); goto SyMBf; tR0hn: $bom_type = [$bom_type]; goto y03IV; OSIs1: } public static function has_linked_bom($product_id, $force = FALSE) { goto NvHtf; BHT_E: $has_linked_bom = $row_count > 0; goto MMIHr; kscjF: $query = $wpdb->prepare("\n\t\t\t\tSELECT COUNT(*) FROM {$wpdb->prefix}" . self::$linked_bom_table . " \n\t\t\t\tWHERE product_id = %d AND bom_type IN ('" . implode("', '", Globals::get_linked_bom_product_types()) . "')", $product_id); goto h0G1R; sp_5z: $has_linked_bom = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache, FALSE); goto mpGiZ; oJrWj: return $has_linked_bom; goto zdNce; mpGiZ: if (!(!$has_cache || $force)) { goto j3kyN; } goto mes5e; po8sv: $cache_key = AtumCache::get_cache_key('has_linked_bom', $product_id); goto sp_5z; xaH6H: j3kyN: goto oJrWj; MMIHr: AtumCache::set_cache($cache_key, $has_linked_bom, ATUM_LEVELS_TEXT_DOMAIN); goto xaH6H; NvHtf: global $wpdb; goto po8sv; h0G1R: $row_count = $wpdb->get_var($query); goto BHT_E; mes5e: $product_id = apply_filters('atum/product_levels/product_id', $product_id); goto kscjF; zdNce: } public static function get_associated_products($bom_id) { goto WgXtT; rX91H: $query = $wpdb->prepare("\n\t\t\t\tSELECT lb.product_id, qty, selling_priority, minimum_threshold, available_to_purchase\n\t\t\t\tFROM {$wpdb->prefix}" . self::$linked_bom_table . " lb\n\t\t\t\tLEFT JOIN {$wpdb->prefix}" . AtumGlobals::ATUM_PRODUCT_DATA_TABLE . ' apd ON lb.product_id = apd.product_id
				WHERE bom_id = %d
				ORDER BY IFNULL(selling_priority, %d) ASC
			', $bom_id, PHP_INT_MAX); goto N0JXc; kxmAr: if ($has_cache) { goto USU_c; } goto rX91H; C8WHy: return $associated_products; goto J84GL; N0JXc: $associated_products = $wpdb->get_results($query); goto gm1vM; SEdQF: USU_c: goto C8WHy; WgXtT: global $wpdb; goto AZTpy; SgCIA: $associated_products = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache, FALSE); goto kxmAr; gm1vM: AtumCache::set_cache($cache_key, $associated_products, ATUM_LEVELS_TEXT_DOMAIN); goto SEdQF; AZTpy: $cache_key = AtumCache::get_cache_key('associated_products', $bom_id); goto SgCIA; J84GL: } public static function save_linked_bom($bom_data) { goto yrO9R; o3VGR: $current_id = $wpdb->get_var($query); goto FKdRf; fT_H3: $bom_data = apply_filters('atum/product_levels/args_save_linked_bom', wp_parse_args($bom_data, array('product_id' => 0, 'bom_id' => 0, 'bom_type' => 'product_part', 'qty' => 0, 'measure_unit' => NULL))); goto vtTkE; exoCO: D5h9m: goto aXJeL; doBnA: $result = $wpdb->insert_id; goto hq37V; ummAp: MUEtY: goto gRGt4; gRGt4: do_action('atum/product_levels/after_save_linked_bom', $bom_data); goto o4dLL; kGKry: $wpdb->insert($table, array('product_id' => $bom_data['product_id'], 'bom_id' => $bom_data['bom_id'], 'bom_type' => $bom_data['bom_type'], 'qty' => $bom_data['qty'], 'measure_unit' => $bom_data['measure_unit']), array('%d', '%d', '%s', '%s', '%s')); goto doBnA; lBFxW: return; goto s43PA; yrO9R: global $wpdb; goto fT_H3; aXJeL: $result = $wpdb->update($table, array('product_id' => $bom_data['product_id'], 'bom_id' => $bom_data['bom_id'], 'bom_type' => $bom_data['bom_type'], 'qty' => $bom_data['qty'], 'measure_unit' => $bom_data['measure_unit']), array('id' => $current_id), array('%d', '%d', '%s', '%s', '%s'), array('%d')); goto ummAp; qiJgt: $table = $wpdb->prefix . self::$linked_bom_table; goto cJhFp; hq37V: goto MUEtY; goto exoCO; cJhFp: $query = $wpdb->prepare("SELECT id FROM {$table} WHERE product_id = %d AND bom_id = %d", $bom_data['product_id'], $bom_data['bom_id']); goto o3VGR; o4dLL: return $result; goto tZWHH; vtTkE: if (!(empty($bom_data['product_id']) || empty($bom_data['bom_id']))) { goto xdMBa; } goto lBFxW; s43PA: xdMBa: goto qiJgt; FKdRf: if ($current_id) { goto D5h9m; } goto kGKry; tZWHH: } public static function delete_linked_bom($product_id, $bom_id, $bom_type = '') { goto rVijM; HCc8T: return $deleted; goto cfnLW; ShLFA: do_action('atum/product_levels/after_delete_linked_bom', compact('product_id', 'bom_id', 'bom_type')); goto HCc8T; rvfwg: $deleted = $wpdb->delete($wpdb->prefix . self::$linked_bom_table, $columns, $formats); goto ShLFA; rVijM: global $wpdb; goto gMBM_; vPIMC: $columns['bom_type'] = $bom_type; goto E3Zs4; fbcVJ: if (!$bom_type) { goto YhIXq; } goto vPIMC; OgtcA: $formats = array('%d', '%d'); goto fbcVJ; gMBM_: $columns = apply_filters('atum/product_levels/cols_delete_linked_bom', array('product_id' => (int) $product_id, 'bom_id' => (int) $bom_id), $bom_type); goto OgtcA; Y0US_: YhIXq: goto rvfwg; E3Zs4: $formats[] = '%s'; goto Y0US_; cfnLW: } public static function clean_linked_bom($product_id, $linked_bom_ids, $bom_type = '') { goto i6RjO; P5NT7: if (empty($linked_boms)) { goto Rm8cA; } goto thNkv; ZJ2Gs: LV_Ku: goto E5n2m; thNkv: $old_linked_bom_ids = wp_list_pluck($linked_boms, 'bom_id'); goto UqH9O; i6RjO: $linked_boms = self::get_linked_bom($product_id); goto P5NT7; KxpzX: foreach ($not_used_bom_ids as $not_used_bom_id) { self::delete_linked_bom($product_id, $not_used_bom_id, $bom_type); VLhnS: } goto ZrOs_; ZrOs_: S0PTv: goto ZJ2Gs; UqH9O: $not_used_bom_ids = array_diff($old_linked_bom_ids, $linked_bom_ids); goto c4es2; c4es2: if (empty($not_used_bom_ids)) { goto LV_Ku; } goto KxpzX; E5n2m: Rm8cA: goto mf3wa; mf3wa: } public static function delete_all_bom_links($bom_id) { goto dWMDR; dWMDR: global $wpdb; goto T27PH; CDfOs: $deleted = $wpdb->delete($wpdb->prefix . self::$linked_bom_table, $columns, $formats); goto lxh2y; oeKn0: return $deleted; goto nDWt_; lxh2y: do_action('atum/product_levels/after_delete_bom_links', compact('bom_id')); goto oeKn0; T27PH: $columns = array('bom_id' => (int) $bom_id); goto xrWaB; xrWaB: $formats = array('%d'); goto CDfOs; nDWt_: } public static function update_linked_bom_type($bom_id, $bom_type) { goto QpyYr; ZCb6M: return $wpdb->update($wpdb->prefix . self::$linked_bom_table, array('bom_type' => $bom_type), array('bom_id' => (int) $bom_id), array('%s'), array('%d')); goto p0uIm; sGa8_: $bom_type = in_array($bom_type, Globals::get_all_linked_bom_types()) ? $bom_type : 'product_part'; goto ZCb6M; QpyYr: global $wpdb; goto sGa8_; p0uIm: } public static function get_linked_bom_table() { return self::$linked_bom_table; } public static function get_reserved_stock_bom_table() { return self::$reserved_stock_bom_table; } }
