<?php
/** @noinspection ALL */
/**
  * ATUM WooCommerce Inventory Management and Stock Tracking
  * @author      Be Rebel - https://berebel.io
  * @copyright   ©2024 Stock Management Labs™
 */
 namespace AtumLevels\Models; defined('ABSPATH') || die; use Atum\Addons\Addons; use Atum\Components\AtumCache; final class BOMOrderItemsModel { private static $order_bom_table = 'atum_order_boms'; public static function get_bom_order_items($order_item_id, $order_type_id, $sum_items = TRUE) { goto B0zyP; R8x3P: WmKTI: goto NJebn; k1430: $cache_key = AtumCache::get_cache_key('bom__order_items', [$order_item_id, $order_type_id, $sum_items]); goto NxHph; bs0q3: XBKFy: goto VQi8L; a20gq: return $cache_order_items; goto R8x3P; EvTa2: AtumCache::set_cache($cache_key, $order_items, ATUM_LEVELS_TEXT_DOMAIN); goto Xt9oJ; J4L7L: if (!(Addons::is_addon_active('multi_inventory') && !$sum_items)) { goto XBKFy; } goto yNyYc; VQi8L: $group = $sum_items ? 'GROUP BY bom_id, bom_type' : ''; goto wh2uS; C_Pcs: $order_items = $wpdb->get_results($query); goto EvTa2; yNyYc: $fields[] = 'inventory_id'; goto bs0q3; Xt9oJ: return $order_items; goto j286A; NxHph: $cache_order_items = AtumCache::get_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN, FALSE, $has_cache); goto W7DwR; CV2o8: $fields[] = $sum_items ? 'SUM(qty) AS qty' : 'qty'; goto J4L7L; B0zyP: global $wpdb; goto k1430; W7DwR: if (!$has_cache) { goto WmKTI; } goto a20gq; wh2uS: $query = $wpdb->prepare('
			SELECT ' . implode(',', $fields) . " \n\t\t\tFROM {$wpdb->prefix}" . self::$order_bom_table . "\n\t\t\tWHERE order_item_id = %d AND order_type = %d\n\t\t\t{$group}\n\t\t", $order_item_id, $order_type_id); goto C_Pcs; NJebn: $fields = ['bom_id', 'bom_type']; goto CV2o8; j286A: } public static function insert_bom_order_item($order_item_id, $order_type_id, $bom_id, $bom_type, $qty, $inventory_id = NULL) { goto DKKpP; qmI9b: $format[] = '%d'; goto hhu_S; LVrAW: $wpdb->insert($wpdb->prefix . self::$order_bom_table, $data, $format); goto SFr1_; AEm1o: $data = array('order_item_id' => $order_item_id, 'order_type' => $order_type_id, 'bom_id' => $bom_id, 'bom_type' => $bom_type, 'qty' => $qty); goto Oomdm; SFr1_: self::delete_bom_order_items_cache($order_item_id, $order_type_id); goto yDsXc; gHUmR: $data['inventory_id'] = $inventory_id; goto qmI9b; hhu_S: Oufs8: goto LVrAW; ZP3zG: return $wpdb->insert_id; goto juoxC; yDsXc: do_action('atum/product_levels/after_insert_order_bom', compact('order_item_id', 'order_type_id', 'bom_id', 'bom_type', 'qty')); goto ZP3zG; DKKpP: global $wpdb; goto AEm1o; UWUpT: if (!(Addons::is_addon_active('multi_inventory') && $inventory_id)) { goto Oufs8; } goto gHUmR; Oomdm: $format = array('%d', '%d', '%d', '%s', '%s'); goto UWUpT; juoxC: } public static function update_bom_order_item($order_item_id, $order_type_id, $bom_id, $bom_type, $qty, $inventory_id = NULL) { goto Gz0__; Z1_dc: return $update; goto DJYe_; nKms4: $data = array('order_item_id' => $order_item_id, 'order_type' => $order_type_id, 'bom_id' => $bom_id); goto g2Bsn; rt7Xl: do_action('atum/product_levels/after_update_order_bom', compact('order_item_id', 'bom_id', 'bom_type', 'qty', 'inventory_id')); goto Z1_dc; KmEb6: $update = $wpdb->update($wpdb->prefix . self::$order_bom_table, array('qty' => $qty), $data, array('%f'), $format); goto wiQWH; wiQWH: self::delete_bom_order_items_cache($order_item_id, $order_type_id); goto rt7Xl; QwLBH: n8Cq2: goto KmEb6; BtC3c: if (!(Addons::is_addon_active('multi_inventory') && $inventory_id)) { goto n8Cq2; } goto W1l4g; fN11i: $format[] = '%d'; goto QwLBH; Gz0__: global $wpdb; goto nKms4; W1l4g: $data['inventory_id'] = $inventory_id; goto fN11i; g2Bsn: $format = array('%d', '%d', '%d'); goto BtC3c; DJYe_: } public static function clean_bom_order_items($order_item_id, $order_type_id) { goto Crl0x; M8m51: UGwL1: goto WScW2; LkpKZ: $order_bom_table = $wpdb->prefix . self::$order_bom_table; goto Wcz5f; Wcz5f: $query = $wpdb->prepare("SELECT * FROM {$order_bom_table} WHERE order_item_id = %d AND order_type = %d", $order_item_id, $order_type_id); goto q0xCy; Crl0x: global $wpdb; goto B_fvl; q0xCy: $bom_order_items = $wpdb->get_results($query); goto VuOzE; B_fvl: do_action('atum/product_levels/before_clean_bom_order_items', $order_item_id, $order_type_id); goto LkpKZ; VuOzE: if (empty($bom_order_items)) { goto UGwL1; } goto noDV5; noDV5: self::delete_bom_order_items($order_item_id, $order_type_id, wp_list_pluck($bom_order_items, 'bom_id')); goto M8m51; WScW2: } public static function delete_bom_order_items($order_item_id, $order_type_id, $bom_ids = array()) { goto Tv9iG; oUeY4: $deleted = $wpdb->query($wpdb->prepare("DELETE FROM {$bom_order_items_table} WHERE order_item_id = %d AND order_type = %d AND bom_id IN (" . implode(',', $bom_ids) . ')', $order_item_id, $order_type_id)); goto ZYR5y; mxcR8: do_action('atum/product_levels/after_delete_order_bom', compact('order_item_id', 'order_type_id', 'bom_ids')); goto pzxk7; ZYR5y: self::delete_bom_order_items_cache($order_item_id, $order_type_id); goto mxcR8; pzxk7: return $deleted; goto zTzKQ; M2B6x: $bom_order_items_table = $wpdb->prefix . self::$order_bom_table; goto oUeY4; Tv9iG: global $wpdb; goto M2B6x; zTzKQ: } public static function delete_bom_order_item($order_item_id, $order_type_id, $bom_id, $inventory_id = NULL) { goto TZBkm; UkcnY: self::delete_bom_order_items_cache($order_item_id, $order_type_id); goto UAPFX; tzvKq: o83ay: goto vVgTs; FZRj0: $sql = $wpdb->prepare("DELETE FROM {$bom_order_items_table} WHERE order_item_id = %d AND order_type = %d AND bom_id = %d", $order_item_id, $order_type_id, $bom_id); goto WSUok; WFm8b: $bom_order_items_table = $wpdb->prefix . self::$order_bom_table; goto FZRj0; UAPFX: do_action('atum/product_levels/after_delete_order_bom_item', compact('order_item_id', 'order_type_id', 'bom_id', 'inventory_id')); goto UTZB2; zZaF6: $sql .= $wpdb->prepare(' AND inventory_id = %d', $inventory_id); goto tzvKq; WSUok: if (!(Addons::is_addon_active('multi_inventory') && $inventory_id)) { goto o83ay; } goto zZaF6; TZBkm: global $wpdb; goto WFm8b; vVgTs: $deleted = $wpdb->query($sql); goto UkcnY; UTZB2: return $deleted; goto qzOhk; qzOhk: } private static function delete_bom_order_items_cache($order_item_id, $order_type_id) { goto MRdCI; KJ18j: $cache_key_sum = AtumCache::get_cache_key('bom__order_items', [$order_item_id, $order_type_id, TRUE]); goto d8uv_; d8uv_: AtumCache::delete_cache($cache_key, ATUM_LEVELS_TEXT_DOMAIN); goto QX4sh; MRdCI: $cache_key = AtumCache::get_cache_key('bom__order_items', [$order_item_id, $order_type_id, FALSE]); goto KJ18j; QX4sh: AtumCache::delete_cache($cache_key_sum, ATUM_LEVELS_TEXT_DOMAIN); goto y9ik6; y9ik6: } public static function get_order_bom_table() { return self::$order_bom_table; } }
